<?php
require_once '../db/db.php';

// Check if user is logged in
if (!isset($_SESSION['id'])) {
    header('location:../index.php');
}

// Check if form is submitted
if (isset($_POST['submit'])) {
    $name = mysqli_real_escape_string($con, $_POST['name']);
    $type = mysqli_real_escape_string($con, $_POST['type']);
    $account = mysqli_real_escape_string($con, $_POST['code']);
    $cashflow = mysqli_real_escape_string($con, $_POST['cashflow']);

    // Retrieve existing data for the selected account
    $c = mysqli_query($con, "SELECT * FROM chart_types WHERE id = '$type'");
    $rs = mysqli_fetch_array($c);
    $group = $rs['classname'];
    $classgroup = $rs['classgroup'];
    $typename = $rs['nameeng'];

    // Update the account information in the database
    $q = mysqli_query($con, "UPDATE chart_master SET account_name = '$name', account_type = '$type', account_type_name = '$typename', class_type = '$classgroup', class = '$group', Cashflow = '$cashflow' WHERE account_code = '$account'");
    if ($q) {
        $error = "<p style = 'color:green'>Successfully updated</p>";
        echo "<script>alert('Successfully updated');</script>";
    } else {
        echo "<script>alert('Something wrong');</script>";
    }
}

// Fetch existing account data for editing
if (isset($_GET['code'])) {
    $account_code = $_GET['code'];
    $sl = mysqli_query($con, "SELECT * FROM chart_master WHERE account_code = '$account_code'");
    $row = mysqli_fetch_assoc($sl);
    $name = $row['account_name'];
    $type = $row['account_type'];
    $cashflow = $row['Cashflow'];
}

?>

<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">EDIT ACCOUNT</h3>
                    <div class="pull-right">
                        <a href="index.php?p=accounts"><button class="btn btn-success"> <span class="fa fa-plus-circle"></span> View Charts</button></a>
                    </div>
                </div>
                <div class="panel-body">
                    <form class="form-horizontal" method="post" action="">
                        <div class="panel-body tab-content">
                            <div class="tab-pane active" id="tab-first">
                                <div class="form-group">
                                    <label class="col-md-3 col-xs-12 control-label">GL Code *</label>
                                    <div class="col-md-6 col-xs-12">
                                        <input type="text" class="form-control" name="code" value="<?php echo isset($account_code) ? $account_code : ''; ?>" readonly/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-3 col-xs-12 control-label">GL Name *</label>
                                    <div class="col-md-6 col-xs-12">
                                        <input type="text" class="form-control" name="name" value="<?php echo isset($name) ? $name : ''; ?>"/>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-3 col-xs-12 control-label">FSLI Account</label>
                                    <div class="col-md-6 col-xs-12">
                                        <select class="form-control select" name="type">
                                            <?php
                                            $grp = mysqli_query($con, "SELECT * FROM chart_types");
                                            while ($r = mysqli_fetch_array($grp)) {
                                                $selected = ($type == $r['id']) ? 'selected' : '';
                                                echo "<option value='" . $r['id'] . "' $selected>" . $r['nameeng'] . " - " . $r['namekisw'] . "</option>";
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-3 col-xs-12 control-label">CashFlow</label>
                                    <div class="col-md-6 col-xs-12">
                                        <select class="form-control select" name="cashflow">
                                            <option <?php if (isset($cashflow) && $cashflow == 'Investing Activities') echo 'selected'; ?>>Investing Activities</option>
                                            <option <?php if (isset($cashflow) && $cashflow == 'Operating Activities') echo 'selected'; ?>>Operating Activities</option>
                                            <option <?php if (isset($cashflow) && $cashflow == 'Non Operating Activities') echo 'selected'; ?>>Non Operating Activities</option>
                                            <option <?php if (isset($cashflow) && $cashflow == 'Financing Activities') echo 'selected'; ?>>Financing Activities</option>
                                            <option <?php if (isset($cashflow) && $cashflow == 'Cash Flow From Taxes') echo 'selected'; ?>>Cash Flow From Taxes</option>
                                            <option <?php if (isset($cashflow) && $cashflow == 'Non Applicable') echo 'selected'; ?>>Non Applicable</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="panel-footer">
                            <button type="submit" name="submit" class="btn btn-warning pull-right">Update <span class="fa fa-floppy-o fa-right"></span></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
