<?php
// Start session
session_start();

// Check if session is not set
if(!isset($_SESSION['id'])){
    header("location: ../index.php?e");
    exit; // Add exit to stop further execution
}

require_once '../db/db.php';

$sender = 'INFO';
$requestURL = 'https://apisms.beem.africa/v1/send';
$api_key = 'd07176259d763cb9';
$secret_key = 'YzNjMjU4NDQ5MGJhNDI4ZWQyYTJjYzA1YjdiMTgyMTNjYjNiNDcyNzc5YzdhMGRjZGU5NGFhZTc1NGE1MDZhNA=';

// Assuming the expiry date is fetched from your database
$expiryDate = '2025-05-05'; // Replace this with the actual expiry date

// Automatically update the payment status based on the expiration date
if (date('Y-m-d') > $expiryDate) {
    $paymentStatus = 'inactive';
} else {
    $paymentStatus = 'active';
}
?>
<!DOCTYPE html>
<html lang="en">
<!-- Added by HTTrack --><meta http-equiv="content-type" content="text/html;charset=utf-8" /><!-- /Added by HTTrack -->
<head>        
        <!-- META SECTION -->
        <title>SMARTACCOUNTING</title>            
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        
        <link rel="icon" href="../logo/logo.jpg" type="image/x-icon" />
        <!-- END META SECTION -->
        
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/sweetalert2@11/dist/sweetalert2.min.css">
         <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11/dist/sweetalert2.min.js"></script>
         
        <!-- CSS INCLUDE -->        
        <link rel="stylesheet" type="text/css" id="theme" href="../css/theme-default.css"/>

        <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.17.4/xlsx.full.min.js"></script>
        <!-- EOF CSS INCLUDE -->    
    </head>
    <body>
        <!-- START PAGE CONTAINER -->
        <div>
  
            <!-- PAGE CONTENT -->
            <div class="page-content">
                
                <!-- START X-NAVIGATION VERTICAL -->
<ul class="x-navigation x-navigation-horizontal x-navigation-panel">
    <!-- TOGGLE NAVIGATION -->
    <li class="xn-icon-button">
        <a href="#" class="x-navigation-minimize"><h3 id="navigationTitle" style="color:#f3a02a;width: 50%;">SMARTACCOUNTING</h3></a>
    </li>
    <!-- Subscription Expiry Reminder -->
            <li>
                <marquee id="expiryMessage" style="display: none;text-align:left; color: red;font-weight:bold;font-size:26px"></marquee>
            </li>
            

    <!-- POWER OFF -->
    <li class="xn-icon-button pull-right last">
     <!--<a href="#" style = "text-decolation:none;color:white"><span class="fa fa-caret-square-o-right" style="padding-right:150px"> POS</span></a>-->
        
        <a href="#"><span class="fa fa-power-off"></span></a>
        <ul class="xn-drop-left animated zoomIn">
            <li><a href=""><span class="fa fa-user"></span> Login as <?php echo $_SESSION['name'];?></a></li>
            <li><a href="#" class="mb-control" data-box="#mb-signout"><span class="fa fa-sign-out"></span> Sign Out</a></li>
        </ul>                        
    </li> 
    <!-- END POWER OFF -->
</ul>
<!-- END X-NAVIGATION VERTICAL -->

  <script>
        // Output PHP variables as JavaScript variables
        const expiryDate = new Date('<?php echo $expiryDate; ?>');
        let paymentStatus = '<?php echo $paymentStatus; ?>';

        function updateExpiryMessage() {
            const currentDate = new Date();
            const daysRemaining = Math.ceil((expiryDate - currentDate) / (1000 * 60 * 60 * 24));

            if (daysRemaining > 0 && daysRemaining <= 30 && paymentStatus === 'active') {
                document.getElementById('expiryMessage').innerText = `Your subscription will expire in ${daysRemaining} day(s). Please Renew your subscription.`;
                document.getElementById('expiryMessage').style.display = 'block';
            } else {
                document.getElementById('expiryMessage').style.display = 'none';
            }

            if (daysRemaining <= 0) {
                // Implement logic to disable the software
                if (confirm('Your software has expired. Please contact your System Administrators.')) {
                    // Redirect the user to the payment page
                    window.location.href = 'payment_page.php'; // Replace 'payment_page.php' with the actual URL of your payment page
                } else {
                    // Add further actions if the user chooses not to renew
                }
                // Add further actions like closing the application or redirecting to a renewal page
                paymentStatus = 'inactive'; // Update payment status
            }
        }

        setInterval(updateExpiryMessage, 1000); // Update every second
        updateExpiryMessage(); // Initial update
    </script>