<?php
if(isset($_POST['balance_sheet'])){
   $title = mysqli_real_escape_string($con,$_POST['title']);
   $branch = mysqli_real_escape_string($con,$_POST['branch']); 
   $note = mysqli_real_escape_string($con,$_POST['note']); 
   $date = mysqli_real_escape_string($con,$_POST['date']); 
   $method = mysqli_real_escape_string($con,$_POST['method']);
   $layout = mysqli_real_escape_string($con,$_POST['layout']);
    // Constructing the URL with form attributes
   $redirectURL1 = 'index.php?p=bal_report_layout_one&title=' . urlencode($title) . '&branch=' . urlencode($branch) . '&note=' . urlencode($note) . '&date=' . urlencode($date) . '&method=' . urlencode($method) . '&layout=' . urlencode($layout);
    // Constructing the URL with form attributes
   $redirectURL2 = 'index.php?p=bal_report_layout_two&title=' . urlencode($title) . '&branch=' . urlencode($branch) . '&note=' . urlencode($note) . '&date=' . urlencode($date) . '&method=' . urlencode($method) . '&layout=' . urlencode($layout);
    // Constructing the URL with form attributes
   $redirectURL3 = 'index.php?p=bal_report_layout_three&title=' . urlencode($title) . '&branch=' . urlencode($branch) . '&note=' . urlencode($note) . '&date=' . urlencode($date) . '&method=' . urlencode($method) . '&layout=' . urlencode($layout);
   if($layout == 1){
     echo "<script>window.location='$redirectURL1';</script>"; 
   }else if($layout == 2){
      echo "<script>window.location='$redirectURL2';</script>"; 
   }else{
      echo "<script>window.location='$redirectURL3';</script>"; 
   }
}
?>
<div class="col-md-9">
 <div class="row">
   <div class="col-md-12">
       <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting Menu</a></li>
                <li class="active">Balance Sheet</li>
            </ul>
      <div class="panel panel-default">
           <div class="panel-heading">
              <h3 class="panel-title"><b>BALANCE SHEET</b></h3>
           </div>
            <div class="panel-body" style="background: #fff">
                <form class="form-horizontal" method="post" action="">
                    <div class="form-group">
                        <label class="col-md-3 control-label col-label">Title</label>
                            <div class="col-md-4 form-group has-success">
                                <input type="text" class="form-control"  value="Balance Sheet" style="color: #000;" name="title"/>
                            </div>
                            </div>
                            <div class="form-group">
                               <label class="col-md-3 control-label col-label">Select Branch</label>
                                    <div class="col-md-4">
                                    <select class="form-control select" name="branch" onchange="showDis(this.value)">
                                    <option value="All">All Branches</option>
                                <?php
                                    $stmt = $pdo->prepare("SELECT * FROM branch ORDER BY name");
                                    $stmt->execute();
                                    $branches = $stmt->fetchAll(PDO::FETCH_ASSOC);
                                     foreach ($branches as $branch) {
                                          ?>
                                       <option value="<?php echo $branch['name']; ?>"><?php echo $branch['name']; ?></option>
                                     <?php
                                     }
                                     ?>
                                  </select>
                                  </div> 
                                </div>
                                <div class="form-group">
                                    <label class="col-md-3 control-label col-label">Description</label>
                                        <div class="col-md-9 form-group has-success">
                                        <input type="text" name = "note" class="form-control"/>
                                    </div>
                                </div>
                                <div class="form-group">
                                  <label class="col-md-3 control-label col-label">Date</label>
                                  <div class="col-md-3">
                                  <div class="input-group" id="currentDate">
                                                        <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                        <input type="text" class="form-control datepicker" name="date" value="<?php echo date('Y-m-d');?>">                                            
                                                    </div>
                                                </div>
                                            
                                            </div>
                                  <div class="form-group">
                                    <label class="col-md-3 control-label col-label">Accounting Method</label>
                                    <div class="col-md-4">
                                     <select class="form-control select" name="method">
                                                        <option value = "Accrual Basis">Accrual Basis</option>
                                                        <!--<option value = "Cash Basis">Cash Basis</option>-->
                                </select>
                             </div> 
                            </div>
                            <!--<div class="form-group">
                                <label class="col-md-3 control-label col-label">Rounding</label>
                                <div class="col-md-2">
                                <select class="form-control select">
                                    <option>Off</option>
                                    <option>On</option>
                                </select>
                             </div> 
                            </div>-->
                            <div class="form-group">
                                <label class="col-md-3 control-label col-label">Layout</label>
                                 <div class="col-md-3">
                                    <select class="form-control select" name="layout">
                                                        <option value="1">Assets = Equity + Liabilities</option>
                                                        <!--<option value="2">Assets = Liabilities + Equity</option>-->
                                                        <!--<option value="3">Assets - Liabilities = Equity</option>-->
                                    </select>
                                </div> 
                          </div>

            </div>
            <div class="panel-footer">                                    
                <button class="btn btn-info pull-right" type="submit" name="balance_sheet"><span class="fa fa-arrow-right"></span> Create</button>
            </div>
          </form>
        </div>
    </div>
 </div>
                            
</div>