<?php
if(isset($_POST['income_statement_report'])){
   $title = mysqli_real_escape_string($con,$_POST['title']);
   $branch = mysqli_real_escape_string($con,$_POST['branch']); 
   $note = mysqli_real_escape_string($con,$_POST['note']); 
   $date1 = mysqli_real_escape_string($con,$_POST['date1']);
   $date2 = mysqli_real_escape_string($con,$_POST['date2']); 
   $method = mysqli_real_escape_string($con,$_POST['method']);
   $layout = 1;
    // Constructing the URL with form attributes
   $redirectURL1 = 'index.php?p=change_equity_report&title=' . urlencode($title) . '&branch=' . urlencode($branch) . '&note=' . urlencode($note) . '&date1=' . urlencode($date1) . '&date2=' . urlencode($date2) . '&method=' . urlencode($method);
    // Constructing the URL with form attributes
   if($layout == 1){
     echo "<script>window.location='$redirectURL1';</script>"; 
   }
}
?>
<div class="col-md-9">
 <div class="row">
   <div class="col-md-12">
       <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting Menu</a></li>
                <li class="active">Change in Equity</li>
            </ul>
      <div class="panel panel-default">
           <div class="panel-heading">
              <h3 class="panel-title"><b>STATEMENT OF CHANGES IN EQUITY</b></h3>
           </div>
            <div class="panel-body" style="background: #fff">
                <form class="form-horizontal" method="post" action="">
                    <div class="form-group">
                        <label class="col-md-3 control-label col-label">Title</label>
                            <div class="col-md-4 form-group has-success">
                                <input type="text" class="form-control"  value="STATEMENT OF CHANGES IN EQUITY" style="color: #000;"/>
                           </div>
                      </div>
                      <div class="form-group">
                               <label class="col-md-3 control-label col-label">Select Branch</label>
                                    <div class="col-md-4">
                                    <select class="form-control select" name="branch">
                                        <option value="All">All Branches</option>
                                <?php
                                    $stmt = $pdo->prepare("SELECT * FROM branch ORDER BY name");
                                    $stmt->execute();
                                    $branches = $stmt->fetchAll(PDO::FETCH_ASSOC);
                                     foreach ($branches as $branch) {
                                          ?>
                                       <option value="<?php echo $branch['name']; ?>"><?php echo $branch['name']; ?></option>
                                     <?php
                                     }
                                     ?>
                                  </select>
                                  </div> 
                         </div>
                                           
                          <!--<div class="form-group">-->
                          <!--   <label class="col-md-3 control-label col-label">Description</label>-->
                          <!--          <div class="col-md-9 form-group has-success">-->
                          <!--          <input type="text" class="form-control" name = "note"/>-->
                          <!--      </div>-->
                          <!-- </div>-->
                          <div class="form-group">
                             <label class="col-md-3 control-label col-label">Date</label>
                                    <div class="col-md-3">From
                                        <div class="input-group">
                                                        <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                                        <input type="text" class="form-control datepicker datepicker-from" value="<?php echo date('Y-m-d');?>" name="date1">          
                                        </div>
                                    </div>
                                    <div class="col-md-3">To
                                     <div class="input-group" id="currentDate">
                                    <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                    <input type="text" class="form-control datepicker datepicker-to" value="<?php echo date('Y-m-d');?>" name="date2">                                            
                                    </div>
                                </div>
                            </div>
                            <!--      <div class="form-group">-->
                            <!--        <label class="col-md-3 control-label col-label">Accounting Method</label>-->
                            <!--        <div class="col-md-4">-->
                            <!--         <select class="form-control select" name="method">-->
                            <!--                            <option value = "Accrual Basis">Accrual Basis</option>-->
                            <!--                            <option value = "Cash Basis">Cash Basis</option>-->
                            <!--    </select>-->
                            <!-- </div> -->
                            <!--</div>-->
            </div>
            <div class="panel-footer">                                    
                <button class="btn btn-info pull-right" type="submit" name="income_statement_report"><span class="fa fa-arrow-right"></span> Create</button>
            </div>
          </form>
        </div>
    </div>
 </div>
                            
</div>