<?php
if ($_GET['status'] == 1) {
    echo "<script>alert('This account cannot be deleted because there are some expenses using this account. Delete all expenses from this account first, then delete this account.');</script>";
}
?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">FINANCIAL STATEMENT LINE ITEMS - FSLI</h3>
                    <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                    <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting Menu</a></li>
                    <li class="active">FSLI</li>
                    </ul>
                    <div class="pull-right">
                      <a href="index.php?p=new_chart_type"><button class="btn btn-warning"> <span class="fa fa-plus-circle"></span> Create New Chart Type</button></a>
                     </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <?php
                        // Establish PDO connection
                        try {
                            $pdo = new PDO($dsn, $username, $password);
                            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                            $stmt = $pdo->query("SELECT * FROM chart_types");
                            $rows = $stmt->fetchAll(PDO::FETCH_ASSOC);
                        } catch (PDOException $e) {
                            echo "Connection failed: " . $e->getMessage();
                        }
                        ?>

                        <table class="table datatable table-striped table-hover">
                            <thead>
                                <tr>
                                    <th>SN</th>
                                    <th>Account Name - ENG</th>
                                    <th>Sub - Group</th>
                                    <th>Group</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $a = 1;
                                foreach ($rows as $row) {
                                ?>
                                    <tr>
                                        <td><?php echo $a; ?></td>
                                        <td><?php echo $row['nameeng']; ?></td>
                                        <td><?php echo $row['classgroup']; ?></td>
                                        <td><?php echo $row['classname']; ?></td>
                                        <td>
                                            <a href="index.php?p=account_type_edit&updateid=<?php echo $row['id']; ?>"> Edit</a> | <a href="delete_type.php?id=<?php echo $row['id']; ?>" onclick="return confirm('Are you sure you want to delete? This account will not be deleted if there is an account chart entered through this account type');"> Delete</a>
                                        </td>
                                    </tr>
                                <?php
                                    $a++;
                                }
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
