<?php
if (isset($_POST['submit'])) {
    $group = $_POST['group'];
    $class = $_POST['class'];
    $nameeng = $_POST['nameeng'];
    $namekisw = '';

    if ($nameeng == '' || $class == '') {
        echo "<script>alert('Fill all empty blanks');</script>";
    } else {
        try {

            $pdo = new PDO($dsn, $username, $password);
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

            $stmt = $pdo->prepare("INSERT INTO chart_types VALUES(NULL, ?, ?, ?, ?)");
            
             // Bind parameters to the prepared statement
            $stmt->bindParam(1, $nameeng);
            $stmt->bindParam(2, $namekisw);
            $stmt->bindParam(3, $class);
            $stmt->bindParam(4, $group);
            
            //$stmt->execute([$nameeng, $namekisw, $class, $group]);
            // Execute the prepared statement
            $stmt->execute();

            echo "<script>alert('Successfully added');</script>";
        } catch (PDOException $e) {
            echo "<script>alert('Something wrong');</script>";
        }
    }
}
?>

<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">CREATE NEW CHART (FSLI)</h3>
                    <div class="pull-right">
                      <a href="index.php?p=account_type"><button class="btn btn-success"> <span class="fa fa-eye"></span> View FSLI</button></a>
                     </div>
                </div>
                <div class="panel-body">
                    <form class="form-horizontal" method="post" action="">
                        <div class="panel-body tab-content">
                            <div class="tab-pane active" id="tab-first">
                                <div class="form-group">
                                    <label class="col-md-3 col-xs-12 control-label">Account Group *</label>
                                    <div class="col-md-6 col-xs-12">
                                         <select class="form-control select" name="class" data-live-search="true">
                                            <option value="">Choose Group</option>
                                            <?php
                                            $query_group = mysqli_query($con, "SELECT * FROM account_group");
                                            while ($rows = mysqli_fetch_assoc($query_group)) {
                                            ?>
                                                <option value="<?php echo $rows['GroupName']; ?>"><?php echo $rows['GroupName']; ?></option>
                                            <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-3 col-xs-12 control-label">Class</label>
                                    <div class="col-md-6 col-xs-12">
                                        <select class="form-control select" name="group">
                                            <option value="Asset">Asset</option>
                                            <option value="Liability">Liability</option>
                                            <option value="Equity">Equity</option>
                                            <option value="Expense">Expense</option>
                                            <option value="Revenue">Revenue</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-3 col-xs-12 control-label" title="This are Financial Statement Line Items For Creating Financial Reports">Name*</label>
                                    <div class="col-md-6 col-xs-12">
                                        <input type="text" class="form-control" name="nameeng" required/>
                                    </div>
                                </div>

                            </div>
                        </div>

                </div>
                <div class="panel-footer">
                    <button type="submit" name="submit" class="btn btn-warning pull-right"><span class="fa fa-plus-circle"></span> Submit</button>
                </div>
                </form>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->

</div>
