<?php
require_once '../db/db.php'; // Adjust the path as necessary
$assetid = $_GET['id'];
$query = mysqli_query($con,"SELECT * FROM assetitems WHERE id=$assetid");
$rs = mysqli_fetch_assoc($query);
$assetname = $rs['item_name'];

if (isset($_POST['submit'])) {
    $assetid = mysqli_real_escape_string($con, $_POST['assetid']);
    $depreciation_amt = mysqli_real_escape_string($con, $_POST['depreciation']);
    $cost = mysqli_real_escape_string($con, $_POST['cost']);
    $dateRevalued = mysqli_real_escape_string($con, $_POST['dateRevalued']);
    $revaluationAmount = mysqli_real_escape_string($con, $_POST['revaluationAmount']);
    $valuerName = mysqli_real_escape_string($con, $_POST['valuerName']);
    $reasonForRevaluation = mysqli_real_escape_string($con, $_POST['reasonForRevaluation']);
    $bookvalue = $cost - $depreciation_amt;

    $asset_query = mysqli_query($con, "SELECT * FROM assetitems AS ai INNER JOIN fixedasset AS fa ON ai.fixedassetid = fa.id AND ai.id=$assetid");
    $asset_rows = mysqli_fetch_assoc($asset_query);
    $assetname = $asset_rows['item_name'];
    $closingDate = $asset_rows['purchased_date'];
    $assetAcc = $asset_rows['asset_account'];
    $gainAcc = $asset_rows['revaluation_gain_account'];
    $loseAcc = $asset_rows['revaluation_loss_account'];
    $depAcc = $asset_rows['accumulated_depreciation_account'];

    $query = "INSERT INTO revalue (Date_Revalued, Revaluation_Amount, Valuer_Name, Reason, Asset_Id, AssetCost, DepreciationAmt, clossingDate) 
              VALUES ('$dateRevalued', '$revaluationAmount', '$valuerName', '$reasonForRevaluation', '$assetid', '$cost', '$depreciation_amt', '$closingDate')";
    if (mysqli_query($con, $query)) {
        $transid = mysqli_insert_id($con);
        if ($revaluationAmount > $bookvalue) {
            // Handle revaluation gain
            $revaluation_gain = $revaluationAmount - $bookvalue;

            // Process database transactions...

        } else {
            // Handle revaluation loss
            $revaluation_lose = $bookvalue - $revaluationAmount;

            // Process database transactions...

        }
        
        
    echo'<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>'; 

        // SweetAlert success message
        echo "<script>
            Swal.fire({
                icon: 'success',
                title: 'Revaluation Success',
                text: 'The fixed asset revaluation was successfully recorded.',
                confirmButtonText: 'OK'
            }).then(() => {
                window.location.href = 'index.php?p=valuation'; // Redirect if needed
            });
        </script>";
    } else {
        // SweetAlert error message
        echo "<script>
            Swal.fire({
                icon: 'error',
                title: 'Revaluation Failed',
                text: 'Something went wrong. Please contact the system administrator.',
                confirmButtonText: 'OK'
            });
        </script>";
    }
    // Close database connection
    mysqli_close($con);
}
?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting</a></li>
                <li><a href="fixed_asset_tab.php" style="color: rgb(7, 133, 164)">Fixed Asset</a></li>
                <li class="active">Revaluation Details</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Revaluation Details for: <?php echo $assetname;?></b></h3>
                </div>
                <div class="panel-body" style="background: #fff">   
            	    <form action="" method="post"  onsubmit="submitFormRevaluation(event)">
            	         <div class="row">
                            <!-- Left Column -->
                            <div class="col-md-6">
            	        <!--HIDDEN ASSET ID FIELD--->
            	        <input type="text"  value = "<?php echo $_GET['id'];?>"  name="assetid" style="display:none">
            	        <input type="text"  value = "<?php echo $rs['acquisition_cost'];?>"  name="cost" style="display:none">
            	        <input type="text"  value = "<?php echo $rs['accumulated_depreciation'];?>"  name="depreciation" style="display:none">
                        <div class="form-group">
						<label for="dateDisposed">Date Revalued:</label>
						<input type="text" class="form-control datepicker" id="dateRevalued" name="dateRevalued" value="<?php echo date('Y-m-d');?>">
						</div>
							<div class="form-group">
								<label for="revaluationAmount">Revaluation Amount:</label>
								<input type="text" class="form-control" id="revaluationAmount" name="revaluationAmount">
							</div>
							<div class="form-group">
								<label for="valuerName">Valuer Name:</label>
								<input type="text" class="form-control" id="valuerName" name="valuerName">
							</div>
							</div>
							
							<!-- Right Column -->
                            <div class="col-md-6">
							<div class="form-group">
								<label for="reasonForRevaluation">Reason for Valuation:</label>
								<textarea class="form-control" id="reasonForRevaluation" name="reasonForRevaluation" rows="3"></textarea>
							</div>
							</div>
                
               </div>
        
            </div>
            <div class="panel-footer">
                <button class="btn btn-warning pull-right" type="submit" name="submit">
                    <span class="fa fa-plus-circle"></span> Create
                </button>
            </div>
                </form>
        </div>
        </div>
    <!-- END TIMELINE -->
</div>
