<?php
    if ($_GET['status'] === 'deleted') {
    echo "<script>
    document.addEventListener('DOMContentLoaded', function() {
        Swal.fire({
            position: 'top',
            icon: 'success',
            title: 'Asset Deleted Successfully',
            showConfirmButton: false,
            timer: 1500
        }).then(function() {
            location.reload(); 
        }).then(function() {
          window.location.href = 'index.php?p=asset_settings'; 
      });
     });
    </script>";

}
?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
    <div class="col-md-12">
        <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
           <li><a href="index.php?p=fixed_asset_menu" style="color: rgb(7, 133, 164)">Fixed Asset Menu</a></li>
           <li class="active">Settings</li>
        </ul>
       <div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title"><b>SETTINGS</b></h3>
            <div class="pull-right">
                <a href="index.php?p=add_new_asset_type"><button class="btn btn-info"> <span class="fa fa-plus-circle"></span> Add New Asset Type</button></a>
            </div>
        </div>
        <div class="panel-body" style="background: #fff">
          <div class="table-responsive">
            <table class="table table-hover datatable">
              <thead>
              <tr>
                <th>Asset Type</th>
                <th>Asset Account</th></th>
                <th>Accumulated Depriciation Account</th>
                <th>Depriciation Expense Account</th>
                <th>Depriciation Rate</th>
                <th>Actions</th>
              </tr>
            </thead>
              <tbody>
                <?php
                // -----Fetch fixed asset data------
                $sql = "SELECT id, asset_type, asset_account, accumulated_depreciation_account, depreciation_expense_account, depreciation_rate FROM fixedasset ";
                $fixedstmt = $pdo->prepare($sql);
                $fixedstmt->execute();
                $fixedAssetData = $fixedstmt->fetchAll(PDO::FETCH_ASSOC);
                
                
                ?>
                
                <?php foreach ($fixedAssetData as $row): 
                   
                     //------accounts code------
                    $asset_account_code =$row['asset_account'];
                    $accumulated_depreciation_code =$row['accumulated_depreciation_account'];
                    $depreciation_expense_account =$row['depreciation_expense_account'];
                    
                    
                  
                    $assetAC = $pdo->prepare("SELECT account_name FROM chart_master WHERE account_code = :account_code ");
                    $assetAC->bindParam(':account_code',$asset_account_code);
                    $assetAC->execute();
                    $assetAccount = $assetAC->fetch(PDO::FETCH_ASSOC)['account_name'];
                    
                    
                    $accumlateDepAC = $pdo->prepare("SELECT account_name FROM chart_master WHERE account_code = :account_code ");
                    $accumlateDepAC->bindParam(':account_code',$accumulated_depreciation_code);
                    $accumlateDepAC->execute();
                    $accumultedDAccount = $accumlateDepAC->fetch(PDO::FETCH_ASSOC)['account_name'];
                    
                    
                    $depricAC = $pdo->prepare("SELECT account_name FROM chart_master WHERE account_code = :account_code ");
                    $depricAC->bindParam(':account_code',$asset_account_code);
                    $depricAC->execute();
                    $depriciAccount = $depricAC->fetch(PDO::FETCH_ASSOC)['account_name'];
                ?>
                    <tr>
                        <td><?= htmlspecialchars($row['asset_type']); ?></td>
                        <td><?= htmlspecialchars($assetAccount); ?></td>
                        <td><?= htmlspecialchars($accumultedDAccount); ?></td>
                        <td><?= htmlspecialchars($depriciAccount); ?></td>
                        <td><?= htmlspecialchars($row['depreciation_rate']); ?>%</td>
                        <td>
                            <a href="index.php?p=edit_new_asset_type&id=<?= $row['id']; ?>" style="color: #007bff; text-decoration: none;">
                                 Edit
                            </a> |
                            <a href="accounting/fixed_asset/delete_new_asset_type.php?id=<?= $row['id']; ?>" style="color: #dc3545; text-decoration: none;" 
                               onclick="return confirm('Are you sure you want to delete this record?')">
                                 Delete
                            </a>
                        </td>
                    </tr>
                <?php endforeach; ?>
                </tbody>
            </table>
           </div> 
        </div>
    </div>
  </div>
</div>

                            <!-- END TIMELINE --> 
                        </div>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

<script>
    // Show success message if 'message' exists in URL
    const urlParams = new URLSearchParams(window.location.search);
    if (urlParams.has('message')) {
        Swal.fire({
            title: 'Success!',
            text: decodeURIComponent(urlParams.get('message')),
            icon: 'success',
            confirmButtonText: 'OK'
        }).then((result) => {
        if (result.isConfirmed) {
            // Redirect to the specific page after the alert is closed
            window.location.href = 'index.php?p=asset_settings';
        }
    });
    }

    // SweetAlert confirmation for deletion with a check on paid amount
    function deleteInvoice(invoiceId, paidAmount) {
        if (paidAmount > 0) {
            Swal.fire({
                title: 'Cannot Delete Invoice',
                text: 'This invoice is linked with receipt(s) and cannot be deleted.Delete first all related receipts',
                icon: 'warning',
                confirmButtonText: 'OK'
            });
            return; // Prevent further actions
        }

        Swal.fire({
            title: 'Are you sure?',
            text: "You won't be able to revert this!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                // Redirect to delete page if confirmed
                window.location.href = 'sales/sales_delete.php?id=' + invoiceId + '&page=invoice';
            }
        });
    }
</script>