<?php
if(isset($_POST['generate_report'])){
   $description = mysqli_real_escape_string($con,$_POST['description']);
   $date1 = mysqli_real_escape_string($con,$_POST['date1']);
   $date2 = mysqli_real_escape_string($con,$_POST['date2']);
    // Constructing the URL with form attributes
   $redirectURL = 'index.php?p=fixedasset_schedule_report&description=' . urlencode($description) . '&date1=' . urlencode($date1) . '&date2=' . urlencode($date2) . '&account=' . urlencode($account);
    // Constructing the URL with form attributes
    echo "<script>window.location='$redirectURL';</script>"; 
}
?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=fixed_asset_menu" style="color: rgb(7, 133, 164)">Fixed Asset Menu</a></li>
                <li class="active">Fixed Asset Schedule </li>
                    </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Fixed Asset Schedule Report</b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
                    <form class="form-horizontal" action="" method="post">
                        <div class="form-group">
                            <label class="col-md-3 control-label col-label" for="description">Description</label>
                                <div class="col-md-6 form-group has-success">
                                    <input type="text" class="form-control" name="description" id="description" value="Disposal Schedule Report">
                                </div>
                        </div>
                            
                        <div class="form-group">
                            <label class="col-md-3 control-label col-label">Date</label>
                            <div class="col-md-3">From
                                <div class="input-group">
                                    <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                    <input type="text" class="form-control datepicker datepicker-from" value="<?php echo date('Y-m-d');?>" name="date1">          
                                </div>
                            </div>
                            <div class="col-md-3">To
                                <div class="input-group" id="currentDate">
                                    <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                    <input type="text" class="form-control datepicker datepicker-to" value="<?php echo date('Y-m-d');?>" name="date2">                                            
                                </div>
                            </div>
                        </div>
                     </div>
                 <div class="panel-footer">                                    
                  <button class="btn btn-warning pull-right" type="submit" name="generate_report"><span class="fa fa-plus-circle"></span> Create</button>
            </form>      
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
<script>
    var currentDate = new Date();
    var formattedDate = currentDate.toISOString().slice(0, 10);

    document.querySelector('.datepicker-from').value = formattedDate;
    document.querySelector('.datepicker-to').value = formattedDate;

</script>