<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting</a></li>
                <li><a href="fixed_asset_tab.php" style="color: rgb(7, 133, 164)">Fixed Asset</a></li>
                <li class="active">Asset Items Maintenance List</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Asset Maintenance List</b></h3>
                    <a href="index.php?p=asset_maintenance"><button class="btn btn-warning pull-right btn-add-asset">
						<span class="fa fa-plus-circle"></span> Add Maintenance Record
					</button></a>
                </div>
                <div class="panel-body" style="background: #fff">
                 
                 <table id="assetMaintenanceTable" class="table datatable">
											<thead>
										<tr>
											<th>Asset Name</th>
											<th>Asset Type</th>
											<th>Asset No.</th>
											<th>Maintenance<br> Date</th>
											<th>Maintenance<br> Type</th>
											<th>Maintenance<br> Cost</th>
											<th>Next Maintenance<br> Date</th>
											<th>Action</th>
										</tr>
											</thead>
											<tbody>
    <?php
    $selectQuery = "SELECT am.id,ai.item_name,ai.item_number,fa.asset_type,am.date,am.Next_Maintenance_Date,am.Maintenance_Cost,am.Maintenance_Type FROM asset_maintenance AS am INNER JOIN assetitems AS ai ON am.asset_id=ai.id INNER JOIN fixedasset AS fa ON ai.fixedassetid=fa.id ";
    $result = mysqli_query($con, $selectQuery);
    
    if ($result) {
        while ($row = mysqli_fetch_assoc($result)) {
            $id = $row['id'];
            $item_name = $row['item_name'];
            $asset_type = $row['asset_type'];
            $item_number = $row['item_number'];
            $maintenance_date = $row['date'];
            $next_maintenance = $row['Next_Maintenance_Date'];
            $Maintenance_Cost = $row['Maintenance_Cost'];
            $Maintenance_Type = $row['Maintenance_Type'];
            
            echo '<tr>
                    <td>' . $item_name . '</td>
                    <td>' . $asset_type . '</td>
                    <td>' . $item_number . '</td>
                    <td>' . $maintenance_date . '</td>
                    <td>' . $Maintenance_Type . '</td>
                    <td>' . $Maintenance_Cost . '</td>
                    <td>' . $next_maintenance . '</td>
                    <td class="assetMaintenance-actions">
                        <a href="index.php?p=asset_maintenance_record_edit&id=' . $id . '">
                            <span class="fa fa-edit">Edit</span>
                        </a> |
                        <a href="accounting/fixed_asset/delete_maintenance.php?id=' . $id . '" onclick="return confirm(\'Do you want to delete this transaction?\')">
                           <span class="fa fa-trash-o"></span>Delete
                        </a>
                    </td>
                 </tr>';
        }
    }
    ?>
</tbody>
</table>
                 
				</div>
				</div>    
			</div>
			<!-- Add more fields as needed -->
       </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
