<?php
// Check if EditId is provided in the URL query string
if (isset($_GET['EditId'])) {
    $editId = $_GET['EditId'];
    $id = decrypt($editId, $encryption_key, $encryption_method);
}

 $sql = "SELECT * FROM journal WHERE Id = :id";
            $stmt = $pdo->prepare($sql);
            $stmt->execute([
                ':id' => $id
            ]);
 $jr_rows = $stmt->fetch(PDO::FETCH_ASSOC); 
 
$sqlgl = "SELECT * FROM gl_transaction WHERE transid = :id AND cat IN (:cat1, :cat2)";
$stmt = $pdo->prepare($sqlgl);
$stmt->execute([
    ':id' => $jr_rows['Id'],
    ':cat1' => 'Journal',
    ':cat2' => 'Tax Journal'
]);

 $gl = $stmt->fetchAll(PDO::FETCH_ASSOC); 
 
 require_once 'save_edit_journal.php';
?>

<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                    <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting Menu</a></li>
                    <li><a href="index.php?p=journal" style="color: rgb(7, 133, 164)">Journal List</a></li>
                    <li class="active">Edit Journal</li>
                    </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>JOURNAL VOUCHER</b></h3>
                </div>
                <div class="panel-body">
                    <form class="form-horizontal" method="post" action="" enctype="multipart/form-data">
        <h4 style="font-weight: bold;color: rgb(193, 190, 190);">Edit Journal</h4>            
        <table class="table" style="width: 80%;">
            <tbody>
                <tr>
                    <th style="width:50%" colspan=2>
                        <div class="form-group">
                            <label class="col-md-12 col-xs-12">Date *</label>
                                <div class="col-md-12 col-xs-12">            
                                <input type="text" class="form-control datepicker" name = "date" value="<?php echo $jr_rows['Date'] ;?>"/>            
                            </div>
                        </div> 
                    </th>
                    <th style="width:30%" colspan=2>
                        <div class="form-group">
                            <label class="col-md-12 col-xs-12">Reference</label>
                        <div class="col-md-12 col-xs-12">                       
                          <div class="input-group">
                             <span class="input-group-addon"><input type="checkbox" id="referenceCheckbox"></span>
                            <input type="text" class="form-control" id="referenceInput" placeholder="Optional" name="reference" value="<?php echo $jr_rows['Reference'] ;?>">
                      </div>                                            
                    </div>
                  </div>
                    </th>
                </tr>
            <tr>
                <th colspan="4" style="width:80%">Transaction Description</th>
              </tr>
            <tr>
                <td colspan="4" style="width:80%">
                    <div class="form-group">
                        <div class="col-md-12 col-xs-12">                       
                            <textarea class="form-control" name="note" required><?php echo $jr_rows['Note'] ;?></textarea>
                    </div>
                  </div>
                </td>
            </tr>
            <tr>
                <th style="width:25%">Account</th>
                <th style="width:25%">Debit/Credit</th>
                <th style="width:25%">Amount</th>
                <th style="width:5%"></th>
            </tr>
             <?php
              foreach($gl as $rws):
             ?>
              <tr>
                <td style="width:25%">
                    <div class="form-group">
                        <div class="col-md-12 col-xs-12">                       
                                    <select class="form-control select" name= "account[]" data-live-search="true">
                                                  <?php
                                                  $cl = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code = '".$rws['account']."'");
                                                    while($class = mysqli_fetch_assoc($cl)){
                                                  ?>
                                                        <option value = "<?php echo $class['account_code'];?>"><?php echo $class['account_code'];?> - <?php echo $class['account_name'];?></option>
                                                     <?php
                                                       }
                                                      ?>
                                </select>
                    </div>
                   </div>
                </td>
                
                <td style="width:25%">
                    <div class="form-group">
                        <div class="col-md-12 col-xs-12">                       
                            <select class="form-control select" name="nature[]">
                                <option value="Debit" <?php echo ($rws['nature'] == 'Debit') ? 'selected' : ''; ?>>Debit</option>
                                <option value="Credit" <?php echo ($rws['nature'] == 'Credit') ? 'selected' : ''; ?>>Credit</option>
                            </select>
                    </div>
                   </div>
                </td>
                
                <td style="width:25%">
                    <div class="form-group">
                        <div class="col-md-12 col-xs-12">                       
                                    <input type="text" oninput="updateTotalAmount()" name = "amount[]" class="form-control" style="width:100%" value = "<?php echo $rws['amount'];?>"/>
                    </div>
                  </div>
                </td>
                <td style="width:5%">
                </td>    
                </tr>
                <?php
                endforeach;
                ?>
                <tr>
                    <td>
                        <span><button type="button" class="btn btn-primary" onclick="addAccountLine()" style="background-color: green;color: white;">Add Line</button></span>
                    </td>
                    <td align="right">
                        <div class="form-group">
                            <label for="totalDebits" style="color:red;font-size:16px">Total Debits:</label>
                            <input type="text" id="totalDebits" class="form-control" style="color:red;width:150px" readonly value="<?php echo $jr_rows['Debit'];?>" />
                        </div>
                    </td>
                    <td align="right">
                        <div class="form-group">
                            <label for="totalCredits" style="color:red;font-size:16px">Total Credits:</label>
                            <input type="text" id="totalCredits" class="form-control" style="color:red;width:150px" readonly value="<?php echo $jr_rows['Credit'];?>" />
                        </div>
                    </td>

                </tr>
            </tbody>    
        </table>
                </div>
                <div class="panel-footer">
                    <button id = "submitInput" style="display:block" type="submit" name="submit" class="btn btn-info pull-right"><span class="fa fa-edit"></span> Update </button>
                </div>
                </form>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
<script>
let voucherCounter = 1; // Initialize the voucher counter

// Function to add a new account line
function addAccountLine() {
    const tableBody = document.querySelector('.table tbody');

    const newRow = document.createElement('tr');
    newRow.innerHTML = `
        <td style="width:25%">
            <div class="form-group">
                <div class="col-md-12 col-xs-12">
                    <select class="form-control select" name="account[]" data-live-search="true">
                        <?php
                        $cl = mysqli_query($con,"SELECT * FROM chart_master ORDER BY account_name ASC");
                        while($class = mysqli_fetch_assoc($cl)){
                        ?>
                            <option value="<?php echo $class['account_code'];?>"><?php echo $class['account_code'];?> - <?php echo $class['account_name'];?></option>
                        <?php } ?>
                    </select>
                </div>
            </div>
        </td>
        <td style="width:25%">
            <div class="form-group">
                <div class="col-md-12 col-xs-12">
                    <select class="form-control select" name="nature[]">
                        <option value="Debit">Debit</option>
                        <option value="Credit">Credit</option>
                    </select>
                </div>
            </div>
        </td>
        <td style="width:25%">
            <div class="form-group">
                <div class="col-md-12 col-xs-12">
                    <input type="text" name="amount[]" class="form-control" oninput="updateTotalAmount()" />
                </div>
            </div>
        </td>
        <td style="width:5%; background-color:#ffffff">
            <button class="btn btn-danger" onclick="removeAccountLine(this)"><i class="fa fa-trash-o"></i></button>
        </td>
    `;

    // Initialize Bootstrap Selectpicker for the newly added row
    $(newRow.querySelectorAll('.select')).selectpicker();

    // Insert new row just above the last row (the one containing "Add Line" button)
    tableBody.insertBefore(newRow, tableBody.lastElementChild);

    // Update the sum of amounts
    updateTotalAmount();
}

// Function to remove an account line
function removeAccountLine(button) {
    const row = button.closest('tr');
    row.remove();

    // Update the sum of amounts after removing the line
    updateTotalAmount();
}

// Function to update the total amounts (debit and credit)
function updateTotalAmount() {
    const amounts = document.querySelectorAll('input[name="amount[]"]');
    const natures = document.querySelectorAll('select[name="nature[]"]');
    let totalDebits = 0;
    let totalCredits = 0;

    // Loop through amounts and natures to calculate totals
    amounts.forEach((input, index) => {
        const amount = parseFloat(input.value) || 0;
        const nature = natures[index].value;
        if (nature === "Debit") {
            totalDebits += amount;
        } else if (nature === "Credit") {
            totalCredits += amount;
        }
    });

    // Format totals to display with commas
    const formattedDebits = totalDebits.toLocaleString();
    const formattedCredits = totalCredits.toLocaleString();

    // Set the total values into the inputs
    document.getElementById('totalDebits').value = formattedDebits;
    document.getElementById('totalCredits').value = formattedCredits;

    // Check if debit and credit are equal
    const totalDebitsInput = document.getElementById('totalDebits');
    const totalCreditsInput = document.getElementById('totalCredits');
    const submitInput = document.getElementById('submitInput');
    
    if (totalDebits === totalCredits) {
        // If they are equal, set a green border
        totalDebitsInput.style.borderColor = "green";
        totalCreditsInput.style.borderColor = "green";
        submitInput.style.display = "block";
    } else {
        // If they are not equal, set a red border
        totalDebitsInput.style.borderColor = "red";
        totalCreditsInput.style.borderColor = "red";
        submitInput.style.display = "none";
    }
}
    
</script>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>