                            <?php
                            require_once '../db/db.php';
                            ?>
                            <div class="col-md-9">

                            <!-- START TIMELINE -->
                            <div class="row">
                            <div class="col-md-12">
                                <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                                  <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting And Reports</a></li>
                                  <li class="active">Payment</li>
                                </ul>
                               <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h3 class="panel-title"><b>PAYMENTS</b></h3>
                                    <div class="pull-right">
                                        <a href="index.php?p=add_expense"><button class="btn btn-warning"> <span class="fa fa-plus-circle"></span> Create New Payment</button></a>
                                    </div>
                                </div>
                                <div class="panel-body" style="background: #fff">
                                  <div class="table-responsive">
                                   <table class="table table-hover datatable">
                                      <thead>
                                        <tr>
                                          <th>SN</th>
                                          <th>Date</th>
                                          <th>Reference</th>
                                          <th>Paid From</th>
                                          <th>Paid To</th>
                                          <th>Description</th>
                                          <th>Amount</th>
                                          <th>Action</th>
                                        </tr>
                                      </thead>
                                      <tbody>
                                        <?php
                                          $q = mysqli_query($con,"SELECT * FROM payment_transactions_details WHERE branch='".$_SESSION['Branch']."' AND (category ='Payment' OR category ='Cash purchase') ORDER BY date DESC");  
                                        
                                        $a = 1;
                                        while($rs = mysqli_fetch_array($q)){
                                         $payment_lines = mysqli_query($con,"SELECT SUM(amount) as total FROM payment_transactions_details_items WHERE receipt_id = '".$rs['id']."'");
                                         $rows = mysqli_fetch_array($payment_lines);
                                         $total = $rows['total'];
                                         
                                         $bank = mysqli_query($con,"SELECT * FROM bank_accounts WHERE account_code = '".$rs['bank']."'");
                                         $row = mysqli_fetch_array($bank);
                                         $bankname = $row['bank_account_name'];
                                         
                                         //getting names
                                         $uname = mysqli_query($con,"SELECT name  FROM supplier WHERE id = '".$rs['payee']."'");
                                         $uname_data = mysqli_fetch_array($uname);
                                         $name = $uname_data['name'];
                                         
                                        ?>
                                        <tr>
                                          <td><?php echo $a;?></td>
                                          <td><?php echo $rs['date'];?></td>
                                          <td>PV - <?php echo $rs['id'];?></td>
                                          <td><?php echo $bankname;?></td>
                                          <td><?php echo empty($name) ? $rs['payee'] : $name; ?></td>
                                           <td><?php echo $rs['note'];?></td>
                                          <td><?php echo number_format($rs['total'],2);?></td>
                                          <td>
                                              <a href="javascript:void(0);" onclick="deletePayment('<?php echo $rs['id']; ?>')"><span class="fa fa-trash-o"></span> Delete</a> | 
                                              <a href="accounting/payment/payment_edit_cat.php?id=<?php echo $rs['id'];?>&cat=<?php echo $rs['coming_from'];?>&ref=<?php echo $rs['reference'];?>&customer=<?php echo $rs['payee'];?>&total=<?php echo $rs['total'];?>&bank=<?php echo $rs['bank'];?>"><span class="fa fa-edit"></span> Edit</a> | 
                                              <a href="index.php?p=view_payment&id=<?php echo $rs['id'];?>&bank=<?php echo $bankname;?>&cat=<?php echo $rs['coming_from'];?>"><span class="fa fa-eye"></span> View</a> 
                                              <!--| <a href="index.php?p=payment_attachment&id=<?php echo $rs['id'];?>"><span class="fa fa-file-o"></span> Attachment</a>-->
                                          </td>
                                        </tr>
                                        <?php
                                        $a++;
                                        }
                                        ?>
                                      </tbody>
                                    </table>
                                   </div> 
                                </div>
                            </div>
                          </div>
                        </div>

                            <!-- END TIMELINE --> 
                        </div>
                        
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>
<script>
    function deletePayment(id) {
        Swal.fire({
            title: 'Are you sure?',
            text: "Do you really want to delete this payment?",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                // Redirect to the delete PHP script
                window.location.href = "accounting/payment/payment_delete.php?id=" + id;
            }
        });
    }

    // Check if delete was successful using the URL parameter
    const urlParams = new URLSearchParams(window.location.search);
    if (urlParams.get('delete_success') === '1') {
        Swal.fire({
            title: 'Deleted!',
            text: 'Payment deleted successfully.',
            icon: 'success',
            confirmButtonText: 'OK'
        }).then(() => {
            // Redirect back to the base URL after deletion
            window.location.href = "index.php?p=payments";
        });
    } else if (urlParams.get('delete_success') === '0') {
        Swal.fire({
            title: 'Error!',
            text: 'There was a problem deleting the payment.',
            icon: 'error',
            confirmButtonText: 'OK'
        }).then(() => {
            // Redirect back to the base URL even on error
            window.location.href = "index.php?p=payments";
        });
    }
</script>
