<?php
if(isset($_POST['general_ledger'])){
   $date1 = mysqli_real_escape_string($con,$_POST['date1']);
   $date2 = mysqli_real_escape_string($con,$_POST['date2']);
    // Constructing the URL with form attributes
   $redirectURL = 'index.php?p=payments&date1=' . urlencode($date1) . '&date2=' . urlencode($date2);
    // Constructing the URL with form attributes
    echo "<script>window.location='$redirectURL';</script>"; 
}
?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px;padding-top: 10px;"> 
                 <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Account Reports</a></li> 
                  <li class="active">Payment Date</li>
             </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>PAYMENT SEARCH BY DATE </b></h3>
                    <div class="pull-right">
                    <a href="index.php?p=add_expense"><button class="btn btn-warning"> <span class="fa fa-plus-circle"></span> Create New Payment</button></a>
                </div>
                </div>
                <div class="panel-body" style="background: #fff">
                    <form class="form-horizontal" action="" method="post">
                        <div class="form-group">
                    </div>
                    <div class="form-group">
                        <div class="col-md-3">From
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                                        <input type="text" class="form-control datepicker datepicker-from" value="<?php echo date('Y-m-d');?>" name="date1">          
                        </div>
                        </div>
                        <div class="col-md-3">To
                            <div class="input-group" id="currentDate">
                            <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                        <input type="text" class="form-control datepicker datepicker-to" value="<?php echo date('Y-m-d');?>" name="date2">                                            
                        </div>
                    </div>
                    </div>
                        
                </div>
                <div class="panel-footer">                                    
                  <button class="btn btn-warning pull-right" type="submit" name="general_ledger"><span class="fa fa-save"></span> Submit</button>
            </form>      
            </div>
        </div>
    </div>
    <div class="col-md-12">
                               <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h3 class="panel-title"><b>PAYMENTS</b></h3>
                                    
                                </div>
                                <div class="panel-body" style="background: #fff">
                                  <div class="table-responsive">
                                    <table class="table table-hover datatable">
                                      <thead>
                                        <tr>
                                          <th>SN</th>
                                          <th>Date</th>
                                          <th>Reference</th>
                                          <th>From</th>
                                          <th>Payee</th>
                                          <th>Amount</th>
                                          <th>Action</th>
                                        </tr>
                                      </thead>
                                      <tbody>
                                        <?php
                                          $q = mysqli_query($con,"SELECT * FROM payment WHERE branch='".$_SESSION['Branch']."' ORDER BY id DESC");  
                                        
                                        $a = 1;
                                        while($rs = mysqli_fetch_array($q)){
                                         $payment_lines = mysqli_query($con,"SELECT SUM(amount) as total FROM payment_lines WHERE payment_id = '".$rs['id']."'");
                                         $rows = mysqli_fetch_array($payment_lines);
                                         $total = $rows['total'];
                                         
                                         $bank = mysqli_query($con,"SELECT * FROM bank_accounts WHERE account_code = '".$rs['payer']."'");
                                         $row = mysqli_fetch_array($bank);
                                         $bankname = $row['bank_account_name'];
                                        ?>
                                        <tr>
                                          <td><?php echo $a;?></td>
                                          <td><?php echo $rs['date'];?></td>
                                          <td>PV - <?php echo $rs['id'];?></td>
                                          <td><?php echo $bankname;?></td>
                                          <td><?php echo $rs['payee'];?></td>
                                          <td><?php echo number_format($total,2);?></td>
                                          <td>
                                              <a onclick="confirm('Je una uhakika unataka kufuta haya malipo?');" href="delete_payment.php?id=<?php echo $rs['id'];?>"><span class="fa fa-trash-o"></span> Delete</a> | <a href="index.php?p=edit_payment&id=<?php echo $rs['id'];?>"><span class="fa fa-edit"></span> Edit</a> | <a href="index.php?p=view_payments&id=<?php echo $rs['id'];?>"><span class="fa fa-eye"></span> View</a> | <a href="index.php?p=payment_attachment&id=<?php echo $rs['id'];?>"><span class="fa fa-file-o"></span> Attachment</a>
                                          </td>
                                        </tr>
                                        <?php
                                        $a++;
                                        }
                                        ?>
                                      </tbody>
                                    </table>
                                   </div> 
                                </div>
                            </div>
                          </div>
    <!-- END TIMELINE -->
</div>
<script>
    var currentDate = new Date();
    var formattedDate = currentDate.toISOString().slice(0, 10);

    document.querySelector('.datepicker-from').value = formattedDate;
    document.querySelector('.datepicker-to').value = formattedDate;

</script>