<?php
$chart_group = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code='".$_GET['account']."'");
$rows = mysqli_fetch_array($chart_group);
$name = $rows['account_name'];

// Assuming $con is your database connection
$sql = "SELECT date, notes,transid,cat, 
        CASE WHEN nature = 'Credit' THEN amount ELSE '' END AS credit_amount,
        CASE WHEN nature = 'Debit' THEN amount ELSE '' END AS debit_amount,
        CASE WHEN nature = 'Credit' THEN account ELSE '' END AS credit_account,
        CASE WHEN nature = 'Debit' THEN account ELSE '' END AS debit_account
        FROM gl_transaction 
        WHERE account = '".$_GET['account']."' ORDER BY date DESC";

$result = mysqli_query($con, $sql);
?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">TRANSACTIONS : <span style="color:#999;font-weight:bold"><?php echo $name;?></span></h3>
                    <div class="pull-right">
                        <a href="index.php?p=transaction_view&id=<?php echo $_GET['fsli'];?>&code=<?php echo $_GET['code'];?>"><button class="btn btn-default"> <span class="fa fa-arrow-left"></span> Go Back</button></a>
                    </div>
                </div>
                <div class="panel-body" style="background: #fff">
                    <table class="table table-striped table-bordered" width="100%">
                        <tr style="font-weight:bold;color:#000">
                            <td style='width:10%'>Date</td>
                            <td style='width:20%'>Bank Account</td>
                            <td style='width:50%'>Description</td>
                            <td style='width:10%' align="right">Credit</td>
                            <td style='width:10%' align="right">Debit</td>
                        </tr>
                        <?php
                        $credit_total = 0;
                        $debit_total = 0;
                        while ($row = mysqli_fetch_assoc($result)) {
                            // Determine the bank account based on the opposite nature (credit or debit)
                            $bank_account = '';
                            if ($row['credit_amount'] != '') {
                                $bank_account_query = mysqli_query($con,"SELECT * FROM bank_accounts WHERE account_code ='".$row['debit_account']."'");
                            } elseif ($row['debit_amount'] != '') {
                                $bank_account_query = mysqli_query($con,"SELECT * FROM bank_accounts WHERE account_code ='".$row['credit_account']."'");
                            }
                            // Debugging output for bank account queries
                            if (!$bank_account_query) {
                                die("Error in bank account query: " . mysqli_error($con));
                            }
                            $rs = mysqli_fetch_array($bank_account_query);
                            $accname = $rs['bank_account_name'];
                        ?>
                        <tr>
                            <td><?php echo $row['date'];?></td>
                            <td><?php echo $accname;?></td>
                            <td><?php echo $row['notes'];?></td>
                            <td align="right"><a href="index.php?p=transaction_account_debit_credit&id=<?php echo $row['transid'];?>&cat=<?php echo $row['cat'];?>"><?php echo number_format($row['credit_amount'],2);?></a></td>
                            <td align="right"><a href="index.php?p=transaction_account_debit_credit&id=<?php echo $row['transid'];?>&cat=<?php echo $row['cat'];?>"><?php echo number_format($row['debit_amount'],2);?></a></td>
                        </tr>
                        <?php
                        $credit_total += $row['credit_amount'];
                        $debit_total += $row['debit_amount'];
                        if($_GET['code'] == 1){
                          $net = $debit_total-$credit_total;  
                        }else{
                          $net = $credit_total-$debit_total;   
                        }
                        }
                        ?>
                        <tr style="font-weight:bold;">
                            <td></td>
                            <td></td>
                            <td align="right">Total</td>
                            <td align="right"><?php echo number_format($credit_total,2);?></td>
                            <td align="right"><?php echo number_format($debit_total,2);?></td>
                        </tr>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td align="right" style="font-weight:bold;color:#000">Net Balance</td>
                            <td align="right" style="font-weight:bold;color:#000"><?php echo number_format($net,2);?></td>
                        </tr>
                    </table>   
                </div>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>