                               <?php
                            // Calculate today's total sales
                            $today = date('Y-m-d');
                            $query = "SELECT * FROM invoices WHERE invoice_date = '$today' AND branchno='" . $_SESSION['Branch'] . "' AND status IN ('Sales Invoice','Cash Receipt')";
                            $result = mysqli_query($con, $query);
                            $total_sales_today = 0;
                            $sales_data = [];
                            while ($row = mysqli_fetch_assoc($result)) {
                                $total_sales_today += $row['total_amount'];
                                $sales_data[] = $row;
                            }
                            $total_sales_today = $total_sales_today;
                            
                          
                                        
                    // Calculate today's total receivables
                            $today = date('Y-m-d');
                            $query = "SELECT * FROM invoices WHERE invoice_date = '$today' AND branchno='" . $_SESSION['Branch'] . "' AND status='Sales Invoice'";
                            $result = mysqli_query($con, $query);
                            $total_receivable_today = 0;
                            $sales_data = [];
                            while ($row = mysqli_fetch_assoc($result)) {
                                $total_notreceivable_today += $row['due'];
                                $sales_data[] = $row;
                            }
                            $total_notreceivable_today = number_format($total_notreceivable_today, 2);
                    
                        // Calculate today's unique customers
                            $today = date("Y-m-d");
                            $unique_customers_query = mysqli_query($con, "SELECT COUNT(DISTINCT customer_id) AS unique_customers FROM invoices WHERE branchno='".$_SESSION['Branch']."' AND status='Sales Invoice' AND DATE(invoice_date)='$today'");
                            $unique_customers_row = mysqli_fetch_assoc($unique_customers_query);
                            $unique_customers_today = $unique_customers_row['unique_customers'];
                        
                        // Calculate Total Sales to Date
                              $sales = mysqli_query($con,"SELECT * FROM invoices, ngm_customer WHERE id = customer_id AND branchno='".$_SESSION['Branch']."' AND status='Sales Invoice'");  
                            
                              $total_sales = 0; // Initialize total sales
                            
                              foreach ($sales as $rs) {
                                  $total_sales += $rs['total_amount']; // Accumulate total sales
                              }
                        
                        
                                // Calculate today's total payment
                                $today = date("Y-m-d");
                                $today_total_payment_query = mysqli_query($con, "SELECT SUM(amount) AS total_payment FROM payment WHERE branch='".$_SESSION['Branch']."' AND date='$today'");
                                $today_total_payment_row = mysqli_fetch_assoc($today_total_payment_query);
                                $total_payment_today = $today_total_payment_row['total_payment'];
                        
                                // Calculate total payment for all payments
                                $total_payment_all_query = mysqli_query($con, "SELECT SUM(amount) AS total_payment_all FROM payment WHERE branch='".$_SESSION['Branch']."'");
                                $total_payment_all_row = mysqli_fetch_assoc($total_payment_all_query);
                                $total_payment_all = $total_payment_all_row['total_payment_all'];
                                
                              // Chart
                        $sales = mysqli_query($con, "SELECT * FROM invoices WHERE branchno='" . $_SESSION['Branch'] . "' AND status='Sales Invoice'");
                        $sales_data = array_fill(1, 12, 0);  // Initialize an array to hold monthly sales totals
                        
                        foreach ($sales as $rs) {
                            $date = new DateTime($rs['invoice_date']);
                            $month = (int) $date->format('m');
                            $sales_data[$month] += $rs['total_amount'];
                        }
                        
                        $sales_data_json = json_encode(array_values($sales_data));  // Convert to JSON for JavaScript

                           
                      ?>
                            
                         <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>   
                            
                            <div class="col-md-9">

                            <!-- START TIMELINE -->
                         <div class="row">
                          <div class="col-md-12">
                               <?php
                               $date1 = 01-01-date('Y');
                               $date2 = date('Y-m-d');
                               ?>
                               <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h3 class="panel-title" style="font-weight:bold">DASHBOARD</h3>
                                </div>
                                <div class="panel-body" style="background: #fff">
                                  <div class="row">

                                      <div class="col-md-6">
                                          <div class="row">
                                          <div class="panel panel-default">
                                            <br/>
                                          <h4 style="color:#000;">BALANCE SHEET <span style="color:#999;padding-left:10px, font-weight: bold">AS OF DATE <?php echo date('d-m-Y');?> </Php></span></h4><hr/>
                                          <h5 style="color:#000;">ASSET</h5>
                                          <table class="table" style="font-size:13px">
                                              <?php
                                             $list = mysqli_query($con, "SELECT fsli, SUM(CASE WHEN nature = 'debit' THEN amount ELSE 0 END) AS total_debit, SUM(CASE WHEN nature = 'credit' THEN amount ELSE 0 END) AS total_credit FROM gl_transaction WHERE maingroup='Asset' GROUP BY fsli");

                                             $sum=0;
                                              foreach($list as $rows):
                                                  $chart_master = mysqli_query($con,"SELECT nameeng FROM chart_types WHERE id = '".$rows['fsli']."'");
                                           $row = mysqli_fetch_array($chart_master);
                                              ?>
                                              <tr>
                                                  <td>
                                                  <a style="color:#000;"><?php echo $row['nameeng'];?></a> 
                                                  </td>
                                                  <td align="right">
                                                      <a href="index.php?p=transaction_view&id=<?php echo $rows['fsli'];?>&code=1">
                                                  <?php echo number_format($rows['total_debit']-$rows['total_credit'],2);?></a>
                                                  </td>
                                                  </tr>
                                              <?php
                                              $sum = $sum + $rows['total_debit']-$rows['total_credit'];
                                              endforeach;
                                              ?>
                                              <tr bgcolor="#f5f5f5">
                                                      <td>TOTAL ASSETS</td>
                                                  <td align="right"><?php echo number_format($sum,2);?></td>
                                                  </tr>
                                              </table>
                                             <h5 style="color:#000;">EQUITY</h5> 
                                            <table class="table" style="font-size:13px">
                                              <?php
                                             $list = mysqli_query($con, "SELECT fsli, SUM(CASE WHEN nature = 'debit' THEN amount ELSE 0 END) AS total_debit, SUM(CASE WHEN nature = 'credit' THEN amount ELSE 0 END) AS total_credit FROM gl_transaction WHERE maingroup='Equity' GROUP BY fsli");

                                             $sum2=0;
                                              foreach($list as $rows):
                                                  $chart_master = mysqli_query($con,"SELECT nameeng FROM chart_types WHERE id = '".$rows['fsli']."'");
                                           $row = mysqli_fetch_array($chart_master);
                                              ?>
                                              <tr>
                                                  <td>
                                                  <a style="color:#000;"><?php echo $row['nameeng'];?></a> 
                                                  </td>
                                                  <td align="right">
                                                      <a href="index.php?p=transaction_view&id=<?php echo $rows['fsli'];?>&code=2">
                                                  <?php echo number_format($rows['total_credit']-$rows['total_debit'],2);?></a>
                                                  </td>
                                                  </tr>
                                              <?php
                                              $sum2 = $sum2 + $rows['total_credit']-$rows['total_debit'];
                                              endforeach;
                                              ?>
                                              <tr>
                                                  <?php
                                                  $ret = mysqli_query($con, "SELECT 
                                COALESCE(SUM(CASE WHEN maingroup = 'Revenue' THEN amount ELSE 0 END), 0) AS Total_Revenue,
                                COALESCE(SUM(CASE WHEN maingroup = 'Expense' THEN amount ELSE 0 END), 0) AS Total_Expense,
                                COALESCE(SUM(CASE WHEN maingroup = 'Revenue' THEN amount ELSE 0 END), 0) - 
                                    COALESCE(SUM(CASE WHEN maingroup = 'Expense' THEN amount ELSE 0 END), 0) AS Retained_Earnings
                            FROM 
                                gl_transaction");
                                     $rs = mysqli_fetch_array($ret);
                                     $retained_earnings = $rs['Retained_Earnings'];
                                                  ?>
                                                  <td>
                                                  <a style="color:#000;">Profit/Loss</a> 
                                                  </td>
                                                  <td align="right">
                                                      <a>
                                                          <?php echo number_format($retained_earnings,2);?>
                                                  </a>
                                                  </td>
                                                  </tr>
                                              <tr bgcolor="#f5f5f5">
                                                  <td>TOTAL</td>
                                                  <td align="right"><?php echo number_format($sum2+$retained_earnings,2);?></td>
                                                  </tr>
                                              </table>
                                          <h5 style="color:#000;">LIABILITY</h5> 
                                            <table class="table" style="font-size:13px">
                                              <?php
                                             $list = mysqli_query($con, "SELECT fsli, SUM(CASE WHEN nature = 'debit' THEN amount ELSE 0 END) AS total_debit, SUM(CASE WHEN nature = 'credit' THEN amount ELSE 0 END) AS total_credit FROM gl_transaction WHERE maingroup='Liability' GROUP BY fsli");
                                             $sum1=0;
                                              foreach($list as $rows):
                                                  $chart_master = mysqli_query($con,"SELECT nameeng FROM chart_types WHERE id = '".$rows['fsli']."'");
                                           $row = mysqli_fetch_array($chart_master);
                                              ?>
                                              <tr>
                                                  <td>
                                                  <a style="color:#000;"><?php echo $row['nameeng'];?></a> 
                                                  </td>
                                                  <td align="right">
                                                      <a href="index.php?p=transaction_view&id=<?php echo $rows['fsli'];?>&code=2">
                                                  <?php echo number_format($rows['total_credit']-$rows['total_debit'],2);?></a>
                                                  </td>
                                                  </tr>
                                              <?php
                                              $sum1 = $sum1 + $rows['total_credit']-$rows['total_debit'];
                                              endforeach;
                                              ?>
                                              <tr bgcolor="#f5f5f5">
                                                  <td>TOTAL</td>
                                                  <td align="right"><?php echo number_format($sum1,2);?></td>
                                                  </tr>
                                                                                                    <tr bgcolor="#f5f5f5">
                                                      <td>TOTAL EQUITY & LIABILITY</td>
                                                  <td align="right"><?php echo number_format($sum2+$sum1+$retained_earnings,2);?></td>
                                                  </tr>
                                              </table>
                                      </div>
                                      </div>
                                      </div>
                                      <!--PROFIT LOSS-->
                                       <div class="col-md-6">
                                           <div class="row">
                                           <div class="panel panel-default">
                                               <br/>
                                          <h4 style="color:#000;">PROFIT & LOSS <span style="color:#999">01-01-<?php echo date('Y');?> TO <?php echo date('d-m-Y');?></span></h4><hr/>
                                          <h5 style="color:#000;">REVENUE</h5>
                                          <table class="table" style="font-size:13px">
                                              <?php
                                             $listrev = mysqli_query($con, "SELECT fsli, SUM(amount) AS total FROM gl_transaction WHERE maingroup='Revenue' AND date BETWEEN '$date1' AND '$date2'   GROUP BY fsli");

                                             $sumrev=0;
                                              foreach($listrev as $rows):
                                                  $chart_master = mysqli_query($con,"SELECT nameeng FROM chart_types WHERE id = '".$rows['fsli']."'");
                                             $row = mysqli_fetch_array($chart_master);
                                              ?>
                                              <tr>
                                                  <td>
                                                  <a style="color:#000;"><?php echo $row['nameeng'];?></a> 
                                                  </td>
                                                  <td align="right">
                                                      <a href="index.php?p=transaction_view&id=<?php echo $rows['fsli'];?>&code=2">
                                                  <?php echo number_format($rows['total'],2);?></a>
                                                  </td>
                                              </tr>
                                              <?php
                                              $sumrev += $rows['total'];
                                              endforeach;
                                              ?>
                                              <tr bgcolor="#f5f5f5">
                                                      <td>TOTAL</td>
                                                  <td align="right"><?php echo number_format($sumrev,2);?></td>
                                               </tr>
                                             </table>
                                             <h5 style="color:#000;">COST OF GOODS SOLD</h5>
                                             <table class="table" style="font-size:13px">
                                              <?php
                                             $listcogs = mysqli_query($con, "SELECT fsli, SUM(amount) AS total FROM gl_transaction WHERE maingroup='Expense' AND fsli = 23 AND date BETWEEN '$date1' AND '$date2'   GROUP BY fsli");

                                             $sumcosg=0;
                                              foreach($listcogs as $rows):
                                                  $chart_master = mysqli_query($con,"SELECT nameeng FROM chart_types WHERE id = '".$rows['fsli']."'");
                                               $row = mysqli_fetch_array($chart_master);
                                              ?>
                                              <tr>
                                                  <td>
                                                  <a style="color:#000;"><?php echo $row['nameeng'];?></a> 
                                                  </td>
                                                  <td align="right">
                                                      <a href="index.php?p=transaction_view&id=<?php echo $rows['fsli'];?>&code=1">
                                                  <?php echo number_format($rows['total'],2);?></a>
                                                  </td>
                                              </tr>
                                              <?php
                                                $sumcosg += $rows['total'];
                                              endforeach;
                                              ?>
                                              <tr bgcolor="#f5f5f5">
                                                      <td>TOTAL</td>
                                                  <td align="right"><?php echo number_format($sumcosg,2);?></td>
                                               </tr>
                                               <tr bgcolor="#f5f5f5">
                                                      <td>GROSS PROFIT</td>
                                                  <td align="right"><?php echo number_format($sumrev-$sumcosg,2);?></td>
                                               </tr>
                                             </table>
                                            <h5 style="color:#000;"><u>LESS</u> EXPENSES</h5> 
                                            <table class="table" style="font-size:13px">
                                              <?php
                                             $list = mysqli_query($con, "SELECT fsli, SUM(amount) AS total FROM gl_transaction WHERE maingroup='Expense' AND fsli NOT IN(23) AND date BETWEEN '$date1' AND '$date2'   GROUP BY fsli");

                                             $sum2=0;
                                              foreach($list as $rows):
                                                  $chart_master = mysqli_query($con,"SELECT nameeng FROM chart_types WHERE id = '".$rows['fsli']."'");
                                              $row = mysqli_fetch_array($chart_master);
                                              ?>
                                              <tr>
                                                  <td>
                                                  <a style="color:#000;"><?php echo $row['nameeng'];?></a> 
                                                  </td>
                                                  <td align="right">
                                                      <a href="index.php?p=transaction_view&id=<?php echo $rows['fsli'];?>&code=1">
                                                  <?php echo number_format($rows['total'],2);?></a>
                                                  </td>
                                                  </tr>
                                              <?php
                                              $sum2 = $sum2 + $rows['total'];
                                              endforeach;
                                              ?>
                                              <tr bgcolor="#f5f5f5">
                                                      <td>TOTAL</td>
                                                  <td align="right"><?php echo number_format($sum2,2);?></td>
                                                  </tr>
                                                <tr bgcolor="#f5f5f5">
                                                      <td>NET PROFIT/LOSS</td>
                                                  <td align="right"><?php echo number_format($sumrev-$sumcosg-$sum2,2);?></td>
                                                  </tr>  
                                          </table>
                                      </div> 
                                      </div>
                                      </div>
                                     
                                     <div class="col-md-12">
                        <div class="row">
                                <div class="panel panel-default">
                                    
                                    <div class="panel-body" style="background: #fff">
                                        <div>
                                            <h3 style="color:rgb(45, 40, 96)">Monthly Sales Report</h3>
                                            <canvas id="salesChart" style="background:#e5e3e0; color:#000"></canvas>
                                        <br/>
                                        </div>
                                    </div>
                                </div>
                        </div>
                    </div>
                    
                
                    <script>
                        (function() {
                            document.addEventListener('DOMContentLoaded', function() {
                                var ctx = document.getElementById('salesChart').getContext('2d');
                                var salesData = <?php echo $sales_data_json; ?>;  // Inject PHP data into JavaScript
                
                                new Chart(ctx, {
                                    type: 'bar',
                                    data: {
                                        labels: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'],
                                        datasets: [{
                                            label: 'Monthly Sales',
                                            data: salesData,
                                            backgroundColor: 'rgb(45, 40, 96)',
                                            borderColor: 'rgba(54, 162, 235, 1)',
                                            borderWidth: 1
                                        }]
                                    },
                                    options: {
                                        scales: {
                                            y: {
                                                beginAtZero: true
                                            }
                                        }
                                    }
                                });
                            });
                        })();
                    </script>
                                      
             
<?php
$expenses = [];
$branch=$_SESSION['Branch'];
$list = mysqli_query($con, "SELECT fsli, SUM(amount) AS total FROM gl_transaction WHERE maingroup='Expense' AND date BETWEEN '$date1' AND '$date2' AND branchno='$branch' GROUP BY fsli");
$sum2 = 0;

foreach($list as $rows) {
    $chart_master = mysqli_query($con, "SELECT nameeng FROM chart_types WHERE id = '".$rows['fsli']."'");
    $row = mysqli_fetch_array($chart_master);
    $expenses[] = [
        'name' => $row['nameeng'],
        'total' => $rows['total']
    ];
    $sum2 += $rows['total'];
}
?>                

    
    
    <?php

// Fetch total revenue data grouped by month for the current year
$branch=$_SESSION['Branch'];
$revenueQuery = mysqli_query($con, "
    SELECT MONTH(date) as month, SUM(amount) AS total 
    FROM gl_transaction 
    WHERE maingroup='Revenue' AND YEAR(date) = YEAR(CURDATE()) AND branchno='$branch'
    GROUP BY MONTH(date)
");

$revenueData = [];
while ($row = mysqli_fetch_assoc($revenueQuery)) {
    $revenueData[(int)$row['month']] = $row['total'];
}

// Fetch total expenses data grouped by month for the current year

$expenseQuery = mysqli_query($con, "
    SELECT MONTH(date) as month, SUM(amount) AS total 
    FROM gl_transaction 
    WHERE maingroup='Expense' AND YEAR(date) = YEAR(CURDATE()) AND branchno='$branch'
    GROUP BY MONTH(date)
");

$expenseData = [];
while ($row = mysqli_fetch_assoc($expenseQuery)) {
    $expenseData[(int)$row['month']] = $row['total'];
}

// Prepare data for Chart.js
$months = range(1, 12);
$revenue = array_map(function($month) use ($revenueData) {
    return isset($revenueData[$month]) ? $revenueData[$month] : 0;
}, $months);
$expenses = array_map(function($month) use ($expenseData) {
    return isset($expenseData[$month]) ? $expenseData[$month] : 0;
}, $months);
?>

                        <div class="col-md-12">
                        <div class="row">
                                <div class="panel panel-default">
                                    
                                    <div class="panel-body" style="background: #fff">
                                        <div>
                                            <h3 style="color:rgb(45, 40, 96)">Revenue VS Expenses</h3>
                                           <canvas id="revenueExpensesChart" width="400" height="200" style="background-color: #e2f0f3;"></canvas>
                                        <br/>
                                        </div>
                                    </div>
                                </div>
                        </div>
                    </div>
                    
                    <script>
        document.addEventListener("DOMContentLoaded", function() {
            const months = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
            const revenue = <?php echo json_encode(array_values($revenue)); ?>;
            const expenses = <?php echo json_encode(array_values($expenses)); ?>;

            const ctx = document.getElementById('revenueExpensesChart').getContext('2d');
            const chart = new Chart(ctx, {
                type: 'bar',
                data: {
                    labels: months,
                    datasets: [
                        {
                            label: 'Total Revenue (TZS)',
                            data: revenue,
                            backgroundColor: 'rgba(54, 162, 235, 0.2)',
                            borderColor: 'rgba(54, 162, 235, 1)',
                            borderWidth: 1,
                            type: 'bar'
                        },
                        {
                            label: 'Total Expenses (TZS)',
                            data: expenses,
                            backgroundColor: 'rgba(255, 99, 132, 0.2)',
                            borderColor: 'rgba(255, 99, 132, 1)',
                            borderWidth: 1,
                            type: 'line',
                            fill: false,
                            tension: 0.1
                        }
                    ]
                },
                options: {
                    responsive: true,
                    scales: {
                        y: {
                            beginAtZero: true
                        }
                    },
                    plugins: {
                        legend: {
                            position: 'top',
                        },
                        tooltip: {
                            callbacks: {
                                label: function(context) {
                                    let label = context.dataset.label || '';
                                    if (label) {
                                        label += ': ';
                                    }
                                    if (context.raw !== null) {
                                        label += 'TZS ' + context.raw.toLocaleString();
                                    }
                                    return label;
                                }
                            }
                        }
                    }
                }
            });
        });
    </script>


<?php

// Fetch top 10 selling products
$stmt = $pdo->prepare("
    SELECT p.Name, SUM(ii.quantity) AS total_quantity
    FROM product p
    JOIN invoice_items ii ON p.ProductId = ii.product_id
    WHERE p.Branch = :branch AND p.Category = :category
    GROUP BY p.Name
    ORDER BY total_quantity DESC
    LIMIT 10
");
$stmt->execute([
    ':branch' => $_SESSION['Branch'],
    ':category' => 'Product'
]);
$products = $stmt->fetchAll(PDO::FETCH_ASSOC);

$productNames = array_column($products, 'Name');
$productQuantities = array_column($products, 'total_quantity');
?>


                    <div class="col-md-12">
                        <div class="row">
                                <div class="panel panel-default">
                                    
                                    <div class="panel-body" style="background: #fff">
                                        <div>
                                            <h3 style="color:rgb(45, 40, 96)">Top 10 Selling Products</h3>
                                           <canvas id="topSellingProductsChart" width="400" height="200" style="background-color: #e1dbdb;"></canvas>
                                        <br/>
                                        </div>
                                    </div>
                                </div>
                        </div>
                    </div>
                    
                    <script>
                document.addEventListener("DOMContentLoaded", function() {
                    const productNames = <?php echo json_encode($productNames); ?>;
                    const productQuantities = <?php echo json_encode($productQuantities); ?>;

                    const ctx = document.getElementById('topSellingProductsChart').getContext('2d');
                    const chart = new Chart(ctx, {
                        type: 'bar',
                        data: {
                            labels: productNames,
                            datasets: [{
                                label: 'Quantity Sold',
                                data: productQuantities,
                                backgroundColor: 'rgba(102, 124, 74,1)',
                                borderColor: 'rgba(54, 162, 235, 1)',
                                borderWidth: 1
                            }]
                        },
                        options: {
                            responsive: true,
                            scales: {
                                y: {
                                    beginAtZero: true
                                }
                            },
                            plugins: {
                                legend: {
                                    position: 'top',
                                },
                                tooltip: {
                                    callbacks: {
                                        label: function(context) {
                                            return context.dataset.label + ': ' + context.raw.toLocaleString();
                                        }
                                    }
                                }
                            }
                        }
                    });
                });
            </script>
                                  </div>      
                                </div>
                            </div>
                          </div>
                        </div>


                            <!-- END TIMELINE -->                            
                            
                        </div>
                        
                        <script>
                        function updateDateTime() {
                            const now = new Date();
                            const formattedDate = now.toLocaleString('default', { year: 'numeric', month: 'long', day: 'numeric' });
                            const formattedTime = now.toLocaleTimeString();
                            document.getElementById('currentDateTime').textContent = `${formattedDate} ${formattedTime}`;
                        }
                    
                        setInterval(updateDateTime, 1000);
                        updateDateTime();
                    </script>
