<?php
session_start();
require_once '../db/db.php';

// Check if the user is authenticated and the 'Branch' session variable is set
if (!isset($_SESSION['Branch'])) {
    echo "<script> alert('Unauthorized access!'); window.location='index.php?p=supplier'; </script>";
    exit();
}

// Check if deleteid is set and not empty
if (isset($_GET['deleteid']) && !empty($_GET['deleteid'])) {
    // Sanitize the deleteid to prevent SQL injection
    $deleteidd = mysqli_real_escape_string($con, $_GET['deleteid']);
    
    $deleteid = decrypt($deleteidd,$encryption_key,$encryption_method);
    // Prepare and execute the delete query
    $query = "DELETE FROM supplier WHERE id = '$deleteid'";
    $q = mysqli_query($con, $query);

    // Check if the query was successful
    if ($q) {
        echo "<script> 
                alert('Supplier Deleted successfully!');
                window.location='index.php?p=supplier';
              </script>";
    } else {
        // Output the MySQL error if the query fails
        echo "<script> 
                alert('Error deleting supplier: Supplier has outstanding invoices.!');
                window.location='index.php?p=supplier';
              </script>";
    }
} else {
    echo "<script> 
            alert('Invalid request!');
            window.location='index.php?p=supplier';
          </script>";
}
?>
