<?php
require_once '../db/db.php'; // Adjust the path as necessary
$assetid = $_GET['id'];
if(isset($_POST['submit'])){
    $dateDisposed = mysqli_real_escape_string($con,$_POST['dateDisposed']);
    $disposalPrice = mysqli_real_escape_string($con,$_POST['disposalPrice']);
    $bankAccount = mysqli_real_escape_string($con,$_POST['bankAccount']);
    $reasonForDisposal = mysqli_real_escape_string($con,$_POST['reasonForDisposal']);

    $sql = "INSERT INTO dispose (Date_Disposed, Disposal_Price, Bank_Account, Reason, Asset_Id)
            VALUES ('$dateDisposed', '$disposalPrice', '$bankAccount', '$reasonForDisposal','$assetid')";
    
    if (mysqli_query($con, $sql)) { // Changed $conn to $con
        $err = "<div class='alert alert-success' role='alert'>
                    <button type='button' class='close' data-dismiss='alert'><span aria-hidden='true'>&times;</span><span class='sr-only'>Close</span></button>
                    <strong>Well done!</strong> Data inserted successfully.
                </div>";
    } else {
        echo "Error: " . $sql . "<br>" . mysqli_error($con); // Changed $conn to $con
    }

    // Close database connection
    mysqli_close($con);
}
?>

<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-9">
            <?php if(isset($err)) { echo $err; } ?>
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting</a></li>
                <li><a href="fixed_asset_tab.php" style="color: rgb(7, 133, 164)">fixed Asset</a></li>
                <li class="active">Asset Valuation Report</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Asset Valuation Report</b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
                    <form class="form-horizontal" action="" method="post">
                        		<div class="form-group">
													<label for="description">Description:</label>
													<input type="text" class="form-control" id="description" name="description" value="Asset Valuation Report">
												</div>
												<div class="form-group">
													<label for="fromDate">From Date:</label>
													<input type="text" class="form-control datepicker" id="fromDate" name="fromDate">
												</div>
												<div class="form-group">
													<label for="toDate">To Date:</label>
													<input type="text" class="form-control datepicker" id="toDate" name="toDate">
												</div>
												<div class="form-group">
													<label for="branch">Branch:</label>
													<select class="form-control" id="branch" name="branch">
														<option value="all">All</option>
														<option value="Branch 1">Branch 1</option>
														<option value="Branch 2">Branch 2</option>
														<!-- Add more branch options as needed -->
													</select>
												</div>
					<div class="modal-footer">
				<button type="button" class="btn btn-primary" id="generateReportBtn">Run Report</button>
			</div>
            </form>      
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
