<?php
require_once '../db/connect.php';

$role_id = $_GET['role_id'] ?? null;

if ($role_id) {
    $stmt = $pdo->prepare("
        SELECT p.id, p.permission_name, 
               CASE WHEN rp.role_id IS NOT NULL THEN 1 ELSE 0 END AS assigned
        FROM permissions p
        LEFT JOIN role_permissions rp 
        ON p.id = rp.permission_id AND rp.role_id = ?
    ");
    $stmt->execute([$role_id]);
    $permissions = $stmt->fetchAll(PDO::FETCH_ASSOC);

    echo json_encode(['permissions' => $permissions]);
}
?>
