<?php
session_start();
    include "../db/db.php";
    include "../db/connection.php";
    require_once '../db/connect.php';
    require_once 'encode_decode/randomString.php';
    include "../header/header.php";

if (isset($_POST['sb'])) {
    $branch = mysqli_real_escape_string($con, $_POST['branch']);
    $_SESSION['Branch'] = $branch;
    header('Location: ../pages/index.php?p=dashboard');

}

$pages = array(
    
    //-----Sales files-----
    'sales' => 'sales/sales.php',
    'report' => 'sales/report.php',
    'report_daily_view' => 'sales/report_daily_view.php',
    'daily_report' => 'sales/daily_report.php',
    'sales_receipt' => 'sales/sales_receipt.php',
    'sales_new_service' => 'sales/sales_new_service.php',
    'sales_invoice' => 'sales/sales_invoice.php',
    'sales_customer_receipt_edit' => 'sales/sales_customer_receipt_edit.php',
    'sales_invoice_add' => 'sales/sales_invoice_add.php',
    'sales_profoma_invoice' => 'sales/sales_profoma_invoice.php',
    'sales_cash_add' => 'sales/sales_receipt_add.php',
    'sales_profoma_add' => 'sales/sales_profoma_add.php',
    'sales_profoma_edit' => 'sales/sales_profoma_edit.php',
    'sales_profoma' => 'sales/sales_profoma.php',
    'sales_pos_edit' => 'sales/sales_pos_edit.php',
    'sales_profoma_items' => 'sales/sales_profoma_items.php',
	 'sales_order_add' => 'sales/sales_order_add.php',
	 'sales_order_edit'=>'sales/sales_order_edit.php',
    'sales_order' => 'sales/sales_order.php',
    'sales_pos' => 'sales/sales_pos.php',
    'sales_pos_edit' => 'sales/sales_pos_edit.php',
    'sales_pos_items' => 'sales/sales_pos_items.php',
    'sales_pos_report' => 'sales/sales_pos_report.php',
    'sales_pos_report_view' => 'sales/sales_pos_report_view.php',
    'sales_cash_receipt_items' => 'sales/sales_cash_receipt_items.php',
    'sales_order_items' => 'sales/sales_order_items.php',
    'sales_executif_report' => 'sales/sales_executif_report.php',
    'sales_executif' => 'sales/sales_executif.php',
    'sales_report' => 'sales/sales_report.php',
    'sales_delivery_items' => 'sales/sales_delivery_items.php',
    'sales_report_view' => 'sales/sales_report_view.php',
    'sales_item_report' => 'sales/sales_item_report.php',
    'sales_item_report_view' => 'sales/sales_item_report_view.php',
    'sales_invoice_total_customer' => 'sales/sales_invoice_total_customer.php',
    'sales_invoice_total_customer_report' => 'sales/sales_invoice_total_customer_report.php',
    'sales_customer_unpaid_invoices' => 'sales/sales_customer_unpaid_invoices.php',
    'sales_customer_unpaid_invoices_report' => 'sales/sales_customer_unpaid_invoices_report.php',
    'sales_customer_invoices' => 'sales/sales_customer_invoices.php',
    'sales_invoice_total_item' => 'sales/sales_invoice_total_item.php',
    'sales_profoma_order' => 'sales/sales_profoma_order.php',
    'sales_delivery_invoice' => 'sales/sales_delivery_invoice.php',
    'sales_invoice_total_item_report' => 'sales/sales_invoice_total_item_report.php',
    'sales_item_invoices' => 'sales/sales_item_invoices.php',
    'sales_customer_transactions' => 'sales/sales_customer_transactions.php',
    'sales_customer_transactions_report' => 'sales/sales_customer_transactions_report.php',
    'sales_customer_summary' => 'sales/sales_customer_summary.php',
    'sales_customer_summary_report' => 'sales/sales_customer_summary_report.php',
    'customers' => 'sales/customer.php',
    'new_customer' => 'sales/add_customers.php',
    'edit_customer' => 'sales/edit_customer.php',
    'customer_info' => 'sales/customer_info.php',
    'holding_tax' => 'sales/holding_tax.php',
    'sales_items' => 'sales/sales_items.php',
    'receipt_double_entry' => 'sales/receipt_double_entry.php',
    'sales_customer_receipt_create' => 'sales/sales_customer_receipt_create.php',
    'sales_invoice_edit' => 'sales/sales_invoice_edit.php',
    'sales_invoice_balance' => 'sales/sales_invoice_balance.php',
    'sales_cash_receipt' => 'sales/sales_cash_receipt.php',
    'sales_receipt_edit' => 'sales/sales_receipt_edit.php',
    'customer_aged' => 'sales/customer_aged.php',
    'customer_aged_report' => 'sales/customer_aged_report.php',
    'sales_delivery' => 'sales/sales_delivery.php',
    'sale_credit_add' => 'sales/sale_credit_add.php',
    'sale_credit_note' => 'sales/sale_credit_note.php',
    'sales_invoice_order' => 'sales/sales_invoice_order.php',
    'sales_customer_balance' => 'sales/sales_customer_balance.php',
    'sales_customer_balance_report' => 'sales/sales_customer_balance_report.php',
    'sales_delivery_add' => 'sales/sales_delivery_add.php',
    'sales_delivery_edit' => 'sales/sales_delivery_edit.php',

    
    //------purchases Files-----
    
    'purchase_supplier_summary' => 'purchases/purchase_supplier_summary.php',
    'purchase_supplier_summary_report' => 'purchases/purchase_supplier_summary_report.php',
    'purchases_supplier_invoices' => 'purchases/purchases_supplier_invoices.php',
    'supplier_aged' => 'purchases/supplier_aged.php',
    'supplier_aged_report' => 'purchases/supplier_aged_report.php',
    'purchase_supplier_payment_edit' => 'purchases/purchase_supplier_payment_edit.php',
    'purchase_order' => 'purchases/purchase_order.php',
    'purchase_cash_view' => 'purchases/purchase_cash_view.php',
    'purchase_profoma_invoice' => 'purchases/purchase_profoma_invoice.php',
    'purchase_received_order' => 'purchases/purchase_received_order.php',
    'purchase_order_add' => 'purchases/purchase_order_add.php',
    'purchase_order_edit' => 'purchases/purchase_order_edit.php',
    'purchase_order_received' => 'purchases/purchase_order_received.php',
    'purchase_order_invoice' => 'purchases/purchase_order_invoice.php',
    'purchase_grn' => 'purchases/purchase_grn.php',
    'purchase_grn_add' => 'purchases/purchase_grn_add.php',
    'purchase_grn_edit' => 'purchases/purchase_grn_edit.php',
    'purchase_grn_view' => 'purchases/purchase_grn_view.php',
    'purchase_grn_invoice' => 'purchases/purchase_grn_invoice.php',
    'purchase_analysis_report' => 'purchases/purchase_analysis_report.php',
    'purchase_analysis' => 'purchases/purchase_analysis.php',
    'purchase_print' => 'purchases/purchase_print.php',
    'purchases' => 'purchases/purchases.php',
    'purchases_list' => 'purchases/purchases_list.php',
    'purchase_new' => 'purchases/purchase_new.php',
    'purchase_cash' => 'purchases/purchase_cash.php',
    'purchase_items' => 'purchases/purchase_items.php',
    'purchase_edit' => 'purchases/purchase_edit.php',
    'purchase_supplier_unpaid_invoices_report' => 'purchases/purchase_supplier_unpaid_invoices_report.php',
    'purchase_supplier_unpaid_invoices' => 'purchases/purchase_supplier_unpaid_invoices.php',
    'purchases_report_view' => 'purchases/purchases_report_view.php',
    'supplier_transactions_report' => 'purchases/purchase_supplier_transactions_report.php',
    'purchase_by_supplier' => 'purchases/purchase_by_supplier.php',
    'purchases_report' => 'purchases/purchases_report.php',
    'purchase_supplier_transactions' => 'purchases/purchase_supplier_transactions.php',
    'supplier_transactions' => 'purchases/purchase_supplier_transactions.php',
    'purchase_by_supplier_report' => 'purchases/purchase_by_supplier_report.php',
    'edit_supplier' => 'purchases/supplier_edit.php',
    'supplier' => 'purchases/suppliers.php',
    'supplier_add' => 'purchases/supplier_add.php',
    'cash_purchase_view' => 'purchases/cash_purchase_view.php',
    'cash_purchase_edit' => 'purchases/cash_purchase_edit.php',
    'purchase_profoma' => 'purchases/purchase_profoma.php',
    'purchase_profoma_add' => 'purchases/purchase_profoma_add.php',
    'purchase_profoma_edit' => 'purchases/purchase_profoma_edit.php',
    'purchase_profoma_order' => 'purchases/purchase_profoma_order.php',
    'purchase_profoma_view' => 'purchases/purchase_profoma_view.php',
    'debit_note' => 'purchases/debit_note.php',
    'debit_note_add' => 'purchases/debit_note_add.php',
    'debit_note_edit' => 'purchases/debit_note_edit.php',
    'debit_note_view' => 'purchases/debit_note_view.php',
    'generate_report' => 'purchases/generate_report.php',
   // 'purchase_payment' => 'purchases/purchase_payment.php',
   

);

if(isset($_GET['p']) && array_key_exists($_GET['p'], $pages)){
    include $pages[$_GET['p']];
} else {
    // Default page or error handling
    include '404.php'; // Example of a default error page
}

    include "../footer/footer.php"; 

?>