<?php
require_once '../../db/db.php';
require_once '../../db/connect.php';

$product_id = $_GET['id'];

try {
    //-----check in cash purchase ---
    $stmt1 = $pdo->prepare("SELECT * FROM purchase_items WHERE product_id = :product");
    $stmt1->execute([':product' => $product_id]);
    
    //-----check in purchase invoice---
    $stmt2 = $pdo->prepare("SELECT * FROM purchase_invoice_items WHERE product_id = :product");
    $stmt2->execute([':product' => $product_id]);
    
    //-----check in writeoff items---
    $stmt3 = $pdo->prepare("SELECT * FROM writeoff_items WHERE itemid = :product");
    $stmt3->execute([':product' => $product_id]);
    
    //-----check in opening stock---
    $stmt4 = $pdo->prepare("SELECT * FROM item_stock_table WHERE itemid = :product");
    $stmt4->execute([':product' => $product_id]);
    
    
    //-----check in cash sales---
    $stmt5 = $pdo->prepare("SELECT * FROM sales_cash_items WHERE product_id = :product");
    $stmt5->execute([':product' => $product_id]);
    
    //-----check in  sales invoice ---
    $stmt6 = $pdo->prepare("SELECT * FROM invoice_items WHERE product_id = :product");
    $stmt6->execute([':product' => $product_id]);
    
    
    if ($stmt1->rowCount() > 0) {
        echo '<script>
                alert("You cannot delete this product until all associated transactions are deleted.");
                window.location.href = "../index.php?p=' .$_GET['p']. '";
              </script>';
        exit();
    }
    else if($stmt2->rowCount() > 0){
     echo '<script>
                alert("You cannot delete this product until all associated transactions are deleted.");
                window.location.href = "../index.php?p=' .$_GET['p']. '";
              </script>';
        exit();   
    }
    else if($stmt3->rowCount() > 0){
     echo '<script>
                alert("You cannot delete this product until all associated transactions are deleted.");
                window.location.href = "../index.php?p=' .$_GET['p']. '";
              </script>';
        exit();   
    }
    else if($stmt4->rowCount() > 0){
     echo '<script>
                alert("You cannot delete this product until all associated transactions are deleted.");
                window.location.href = "../index.php?p=' .$_GET['p']. '";
              </script>';
        exit();   
    }
     else if($stmt5->rowCount() > 0){
     echo '<script>
                alert("You cannot delete this product until all associated transactions are deleted.");
                window.location.href = "../index.php?p=' .$_GET['p']. '";
              </script>';
        exit();   
    }
    else if($stmt6->rowCount() > 0){
     echo '<script>
                alert("You cannot delete this product until all associated transactions are deleted.");
                window.location.href = "../index.php?p=' .$_GET['p']. '";
              </script>';
        exit();   
    }
    else {
        // Delete the product
        $stmt2 = $pdo->prepare("DELETE FROM product WHERE ProductId = :product");
        if ($stmt2->execute([':product' => $product_id])) {
            
            // Delete associated GL transactions
            $stmt3 = $pdo->prepare("DELETE FROM gl_transaction WHERE transid = :transid AND cat = 'Inventory'");
            $stmt3->execute([':transid' => $product_id]);

            // Redirect if successful
            header("Location: ../index.php?p=" . $_GET['p'] . "&status=deleted");
            exit();
        } else {
            echo '<script> alert("Failed to delete product.")</script>';
        }
    }
} catch (Exception $e) {
    echo "Error: " . $e->getMessage();
}
?>
