<?php
if(isset($_POST['general_ledger'])){
   $description = mysqli_real_escape_string($con,$_POST['description']);
   $branchid = mysqli_real_escape_string($con,$_POST['branch']); 
   $subbranch = mysqli_real_escape_string($con,$_POST['subbranch']);
   $date1 = mysqli_real_escape_string($con,$_POST['date1']);
   $date2 = mysqli_real_escape_string($con,$_POST['date2']);
   
   if($branchid != 'All'){
   $query=mysqli_query($con,"SELECT * FROM branch WHERE id='$branchid'");
      $rws = mysqli_fetch_assoc($query);
      $branch = $rws['name'];
   }else{
     $branch = 'All';  
   } 
    // Constructing the URL with form attributes
   $redirectURL = 'index.php?p=inventory_qualtity_location_report&description=' . urlencode($description) . '&branch=' . urlencode($branch) . '&date1=' . urlencode($date1) . '&date2=' . urlencode($date2) . '&account=' . urlencode($account). '&subbranch=' . urlencode($subbranch);
    // Constructing the URL with form attributes
    echo "<script>window.location='$redirectURL';</script>"; 
}
?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
             <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=item_menu" style="color: rgb(7, 133, 164)">Items and Inventory Menu</a></li>
                <li class="active">Inventory Quantity Summary</li>
                    </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Inventory Quantity Summary Report</b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
                    <form class="form-horizontal" action="" method="post">
                        <div class="form-group">
                            <label class="col-md-3 control-label col-label" for="description">Description</label>
                                                <div class="col-md-6 form-group has-success">
                                                    <input type="text" class="form-control" name="description" id="description" value="Inventory Quantity By Location Report">
                                                </div>
                                            </div>
                                          <div class="form-group" hidden>
                               <label class="col-md-3 control-label col-label">Select Branch</label>
                                    <div class="col-md-6">
                                    <select class="form-control select" name="branch"  id = "branchSelect" onchange="fetchSubBranch()">
                                        <option value="All">All</option>
                                <?php
                                    $stmt = $pdo->prepare("SELECT * FROM branch ORDER BY name");
                                    $stmt->execute();
                                    $branches = $stmt->fetchAll(PDO::FETCH_ASSOC);
                                     foreach ($branches as $branch) {
                                          ?>
                                       <option value="<?php echo $branch['id']; ?>"><?php echo $branch['name']; ?></option>
                                     <?php
                                     }
                                     ?>
                                  </select>
                                  </div> 
                                </div>
                                <div class="form-group" hidden>
                                <label class="col-md-3 col-xs-12 control-label">Sub Branch</label>
                                <div class="col-md-6 col-xs-12"> 
                                    <select  class="form-control select" name = "subbranch" id="productSelect">
                                        <option value="">--- Select Branch First ---</option>
                                    </select>
                                </div>
                            </div>
                                <div class="form-group">
                             <label class="col-md-3 control-label col-label">Date</label>
                                    <div class="col-md-3">From
                                        <div class="input-group">
                                                        <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                                        <input type="text" class="form-control datepicker datepicker-from" value="<?php echo date('Y-m-d');?>" name="date1">          
                                        </div>
                                    </div>
                                    <div class="col-md-3">To
                                     <div class="input-group" id="currentDate">
                                                        <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                                        <input type="text" class="form-control datepicker datepicker-to" value="<?php echo date('Y-m-d');?>" name="date2">                                            
                                    </div>
                                </div>
                            </div>
                        
                </div>
                <div class="panel-footer">                                    
                  <button class="btn btn-warning pull-right" type="submit" name="general_ledger"><span class="fa fa-plus-circle"></span> Create</button>
            </form> 
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
</div>
</div>
<script>
    var currentDate = new Date();
    var formattedDate = currentDate.toISOString().slice(0, 10);

    document.querySelector('.datepicker-from').value = formattedDate;
    document.querySelector('.datepicker-to').value = formattedDate;

</script>
</script>
    <script>
document.addEventListener('DOMContentLoaded', function () {
    document.getElementById('branchSelect').addEventListener('change', fetchSubBranch);
});

function fetchSubBranch() {
    var branchId = document.getElementById('branchSelect').value;
    console.log(branchId); // Logs selected branch to ensure value is correct
    
    if (branchId !== "") {
        fetch('https://smartaccounting.co.tz/lawhans/pages/js_php_data/fetch_subbranch.php?branchId=' + branchId)
            .then(response => response.text())
            .then(data => {
                console.log(data); // Log the response to check the output
                document.getElementById('productSelect').innerHTML = data;
                $('select').selectpicker('refresh');
            })
            .catch(error => console.error('Error fetching sub-branches:', error));
    } else {
        document.getElementById('productSelect').innerHTML = '<option value="">--- Select Branch First ---</option>';
    }
}
</script>