<?php
$date1 = $_GET['date1'];
$date2 = $_GET['date2'];
$branch = $_GET['branch'];
// $subbranch = $_GET['subbranch'];
$date3 = date('d-m-Y', strtotime($_GET['date1']));
$date4 = date('d-m-Y', strtotime($_GET['date2']));

if ($date1 !== $date2) {
    $date_condition = "i.invoice_date BETWEEN '$date1' AND '$date2'";
    $note = "FOR THE PERIOD FROM {$date3} TO {$date4}";
} else {
    $date_condition = "i.invoice_date = '$date1'";
    $note = "FOR THE DATE: {$date3}";
}

if ($branch == 'All') {
    $query = [];
    $query_invoice = mysqli_query($con, "SELECT SUM(it.total_cost) AS total_cost, SUM(it.total_price) AS total_price, p.Name FROM invoices AS i 
        INNER JOIN invoice_items AS it ON i.invoice_id = it.invoice_no 
        INNER JOIN product AS p ON p.ProductId = it.product_id AND p.Category = 'Product'
        WHERE $date_condition
        GROUP BY p.Name");
        
        while ($row = mysqli_fetch_assoc($query_invoice)) {
           $query[] = $row;
           }
        
    $query_cash = mysqli_query($con, "SELECT SUM(it.total_cost) AS total_cost, SUM(it.total_price) AS total_price, p.Name FROM sales_cash AS i 
        INNER JOIN sales_cash_items AS it ON i.sales_cash_id = it.cash_no 
        INNER JOIN product AS p ON p.ProductId = it.product_id AND p.Category = 'Product'
        WHERE $date_condition
        GROUP BY p.Name"); 
        
        while ($row = mysqli_fetch_assoc($query_cash)) {
           $query[] = $row;
           }
} else {
    if(empty($subbranch)){
  $query = [];    
  $query_invoice = mysqli_query($con, "SELECT SUM(it.total_cost) AS total_cost, SUM(it.total_price) AS total_price, p.Name FROM invoices AS i 
        INNER JOIN invoice_items AS it ON i.invoice_id = it.invoice_no 
        INNER JOIN product AS p ON p.ProductId = it.product_id AND p.Category = 'Product'
        AND p.Branch = '".$_SESSION['Branch']."'
        WHERE $date_condition
        GROUP BY p.Name");
        
        while ($row = mysqli_fetch_assoc($query_invoice)) {
           $query[] = $row;
           }
    $query_cash = mysqli_query($con, "SELECT SUM(it.total_cost) AS total_cost, SUM(it.total_price) AS total_price, p.Name FROM sales_cash AS i 
        INNER JOIN sales_cash_items AS it ON i.sales_cash_id = it.cash_no 
        INNER JOIN product AS p ON p.ProductId = it.product_id AND p.Category = 'Product' AND p.Branch = '".$_SESSION['Branch']."'
        WHERE $date_condition
        GROUP BY p.Name"); 
        
        while ($row = mysqli_fetch_assoc($query_cash)) {
           $query[] = $row;
           }
    }else{
      //with subbranch
      $query = [];    
  $query_invoice = mysqli_query($con, "SELECT SUM(it.total_cost) AS total_cost, SUM(it.total_price) AS total_price, p.Name FROM invoices AS i 
        INNER JOIN invoice_items AS it ON i.invoice_id = it.invoice_no 
        INNER JOIN product AS p ON p.ProductId = it.product_id AND p.Category = 'Product'
        AND p.Branch = '".$_SESSION['Branch']."'
        WHERE $date_condition
        GROUP BY p.Name");
        
        while ($row = mysqli_fetch_assoc($query_invoice)) {
           $query[] = $row;
           }
    $query_cash = mysqli_query($con, "SELECT SUM(it.total_cost) AS total_cost, SUM(it.total_price) AS total_price, p.Name FROM sales_cash AS i 
        INNER JOIN sales_cash_items AS it ON i.sales_cash_id = it.cash_no 
        INNER JOIN product AS p ON p.ProductId = it.product_id AND p.Category = 'Product' AND p.Branch = '".$_SESSION['Branch']."'
        WHERE $date_condition
        GROUP BY p.Name"); 
        
        while ($row = mysqli_fetch_assoc($query_cash)) {
           $query[] = $row;
           }
    }       
}
?>
<!DOCTYPE html>
<html>
<head>
    <style>
        /* CSS to style the table */
        table {
            border-collapse: collapse;
            border: 1px solid black; /* Set border color and thickness */
            width: 100%; /* Set table width to 100% of its container */
        }

        th {
            border: 1px solid black; /* Set border for table cells */
            padding: 8px; /* Add padding for better readability */
            text-align: center; /* Center-align text within cells */
            height: 20px;
            color: black;
        }
        
        td {
            border: 1px solid black; /* Set border for table cells */
            padding: 8px; /* Add padding for better readability */
            text-align: left; /* Center-align text within cells */
            height: 20px;
            color: black;
        }
    </style>
</head>
<body>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=item_menu" style="color: rgb(7, 133, 164)">Items and Inventory Menu</a></li>
                <li class="active">Inventory Profit Margin Report</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Inventory Profit Margin Report</b></h3>
                    <div class="pull-right">
                        <button class="btn btn-default" onclick="history.back()">
                            <span class="fa fa-arrow-left"></span> Go Back
                        </button>
                        <button class="btn btn-default" onclick="printTable()">
                            <span class="fa fa-print"></span> Print Report
                        </button>
                        <button class="btn btn-default" onclick="exportToExcel()">
                            <span class="fa fa-file-excel-o"></span> Export To Excel
                        </button>
                    </div>
                </div>
                <div class="panel-body" style="background: #fff">
                    <div id="printingArea">
                        <table id="myTable">
                            <tr>
                                <th colspan="6"><?php echo $_SESSION['Company']; ?></th>
                            </tr>
                            <tr>
                                <th colspan="5">BRANCH: <?php echo htmlspecialchars($_GET['branch']); ?></th>
                            </tr>
                            
                            <tr>
                                <th colspan="5"><?php echo htmlspecialchars($_GET['description']); ?></th>
                            </tr>
                            <tr>
                                <th colspan="5"><?php echo $note; ?></th>
                            </tr>
                            <tr style="font-weight: bold">
                                <td>Item</td>
                                <td>Sales</td>
                                <td>Cost of Sales</td>
                                <td>Profit</td>
                                <td>Margin</td>
                            </tr>
                            <?php
                            $sum1 = 0;
                            $sum2 = 0;
                            $sum3 = 0;
                            foreach($query as $rows) {
                                $profit = $rows['total_price'] - $rows['total_cost'];
                                $margin = ($profit / $rows['total_price']) * 100; // Calculating profit margin
                                $sum1 += $rows['total_price'];
                                $sum2 += $rows['total_cost'];
                                $sum3 += $profit;
                                
                                $marginTotal = ($sum3 / $sum1) * 100;
                                ?>
                                <tr>
                                    <td><?php echo htmlspecialchars($rows['Name']); ?></td>
                                    <td><?php echo number_format($rows['total_price'], 2); ?></td>
                                    <td><?php echo number_format($rows['total_cost'], 2); ?></td>
                                    <td><?php echo number_format($profit, 2); ?></td>
                                    <td><?php echo number_format($margin, 2); ?>%</td> <!-- Displaying profit margin as percentage -->
                                </tr>
                                <?php
                            }
                            ?>
                            <tr>
                                <td><b>TOTAL</b></td>
                                <td><b><?php echo number_format($sum1, 2); ?></b></td>
                                <td><b><?php echo number_format($sum2, 2); ?></b></td>
                                <td><b><?php echo number_format($sum3, 2); ?></b></td>
                                <td><b><?php echo round($marginTotal,2); ?>%</b></td>
                            </tr>
                        </table>
                    </div>
                </div>
                <div class="panel-footer">
                </div>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
<script>
var currentDate = new Date();
var formattedDate = currentDate.toISOString().slice(0, 10);

document.querySelector('.datepicker-from').value = formattedDate;
document.querySelector('.datepicker-to').value = formattedDate;

function printContent() {
    var content = document.getElementById('printingArea').innerHTML;
    var printWindow = window.open('', '_blank');
    printWindow.document.write('<html><head><title>Print</title></head><body>');
    printWindow.document.write(content);
    printWindow.document.write('</body></html>');
    printWindow.document.close();
    printWindow.print();
}

function exportToExcel() {
    // Get the HTML table element
    var table = document.getElementById('printingArea'); // Replace 'tableId' with the ID of your table

    // Convert the HTML table to a worksheet
    var wb = XLSX.utils.table_to_book(table);

    // Generate a binary string from the XLSX workbook
    var wbout = XLSX.write(wb, { bookType: 'xlsx', type: 'binary' });

    // Create a Blob object representing the data as an Excel file
    var blob = new Blob([s2ab(wbout)], { type: 'application/octet-stream' });

    // Create a temporary anchor element and trigger a download
    var link = document.createElement('a');
    link.href = window.URL.createObjectURL(blob);
    link.download = 'inventory_profit_margin_report.xlsx'; // Change 'filename' to your desired filename
    link.click();
}

// Utility function to convert a string to an ArrayBuffer
function s2ab(s) {
    var buf = new ArrayBuffer(s.length);
    var view = new Uint8Array(buf);
    for (var i = 0; i < s.length; i++) {
        view[i] = s.charCodeAt(i) & 0xFF;
    }
    return buf;
}

function printTable() {
    // Apply border style to table cells
    var cells = document.querySelectorAll('td, th');
    cells.forEach(function(cell) {
        cell.style.border = '1px solid black';
    });

    // Print only the table
    var printWindow = window.open('', '_blank');
    printWindow.document.open();
    printWindow.document.write('<html><head><title>Print Table</title></head><body>');
    printWindow.document.write('<style>table { border-collapse: collapse; width: 100%; } th, td { border: 1px solid black; padding: 8px; }</style>');
    printWindow.document.write(document.getElementById('myTable').outerHTML);
    printWindow.document.write('</body></html>');
    printWindow.document.close();
    printWindow.print();

    // Remove border style after printing
    cells.forEach(function(cell) {
        cell.style.border = '';
    });
}
</script>
</body>
</html>
