<?php
$date1 = $_GET['date1'];
$date2 = $_GET['date2'];
$branch = $_GET['branch'];
// $subbranch = $_GET['subbranch'];
$date3 = date('d-m-Y', strtotime($_GET['date1']));
$date4 = date('d-m-Y', strtotime($_GET['date2']));

if ($date1 !== $date2) {
    $date_condition = "i.invoice_date BETWEEN '$date1' AND '$date2'";
    $note = "FOR THE PERIOD FROM {$date3} TO {$date4}";
} else {
    $date_condition = "i.invoice_date = '$date1'";
    $note = "FOR THE DATE: {$date3}";
}

// Define the base query
$baseQuery = "SELECT * FROM product WHERE Category = 'Product'";

// Adjust query based on branch and subbranch values
if ($branch === 'All') {
    $query = mysqli_query($con, $baseQuery);
} else {
    // Append branch condition
    $baseQuery .= " AND Branch = '$branch'";
    
    // Append subbranch condition if it’s provided
    if (!empty($subbranch)) {
        $baseQuery .= " AND SubBranch = '$subbranch'";
    }
    
    // Execute the final query with conditions
    $query = mysqli_query($con, $baseQuery);
}// Define the base query
$baseQuery = "SELECT * FROM product WHERE Category = 'Product'";

// Adjust query based on branch and subbranch values
if ($branch === 'All') {
    $query = mysqli_query($con, $baseQuery);
} else {
    // Append branch condition
    $baseQuery .= " AND Branch = '$branch'";
    
    // Append subbranch condition if it’s provided
    if (!empty($subbranch)) {
        $baseQuery .= " AND SubBranch = '$subbranch'";
    }
    
    // Execute the final query with conditions
    $query = mysqli_query($con, $baseQuery);
}

?>
    <style>
        /* CSS to style the table */
        table {
            border-collapse: collapse;
            border: 1px solid black; /* Set border color and thickness */
            width: 100%; /* Set table width to 100% of its container */
        }

        th, td {
            border: 1px solid black; /* Set border for table cells */
            padding: 8px; /* Add padding for better readability */
            text-align: center; /* Center-align text within cells */
            height: 20px;
            color: black;
        }
    </style>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=item_menu" style="color: rgb(7, 133, 164)">Items and Inventory Menu</a></li>
                <li class="active">Inventory Quantity Summary Report</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Inventory Quantity Summary Report</b></h3>
                    <div class="pull-right">
                        <button class="btn btn-default" onclick="history.back()">
                            <span class="fa fa-arrow-left"></span> Go Back
                        </button>
                        <button class="btn btn-default" onclick="printTable()">
                            <span class="fa fa-print"></span> Print Report
                        </button>
                        <button class="btn btn-default" onclick="exportToExcel()">
                            <span class="fa fa-file-excel-o"></span> Export To Excel
                        </button>
                    </div>
                </div>
                <div class="panel-body" style="background: #fff">
                    <div id="printingArea">
                        <table id="myTable">
                            <tr>
                                <th colspan="7"><?php echo $_SESSION['Company']; ?></th>
                            </tr>
                            <tr>
                                <th colspan="7">BRANCH: <?php echo htmlspecialchars($_GET['branch']); ?></th>
                            </tr>
                            
                            
                            <tr>
                                <th colspan="7"><?php echo htmlspecialchars($_GET['description']); ?></th>
                            </tr>
                            <tr>
                                <th colspan="7"><?php echo $note; ?></th>
                            </tr>
                            <tr style="font-weight: bold">
                                <td style =" text-align: left;">Item</td>
                                <td>Opening<br/>Balance</td>
                                <td>Units Purchased</td>
                                <td>Units Sold</td>
                                <td>Adjustments</td>
                                <td>Closing Balance</td>
                            </tr>
                            <?php
                            $total_opening = 0;
                            $total_writeoff = 0;
                            $total_purchases = 0;
                            $total_sales = 0;
                            $total_closing = 0;

                            foreach ($query as $rows) {
                                
                                $query_opening_stock = mysqli_query($con,"SELECT SUM(ist.quantity) as quantity FROM item_opening io INNER JOIN item_stock_table ist ON io.id = ist.open_id 
                                WHERE ist.itemid = '".$rows['ProductId']."' AND ist.date <= '$date2'");
                                $rows_opening_stock = mysqli_fetch_assoc($query_opening_stock);
                                $openQuantity = $rows_opening_stock['quantity'];
                               
                               //query for writeoff opening balance 
                                $query_writeoff_stock_open = mysqli_query($con,"SELECT SUM(woi.quantity) as quantity FROM writeoff wo INNER JOIN writeoff_items woi ON wo.id = woi.writeoff_id 
                                WHERE woi.itemid = '".$rows['ProductId']."' AND wo.date < '$date1' ");
                                $rows_writeoff_stock_open = mysqli_fetch_assoc($query_writeoff_stock_open);
                                $writeoffQuantity_open = $rows_writeoff_stock_open['quantity'];
                                
                                //query for purchase opening balance 
                                $query_cash_purchase_open = mysqli_query($con,"SELECT SUM(pi.quantity) as quantity FROM purchases p INNER JOIN purchase_items pi ON p.purchase_id = pi.purchase_no 
                                WHERE pi.product_id = '".$rows['ProductId']."' AND pi.date < '$date1'");
                                $rows_cash_purchase_open = mysqli_fetch_assoc($query_cash_purchase_open);
                                $cashPurchaseQuantity_open = $rows_cash_purchase_open['quantity'];
                                
                                $query_invoice_purchase_open = mysqli_query($con,"SELECT SUM(pi.quantity) as quantity FROM purchase_invoice p INNER JOIN purchase_invoice_items pi ON p.purchase_id = pi.purchase_no 
                                WHERE pi.product_id = '".$rows['ProductId']."' AND pi.date < '$date1'");
                                $rows_invoice_purchase_open = mysqli_fetch_assoc($query_invoice_purchase_open);
                                $invoicePurchaseQuantity_open = $rows_invoice_purchase_open['quantity'];
                                
                                $purchases_quantity_open = $cashPurchaseQuantity_open + $invoicePurchaseQuantity_open;
                                
                                //query for sales opening balance
                                $sales_query_invoice_open = mysqli_query($con, "SELECT SUM(it.quantity) AS quantity FROM invoices AS i 
                                    INNER JOIN invoice_items AS it ON i.invoice_id = it.invoice_no 
                                    WHERE i.invoice_date < '$date1' 
                                    AND it.product_id='" . $rows['ProductId'] . "'");
                                $row_invoice_sales_open = mysqli_fetch_assoc($sales_query_invoice_open);
                                $invoice_sales_quantity_open = $row_invoice_sales_open['quantity'];
                                
                                $sales_query_cash_open = mysqli_query($con, "SELECT SUM(it.quantity) AS quantity FROM sales_cash AS i 
                                    INNER JOIN sales_cash_items AS it ON i.sales_cash_id = it.cash_no 
                                    WHERE i.invoice_date < '$date1' 
                                    AND it.product_id='" . $rows['ProductId'] . "'");
                                $row_cash_sales_open = mysqli_fetch_assoc($sales_query_cash_open);
                                $cash_sales_quantity_open = $row_cash_sales_open['quantity'];
                                
                                $sales_quantity_open = $invoice_sales_quantity_open+$cash_sales_quantity_open;
                                
                               $total_open= ($openQuantity+$purchases_quantity_open)-($sales_quantity_open+$writeoffQuantity_open);
                               
                               
                                // query for writeoff
                                $query_writeoff_stock = mysqli_query($con,"SELECT SUM(woi.quantity) as quantity FROM writeoff wo INNER JOIN writeoff_items woi ON wo.id = woi.writeoff_id 
                                WHERE woi.itemid = '".$rows['ProductId']."' AND wo.date BETWEEN '$date1' AND '$date2' ");
                                $rows_writeoff_stock = mysqli_fetch_assoc($query_writeoff_stock);
                                $writeoffQuantity = $rows_writeoff_stock['quantity'];
                                
                                //Purchases Quantity
                                $query_cash_purchase = mysqli_query($con,"SELECT SUM(pi.quantity) as quantity FROM purchases p INNER JOIN purchase_items pi ON p.purchase_id = pi.purchase_no 
                                WHERE pi.product_id = '".$rows['ProductId']."' AND pi.date BETWEEN '$date1' AND '$date2'");
                                $rows_cash_purchase = mysqli_fetch_assoc($query_cash_purchase);
                                $cashPurchaseQuantity = $rows_cash_purchase['quantity'];
                                
                                $query_invoice_purchase = mysqli_query($con,"SELECT SUM(pi.quantity) as quantity FROM purchase_invoice p INNER JOIN purchase_invoice_items pi ON p.purchase_id = pi.purchase_no 
                                WHERE pi.product_id = '".$rows['ProductId']."' AND pi.date BETWEEN '$date1' AND '$date2'");
                                $rows_invoice_purchase = mysqli_fetch_assoc($query_invoice_purchase);
                                $invoicePurchaseQuantity = $rows_invoice_purchase['quantity'];
                                
                                $purchases_quantity = $cashPurchaseQuantity + $invoicePurchaseQuantity;

                                $sales_query_invoice = mysqli_query($con, "SELECT SUM(it.quantity) AS quantity FROM invoices AS i 
                                    INNER JOIN invoice_items AS it ON i.invoice_id = it.invoice_no 
                                    WHERE i.invoice_date BETWEEN '$date1' AND '$date2' 
                                    AND it.product_id='" . $rows['ProductId'] . "'");
                                $row_invoice_sales = mysqli_fetch_assoc($sales_query_invoice);
                                $invoice_sales_quantity = $row_invoice_sales['quantity'];
                                
                                $sales_query_cash = mysqli_query($con, "SELECT SUM(it.quantity) AS quantity FROM sales_cash AS i 
                                    INNER JOIN sales_cash_items AS it ON i.sales_cash_id = it.cash_no 
                                    WHERE i.invoice_date BETWEEN '$date1' AND '$date2' 
                                    AND it.product_id='" . $rows['ProductId'] . "'");
                                $row_cash_sales = mysqli_fetch_assoc($sales_query_cash);
                                $cash_sales_quantity = $row_cash_sales['quantity'];
                                
                                $sales_quantity = $invoice_sales_quantity+$cash_sales_quantity;
 
                                $closing_balance = ($total_open+$purchases_quantity) - ($writeoffQuantity+$sales_quantity);
                                
                                $total_opening += $total_open;
                                $total_writeoff += $writeoffQuantity;
                                $total_purchases += $purchases_quantity;
                                $total_sales += $sales_quantity;
                                $total_closing += $closing_balance;
                                
                                
                            ?>
                            <tr>
                                <td style=" text-align: left;"><?php echo htmlspecialchars($rows['Name']); ?></td>
                                <td><?php echo $total_open ? :0; ?></td>
                                <td><?php echo $purchases_quantity ? :0; ?></td>
                                <td><?php echo $sales_quantity ? :0; ?></td>
                                <td><?php echo $writeoffQuantity ? :0; ?></td>
                                <td><?php echo $closing_balance; ?></td>
                            </tr>
                            <?php
                            }
                            ?>
                            <tr>
                                <td><b>TOTAL</b></td>
                                <td><b><?php echo $total_opening; ?></b></td>
                                <td><b><?php echo $total_purchases; ?></b></td>
                                <td><b><?php echo $total_sales; ?></b></td>
                                <td><b><?php echo $total_writeoff;?></b></td>
                                <td><b><?php echo $total_closing; ?></b></td>
                            </tr>
                        </table>
                    </div>
                </div>
                <div class="panel-footer">
                </div>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
<script>
function printTable() {
    var cells = document.querySelectorAll('td, th');
    cells.forEach(function(cell) {
        cell.style.border = '1px solid black';
    });

    var printWindow = window.open('', '_blank');
    printWindow.document.open();
    printWindow.document.write('<html><head><title>Print Table</title></head><body>');
    printWindow.document.write('<style>table { border-collapse: collapse; width: 100%; } th, td { border: 1px solid black; padding: 1px; }</style>');
    printWindow.document.write(document.getElementById('myTable').outerHTML);
    printWindow.document.write('</body></html>');
    printWindow.document.close();
    printWindow.print();

    cells.forEach(function(cell) {
        cell.style.border = '';
    });
}

function exportToExcel() {
    var table = document.getElementById('printingArea');
    var wb = XLSX.utils.table_to_book(table);
    var wbout = XLSX.write(wb, { bookType: 'xlsx', type: 'binary' });
    var blob = new Blob([s2ab(wbout)], { type: 'application/octet-stream' });
    var link = document.createElement('a');
    link.href = window.URL.createObjectURL(blob);
    link.download = 'inventory_quantity_summary_report.xlsx';
    link.click();
}

function s2ab(s) {
    var buf = new ArrayBuffer(s.length);
    var view = new Uint8Array(buf);
    for (var i = 0; i < s.length; i++) {
        view[i] = s.charCodeAt(i) & 0xFF;
    }
    return buf;
}
</script>