<?php
session_start();
include '../../db/db.php';
// Fetch data based on the selected year
if (isset($_GET['year'])) {
    $selectedYear = mysqli_real_escape_string($con, $_GET['year']);

    // Fetch monthly data for the selected year
    $query = "SELECT month, SUM(amount) as total_amount FROM ngm_customer,ngm_customer_loan WHERE id = customer AND year = '$selectedYear' AND branch='".$_SESSION['Branch']."' GROUP BY month ORDER BY month";
    $result = mysqli_query($con, $query);
 if($result){
    $months = [];
    $amounts = [];

    while ($row = mysqli_fetch_assoc($result)) {
        $months[] = (int) $row['month'];
        $amounts[] = (int) $row['total_amount'];
    }

    // Return data as JSON
    echo json_encode(['months' => $months, 'amounts' => $amounts]);
}else {
        // Handle the SQL error
        echo json_encode(['error' => mysqli_error($con)]);
    }
}
mysqli_close($con);
?>
