<?php
session_start();
include '../../db/db.php';
if($_SERVER["REQUEST_METHOD"] == "POST") {
    $assetid = mysqli_real_escape_string($con,$_POST['assetid']);
    $depreciation_amt = mysqli_real_escape_string($con,$_POST['depreciation']);
    $cost = mysqli_real_escape_string($con,$_POST['cost']);
    $dateRevalued = mysqli_real_escape_string($con,$_POST['dateRevalued']);
    $revaluationAmount = mysqli_real_escape_string($con,$_POST['revaluationAmount']);
    $valuerName = mysqli_real_escape_string($con,$_POST['valuerName']);
    $reasonForRevaluation = mysqli_real_escape_string($con,$_POST['reasonForRevaluation']);
    $bookvalue = $cost - $depreciation_amt;
    
    $asset_query = mysqli_query($con,"SELECT * FROM assetitems AS ai INNER JOIN fixedasset AS fa ON ai.fixedassetid = fa.id AND ai.id=$assetid");
    $asset_rows = mysqli_fetch_assoc($asset_query);
    $assetname = $asset_rows['item_name'];
    $closingDate = $asset_rows['purchased_date'];
    $assetAcc = $asset_rows['asset_account'];
    $gainAcc = $asset_rows['revaluation_gain_account'];
    $loseAcc = $asset_rows['revaluation_loss_account'];
    $depAcc = $asset_rows['accumulated_depreciation_account'];

    $query = "INSERT INTO revalue (Date_Revalued, Revaluation_Amount, Valuer_Name, Reason, Asset_Id,AssetCost,DepreciationAmt,clossingDate) 
              VALUES ('$dateRevalued', '$revaluationAmount', '$valuerName', '$reasonForRevaluation','$assetid','$cost','$depreciation_amt','$closingDate')";
    if (mysqli_query($con, $query)) {
        $transid = mysqli_insert_id($con);
        if($revaluationAmount > $bookvalue){
        $revaluation_gain = $revaluationAmount - $bookvalue;    
        $debit1 = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code = '$depAcc'");
            $rows = mysqli_fetch_array($debit1);
            $class_debit = $rows['class'];
            $fsli_debit = $rows['account_type'];
            //Dr Accumulated Depreciation
            mysqli_query($con,"INSERT INTO gl_transaction VALUES('','$depAcc','$fsli_debit','$class_debit','$depreciation_amt','Debit','$transid','".$_SESSION['id']."','Uthaminishaji wa mali za kudumu - {$assetname}','".date('Y')."','$dateRevalued','".$_SESSION['Branch']."','Fixed Asset Revaluation')");
            
        $debit2 = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code = '$assetAcc'");
            $rowss = mysqli_fetch_array($debit2);
            $class_debit2 = $rowss['class'];
            $fsli_debit2 = $rowss['account_type'];
            if($depreciation_amt > $revaluation_gain){
               $assetAmt = $depreciation_amt - $revaluation_gain;
               $sts = 'Credit';
            }else{
               $assetAmt = $revaluation_gain - $depreciation_amt;
               $sts = 'Debit';
            }
            //Dr or Cr Asset Account
            mysqli_query($con,"INSERT INTO gl_transaction VALUES('','$assetAcc','$fsli_debit2','$class_debit2','$assetAmt','$sts','$transid','".$_SESSION['id']."','Uthaminishaji wa mali za kudumu - {$assetname}','".date('Y')."','$dateRevalued','".$_SESSION['Branch']."','Fixed Asset Revaluation')");
            
        $credit = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code = '$gainAcc'");
            $rowss = mysqli_fetch_array($credit);
            $class_credit = $rowss['class'];
            $fsli_credit = $rowss['account_type'];
            //Cr Revaluation Account Gain
            mysqli_query($con,"INSERT INTO gl_transaction VALUES('','$gainAcc','$fsli_credit','$class_credit','$revaluation_gain','Credit','$transid','".$_SESSION['id']."','Faida baada ya Uthaminishaji wa mali za kudumu - {$assetname}','".date('Y')."','$dateRevalued','".$_SESSION['Branch']."','Fixed Asset Revaluation')");
            
            mysqli_query($con,"UPDATE assetitems SET acquisition_cost=$revaluationAmount,accumulated_depreciation=0,closingBalanceDate='$dateRevalued' WHERE id=$assetid");
        }else{
          $revaluation_lose = $bookvalue - $revaluationAmount;    
        $debit1 = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code = '$depAcc'");
            $rows = mysqli_fetch_array($debit1);
            $class_debit = $rows['class'];
            $fsli_debit = $rows['account_type'];
            //Dr Accumulated Depreciation
            mysqli_query($con,"INSERT INTO gl_transaction VALUES('','$depAcc','$fsli_debit','$class_debit','$depreciation_amt','Debit','$transid','".$_SESSION['id']."','Uthaminishaji wa mali za kudumu - {$assetname}','".date('Y')."','$dateRevalued','".$_SESSION['Branch']."','Fixed Asset Revaluation')");
            
        $debit2 = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code = '$loseAcc'");
            $rowss = mysqli_fetch_array($debit2);
            $class_debit2 = $rowss['class'];
            $fsli_debit2 = $rowss['account_type'];
            //Dr Expenses
            mysqli_query($con,"INSERT INTO gl_transaction VALUES('','$loseAcc','$fsli_debit2','$class_debit2','$revaluation_lose','Debit','$transid','".$_SESSION['id']."','Hasara katika Uthaminishaji wa mali za kudumu - {$assetname}','".date('Y')."','$dateRevalued','".$_SESSION['Branch']."','Fixed Asset Revaluation')");
            
        $credit = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code = '$assetAcc'");
            $rowss = mysqli_fetch_array($credit);
            $class_credit = $rowss['class'];
            $fsli_credit = $rowss['account_type'];
            //Cr Asset Account
            mysqli_query($con,"INSERT INTO gl_transaction VALUES('','$assetAcc','$fsli_credit','$class_credit','".$revaluation_lose+$depreciation_amt."','Credit','$transid','".$_SESSION['id']."','Uthaminishaji wa mali za kudumu - {$assetname}','".date('Y')."','$dateRevalued','".$_SESSION['Branch']."','Fixed Asset Revaluation')");
            
            mysqli_query($con,"UPDATE assetitems SET acquisition_cost=$revaluationAmount,accumulated_depreciation=0,closingBalanceDate='$dateRevalued' WHERE id=$assetid");
        }
        echo "Revaluation successfully created";
    } else {
        echo "Something wrong please contact with system administrator";
    }

    // Close database connection
    mysqli_close($con);
}
?>