<?php
session_start();
include '../../db/db.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Escape all inputs to protect against SQL injection
    $assetType = mysqli_real_escape_string($con, $_POST['assetType']);
    $assetAccount = mysqli_real_escape_string($con, $_POST['assetAccount']);
    $accumulatedDepreciation = mysqli_real_escape_string($con, $_POST['accumulatedDepreciation']);
    $depreciationExpense = mysqli_real_escape_string($con, $_POST['depreciationExpense']);
    $revaluation_gain = mysqli_real_escape_string($con, $_POST['revaluation_gain']);
    $revaluation_loss = mysqli_real_escape_string($con, $_POST['revaluation_loss']);
    $maintenance_cost = mysqli_real_escape_string($con, $_POST['maintenance_cost']);
    $depreciationMethod = strtolower(mysqli_real_escape_string($con, $_POST['depreciationMethod']));
    $averagingMethod = mysqli_real_escape_string($con, $_POST['averagingMethod']);
    $depreciationRate = mysqli_real_escape_string($con, $_POST['depreciationRate']);
    $usefulLife = mysqli_real_escape_string($con, $_POST['usefulLife']);
    $branch = $_SESSION['Branch'];

    // SQL query to insert data
    $insertQuery = mysqli_query($con, "INSERT INTO fixedasset (asset_type, asset_account, accumulated_depreciation_account, depreciation_expense_account, depreciation_method, averaging_method, depreciation_rate, useful_life, branch,revaluation_gain_account,revaluation_loss_account,maintenance_cost_account) 
                VALUES ('$assetType', '$assetAccount', '$accumulatedDepreciation', '$depreciationExpense', '$depreciationMethod', '$averagingMethod', '$depreciationRate', '$usefulLife', '$branch','$revaluation_gain','$revaluation_loss','$maintenance_cost')");

    if ($insertQuery) {
        $id = mysqli_insert_id($con);
        
        echo "Asset group successfully created";                   
                   
    } else {
        echo "Something wrong please contact system provider";
    }
     mysqli_close($con);
} 
?>