<?php
session_start();
include '../../db/db.php';
require_once '../function/sendsms.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Sanitize and retrieve form data
    $tzcode = '255';
    $fname = strtoupper(mysqli_real_escape_string($con, $_POST['fname']));
    $member_code = strtoupper(mysqli_real_escape_string($con, $_POST['member_code']));
    $sex = mysqli_real_escape_string($con, $_POST['sex']);
    $branch = $_SESSION['Branch'];
    $relation = mysqli_real_escape_string($con, $_POST['relation']);
    $kazi = mysqli_real_escape_string($con, $_POST['kazi']);
    $baddress = mysqli_real_escape_string($con, $_POST['baddress']);
    $phone11 = mysqli_real_escape_string($con, $_POST['phone1']);
    $phone1 = $tzcode . $phone11;
    $phone22 = mysqli_real_escape_string($con, $_POST['phone2']);
    $phone2 = $phone22 == '' ? $tzcode . $phone11 : $tzcode . $phone22;
    $idtype = mysqli_real_escape_string($con, $_POST['idtype']);
    $idno = mysqli_real_escape_string($con, $_POST['idname']);
    $date = mysqli_real_escape_string($con, $_POST['date']);
    $city = mysqli_real_escape_string($con, $_POST['city']);
    $dob = mysqli_real_escape_string($con, $_POST['dob']);
    $district = mysqli_real_escape_string($con, $_POST['district']);
    $password = '12345';

    // Validation
    if (empty($fname) || empty($phone1) || empty($sex) || empty($idno) || empty($member_code) || empty($date) || empty($city)) {
        echo "Fill all fields please !!! Tafadhali hakikisha umejaza taarifa zote kabla ya kutuma taarifa";
        exit;
    } else if (strlen($phone11) != 9) {
        echo "Invalid phone number !!! Tafadhali hakikisha umejaza namba ya simu kwa usahihi";
        exit;
    }

    // Check if member_code already exists
    $checkCode = mysqli_query($con, "SELECT * FROM ngm_customer WHERE customerNo = '$member_code'");
    $num_rows = mysqli_num_rows($checkCode);

    if ($num_rows === 0) {
        // Insert new customer
        $sql = "INSERT INTO ngm_customer (customerNo, name, kazi, kaziAddress, phone1, phone2, registrar, idType, idNumber, dob, city, district, branch, sex, password, date_registered, relation) 
                VALUES ('$member_code', '$fname', '$kazi', '$baddress', '$phone1', '$phone2', '{$_SESSION['name']}', '$idtype', '$idno','$dob','$city','$district', '$branch', '$sex', '$password', '$date', '$relation')";

        if (mysqli_query($con, $sql)) {
            echo "1"; // Successfully registered
             $message = 'Habari '.$fname.',Usajili wako umekamilika namba ya usajili ni '.$member_code.' Neno la siri: '.$password.'. Utapokea kadi yako ya uanachama utakayotumia kuingia katika App yetu kufanya malipo ya mkopo wako na kulipa gharama za ziada 
                   ';
                $phone = $phone1;
                //smsMtandaoSendMessages($phone, $message);
        } else {
            echo "3"; // Database error
        }
    } else {
        echo "2"; // Customer already exists
    }

    // Close the database connection
    mysqli_close($con);
}
?>
