<?php
    error_reporting(E_ALL);
    ini_set('display_errors', 1);
    
if(isset($_POST['submit'])){
    $hashed_password = md5(12345);
    $emp_id = mysqli_real_escape_string($con,$_POST['emp_id']);
    $first_name = strtoupper(mysqli_real_escape_string($con, $_POST['first_name']));
    $last_name = strtoupper(mysqli_real_escape_string($con, $_POST['last_name']));
    $name = $first_name.' '.$last_name;
    $dob = mysqli_real_escape_string($con,$_POST['dob']);
    $gender = mysqli_real_escape_string($con,$_POST['gender']);
    $marital_status = mysqli_real_escape_string($con,$_POST['marital_status']);
    $other_marital_status = mysqli_real_escape_string($con,$_POST['other_marital_status']);
    $nationality = mysqli_real_escape_string($con,$_POST['nationality']);
    $other_nationality = mysqli_real_escape_string($con,$_POST['other_nationality']);
    $blood_group = mysqli_real_escape_string($con,$_POST['blood_group']);
    $other_blood_group = mysqli_real_escape_string($con,$_POST['other_blood_group']);
    $country = mysqli_real_escape_string($con,$_POST['country']);
    $otherCountry = mysqli_real_escape_string($con,$_POST['otherCountry']);
    $city = mysqli_real_escape_string($con,$_POST['city']);
    $district = mysqli_real_escape_string($con,$_POST['district']);
    $email = mysqli_real_escape_string($con,$_POST['email']);
    $address = mysqli_real_escape_string($con,$_POST['address']);
    $mobile = mysqli_real_escape_string($con,$_POST['mobile']);
    $amt = mysqli_real_escape_string($con,$_POST['amount']);
    $amount = intval(preg_replace('/[^\d.]/', '', $amt));
    $telephone = mysqli_real_escape_string($con,$_POST['telephone']);
    $identity_doc = mysqli_real_escape_string($con,$_POST['identity_doc']);
    $identity_no = mysqli_real_escape_string($con,$_POST['identity_no']);
    $emp_type = mysqli_real_escape_string($con,$_POST['emp_type']);
    $joining_date = mysqli_real_escape_string($con,$_POST['joining_date']);
    $designation = mysqli_real_escape_string($con,$_POST['designation']);
    $department = mysqli_real_escape_string($con,$_POST['department']);
    $pan_no = mysqli_real_escape_string($con,$_POST['pan_no']);
    $bank_name = mysqli_real_escape_string($con,$_POST['bank_name']);
    $account_no = mysqli_real_escape_string($con,$_POST['account_no']);
    $ifsc_code = mysqli_real_escape_string($con,$_POST['ifsc_code']);
    $wcf = mysqli_real_escape_string($con, $_POST['wcf'] ?? 0) ? 1 : 0;
    
    $status = mysqli_real_escape_string($con,$_POST['status']);
    $role = mysqli_real_escape_string($con,$_POST['role']);
    $branch = mysqli_real_escape_string($con,$_POST['branch']);
    
    // Using the null coalescing operator before mysqli_real_escape_string
    $employee_nhif_per = mysqli_real_escape_string($con, $_POST['employee_nhif_per'] ?? '');
    $employer_nhif_per = mysqli_real_escape_string($con, $_POST['employer_nhif_per'] ?? '');
    $nhif_number = mysqli_real_escape_string($con, $_POST['nhif_number'] ?? '');
    
    $fund_type   = mysqli_real_escape_string($con, $_POST['fund_type'] ?? '');
    $fund_number = mysqli_real_escape_string($con, $_POST['fund_number'] ?? '');
    $fund_employee_per = mysqli_real_escape_string($con, $_POST['fund_employee_per'] ?? '');
    $fund_employer_per = mysqli_real_escape_string($con, $_POST['fund_employer_per'] ?? '');
    
    $trade_union_type = mysqli_real_escape_string($con, $_POST['trade_union_type'] ?? '');
    $trade_union_category = mysqli_real_escape_string($con, $_POST['trade_union_category'] ?? '');
    $trade_union_amount = mysqli_real_escape_string($con, $_POST['trade_union_amount'] ?? '');

  $attachment = $_FILES['attachment'];
$signature = $_FILES['signature'];
$attachment_path = '';
$signature_path = '';
$err = '';

// Handle attachment file upload (PDF, DOCX)
if (isset($attachment) && $attachment['error'] == 0) {
    $allowed_attachment_extensions = ['pdf', 'docx'];
    $attachment_extension = strtolower(pathinfo($attachment['name'], PATHINFO_EXTENSION));

    if (in_array($attachment_extension, $allowed_attachment_extensions)) {
        $target_dir = "../attachments/";
        $attachment_path = $target_dir . basename($attachment["name"]);

        if (!is_dir($target_dir)) {
            mkdir($target_dir, 0777, true); // Create directory if it doesn't exist
        }

        if (move_uploaded_file($attachment["tmp_name"], $attachment_path)) {
            $attachment_path = mysqli_real_escape_string($con, $attachment_path);
        } else {
            $err .= '<div class="alert alert-danger" role="alert">
                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <strong>Error!</strong> Failed to upload the attachment.
                     </div>';
        }
    } else {
        $err .= '<div class="alert alert-danger" role="alert">
                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                    <strong>Error!</strong> Only PDF and DOCX files are allowed for Employee Records.
                 </div>';
    }
}

// Handle signature file upload (JPG, PNG, JPEG)
if (isset($signature) && $signature['error'] == 0) {
    $allowed_signature_extensions = ['jpg', 'jpeg', 'png'];
    $signature_extension = strtolower(pathinfo($signature['name'], PATHINFO_EXTENSION));

    if (in_array($signature_extension, $allowed_signature_extensions)) {
        $signature_dir = "../attachments/";
        $signature_path = $signature_dir . basename($signature["name"]);

        if (!is_dir($signature_dir)) {
            mkdir($signature_dir, 0777, true); // Create directory if it doesn't exist
        }

        if (move_uploaded_file($signature["tmp_name"], $signature_path)) {
            $signature_path = mysqli_real_escape_string($con, $signature_path);
        } else {
            $err .= '<div class="alert alert-danger" role="alert">
                        <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <strong>Error!</strong> Failed to upload the signature.
                     </div>';
        }
    } else {
        $err .= '<div class="alert alert-danger" role="alert">
                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                    <strong>Error!</strong> Only JPG, JPEG, and PNG files are allowed for Employee Signature.
                 </div>';
    }
}

    $product = mysqli_query($con, "SELECT * FROM Employee_Registration WHERE Ecode = '$emp_id'");
    $num = mysqli_num_rows($product);

    if($num == 0){
        $insertQuery = mysqli_query($con, "INSERT INTO Employee_Registration 
(Ecode, Fname, Lname, DOB, Gender, Status, other_status, Nationality, other_nationality, 
Blood_Group, other_blood_group, Country, otherCountry, Region, District, Email, Address, 
Telephone, Otelephone, Identity, Identity_No, Employment_Type, DOE, Designation, Department, 
TIN, Bank_Name, Bank_Account_No, Bank_Branch, Employee_Records, amount,role, empl_status, Branch, employee_nhif_per, 
employer_nhif_per, nhif_number, fund_type, fund_number, fund_employee_per, fund_employer_per,trade_union_type,trade_union_category,trade_union_amount,wcf,password,Name,signature) 
VALUES ('$emp_id', '$first_name', '$last_name', '$dob', '$gender', '$marital_status', '$other_marital_status',
'$nationality', '$other_nationality', '$blood_group', '$other_blood_group', '$country', '$otherCountry',
'$city', '$district', '$email', '$address', '$mobile', '$telephone', '$identity_doc', '$identity_no',
'$emp_type', '$joining_date', '$designation', '$department', '$pan_no', '$bank_name', '$account_no',
'$ifsc_code', '$attachment_path', '$amount',$role,$status, '$branch', '$employee_nhif_per', '$employer_nhif_per', 
'$nhif_number', '$fund_type', '$fund_number', '$fund_employee_per', '$fund_employer_per','$trade_union_type','$trade_union_category','$trade_union_amount','$wcf','$hashed_password','$name','$signature_path')");

        
        if($insertQuery){
            echo "<script src='https://cdn.jsdelivr.net/npm/sweetalert2@11'></script>";
            echo "<script>
                Swal.fire({
                    icon: 'success',
                    title: 'Success',
                    text: 'Employee Created successfully.',
                    confirmButtonText: 'OK'
                }).then(() => {
                    setTimeout(() => {
                        window.location='index.php?p=EmployeesList';
                    }, 1000);  // 1-second delay before redirection
                });
            </script>";

        } else {
            $err = "<p class='alert alert-danger'>Error: " . mysqli_error($con) . "</p>";
        }
    } else {
        $err = "<p class='alert alert-danger'>That Employee already exists!.</p>";
    }
}


if (isset($_POST['department_add'])) {
    $departmentName = strtoupper(trim($_POST['name']));
    
    try {
        // Check if the department already exists
        $checkQuery = "SELECT COUNT(*) FROM department WHERE Department_name = :Department_name";
        $checkStmt = $pdo->prepare($checkQuery);
        $checkStmt->bindParam(':Department_name', $departmentName);
        $checkStmt->execute();
        $departmentExists = $checkStmt->fetchColumn();

        if ($departmentExists > 0) {
            echo "<script>alert('Department already exists.')</script>";
        } else {
            // Prepare the SQL statement with placeholders
            $queryy = "INSERT INTO department (Department_name) VALUES (:Department_name)";
            $stmtt = $pdo->prepare($queryy);
            $stmtt->bindParam(':Department_name', $departmentName);
            
            // Execute the statement
            if ($stmtt->execute()) {
                echo "<script> alert('Department added successfully!')</script>";
            } else {
                echo "<script>alert('Failed to add Department. Please try again.')</script>";
            }
        }
    } catch (PDOException $e) {
        // Handle any errors
        echo "Error: " . $e->getMessage();
    }
}
?>

















  <div class="col-md-9">

                            <!-- START TIMELINE -->
                            <div class="page-content-wrap">
                
                                <div class="row">
                                    <div class="col-md-12">
                                        <ul class="breadcrumb" style="height: 40px;padding-top: 10px;">                  
                                        <li><a href="index.php?p=Payslipitems" style="color: rgb(7, 133, 164)">Human Resource settings</a></li>
                                        <li><a href="index.php?p=EmployeesList" style="color: rgb(7, 133, 164)">Employee List</a></li>
                                        <li class="active">Employee Registration</li>
                                    </ul>
                                    <?php if(isset($err)) { echo $err; } ?>
                      <form class="form-horizontal" method="post" action="" enctype="multipart/form-data">
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h3 class="panel-title" style="color: rgb(174, 169, 169);"><strong>Employee Registration</strong></h3>
                                <button class="btn btn-default btn btn-warning pull-right" onclick="history.back()"> <span class="fa fa-arrow-left"></span> Go Back</button>
                                            </div>
                                            <div class="panel-body">          
						<div class="modal-body">
							<div class="form-group">
								<div class="row">
									<div class="col-sm-4">
										<label for="emp_code">Employee Code</label>
										<input type="text" class="form-control" name="emp_id" id="emp_id"/>
									</div>
									<div class="col-sm-4">
										<label for="first_name">First Name</label>
										<input type="text" class="form-control" name="first_name" id="first_name" required />
									</div>
									<div class="col-sm-4">
										<label for="last_name">Last Name</label>
										<input type="text" class="form-control" name="last_name" id="last_name" required />
									</div>
								</div>
							</div>
							<div class="form-group">
								<div class="row">
									<div class="col-sm-4">
										<label for="dob">Date of Birth</label>
										<input type="text" class="form-control datepicker" name="dob" value="<?php echo date('Y-m-d')?>" id="dob" required />
									</div>
									<div class="col-sm-4">
										<label for="gender">Gender</label>
										<select class="form-control select" name="gender" id="gender" required>
											<option value="">Please select</option>
											<option value="male">Male</option>
											<option value="female">Female</option>
										</select>
									</div>
<div class="col-sm-4">
    <label for="marital_status">Marital Status</label>
    <select class="form-control select" name="marital_status" id="marital_status" onchange="showSpecifyTextbox()" required>
        <option value="Single">Single</option>
        <option value="Married">Married</option>
        <option value="Divorced">Divorced</option>
        <option value="Widowed">Widowed</option>
        <option value="Separated">Separated</option>
        <option value="Other">Other</option>
    </select>
</div>
<div class="col-sm-4" id="otherMaritalStatus" style="display: none;">
    <label for="other_marital_status">Specify Marital Status</label>
    <input type="text" class="form-control" name="other_marital_status" id="other_marital_status" />
</div>

<script>
    function showSpecifyTextbox() {
        var selectBox = document.getElementById("marital_status");
        var otherTextbox = document.getElementById("otherMaritalStatus");

        if (selectBox.value === "Other") {
            otherTextbox.style.display = "block";
        } else {
            otherTextbox.style.display = "none";
        }
    }
</script>
								</div>
							</div>
<div class="form-group">
    <div class="row">
        <div class="col-sm-4">
    <label for="nationality">Nationality</label>
    <select class="form-control select" name="nationality" id="nationality" onchange="showSpecifyNationalityTextbox()" required>
        <option value="Tanzanian">Tanzanian</option>
        <option value="Other">Other</option>
    </select>
</div>
		<div class="form-group" id="otherNationality" style="display: none;">
    <div class="row">
        <div class="col-sm-4">
            <label for="other_nationality">Other Nationality</label>
            <input type="text" class="form-control" name="other_nationality" id="other_nationality" />
        </div>
    </div>
</div>
        <div class="col-sm-4">
            <label for="blood_group">Blood Group</label>
            <select class="form-control select" name="blood_group" id="blood_group" onchange="showSpecifyBloodGroupTextbox()" required>
                <option value="A+">A+</option>
                <option value="A-">A-</option>
                <option value="B+">B+</option>
                <option value="B-">B-</option>
                <option value="AB+">AB+</option>
                <option value="AB-">AB-</option>
                <option value="O+">O+</option>
                <option value="O-">O-</option>
                <option value="Other">Other</option>
            </select>
        </div>
		<div class="form-group" id="otherBloodGroup" style="display: none;">
    <div class="row">
        <div class="col-sm-4">
            <label for="other_blood_group">Other Blood Group</label>
            <input type="text" class="form-control" name="other_blood_group" id="other_blood_group" />
        </div>
    </div>
</div>
		<div class="col-sm-4">
    <label for="country">Country</label>
    <select class="form-control select" name="country" id="country" onchange="showSpecifyCountryTextbox()" required>
        <option value="Tanzania">Tanzania</option>
        <option value="Other">Other</option>
    </select>
</div>
<div class="col-sm-4" id="otherCountryContainer" style="display: none;">
    <label for="otherCountry">Specify Country</label>
    <input type="text" class="form-control" name="otherCountry" id="otherCountry">
</div>
        <div class="col-sm-4">
            <label for="city">Region</label>
            <select class="form-control" name="city" id="city" onchange="populateDistricts()" required>
                <option value="Arusha">Arusha</option>
                <option value="Dar es Salaam">Dar es Salaam</option>
                <option value="Dodoma">Dodoma</option>
                <option value="Geita">Geita</option>
                <option value="Iringa">Iringa</option>
                <option value="Kagera">Kagera</option>
                <option value="Katavi">Katavi</option>
                <option value="Kigoma">Kigoma</option>
                <option value="Kilimanjaro">Kilimanjaro</option>
                <option value="Lindi">Lindi</option>
                <option value="Manyara">Manyara</option>
                <option value="Mara">Mara</option>
                <option value="Mbeya">Mbeya</option>
                <option value="Morogoro">Morogoro</option>
                <option value="Mtwara">Mtwara</option>
                <option value="Mwanza">Mwanza</option>
                <option value="Njombe">Njombe</option>
                <option value="Pemba North">Pemba North</option>
                <option value="Pemba South">Pemba South</option>
                <option value="Pwani">Pwani</option>
                <option value="Rukwa">Rukwa</option>
                <option value="Ruvuma">Ruvuma</option>
                <option value="Shinyanga">Shinyanga</option>
                <option value="Simiyu">Simiyu</option>
                <option value="Singida">Singida</option>
                <option value="Songwe">Songwe</option>
                <option value="Tabora">Tabora</option>
                <option value="Tanga">Tanga</option>
                <option value="Zanzibar Central/South">Zanzibar Central/South</option>
                <option value="Zanzibar North">Zanzibar North</option>
                <option value="Zanzibar Urban/West">Zanzibar Urban/West</option>
            </select>
        </div>
	<div class="col-sm-4">
    <label for="district">District</label>
    <select class="form-control" name="district" id="district" required>
        <!-- District options will be populated dynamically -->
    </select>
</div>
<div class="col-sm-4">
	<label for="email">Email</label>
	<input type="email" class="form-control" name="email" id="email" required />
	</div>
    </div>
</div>

<script>
	function showSpecifyCountryTextbox() {
        var countrySelect = document.getElementById("country");
        var otherCountryContainer = document.getElementById("otherCountryContainer");

        if (countrySelect.value === "Tanzania") {
            otherCountryContainer.style.display = "none";
        } else if (countrySelect.value === "Other") {
            otherCountryContainer.style.display = "block";
        }
    }
    function showSpecifyNationalityTextbox() {
        var selectBox = document.getElementById("nationality");
        var otherNationalityTextbox = document.getElementById("otherNationality");

        if (selectBox.value === "Other") {
            otherNationalityTextbox.style.display = "block";
        } else {
            otherNationalityTextbox.style.display = "none";
        }
    }

    function showSpecifyBloodGroupTextbox() {
        var selectBox = document.getElementById("blood_group");
        var otherBloodGroupTextbox = document.getElementById("otherBloodGroup");

        if (selectBox.value === "Other") {
            otherBloodGroupTextbox.style.display = "block";
        } else {
            otherBloodGroupTextbox.style.display = "none";
        }
    }
</script>

							<div class="form-group">
								<div class="row">
									<div class="col-sm-6">
										<label for="address">Address (Description)</label>
										<textarea class="form-control" name="address" id="address" required></textarea>
									</div>
									<div class="col-sm-6">
										<label for="mobile">Gross Salary</label>
										<input type="text" class="form-control" name="amount" id="amount" required />
									</div>
								</div>
							</div>
							<div class="form-group">
								<div class="row">
									
<script>
    // District data for each city
var districtsData = {
    "Arusha": [
        "Arusha City",
        "Arusha Rural",
        "Karatu",
        "Longido",
        "Monduli",
        "Ngorongoro"
    ],
    "Dar es Salaam": [
        "Ilala",
        "Kinondoni",
        "Temeke",
        "Kigamboni",
        "Ubungo"
    ],
    "Dodoma": [
        "Dodoma Municipal",
        "Bahi",
        "Chamwino",
        "Chemba",
        "Kondoa",
        "Kongwa",
        "Mpwapwa"
    ],
    "Geita": [
        "Geita Town",
        "Bukombe",
        "Chato",
        "Kahama",
        "Mbogwe",
        "Nyang'hwale"
    ],
    "Iringa": [
        "Iringa Municipal",
        "Iringa Rural",
        "Kilolo",
        "Mafinga Town",
        "Mufindi"
    ],
    "Kagera": [
        "Biharamulo",
        "Bukoba Municipal",
        "Bukoba Rural",
        "Karagwe",
        "Kyerwa",
        "Missenyi",
        "Muleba"
    ],
    "Katavi": [
        "Mlele",
        "Mpanda Municipal",
        "Mpanda Rural"
    ],
    "Kigoma": [
        "Buhigwe",
        "Kakonko",
        "Kasulu Municipal",
        "Kasulu Rural",
        "Kibondo",
        "Kigoma Municipal",
        "Kigoma Rural",
        "Uvinza"
    ],
    "Kilimanjaro": [
        "Hai",
        "Moshi Municipal",
        "Moshi Rural",
        "Mwanga",
        "Rombo",
        "Siha"
    ],
    "Lindi": [
        "Kilwa Masoko",
        "Lindi Municipal",
        "Liwale",
        "Nachingwea",
        "Ruangwa"
    ],
    "Manyara": [
        "Babati Rural",
        "Babati Town",
        "Hanang",
        "Kiteto",
        "Mbulu"
    ],
    "Mara": [
        "Bunda",
        "Butiama",
        "Musoma Municipal",
        "Musoma Rural",
        "Rorya",
        "Serengeti",
        "Tarime"
    ],
    "Mbeya": [
        "Chunya",
        "Ileje",
        "Kyela",
        "Mbarali",
        "Mbeya City",
        "Mbozi",
        "Momba",
        "Rungwe"
    ],
    "Morogoro": [
        "Gairo",
        "Kilombero",
        "Kilosa",
        "Morogoro Municipal",
        "Morogoro Rural",
        "Mvomero",
        "Ulanga",
        "Malinyi"
    ],
    "Mtwara": [
        "Masasi",
        "Mtwara Municipal",
        "Mtwara Rural",
        "Nanyumbu",
        "Newala",
        "Tandahimba"
    ],
    "Mwanza": [
        "Ilemela",
        "Kwimba",
        "Magu",
        "Misungwi",
        "Nyamagana",
        "Sengerema",
        "Ukerewe"
    ],
    "Njombe": [
        "Ludewa",
        "Makete",
        "Njombe Municipal",
        "Njombe Rural",
        "Wanging'ombe"
    ],
    "Pemba North": [
        "Micheweni",
        "Wete"
    ],
    "Pemba South": [
        "Chake Chake",
        "Mkoani"
    ],
    "Pwani": [
        "Bagamoyo",
        "Kibaha",
        "Kisarawe",
        "Mafia",
        "Mkuranga",
        "Rufiji"
    ],
    "Rukwa": [
        "Kalambo",
        "Nkasi",
        "Sumbawanga Municipal",
        "Sumbawanga Rural"
    ],
    "Ruvuma": [
        "Mbinga",
        "Songea Municipal",
        "Songea Rural",
        "Tunduru"
    ],
    "Shinyanga": [
        "Kahama Rural",
        "Kahama Town",
        "Kishapu",
        "Shinyanga Municipal",
        "Shinyanga Rural"
    ],
    "Simiyu": [
        "Bariadi",
        "Busega",
        "Itilima",
        "Maswa",
        "Meatu"
    ],
    "Singida": [
        "Iramba",
        "Manyoni",
        "Singida Municipal",
        "Singida Rural"
    ],
    "Songwe": [
        "Ileje",
        "Mbozi",
        "Momba",
        "Songwe"
    ],
    "Tabora": [
        "Igunga",
        "Kaliua",
        "Nzega",
        "Sikonge",
        "Tabora Municipal",
        "Urambo",
        "Uyui"
    ],
    "Tanga": [
        "Handeni",
        "Kilindi",
        "Korogwe",
        "Lushoto",
        "Muheza",
        "Mkinga",
        "Pangani",
        "Tanga City"
    ],
    "Zanzibar Central/South": [
        "Kati",
        "Kusini"
    ],
    "Zanzibar North": [
        "Kaskazini A",
        "Kaskazini B"
    ],
    "Zanzibar Urban/West": [
        "Magharibi",
        "Mjini"
    ]
};
    // Function to populate district options based on selected city
    function populateDistricts() {
        var citySelect = document.getElementById("city");
        var districtSelect = document.getElementById("district");
        var selectedCity = citySelect.value;
        districtSelect.innerHTML = ""; // Clear previous options

        // Populate district options based on selected city
        if (selectedCity in districtsData) {
            var districts = districtsData[selectedCity];
            for (var i = 0; i < districts.length; i++) {
                var option = document.createElement("option");
                option.text = districts[i];
                option.value = districts[i];
                districtSelect.appendChild(option);
            }
        } else {
            var option = document.createElement("option");
            option.text = "Select City First";
            districtSelect.appendChild(option);
        }
    }

    // Populate districts when the page loads initially
    window.onload = populateDistricts;
</script>
									
								</div>
							</div>
							<div class="form-group">
								<div class="row">
									<div class="col-sm-4">
										<label for="mobile">Telephone No.</label>
										<input type="text" class="form-control" name="mobile" id="mobile"  placeholder="Mfano 255674xxxxxx" required />
									</div>
									<div class="col-sm-4">
										<label for="telephone">Other Telephone No.</label>
										<input type="text" class="form-control" name="telephone" id="telephone" />
									</div>
									<div class="col-sm-4">
										<label for="identity_doc">Identity Document</label>
										<select class="form-control select" name="identity_doc" id="identity_doc" required>
											<option value="">Please choose</option>
											<option value="National id">National ID</option>
											<option value="Voter id">Voter ID</option>
											<option value="Voter id">Driving License</option>
											<option value="Passport">Passport</option>
										</select>
									</div>
								</div>
							</div>
							<div class="form-group">
								<div class="row">
									<div class="col-sm-4">
										<label for="identity_no">Identity No</label>
										<input type="text" class="form-control" name="identity_no" id="identity_no" required />
									</div>
									<div class="col-sm-4">
										<label for="emp_type">Employment Type</label>
										<select class="form-control select" name="emp_type" id="emp_type" required>
											<option value="">Please choose</option>
											<option value="Permanent position ">Permanent position</option>
											<option value="Part-time employee">Part-time employee</option>
											<option value="Holiday worker">Holiday worker</option>
											<option value="Intern">Intern</option>
										</select>
									</div>
									<div class="col-sm-4">
										<label for="joining_date">Date of Employment</label>
										<input type="text" class="form-control datepicker" value="<?php echo date('Y-m-d')?>" name="joining_date" id="joining_date" required />
									</div>
								</div>
							</div>
							<div class="form-group">
								<div class="row">
									<div class="col-sm-4">
										<label for="designation">Designation</label>
										<input type="text" class="form-control" name="designation" id="designation" required />
									</div>
									<?php

                            $departmentsQuery = "SELECT * FROM department";
                            $departmentsResult = mysqli_query($con, $departmentsQuery);
                            
                            ?>
                            
                            <div class="col-sm-4">
                                <label for="department">Department 
                                <a href="#" data-toggle="modal" data-target="#addSupplierModal">
                                    <span class="fa fa-plus-circle" style="font-size:20px"></span>
                                    </a>
                                </label>
                                <select class="form-control select" name="department" id="department" required>
                                    <option value="">Please choose</option>
                                    <?php
                                    while ($department = mysqli_fetch_assoc($departmentsResult)) {
                                  echo "<option value='{$department['Department_name']}'>{$department['Department_name']}</option>";
                                    }
                                    ?>
                                </select>
                            </div>
									<div class="col-sm-4">
										<label for="pan_no">Taxpayer Identification Number (TIN)</label>
										<input type="text" class="form-control" name="pan_no" id="pan_no" required />
									</div>
								</div>
							</div>
						
							<div class="form-group">
								<div class="row">
									<div class="col-sm-4">
										<label for="bank_name">Bank Name</label>
										<input type="text" class="form-control" name="bank_name" id="bank_name" required />
									</div>
									<div class="col-sm-4">
										<label for="account_no">Bank A/C No.</label>
										<input type="text" class="form-control" name="account_no" id="account_no" required />
									</div>
									<div class="col-sm-4">
										<label for="ifsc_code">Bank Branch</label>
										<input type="text" class="form-control" name="ifsc_code" id="ifsc_code" required />
									</div>
								</div>
							</div>
							
							<!--userr information-->
							
							<div class="form-group">
								<div class="row">
									<div class="col-sm-4">
										<label>Role</label>
                                        <select class="form-control select" data-live-search="true" name="role">
                                            <option value="1">Administrator</option>
                                            <option value="2">General Manager</option>
                                            <option value="3">Accountant</option>
                                            <option value="4">HR</option>
                                            <option value="5">Director</option>
                                            <option value="6">Normal Employee</option>
                                            <option value="7">StoreKeeper</option>
                                        </select>
									</div>
									<div class="col-sm-4">
										<label>Status</label>
                                        <select class="form-control select" data-live-search="true" name="status">
                                            <option value="1">Active</option>
                                            <option value="0">Inactive</option>
                                        </select>
									</div>
									<div class="col-sm-4">
									<label>Branch</label>
                                   <select class="form-control select" name="branch" onchange="showDis(this.value)">
                                    <?php
                                    $stmt = $pdo->prepare("SELECT * FROM branch ORDER BY name");
                                    $stmt->execute();
                                    $branches = $stmt->fetchAll(PDO::FETCH_ASSOC);
                                     foreach ($branches as $branch) {
                                          ?>
                                       <option value="<?php echo $branch['name']; ?>"><?php echo $branch['name']; ?></option>
                                     <?php
                                     }
                                     ?>
                            </select>
									</div>
								</div>
							</div>
							
							
							<!--nhif and pssff checkbox-->
							  <div class="row " style="display:flex;gap:2rem">
							       <div class="form-group">
                                        <input type="checkbox" id="toggleCheckbox">
                                        <label for="toggleCheckbox">NHIF Information</label>
                                    </div>
								    <div class="form-group">
                                        <input type="checkbox" id="toggleCheckboxpssf">
                                        <label for="toggleCheckboxpssf">Pension Information</label>
                                    </div>
                                    <div class="form-group">
                                        <input type="checkbox" id="toggleCheckboxtrade">
                                        <label for="toggleCheckboxtrade">Trade Union</label>
                                    </div>
                                    <div class="form-group">
                                        <input type="checkbox" name="wcf" value="1">
                                        <label>WCF</label>
                                    </div>

							      
							  </div>
									 
							
							<!--NHIF-->
								<div class="row">
						    	<div class="form-group" style ="display:none;" id ="inputFields">
							         <h4>NHIF INFORMATION</h4>
									<div class="col-sm-4">
										<label for="nhif_employer_per">Employee %</label>
										<input type="number" class="form-control" name="employee_nhif_per"  />
									</div>
									<div class="col-sm-4">
										<label for="nhif_employer_per">Employer %</label>
										<input type="number" class="form-control" name="employer_nhif_per"  />
									</div>
									<div class="col-sm-4">
										<label for="nhif">NHIF Member Number</label>
										<input type="text" class="form-control" name="nhif_number"  />
									</div>
								</div>
							</div><br>
							<!--pension-->
								<div class="row">
						    	<div class="form-group" style ="display:none;" id ="inputFieldspssf">
							        <h4>PENSION INFORMATION</h4>
									<div class="col-sm-3">
										<label for="social_fund"> Social Fund Type</label>
									   <select class="form-control select" name="fund_type" >
											<option value="PSSSF">PSSSF</option>
											<option value="NSSF">NSSF</option>
										</select>
									</div>
									<div class="col-sm-3">
										<label for="social_fund_number">Social Fund Number</label>
										<input type="text" class="form-control" name="fund_number" />
									</div>
									<div class="col-sm-3">
										<label for="pension_employee"> Employee %</label>
										<input type="number" class="form-control" name="fund_employee_per" />
									</div>
									<div class="col-sm-3">
										<label for="pension_employer">Employer %</label>
										<input type="number" class="form-control" name="fund_employer_per"/>
									</div>
								</div>
							</div><br>
							<!--trade union-->
							<div class="row">
						    	<div class="form-group" style ="display:none;" id ="inputFieldstrade">
							        <h4>TRADE UNION INFORMATION</h4>
									<div class="col-sm-4">
										<label for="social_fund"> Trede Union Type</label>
									   <select class="form-control select" name="trade_union_type" >
											<option value="" disabled selected >--Select Union--</option>
											<option value="TUICO">TUICO</option>
											<option value="TUCTA">TUCTA</option>
											<option value="TTU">TTU</option>
											<option value="THTU">THTU</option>
											<option value="TALGWU">TALGWU</option>
											<option value="COTWU">COTWU</option>
											<option value="TAMICO">TAMICO</option>
											<option value="TUGHE">TUGHE</option>
											<option value="RAAWU">RAAWU</option>
											<option value="TPAWU">TPAWU</option>
										</select>
									</div>
									<div class="col-sm-4">
										<label for="social_fund_number">Category</label>
										<select class="form-control select" name="trade_union_category" >
											<option value="Fixed">Fixed</option>
											<option value="Percent">Percent</option>
										</select>
									</div>
									<div class="col-sm-4">
										<label for="pension_employee"> Amount/Percent</label>
										<input type="number" class="form-control" name="trade_union_amount" />
									</div>
								</div>
							</div><br>
							
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <label for="attachment">Upload Employee Records</label>
                                        <div class="input-group">
                                            <span class="input-group-btn">
                                                <button class="btn btn-default" type="button" onclick="document.getElementById('attachment').click();">Choose File</button>
                                            </span>
                                            <input type="text" class="form-control" readonly id="fileDisplayArea">
                                            <input type="file" class="form-control" id="attachment" name="attachment" style="display: none;" onchange="document.getElementById('fileDisplayArea').value = this.files[0].name;">
                                        </div>
                                        <p class="help-block" style="color:red">Only PDF, DOCX files are allowed.</p>
                                    </div>
                                    <div class="col-sm-6">
                                        <label for="attachment">Upload Employee Signature</label>
                                        <div class="input-group">
                                            <span class="input-group-btn">
                                                <button class="btn btn-default" type="button" onclick="document.getElementById('signature').click();">Choose File</button>
                                            </span>
                                            <input type="text" class="form-control" readonly id="pictureDisplayArea">
                                            <input type="file" class="form-control" id="signature" name="signature" style="display: none;" onchange="document.getElementById('pictureDisplayArea').value = this.files[0].name;">
                                        </div>
                                        <p class="help-block" style="color:red">Only jpg,png and jpeg.</p>
                                    </div>
                                </div>
                            </div>
                           
	
							</div>
							
						</div>
						<div class="modal-footer">
							<button type="submit" name="submit" class="btn btn-primary">Submit</button>
						</div>
					</form>
                <!-- END PAGE CONTENT WRAPPER -->        
			   </div>
			  </div>
		     </div>
              <!-- MODAL TO ADD DEPARTMENT-->
              <div class="modal fade" id="addSupplierModal" tabindex="-1" role="dialog" aria-labelledby="addSupplierModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addSupplierModalLabel">Add New Department</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="" method="post" id="departmentForm">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="supplierName">Department Name</label>
                        <input type="text" class="form-control" id="supplierName" name="name" required>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" name = "department_add" class="btn btn-primary">Save</button>
                </div>
            </form>
        </div>
    </div>
</div>
            </div>            
            <!-- END PAGE CONTENT -->
        </div>
        <script>
        document.getElementById('toggleCheckbox').addEventListener('change', function() {
            const inputFields = document.getElementById('inputFields');
            inputFields.style.display = this.checked ? 'block' : 'none';
        });
        document.getElementById('toggleCheckboxpssf').addEventListener('change', function() {
            const inputFields = document.getElementById('inputFieldspssf');
            inputFields.style.display = this.checked ? 'block' : 'none';
        });
         document.getElementById('toggleCheckboxtrade').addEventListener('change', function() {
            const inputFields = document.getElementById('inputFieldstrade');
            inputFields.style.display = this.checked ? 'block' : 'none';
        });
    </script>
    
  

