<?php
// Include the database connection
// require 'db_connection.php';

if (isset($_POST['createReport'])) {
    
    $month = mysqli_real_escape_string($con, $_POST['month']);
    $year = mysqli_real_escape_string($con, $_POST['year']);

   
    $redirectURL = 'index.php?p=payroll_fished_report&month=' . urlencode($month) . '&year=' . urlencode($year);
    echo "<script>window.location='$redirectURL';</script>";
}
?>

<div class="col-md-9">  
<div class="row">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel-heading">
            <ul class="breadcrumb" style="height: 40px;padding-top: 10px;">
                <li><a href="index.php?p=Payslipitems" style="color: rgb(7, 133, 164)">Human Resource & Payroll</a></li>
                <li class="active">Payroll Report</li>
            </ul>
                <h3 class="panel-title"><b>CREATE PAYROLL REPORT</b></h3>
            </div>
          <div class="panel-body">
               <center>
                    <img src="../logo/load.gif" id="loading" style="display:none">
                </center> 
               <div class="row">
                <form  method="post">
                    <div class="form-group col-md-4">
                        <label for="month">Month</label>
                        <select class="form-control select" id="month" name="month" required>
                            <option value="" disabled selected>Select Month</option>
                            <option value="1">January</option>
                            <option value="2">February</option>
                            <option value="3">March</option>
                            <option value="4">April</option>
                            <option value="5">May</option>
                            <option value="6">June</option>
                            <option value="7">July</option>
                            <option value="8">August</option>
                            <option value="9">September</option>
                            <option value="10">October</option>
                            <option value="11">November</option>
                            <option value="12">December</option>
                        </select>
                    </div>
                    <div class="form-group col-md-4" >
                        <label for="year">Year</label>
                        <select class="form-control select" id="year" name="year" required>
                            <!-- JavaScript will populate this with years -->
                        </select>
                    </div>
          </div>
        </div>
         <div class="panel-footer">
    <button type="submit" name ="createReport"  class="btn btn-primary pull-right" style="background: #f39121;border: none;">
        <span class="fa fa-plus-circle"></span> Create Payroll
    </button>
</div>

    </form>
</div>
 <script>
        // JavaScript to dynamically populate the year dropdown
        document.addEventListener('DOMContentLoaded', function () {
            const yearSelect = document.getElementById('year');
            const currentYear = new Date().getFullYear();
            for (let year = currentYear; year >= 2010; year--) {
                const option = document.createElement('option');
                option.value = year;
                option.text = year;
                yearSelect.appendChild(option);
            }
        });
    </script>

