<?php
require_once '../db/db.php'; // Adjust the path as necessary
$id = $_GET['id'];

$selectQuery = "SELECT * FROM department WHERE id = $id";
$result = mysqli_query($con,$selectQuery);
$row = mysqli_fetch_assoc($result);

$department_name = $row['Department_name'];

if(isset($_POST['submit'])){
    $department_name = mysqli_real_escape_string($con, $_POST['department_name']);
    
    // Check if the department already exists
    $checkQuery = "SELECT * FROM department WHERE Department_name = '$department_name' AND id != $id";
    $checkResult = mysqli_query($con, $checkQuery);
    
    if(mysqli_num_rows($checkResult) > 0) {
        // Department with the same name already exists
        $err = '<div class="alert alert-danger" role="alert">
                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                    Department with the same name already exists.
                </div>';
    } else {
        // Update the department
        $updateQuery = "UPDATE department SET Department_name = '$department_name' WHERE id=$id";
        $result = mysqli_query($con, $updateQuery);
     
        if ($result) {
            // Update successful
            echo "<script>
                alert('Record Successfully Updated');
                window.location.href = 'index.php?p=DepartmentList'; 
            </script>";
        } else {
            // Update failed
            $error_message = mysqli_error($con);
            echo "<p class='alert alert-danger'>Error updating data: $error_message. Please contact the system administrator.</p>";
        }
    }
}
?>


<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-9">
            <?php if(isset($err)) { echo $err; } ?>
            <div class="panel panel-default">
                <div class="panel-body" style="background: #fff">
                    <form method="post" action="" role="form" data-toggle="validator" id="department-form">
                        <div class="modal-body">
                            <div class="form-group">
                                <label for="department_name">Department Name</label>
                                <input type="text" class="form-control" id="department_name" name="department_name" placeholder="Department Name" value="<?php echo $department_name;?>" required />
                            </div>
                        </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" name="submit" class="btn btn-primary">Update Department</button>
                </div>
            </form>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
