<?php
session_start();
// Database connection (update with your own credentials)
require_once '../../db/db.php';

// Get JSON input
$data = json_decode(file_get_contents('php://input'), true);

// Save order details
    $grandTotal = $data['grandTotal'];
    $discount = $data['discount'];
    $vatSelection = $data['vatSelection'];
    $bankSelection = $data['bankSelection'];
    $customer = $data['customer'];
    $amt1 = $data['vatAmount'];
    $vatAmount = intval(preg_replace('/[^\d.]/', '', $amt1));
    $amt = $data['totalWithVAT'];
    $totalWithVAT = intval(preg_replace('/[^\d.]/', '', $amt));
    
    $date1 = date('Y-m-d');

    if (empty($bankSelection && $customer)) {
    echo json_encode([
        "status" => "error",
        "message" => "Please select a bank account and customer before proceeding."
    ]);
    exit; // Stop further execution
}

    $query_insert = mysqli_query($con, "INSERT INTO sales_cash VALUES ('','$customer', '".date('Y-m-d')."', '$totalWithVAT','Cash Sales', 'Random Sales POS','Reference','0','0','0','$discount','$vatAmount','$vatSelection','".$_SESSION['Branch']."','".$_SESSION['id']."','TZS','1')");
 
    if($query_insert){
      
      $invoiceId = mysqli_insert_id($con);
      
  if (!empty($data['products'])) {

    foreach ($data['products'] as $product) {
        $item = $product['id'];
        $quantity = $product['quantity'];
        $amount = $product['price'];
        $total = $product['quantity'] * $product['price'];
        
        $query_product = mysqli_query($con,"SELECT Product_Cost FROM product WHERE ProductId='$item'");
         $r = mysqli_fetch_array($query_product);
         $cost = $r['Product_Cost'];
         $totCost = $cost*$quantity;
         $total_cost=$total_cost+$totCost;

        // Bind parameters and execute statement
        $stmt = mysqli_query($con,"INSERT INTO sales_cash_items VALUES ('','$invoiceId', '$item','$quantity','$amount','$total','$cost','$totCost','No VAT','','')");
    }
 
 $revenue = $totalWithVAT - $vatAmount;   
        $query_trans = mysqli_query($con,"INSERT INTO transactions_details VALUES ('','$date1', '$invoiceId', '$bankSelection', '$customer', 'Sales Receipt #{$invoiceId}','','".$_SESSION['id']."','".$_SESSION['Branch']."','Cash',3,'$totalWithVAT ','',1)");
    if($query_trans){
        $recId = mysqli_insert_id($con);
        mysqli_query($con,"INSERT INTO transactions_details_items VALUES ('','$recId', '4110', '$revenue')");
        if($vatAmount > 0){
         mysqli_query($con,"INSERT INTO transactions_details_items VALUES ('','$recId', '1340', '$vatAmount')");
      }
    }    
   
  $debit = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code='$bankSelection'");
  $row_db = mysqli_fetch_array($debit);
  $fslidb = $row_db['account_type'];
  $class_db = $row_db['class'];
  
  $credit = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code='4110'");
  $row_cr = mysqli_fetch_array($credit);
  $fslicr = $row_cr['account_type'];
  $class_cr = $row_cr['class'];
  
    $debit2 = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code='5100'");
  $row_db2 = mysqli_fetch_array($debit2);
  $fslidb2 = $row_db2['account_type'];
  $class_db2 = $row_db2['class'];
  //Credit mapato
  $credit2 = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code='1340'");
  $row_cr2 = mysqli_fetch_array($credit2);
  $fslicr2 = $row_cr2['account_type'];
  $class_cr2 = $row_cr2['class'];
  
  $credit3 = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code='3140'");
  $row_cr3 = mysqli_fetch_array($credit3);
  $fslicr3 = $row_cr3['account_type'];
  $class_cr3 = $row_cr3['class'];
  
  //Affect financial
  mysqli_query($con,"INSERT INTO gl_transaction VALUES('','$bankSelection','$fslidb','$class_db','$totalWithVAT','Debit','$invoiceId','".$_SESSION['id']."','Sales by Invoice #{$invoiceId}','','$date1','".$_SESSION['Branch']."','Cash')");
      
  mysqli_query($con,"INSERT INTO gl_transaction VALUES('','4110','$fslicr','$class_cr','$revenue','Credit','$invoiceId','".$_SESSION['id']."','Revenue on sales by Invoice #{$invoiceId}','','$date1','".$_SESSION['Branch']."','Cash')");
  
 if($total_cost > 0){
    mysqli_query($con,"INSERT INTO gl_transaction VALUES('','5100','$fslidb2','$class_db2','$total_cost','Debit','$invoiceId','".$_SESSION['id']."','Cost of Inventory Sold by Invoice #{$invoiceId}','','$date1','".$_SESSION['Branch']."','Cash')");
      
    mysqli_query($con,"INSERT INTO gl_transaction VALUES('','1340','$fslicr2','$class_cr2','$total_cost','Credit','$invoiceId','".$_SESSION['id']."','Value of Inventory Sold by Invoice #{$invoiceId}','','$date1','".$_SESSION['Branch']."','Cash')");
  }
   if($vatAmount > 0){
    mysqli_query($con,"INSERT INTO gl_transaction VALUES('','3140','$fslicr3','$class_cr3','$vatAmount','Credit','$invoiceId','".$_SESSION['id']."','VAT on sales#{$invoiceId}','','$date1','".$_SESSION['Branch']."','Cash')");
  }
 }

}

echo json_encode([
            "status" => "success",
            "message" => "POS successfully saved!"
        ]);
?>