<?php
session_start();
if(!isset($_SESSION['id'])){
    
    echo "<script>
     window.location='../logout.php';
    </script>";
    
}
include '../../db/connect.php';

try {
    $stmt = $pdo->prepare("SELECT * FROM product WHERE Branch=:branch AND Category = :category ORDER BY Name ASC");
    $stmt->execute([
        ':branch' => $_SESSION['Branch'],
        ':category' => 'Product'
    ]);
    $products = $stmt->fetchAll(PDO::FETCH_ASSOC);
    if (count($products) == 0) {
        $err = "<p class='alert alert-info'>Hakuna bidhaa yeyote ambayo imeingizwa kwenye stoo</p>";
    }
    
    $stmt = $pdo->prepare("SELECT * FROM bank_accounts");
    $stmt->execute();
    $cl = $stmt->fetchAll(PDO::FETCH_ASSOC);
    
     $stmt = $pdo->prepare("SELECT * FROM ngm_customer WHERE branch = '".$_SESSION['Branch']."'");
    $stmt->execute();
    $cls = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>
<head>
    <!-- META SECTION -->
    <title>Smartaccounting</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <link rel="icon" href="../../favicon.ico" type="image/x-icon" />
    <link rel="icon" type="image/png" href="../logo/logo.jpg" />
    <!-- END META SECTION -->
    <link rel="stylesheet" type="text/css" id="theme" href="../../css/theme-default.css" />
    <!-- EOF CSS INCLUDE -->
    <style>
    /* Internal CSS */
    .container1 {
        border-radius: 10px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        padding: 20px;
    }

    .colored-box {
        display: inline-block;
        padding: 10px;
        margin-right: 10px;
        border-radius: 8px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
        width: auto;
        background-color: #3498db;
        color: #fff;
        font-weight: bold;
        margin-top: 5px;
        cursor: pointer;
    }

    .colored-box:nth-child(2) {
        background-color: #e74c3c;
    }

    .colored-box:nth-child(3) {
        background-color: #2ecc71;
    }

    .colored-box:nth-child(4) {
        background-color: #f39c12;
    }

    .colored-box:nth-child(5) {
        background-color: #9b59b6;
    }

    .colored-box:nth-child(6) {
        background-color: #34495e;
    }

    .colored-box:nth-child(7) {
        background-color: #d35400;
    }

    .colored-box:nth-child(8) {
        background-color: #27ae60;
    }

    .container2 {
        border-radius: 10px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4);
    }


    .grand-total-box {
        margin-top: 20px;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
    }

     .grouped-search {
            display: flex;
            align-items: center;
            justify-content: flex-end;
            /* Align to the right */
            margin-bottom: 20px;
        }

        .input-group-addon{
           height: 30px;
           padding-top:9px;
        }
        .search-input {
            width: 50%;
            /* Adjust the width as needed */
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
            margin-left: 10px;
            /* Optional margin for spacing */
        }
</style>
</head>
<body>
    <!-- START PAGE CONTAINER -->
    <div>
        <!-- PAGE CONTENT -->
        <div class="page-content">

            <!-- START X-NAVIGATION VERTICAL -->
            <ul class="x-navigation x-navigation-horizontal x-navigation-panel">
                <!-- TOGGLE NAVIGATION -->
                <li class="xn-icon-button">
                    <a href="#" class="x-navigation-minimize">
                        <h3 id="navigationTitle" style="color:#f3a02a;width: 50%;">SMARTGRANTS</h3>
                    </a>
                </li>
                <!-- END TOGGLE NAVIGATION -->
                
                <!-- POWER OFF -->
                <li class="xn-icon-button pull-right last">
                    <a href="#"><span class="fa fa-power-off" onclick="showLogoutAlert()"></span></a>
                    <ul class="xn-drop-left animated zoomIn">
                        <li><a href=""><span class="fa fa-user"></span> Login as</a></li>
                        <li><a href="#" class="mb-control" data-box="#mb-signout"><span class="fa fa-sign-out"></span> Sign Out</a></li>
                    </ul>
                </li>
                <!-- END POWER OFF -->
            </ul>

            <!-- JavaScript Function for Logout Alert -->
            <script>
                function showLogoutAlert() {
                    alert("Hauwezi ku log out ukiwa hapa, Rudi nyuma kwanza!");
                }
            </script>

<div class="col-md-12">
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>POS</b></h3>
                    <div class="pull-right">
                        <a href="../index.php?p=sales"><button class="btn btn-default"> <span class="fa fa-arrow-left"></span> Go Back</button>
                        </a>
                    </div>
                </div>
                <div class="panel-body" style="background: #fff">
                    <div class="grouped-search input-group" style="width: 40%;">
                        <input type="text" class="form-control" placeholder="Search..." id="productSearch">
                        <span class="input-group-addon"><span class="fa fa-search"></span></span>
                    </div>
                    <div class="row">
                       <div class="col-md-7">
                        <div class="container1" id="productContainer" style="max-height: 400px; overflow-y: auto;">
                            <?php
                            foreach ($products as $index => $product) :
                                // Generate a random color for each product
                                $color = sprintf('#%06X', mt_rand(0, 0xFFFFFF)); 
                            ?>
                                <div class="colored-box" style="background-color: <?php echo $color; ?>;" 
                                     onclick="playAudio(); updateProduct('<?php echo addslashes($product['ProductId']); ?>','<?php echo addslashes($product['Name']); ?>','<?php echo addslashes($product['Product_Price']); ?>')">
                                    <?php echo htmlspecialchars($product['Name']); ?>
                                </div>
                            <?php
                            endforeach;
                            ?>
                        </div>
                    </div>
                    
                    <audio id="clickAudio" src="../../logo/audio.mp3" preload="auto"></audio>
                    
                    <script>
                    function playAudio() {
                        var audio = document.getElementById('clickAudio');
                        audio.play();
                    }
                    </script>

<!-- Bank Selection Section at the Top -->
    

<div class="col-md-5">
    <center>
        <img src="../../logo/load.gif" id="loading" style="display:none">
    </center> 
    <div class="container2">
        <form id="orderForm" method="post">
            <div class="col-md-5" style="margin-bottom:15px">
        <label for="bankSelection">Select Bank:<span style="color:red;font-size:16px">*</span></label>
        <select class="form-control select" id="bankSelection" name="bank" required>
            <option value="">Choose a bank</option>
            <?php
            $stmt = $pdo->prepare("SELECT * FROM bank_accounts");
            $stmt->execute();
            $cl = $stmt->fetchAll(PDO::FETCH_ASSOC);
            foreach ($cl as $class): ?>
                <option value="<?php echo htmlspecialchars($class['account_code']); ?>">
                    <?php echo htmlspecialchars($class['bank_account_name']); ?>
                </option>
            <?php endforeach; ?>
        </select>
    </div>
    <div class="col-md-5" style="margin-bottom:15px">
        <label for="customerSelection">Customer:<span style="color:red;font-size:16px">*</span></label>
    <select class="form-control select" name="customer" data-live-search="true" id="customer"> 
        <option value="">Search</option>
        <?php foreach($cls as $rs): ?>
            <option value="<?php echo $rs['id']; ?>"><?php echo $rs['name']; ?></option>
        <?php endforeach; ?>
    </select>

    </div>
    <br/><br/>
<br/>
            <table class="table table-condensed" id="productTable">
                <thead>
                    <tr>
                        <th>Product</th>
                        <th>Quantity</th>
                        <th>Price</th>
                        <th>Total</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <!-- Dynamic rows will be added here -->
                </tbody>
            </table>

            <!-- Grand Total Box -->
            <div class="grand-total-box" style="background-color:#38364a; color:#fff">
                <!-- Row for Grand Total and Discount -->
                <div class="row">
                    <div class="col-md-6">
                        <label for="grandTotal">Grand Total:</label>
                        <input type="text" class="form-control" id="grandTotal" name="grandTotal" style="color:black" value="0.00" readonly> 
                    </div>
                    
                    <div class="col-md-6">
                        <label for="discount">Discount:</label>
                        <input type="text" class="form-control" id="discountInput" name="discount" value="0.00" oninput="updateDiscount()">
                    </div>
                </div>
                <br/>

                <!-- Row for VAT Selection -->
                <div class="row">
                    <div class="col-md-6">
                        <label for="vatSelection">Choose VAT Type:</label>
                        <select class="form-control select" data-live-search="true" id="vatSelection" name="vatSelection" onchange="updateVAT()">
                            <option value="0">No VAT</option>
                            <option value="1">VAT Inclusive</option>
                            <option value="2">VAT Exclusive</option>
                        </select>
                    </div>

                    <div class="col-md-6">
                        <label for="vat">VAT:</label>
                        <input type="text" class="form-control" id="vat" name="vatAmount" style="color:black" value="0.00" readonly>
                    </div>
                </div>
                <br/>

                <!-- Row for Total and Bank Selection -->
                <div class="row">
                    <div class="col-md-6">
                        <label for="totalWithVAT">Total (Including VAT):</label>
                        <input type="text" class="form-control" id="totalWithVAT" name="totalWithVAT" style="color:black" value="0.00" readonly>
                    </div>

                </div>
            </div>
    </div>
</div>

    </div>
    </div>
 
<div class="panel-footer">
    <button class="btn btn-warning pull-right" onclick="submitForm()">
        <span class="fa fa-plus-circle"></span> Create
    </button>
</div>
 </form>
    </div>
    
      <!-- MESSAGE BOX-->
    <div class="message-box animated fadeIn" data-sound="alert" id="mb-signout">
        <div class="mb-container">
            <div class="mb-middle">
                <div class="mb-title"><span class="fa fa-sign-out"></span> Log <strong>Out</strong> ?</div>
                <div class="mb-content">
                    <p>Are you sure you want to log out?</p>
                    <p>Press No if you want to continue work. Press Yes to logout the current user.</p>
                </div>
                <div class="mb-footer">
                    <div class="pull-right">
                        <a href="" class="btn btn-success btn-lg">Yes</a>
                        <button class="btn btn-default btn-lg mb-control-close">No</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- END MESSAGE BOX-->
    
    <!-- START PRELOADS -->
    <audio id="audio-alert" src="../../audio/alert.mp3" preload="auto"></audio>
    <audio id="audio-fail" src="../../audio/fail.mp3" preload="auto"></audio>
    <!-- END PRELOADS -->

    <!-- START SCRIPTS -->
    <!-- START PLUGINS -->
    <script type="text/javascript" src="../../js/plugins/jquery/jquery.min.js"></script>
    <script type="text/javascript" src="../../js/plugins/jquery/jquery-ui.min.js"></script>
    <script type="text/javascript" src="../../js/plugins/bootstrap/bootstrap.min.js"></script>
    <!-- END PLUGINS -->

    <!-- START THIS PAGE PLUGINS-->
    <script type='text/javascript' src='../../js/plugins/icheck/icheck.min.js'></script>
    <script type="text/javascript" src="../../js/plugins/mcustomscrollbar/jquery.mCustomScrollbar.min.js"></script>

    <script type="text/javascript" src="../../js/plugins/codemirror/codemirror.js"></script>
    <script type='text/javascript' src="../../js/plugins/codemirror/mode/htmlmixed/htmlmixed.js"></script>
    <script type='text/javascript' src="../../js/plugins/codemirror/mode/xml/xml.js"></script>
    <script type='text/javascript' src="../../js/plugins/codemirror/mode/javascript/javascript.js"></script>
    <script type='text/javascript' src="../../js/plugins/codemirror/mode/css/css.js"></script>
    <script type='text/javascript' src="../../js/plugins/codemirror/mode/clike/clike.js"></script>
    <script type='javascript' src="../js/plugins/codemirror/mode/php/php.js"></script>

    <script type="text/javascript" src="../../js/plugins/summernote/summernote.js"></script>

    <script type="text/javascript" src="../../js/plugins/knob/jquery.knob.min.js"></script>
    <script type="text/javascript" src="../../js/plugins/owl/owl.carousel.min.js"></script>
    <script type="text/javascript" src="../plugins/tagsinput/jquery.tagsinput.min.js"></script>
    <script type="text/javascript" src="../../js/plugins/bootstrap/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="../../js/plugins/bootstrap/bootstrap-file-input.js"></script>
    <script type="text/javascript" src="../../js/plugins/bootstrap/bootstrap-select.js"></script>
    <script type="text/javascript" src="js/plugins/datatables/jquery.dataTables.min.js"></script>
    <!-- END THIS PAGE PLUGINS-->

    <!-- START TEMPLATE -->

    <script type="text/javascript" src="../../js/plugins.js"></script>
    <script type="text/javascript" src="../../js/actions.js"></script>

    
<?php
} catch (Exception $e) {
    echo "<p class='alert alert-danger'>An error occurred: " . $e->getMessage() . "</p>";
}
?>

<script>
var selectedProducts = [];

function updateProduct(productId,productName,ProductPrice) {
    var index = selectedProducts.findIndex(item => item.name === productName);
    
    var price = parseFloat(ProductPrice);
    var id = parseFloat(productId);

    if (index === -1) {
        selectedProducts.push({
            name: productName,
            id: id,
            quantity: 1,
            price: price
        });
        addTableRow(productName, 1, price);
    } else {
        selectedProducts[index].quantity++;
        updateQuantity(productName, selectedProducts[index].quantity);
    }
}

function addTableRow(productName, quantity, price) {
    var tableBody = document.querySelector('#productTable tbody');
    var newRow = tableBody.insertRow(tableBody.rows.length);

    var productCell = newRow.insertCell(0);
    var quantityCell = newRow.insertCell(1);
    var priceCell = newRow.insertCell(2);
    var totalCell = newRow.insertCell(3);
    var actionCell = newRow.insertCell(4);

    productCell.innerHTML = '<input type="text" class="form-control product-name" style="color:black" value="' + productName + '" readonly>';
    quantityCell.innerHTML = '<input type="number" class="form-control quantity" id="' + productName + '" value="' + quantity + '" oninput="updateQuantityInput(this)">'; 
    priceCell.innerHTML = '<input type="number" step="0.01" class="form-control price" oninput="updatePrice(this)" value="' + price.toFixed(2) + '">';
    totalCell.innerHTML = '<input type="text" class="form-control total" id="total-' + productName + '" value="' + (quantity * price).toFixed(2) + '" readonly>';
    
    // Updated to use "X" icon for remove
    actionCell.innerHTML = '<button type="button" class="btn btn-danger form-control action" onclick="removeRow(this)" style="background-color:#d9534f; color: #fff; font-weight: bold;">&times;</button>';

    updateGrandTotal();
}

function updateQuantity(productName, quantity) {
    var quantityInput = document.querySelector('#productTable input[id="' + productName + '"]');
    if (quantityInput) {
        quantityInput.value = quantity;
        updateTotal(productName, quantity);
    }
}

function updatePrice(input) {
    var productName = input.closest('tr').querySelector('.product-name').value;
    var price = parseFloat(input.value) || 0;
    selectedProducts.find(item => item.name === productName).price = price;
    updateTotal(productName, selectedProducts.find(item => item.name === productName).quantity);
    updateGrandTotal(); // Call updateGrandTotal when price changes
}

function updateTotal(productName, quantity) {
    var totalInput = document.querySelector('#productTable input[id="total-' + productName + '"]');
    if (totalInput) {
        totalInput.value = (quantity * selectedProducts.find(item => item.name === productName).price).toFixed(2);
    }

    updateGrandTotal();
}

function updateQuantityInput(input) {
    var productName = input.closest('tr').querySelector('.product-name').value;
    var quantity = parseInt(input.value) || 0;
    selectedProducts.find(item => item.name === productName).quantity = quantity;
    updateTotal(productName, quantity);
    updateGrandTotal(); // Call updateGrandTotal when quantity changes
}

function removeRow(button) {
    var row = button.closest('tr');
    var productName = row.querySelector('.product-name').value;

    var index = selectedProducts.findIndex(item => item.name === productName);
    if (index !== -1) {
        selectedProducts.splice(index, 1);
    }

    row.remove();

    updateGrandTotal(); // Call updateGrandTotal when a row is removed
}

function updateDiscount() {
    updateGrandTotal(); // Call updateGrandTotal when discount changes
}

function updateVAT() {
    updateGrandTotal(); // Call updateGrandTotal when VAT selection changes
}

function updateGrandTotal() {
    var grandTotalInput = document.getElementById('grandTotal');
    if (grandTotalInput) {
        var totalInputs = document.querySelectorAll('#productTable input.total');
        var sum = 0;

        totalInputs.forEach(function (input) {
            sum += parseFloat(input.value) || 0;
        });

        var discount = parseFloat(document.getElementById('discountInput').value) || 0;
        sum -= discount;

        var vatSelection = document.getElementById('vatSelection').value;
        var vat = 0;
        var totalWithVAT = sum;

        if (vatSelection === "1") { // VAT Inclusive
            vat = Math.round(sum * 0.18 / 1.18);
        } else if (vatSelection === "2") { // VAT Exclusive
            vat = Math.round(sum * 0.18);
            totalWithVAT += vat;
        }

        document.getElementById('vat').value = vat.toLocaleString('en-US', { style: 'decimal', maximumFractionDigits: 2 });
        document.getElementById('totalWithVAT').value = totalWithVAT.toLocaleString('en-US', { style: 'decimal', maximumFractionDigits: 2 });

        grandTotalInput.value = sum.toLocaleString('en-US', { style: 'decimal', maximumFractionDigits: 2 });
    }
}

document.getElementById('productSearch').addEventListener('input', function () {
    var searchValue = this.value.toLowerCase();
    var coloredBoxes = document.querySelectorAll('.container1 .colored-box');

    coloredBoxes.forEach(function (box) {
        var boxText = box.innerText.toLowerCase();
        if (boxText.includes(searchValue)) {
            box.style.display = 'inline-block';
        } else {
            box.style.display = 'none';
        }
    });
});
</script>
<script>
function submitForm() {
    event.preventDefault(); // Prevent the default form submission

    // Show the loading image
    document.getElementById('loading').style.display = 'block';

var bankSelection = document.getElementById('bankSelection').value;
var customer = document.getElementById('customer').value;
    // Collect form data
    var formData = {
        products: selectedProducts,  // This contains the dynamically added products
        grandTotal: document.getElementById('grandTotal').value || "0.00", // Use default if empty
        discount: document.getElementById('discountInput').value || "0.00", // Use default if empty
        vatSelection: document.getElementById('vatSelection').value,
        bankSelection: document.getElementById('bankSelection').value,
        customer: document.getElementById('customer').value,
        vatAmount: document.getElementById('vat').value || "0.00", // Use default if empty
        totalWithVAT: document.getElementById('totalWithVAT').value || "0.00" // Use default if empty
    };

    // Send form data to the server using AJAX
    var xhr = new XMLHttpRequest();
    xhr.open('POST', 'process_pos.php', true); // Adjust to match your backend route
    xhr.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
    
    // Handle the response
    xhr.onreadystatechange = function () {
        if (xhr.readyState === 4) {
            // Hide the loading image when the request completes
            document.getElementById('loading').style.display = 'none';
            
            var response = JSON.parse(xhr.responseText);
            if (response.status === "error") {
                Swal.fire({
                    icon: 'warning',
                    title: 'Bank and Customer Selection Required',
                    text: response.message
                });
            } else if (response.status === "success") {
                Swal.fire({
                    position: "top",
                    icon: "success",
                    title: response.message,
                    showConfirmButton: false,
                    timer: 1500
                }).then(function() {
                    location.reload();
                });
            }
        }
    };

    // Send the form data as a JSON string
    xhr.send(JSON.stringify(formData));
}
</script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>