<?php
// Database connection parameters
include '../db/db.php';
$product = mysqli_query($con,"SELECT * FROM product WHERE Branch = '".$_SESSION['Branch']."' ORDER BY Name ASC");
$supplier = mysqli_query($con,"SELECT * FROM supplier WHERE branchno = '".$_SESSION['Branch']."'");
// Check if the form is submitted
if (isset($_POST['submit'])) {
    // Retrieve form data
    $order = mysqli_real_escape_string($con,$_POST['order']);
    $date1 = mysqli_real_escape_string($con,$_POST['date1']);
    $net = mysqli_real_escape_string($con,$_POST['net']);
    $netamount = mysqli_real_escape_string($con,$_POST['netamount']);
    $discount = mysqli_real_escape_string($con,$_POST['discount']); 

    if($net == ''){
        $date2 = mysqli_real_escape_string($con,$_POST['date2']);
    }else{
      $dateTime = new DateTime($date1);  
      $dateTime->modify('+' . $net . ' days');
      $date2 = $dateTime->format('Y-m-d');
    }
    $customer = mysqli_real_escape_string($con,$_POST['supplier']);
    //$notes = mysqli_real_escape_string($con,$_POST['note']);
    $notes = !empty(mysqli_real_escape_string($con,$_POST['note'])) ? mysqli_real_escape_string($con,$_POST['note']) : 'Supplier Purchase invoice.';

    //$notes = "Supplier Purchase invoice";
    $status = 'purchase debit';

    // Insert main invoice data
    $q = mysqli_query($con,"INSERT INTO purchase_debit VALUES ('','$customer', '$date1', '$date2', '$netamount','$status', '$notes','$order','0','$netamount','$discount','','','".$_SESSION['Branch']."','".$_SESSION['id']."')");
    if($q){
    $invoiceId = mysqli_insert_id($con);
        echo "<script>
    alert('purchase Debit Note created successfully!');
    window.location = 'index.php?p=debit_note';
    </script>
    ";
    // Insert account lines
    $total=0;
    $totalandvat=0;
    $total_cost=0;
    $totalvat=0;
    foreach ($_POST['item'] as $index => $item) {
         $amount = $_POST['amount'][$index];
         $quantity = $_POST['quantity'][$index];
         $vattype = $_POST['vattype'][$index];
         if ($vattype === 'vatExclusive') {
           $vatRate = 0.18; // 18% VAT rate
        // Calculate VAT amount for VAT Exclusive option
           $vatamount = $amount*$quantity * $vatRate;
        // Calculate Total Incl. VAT
           $totalwithvat = $amount*$quantity + $vatamount;
        } else if ($vattype === 'vatInclusive') {
          $vatRate = 0.18; // 18% VAT rate    
        // Calculate VAT amount for VAT Inclusive option
          $totalwithvat = $amount*$quantity;
          $basePrice = $totalwithvat / (1 + $vatRate);
          $vatamount = $totalwithvat - $basePrice;
        // Set Total Incl. VAT field
        } else {
        // No VAT option selected
        $totalwithvat = $amount*$quantity;
        // Total including VAT should be the same as total amount
        $vatamount=0;
        }
        
         $totalandvat = $totalandvat + $totalwithvat;
         $totalvat = $totalvat+$vatamount;
         
         $inventory = $totalandvat - $totalvat;

         $revenue = $totalandvat - $totalvat;
         $query_product = mysqli_query($con,"SELECT Product_Cost FROM product WHERE ProductId='$item'");
         $r = mysqli_fetch_array($query_product);
         $cost = $r['Product_Cost'];
         $totCost = $cost*$quantity;
         $total_cost=$total_cost+$totCost;
         
        //Insert account line data
        $stmt = mysqli_query($con,"INSERT INTO purchase_debit_items VALUES ('','$invoiceId', '$item','$quantity', '$amount','".$amount*$quantity."','$price','$vattype','$vatamount','$totalwithvat','$date1','".$_SESSION['Branch']."')");
        if($stmt){
            mysqli_query($con,"UPDATE purchase_debit SET total_amount='$totalandvat',due='$totalandvat',tax_amount='$totalvat' WHERE purchase_id=$invoiceId");
        }
    }
}
}
?>

<style>
  /* Additional Styles */
  #item-table th,
  #item-table td {
      text-align: center;
      vertical-align: middle;
  }

  #item-table select {
      width: 100%;
      padding: 6px 12px;
      font-size: 14px;
      border: 1px solid #ccc;
      border-radius: 4px;
      box-sizing: border-box;
  }

  #item-table input[type="number"],
  #item-table input[type="text"] {
      width: 100%;
      padding: 6px 12px;
      font-size: 14px;
      border: 1px solid #ccc;
      border-radius: 4px;
      box-sizing: border-box;
  }

  #item-table button {
      padding: 8px 16px;
      font-size: 16px;
      cursor: pointer;
  }

  #item-table button.btn-danger {
      background-color: #d9534f;
      color: #fff;
      border: 1px solid #d9534f;

  }

  #item-table button.btn-success {
      background-color: #5cb85c;
      color: #fff;
      border: 1px solid #5cb85c;
      height: 70px;
  }

  #grand-total {
      margin-top: 10px;
      font-size: 16px;
      color: #2f8d2f;
      font-weight: bold;
  }

  #total-value {
      width: 100%;
      padding: 6px 12px;
      font-size: 16px;
      border: 1px solid #ccc;
      border-radius: 4px;
      box-sizing: border-box;
      text-align: right;
  }
  .panel-footer button {
      padding: 10px 20px;
      font-size: 16px;
  }
</style>

<div class="col-md-9">
  <!-- START TIMELINE -->
  <div class="row">
      <div class="col-md-12">
        <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
            <li><a href="index.php?p=purchases" style="color: rgb(7, 133, 164)">purchases Menu</a></li>
            <li><a href="index.php?p=debit_note" style="color: rgb(7, 133, 164)">purchases debit note</a></li>
            <li class="active">purchase Debit Note New</li>
        </ul>
      <form method="post" action ="">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h3 class="panel-title"><b>PURCHASE DEBIT NOTE NEW</b></h3>
          </div>
          <div class="panel-body" style="background: #fff">
            <table id="dynamic-table" class="table">
              <thead>
                <tr>
                  <th style="width: 30%;">Issue date</th>
                  <th style="width: 30%;">Due date</th>
                  <th style="width: 30%;">Supplier</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td>
                    <div class="form-group">
                      <div class="col-md-12">
                        <div class="input-group" id="currentDate">
                          <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                          <input type="text" class="form-control datepicker" name="date1" value="<?php echo date('Y-m-d');?>">                                            
                        </div>
                      </div>
                    </div>
                  </td>
                  <td>
                    <div class="form-group">
                      <div class="col-md-3 col-xs-3">
                            <select id="paymentType" class="form-control" onchange="togglePaymentFields()">
                                <option value="NET">NET</option>
                                <option value="BY">BY</option>
                            </select>
                        </div>
                        <div class="input-group">
                            <input type="number" name = "net" id="netInput" class="form-control" style="display: inline-block;">
                            <input type="text" name = "date2" id="byInput" class="form-control datepicker" style="display: none;" value="<?php echo date('Y-m-d');?>">
                        </div>
                    </div>
                  </td>
                  <td>
                    <div class="form-group">                                
                      <div class="col-md-12">
                        <div class="col-md-12 col-xs-12">
                            <select class="form-control select" data-live-search="true" name="supplier" required>
                                <option value="">Search</option>
                                    <?php
                                     foreach($supplier as $rs):
                                     ?>
                                    <option value="<?php echo $rs['id'];?>"><?php echo $rs['name'];?></option>
                                <?php
                                endforeach;
                                ?>
                            </select>
                        </div>                 
                      </div>
                    </div>
                  </td>
                </tr>
                <tr>
                    <td>
                        <div class="form-group">
                            <label class="col-md-12 col-xs-12 control-label">Description *</label>
                             <div class="col-md-12 col-xs-12">                   
                                <textarea name = "note" class="form-control" required>Supplier Purchase Debit Note</textarea>                                                    
                            </div>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <label class="col-md-12 col-xs-12 control-label">Order No.</label>
                             <div class="col-md-12 col-xs-12">                   
                                <input type = "text" name="order" class="form-control">                                                    
                            </div>
                        </div>
                    </td>
                </tr>    
              </tbody>
            </table>

            <table id="item-table" class="table">
              <thead>
              <tr>
                <th>Item</th>
                <th>Qty</th>
                <th>Unit price</th>
                <th>Total</th>
                <th>VAT Options</th>
                <th>VAT Amount</th>
                <th>Total Incl. VAT</th>
                <th>Remove</th>
              </tr>
              </thead>
              <tbody>
                <tr>
                  <td>
                    <div class="col-md-12">
                      <select class="form-control" data-live-search="true" name="item[]" required>
                        <option value="">Search Item here</option>
                        <?php foreach($product as $rows): ?>
                        <option value="<?php echo $rows['ProductId'];?>"><?php echo $rows['Name'];?></option>
                        <?php endforeach; ?>
                      </select>
                    </div>
                  </td>
                  <td><input type="number" id="unitPrice" class="form-control" oninput="updateTotal(this)" name="quantity[]" required/></td> <!-- Quantity -->
				  <td><input type="number" id="quantity" class="form-control" oninput="updateTotal(this)" name="amount[]" required/></td> <!-- Unit Price -->
				  <td><input type="number" class="form-control" placeholder="0.00" disabled /></td> <!-- Total -->
                  <td>
                    <select id="vatOptions" name = "vattype[]" class="form-control" onchange="calculateVATForRow($(this).closest('tr'))">
						<option value="noVAT" id="noVAT">No VAT</option>
						<option value="vatInclusive" id="vatInclusive">VAT Inclusive</option>
						<option value="vatExclusive" id="vatExclusive">VAT Exclusive</option>
					</select>
                  </td>
                  <td><input type="number" name = "vatamount[]" class="form-control" oninput="updateTotal(this)"  disabled id="vatAmountInput" /></td>
				  <td><input type="number" name = "vattotal[]" class="form-control"  disabled id="totalVATInclusiveInput" /></td>
                  <td><button onclick="removeRow(this)" class="btn btn-danger"><span class="fa fa-times"></span></button></td>
                </tr>
              </tbody>
            </table>

            <div id="grand-total">
              Grand Total: 
                <input type="text" id="total-value" disabled placeholder="0.00" style="width: 74%;background-color: #e69d61; color: #FFF;">
            </div><br>
           <!-- Discount input -->
			<div class="form-group" style="margin-left: 500px; margin-bottom: 10px;">
				<label class="col-md-3 control-label">Discount</label>
			<div class="col-md-9">
				<input type="number" name = "discount" id="discountInput" class="form-control" placeholder="Enter discount" value="0.00" style="width: 55%; text-align: right;">
			</div>
			</div><br><br>
				<!-- Net amount display -->
			<div class="form-group" style="margin-left: 500px; margin-bottom: 10px;">
				<label class="col-md-3 control-label">Net Amount</label>
				<div class="col-md-9">
				<input type="text" id="netAmount" name = "netamount" class="form-control" disabled style="width: 55%; text-align: right;font-size:16px;color:black;font-weight:bold">
			</div>
			</div>

            <!-- Buttons and Grand Total -->
            <button onclick="addRow()" class="btn btn-success" style="margin-top:10px;" type="button">Add Line</button>
            <button type="button" onclick="clearAll()" class="btn btn-warning" style="background-color: #2f8d2f;border: none;margin-top:10px">Clear All <i class="fas fa-trash"></i></button>

          </div>
          <div class="panel-footer">                                    
            <button class="btn btn-primary pull-right" type="submit" name="submit" style="background: #f39121;border: none;">
              <span class="fa fa-plus-circle"></span> Create
            </button>
          </div>
        </div>
      </form> 
    </div>
  </div>
  <!-- END TIMELINE -->
</div>

<script>
function togglePaymentFields() {
    var paymentType = document.getElementById("paymentType").value;

    // Get references to the input fields
    var netInput = document.getElementById("netInput");
    var byInput = document.getElementById("byInput");

    // Check the selected payment type and toggle visibility accordingly
    if (paymentType === "BY") {
        byInput.style.display = "inline-block";
        netInput.style.display = "none";
    } else if (paymentType === "NET") {
        netInput.style.display = "inline-block";
        byInput.style.display = "none";
    }
}
function addRow() {
    // Clone the last row of the table, including event handlers and data
    var newRow = $('#item-table tbody tr:last').clone(true, true);

    // Clear the input fields in the cloned row
    newRow.find('input[type="number"]').val('');

    // Reset the product selection in the cloned row
    newRow.find('select').val('');
    
   // newRow.find('select').prop('selectedIndex', 0);
    newRow.find('select').prop('selectedIndex', 0);
    // Remove id attribute from the cloned select element
    
    // Reinitialize or refresh Bootstrap Select Picker
    $('.selectpicker').selectpicker('refresh');


    // Append the cloned row to the table body
    $('#item-table tbody').append(newRow);

    // Recalculate VAT for the new row
    calculateVATForRow(newRow);

    // Calculate the grand total
    calculateGrandTotal();
}

	function removeRow(button) {
			// Find the closest row to the clicked button and remove it
			$(button).closest('tr').remove();
			// Recalculate total or other necessary operations if needed
			calculateGrandTotal(); // Call calculateGrandTotal after removing the row
	}

    function updateTotal(input) {
        var row = $(input).closest('tr'); // Find the closest row
        var quantity = parseFloat(row.find('input[type="number"]:eq(0)').val()); // Get quantity input value
        var unitPrice = parseFloat(row.find('input[type="number"]:eq(1)').val()); // Get unit price input value
        var total = quantity * unitPrice; // Calculate total

        // Set the total value in the Total column
        row.find('input[type="number"]:eq(2)').val(total.toFixed(2));

        // Recalculate VAT for the updated row
        calculateVATForRow(row);

        // Calculate the grand total
        calculateGrandTotal();
    }

    function calculateVATForRow(row) {
    var unitPrice = parseFloat(row.find('input[type="number"]:eq(1)').val());
    var quantity = parseFloat(row.find('input[type="number"]:eq(0)').val());
    var vatOption = row.find('#vatOptions').val();
    var vatAmountInput = row.find('#vatAmountInput');
    var totalVATInclusiveInput = row.find('#totalVATInclusiveInput');

    // Initialize VAT amount
    var vatAmount = 0;
    var totalInclVAT = 0;

    if (vatOption === 'vatExclusive') {
        // Calculate VAT amount for VAT Exclusive option
        var vatRate = 0.18; // 18% VAT rate
        vatAmount = unitPrice * quantity * vatRate;

        // Calculate Total Incl. VAT
        totalInclVAT = unitPrice * quantity + vatAmount;
    } else if (vatOption === 'vatInclusive') {
        // Calculate VAT amount for VAT Inclusive option
        var totalInclVAT = unitPrice * quantity;
        var vatRate = 0.18; // 18% VAT rate
        var basePrice = totalInclVAT / (1 + vatRate);
        vatAmount = totalInclVAT - basePrice;
        // Set Total Incl. VAT field
        totalInclVAT = unitPrice * quantity;
    } else {
        // No VAT option selected
        // Total including VAT should be the same as total amount
        totalInclVAT = parseFloat(row.find('input[type="number"]:eq(2)').val());
    }

    // Set VAT Amount field without formatting
    vatAmountInput.val(vatAmount);

    // Set Total Incl. VAT field without formatting
    totalVATInclusiveInput.val(totalInclVAT);

    // Calculate the grand total
    calculateGrandTotal();
}

    $(document).ready(function() {
    // Recalculate total when VAT option changes
    $('#item-table tbody').on('change', '#vatOptions', function() {
        var row = $(this).closest('tr');
        calculateVATForRow(row);
    });

    // Recalculate net amount after discount every time the grand total amount changes
    $('#discountInput, #item-table tbody').on('input', function() {
        calculateGrandTotal();
    });
});

function calculateGrandTotal() {
    var grandTotal = 0;
    // Iterate over each row to sum up the amounts in the seventh column
    $('#item-table tbody tr').each(function() {
        var totalInclVAT = parseFloat($(this).find('input#totalVATInclusiveInput').val());
        if (!isNaN(totalInclVAT)) {
            grandTotal += totalInclVAT;
        }
    });

    // Get the discount amount
    var discount = parseFloat($('#discountInput').val()) || 0;

    // Calculate net amount after discount
    var netAmount = grandTotal - discount;

    // Format grand total and net amount with comma thousand separators
    var formattedGrandTotal = grandTotal.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
    var formattedNetAmount = netAmount.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');

    // Update the grand total and net amount input fields
    $('#total-value').val(formattedGrandTotal);
    $('#netAmount').val(formattedNetAmount);
}
function clearAll() {
    // Clear all input fields in the item table
    $('#item-table tbody tr').each(function() {
        $(this).find('input[type="number"]').val('');
    });

    // Clear discount input field
    $('#discountInput').val('');

    // Clear grand total and net amount input fields
    $('#total-value').val('0.00');
    $('#netAmount').val('0.00');
}
</script>
