
    ?>
    <!-- START PURCHASES BY SUPPLIER REPORT -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
            <li><a href="index.php?p=purchases" style="color: rgb(7, 133, 164)">Purchases Menu</a></li>
                    <li class="active">Purchases By Supplier Report</li>
                        </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">Purchases By Supplier Report</h3>
                </div>
                <div class="panel-body" style="background: #fff">
                    <div class="table-responsive">
                        <table class="table table-hover datatable">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Supplier</th>
                                    <th>Total Purchases</th>
                                    <th>Total Amount</th>
                                    <th>Total Paid</th>
                                    <th>Total Due</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $b = 1;
                                foreach($result as $supplier){
                                ?>
                                <tr>
                                    <td><?php echo $b;?></td>
                                    <td><?php echo $supplier['name'];?></td>
                                    <td><?php echo $supplier['total_purchases'];?></td>
                                    <td><?php echo number_format($supplier['total_amount'],2);?></td>
                                    <td><?php echo number_format($supplier['total_paid'],2);?></td>
                                    <td><?php echo number_format($supplier['total_due'],2);?></td>
                                </tr>
                                <?php
                                $b++;
                                }
                                ?>
                            </tbody>
                        </table>
                    </div> 
                </div>
            </div>
        </div>
    </div>
    <!-- END PURCHASES BY SUPPLIER REPORT -->
    <?php } ?>
</div>

<script>
    var currentDate = new Date();
    var formattedDate = currentDate.toISOString().slice(0, 10);
    document.querySelector('.datepicker-from').value = formattedDate;
    document.querySelector('.datepicker-to').value = formattedDate;
</script>