<?php
$date1 = $_GET['date1'];
$date2 = $_GET['date2'];
$branch = $_GET['branch'];
$supplier_id = $_GET['supplier_id'];
$date3 = date('d-m-Y', strtotime($_GET['date1']));
$date4 = date('d-m-Y', strtotime($_GET['date2']));
$note = "PURCHASE INVOICES FROM {$date3} TO {$date4}";

$sql = "SELECT
            *
        FROM
            purchase_invoice
        WHERE
            purchase_date BETWEEN '$date1' AND '$date2' AND supplier_id='$supplier_id' AND status='Purchase Invoice'";

$stmt = $con->prepare($sql);
$stmt->execute();
$result = $stmt->get_result();
if (!$result) {
    $error_message = mysqli_error($con);
    echo "Error: " . $error_message;
}
?>
<style>
    table {
        border-collapse: collapse;
        border: 1px solid black;
        width: 100%;
    }

    th, td {
        border: 1px solid black;
        padding: 8px;
        text-align: center;
        height: 20px;
        color: black;
    }
</style>

<div class="col-md-9">
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>PURCHASE INVOICES</b></h3>
                    <div class="pull-right">
                        <button class="btn btn-default" onclick="history.back()"> <span class="fa fa-arrow-left"></span> Go Back</button>
                        <button class="btn btn-default" onclick="printContent()">
                            <span class="fa fa-print"></span> Print Report
                        </button>
                        <button class="btn btn-default" onclick="exportToExcel()">
                            <span class="fa fa-download"></span> Export To Excel
                        </button>
                    </div>
                </div>
                <div class="panel-body" style="background: #fff">
                    <div id="printingArea">    
                        <table>
                            <tr>
                                <th colspan=4><?php echo $_SESSION['Company']; ?></th>
                            </tr>
                            <tr>
                                <th colspan=4>BRANCH: <?php echo $_GET['branch']; ?></th>
                            </tr>
                            <tr>
                                <th colspan=4>SUPPLIER: <?php echo $_GET['supplier_name']; ?></th>
                            </tr>
                            <tr>
                                <th colspan=4><?php echo $note; ?></th>
                            </tr>
                            <tr style="font-weight:bold">
                                <td>PURCHASE DATE</td>
                                <td>PURCHASE NUMBER</td>
                                <td>DESCRIPTION</td>
                                <td>AMOUNT</td>
                            </tr>
                            <?php
                            $total_amount = 0;
                            foreach ($result as $rows) {
                                $total_amount += $rows['total_amount'];
                            ?>
                            <tr>
                                <td style="text-align: left"><?php echo $rows['purchase_date']; ?></td>
                                <td style="text-align: left">PURCHASE #<?php echo $rows['purchase_id']; ?></td>
                                <td style="text-align: left"><?php echo $rows['note']; ?></td>
                                <td align="right"><a href="index.php?p=purchase_items&id=<?php echo $rows['purchase_id']; ?>"><?php echo number_format($rows['total_amount'], 2); ?></a></td>
                            </tr>
                            <?php
                            }
                            ?>
                            <tr>
                                <td colspan="3" style="text-align: left"><b>Total</b></td>
                                <td align="right"><b><?php echo number_format($total_amount, 2); ?></b></td>
                            </tr>
                        </table>      
                    </div>       
                </div>
                <div class="panel-footer"></div>
            </div>
        </div>
    </div>
</div>

<script>
    var currentDate = new Date();
    var formattedDate = currentDate.toISOString().slice(0, 10);

    document.querySelector('.datepicker-from').value = formattedDate;
    document.querySelector('.datepicker-to').value = formattedDate;

    function printContent() {
        var content = document.getElementById('printingArea').innerHTML;
        var printWindow = window.open('', '_blank');
        printWindow.document.write('<html><head><title>Print</title>');
        printWindow.document.write('<style>table { border-collapse: collapse; border: 1px solid black; width: 100%; } th, td { border: 1px solid black; padding: 8px; text-align: center; height: 20px; color: black; } a { color: black; text-decoration: none; } </style>');
        printWindow.document.write('</head><body>');
        printWindow.document.write(content);
        printWindow.document.write('</body></html>');
        printWindow.document.close();
        printWindow.print();
    }

    function exportToExcel() {
        var table = document.getElementById('printingArea');
        var wb = XLSX.utils.table_to_book(table);
        var wbout = XLSX.write(wb, { bookType: 'xlsx', type: 'binary' });
        var blob = new Blob([s2ab(wbout)], { type: 'application/octet-stream' });
        var link = document.createElement('a');
        link.href = window.URL.createObjectURL(blob);
        link.download = 'purchase_supplier_trans.xlsx';
        link.click();
    }

    function s2ab(s) {
        var buf = new ArrayBuffer(s.length);
        var view = new Uint8Array(buf);
        for (var i = 0; i < s.length; i++) {
            view[i] = s.charCodeAt(i) & 0xFF;
        }
        return buf;
    }
</script>
