<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=sales" style="color: rgb(7, 133, 164)">Sales Menu</a></li>
                <li class="active">Sales Delivery Note</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>SALES DELIVERY NOTE</b></h3>
                    <div class="pull-right">
                        <a href="index_other.php?p=sales_delivery_add">
                            <button class="btn btn-info"> <span class="fa fa-plus-circle"></span> Create New Delivery</button>
                        </a>
                    </div>
                </div>
                <div class="panel-body" style="background: #fff">
                    <div class="table-responsive">
                        <table class="table table-hover datatable">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Customer</th>
                                    <th>Sales#</th>
                                    <th>Date</th>
                                    <th>Due Date</th>
                                    <th>Amount</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $sales = mysqli_query($con,"SELECT * FROM sales_delivery,ngm_customer WHERE id = customer_id AND branchno='".$_SESSION['Branch']."'  ORDER BY sales_delivery_id DESC ");  

                                $a = 1;
                                foreach($sales as $rs){
                                ?>
                                <tr data-status="<?php echo $rs['status']; ?>">
                                    <td><?php echo $a;?></td>
                                    <td><?php echo $rs['name'];?></td>
                                    <td><?php echo $rs['status'];?> No.<?php echo $rs['sales_delivery_id'];?></td>
                                    <td><?php echo $rs['invoice_date'];?></td>
                                    <td><?php echo $rs['due_date'];?></td>
                                    <td><?php echo number_format($rs['total_amount'],2);?></td>
                                    <td><?php echo $rs['status'];?></td>
                                    <td>
                                        <a href="index.php?p=sales_delivery_items&id=<?php echo $rs['sales_delivery_id'];?>&status=<?php echo $rs['status'];?>"><span class="fa fa-list"></span> View Items</a> | 
                                        <a href="index_other.php?p=sales_delivery_edit&id=<?php echo $rs['sales_delivery_id'];?>" class="edit-link"><span class="fa fa-list"></span> Edit Delivery</a> 
                                        <!--<a href="#" onclick="deleteDelivery('<?php echo $rs['sales_delivery_id']; ?>')" class="delete-link"><span class="fa fa-trash-o"></span> Delete Delivery</a>-->
                                    </td>
                                </tr>
                                <?php
                                $a++;
                                }
                                ?>
                            </tbody>
                        </table>
                    </div> 
                </div>
            </div>
        </div>
    </div>
    <!-- END TIMELINE --> 
</div>

<script>
// Function to disable edit and delete if the status is "Invoiced"
document.addEventListener("DOMContentLoaded", function() {
    const rows = document.querySelectorAll('tr[data-status]');
    
    rows.forEach(row => {
        const status = row.getAttribute('data-status');
        const editLink = row.querySelector('.edit-link');
        const deleteLink = row.querySelector('.delete-link');

        // Check if the status is 'Invoiced'
        if (status === 'Invoiced') {
            // Disable edit and delete links
            if (editLink) editLink.style.pointerEvents = 'none'; // Disable click
            if (editLink) editLink.style.color = '#ccc'; // Optional: Change color to indicate it's disabled
            if (deleteLink) deleteLink.style.pointerEvents = 'none'; // Disable click
            if (deleteLink) deleteLink.style.color = '#ccc'; // Optional: Change color to indicate it's disabled
        }
    });
});
</script>

<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>



<script>

function togglePaymentFields() {
    var paymentType = document.getElementById("paymentType").value;

    // Get references to the input fields
    var netInput = document.getElementById("netInput");
    var byInput = document.getElementById("byInput");

    // Check the selected payment type and toggle visibility accordingly
    if (paymentType === "BY") {
        byInput.style.display = "inline-block";
        netInput.style.display = "none";
    } else if (paymentType === "NET") {
        netInput.style.display = "inline-block";
        byInput.style.display = "none";
    }
}

    // Show success message if 'message' exists in URL
    const urlParams = new URLSearchParams(window.location.search);
    if (urlParams.has('message')) {
        Swal.fire({
            title: 'Success!',
            text: decodeURIComponent(urlParams.get('message')),
            icon: 'success',
            confirmButtonText: 'OK'
        }).then((result) => {
        if (result.isConfirmed) {
            // Redirect to the specific page after the alert is closed
            window.location.href = 'index.php?p=sales_delivery';
        }
    });
    }

    // SweetAlert confirmation for deletion
    function deleteDelivery(invoiceId) {
        Swal.fire({
            title: 'Are you sure?',
            text: "You won't be able to revert this!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                // Redirect to delete page if confirmed
                window.location.href = 'sales/sales_delete.php?id=' + invoiceId + '&page=delivery';
            }
        });
    }
</script>
