<?php
// Database connection parameters
include '../db/db.php';
$product = mysqli_query($con,"SELECT * FROM product WHERE Branch = '".$_SESSION['Branch']."' ORDER BY Name ASC");
$customer = mysqli_query($con,"SELECT * FROM ngm_customer WHERE branch = '".$_SESSION['Branch']."'");
// Check if the form is submitted
if (isset($_POST['submit'])) {
    // Retrieve form data
    $order = mysqli_real_escape_string($con,$_POST['order']);
    $date1 = mysqli_real_escape_string($con,$_POST['date1']);
    $net = mysqli_real_escape_string($con,$_POST['net']);
    $netamount = mysqli_real_escape_string($con,$_POST['netamount']);
    $discount = mysqli_real_escape_string($con,$_POST['discount']); 

    if($net == ''){
        $date2 = mysqli_real_escape_string($con,$_POST['date2']);
    }else{
      $dateTime = new DateTime($date1);  
      $dateTime->modify('+' . $net . ' days');
      $date2 = $dateTime->format('Y-m-d');
    }
    $customer = mysqli_real_escape_string($con,$_POST['customer']);
    $notes = mysqli_real_escape_string($con,$_POST['note']);
    //$notes = "Customer Sales invoice";
    $status = 'Delivery Note';

    // Insert main invoice data
     $q = mysqli_query($con, "INSERT INTO sales_delivery VALUES ('','$customer', '$date1', '$date2', '$netamount','$status', '$notes','Reference','0','0','$netamount','$discount','','','".$_SESSION['Branch']."','".$_SESSION['id']."','0','0')");
    if($q){
    $invoiceId = mysqli_insert_id($con);
        echo "<script>
    alert('Sales Delivery Created successfully!');
    window.location = 'index.php?p=sales_delivery&id=$invoiceId';
    </script>
    ";
    // Insert account lines
    $total=0;
    $totalandvat=0;
    $total_cost=0;
    $totalvat=0;
    foreach ($_POST['item'] as $index => $item) {
         $amount = $_POST['amount'][$index];
         $quantity = $_POST['quantity'][$index];
         $vattype = $_POST['vattype'][$index];
         if ($vattype === 'vatExclusive') {
           $vatRate = 0.18; // 18% VAT rate
        // Calculate VAT amount for VAT Exclusive option
           $vatamount = $amount*$quantity * $vatRate;
        // Calculate Total Incl. VAT
           $totalwithvat = $amount*$quantity + $vatamount;
        } else if ($vattype === 'vatInclusive') {
          $vatRate = 0.18; // 18% VAT rate    
        // Calculate VAT amount for VAT Inclusive option
          $totalwithvat = $amount*$quantity;
          $basePrice = $totalwithvat / (1 + $vatRate);
          $vatamount = $totalwithvat - $basePrice;
        // Set Total Incl. VAT field
        } else {
        // No VAT option selected
        $totalwithvat = $amount*$quantity;
        // Total including VAT should be the same as total amount
        $vatamount=0;
        }
        
         $totalandvat = $totalandvat + $totalwithvat;
         $totalvat = $totalvat+$vatamount;

         $revenue = $totalandvat - $totalvat;
         $query_product = mysqli_query($con,"SELECT Product_Cost FROM product WHERE ProductId='$item'");
         $r = mysqli_fetch_array($query_product);
         $cost = $r['Product_Cost'];
         $totCost = $cost*$quantity;
         $total_cost=$total_cost+$totCost;
         
        //Insert account line data
        $stmt = mysqli_query($con,"INSERT INTO sales_delivery_items VALUES ('','$invoiceId', '$item','$quantity','$amount','".$amount*$quantity."','$cost','$totCost','$vattype','$vatamount','$totalwithvat')");
        if($stmt){
            mysqli_query($con,"UPDATE sales_delivery SET total_amount='$totalandvat',due='$totalandvat',tax_amount='$totalvat' WHERE sales_delivery_id=$invoiceId");
        }
    }
  }
}

?>

<style>
  
  #grand-total {
      margin-top: 10px;
      font-size: 16px;
      color: #2f8d2f;
      font-weight: bold;
  }

  #total-value {
      width: 100%;
      padding: 6px 12px;
      font-size: 16px;
      border: 1px solid #ccc;
      border-radius: 4px;
      box-sizing: border-box;
      text-align: right;
  }
 
</style>

<div class="col-md-12">
  <!-- START TIMELINE -->
  <div class="row">
    <div class="col-md-12">
        <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                    <li><a href="index.php?p=sales" style="color: rgb(7, 133, 164)">Sales Menu</a></li>
                     <li><a href="index.php?p=sales_delivery" style="color: rgb(7, 133, 164)">Delivery Note List</a></li>
                    <li class="active">Delivery Note New</li>
                </ul>
      <form method="post" action ="">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h3 class="panel-title"><b>SALES Delivery NEW</b></h3>
          </div>
          <div class="panel-body" style="background: #fff">
            <table id="dynamic-table" class="table">
              <thead>
                <tr>
                  <th style="width: 30%;">Issue date</th>
                  <th style="width: 30%;">Due date</th>
                  <th style="width: 30%;">Customer</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td>
                    <div class="form-group">
                      <div class="col-md-12">
                        <div class="input-group" id="currentDate">
                          <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                          <input type="text" class="form-control datepicker" name="date1" value="<?php echo date('Y-m-d');?>">                                            
                        </div>
                      </div>
                    </div>
                  </td>
                  <td>
                    <div class="form-group">
                      <div class="col-md-3 col-xs-3">
                            <select id="paymentType" class="form-control" onchange="togglePaymentFields()">
                                <option value="NET">NET</option>
                                <option value="BY">BY</option>
                            </select>
                        </div>
                        <div class="input-group">
                            <input type="text" name = "net" id="netInput" class="form-control" style="display: inline-block;">
                            <input type="text" name = "date2" id="byInput" class="form-control datepicker" style="display: none;" value="<?php echo date('Y-m-d');?>">
                        </div>
                    </div>
                  </td>
                  <td>
                    <div class="form-group">                                
                      <div class="col-md-12">
                        <div class="col-md-12 col-xs-12">
                            <select class="form-control select" data-live-search="true" name="customer">
                                <option value="">Search</option>
                                    <?php
                                     foreach($customer as $rs):
                                     ?>
                                    <option value="<?php echo $rs['id'];?>"><?php echo $rs['name'];?></option>
                                <?php
                                endforeach;
                                ?>
                            </select>
                        </div>                 
                      </div>
                    </div>
                  </td>
                </tr>
                <tr>
                    <td>
                        <div class="form-group">
                            <label class="col-md-12 col-xs-12 control-label">Description *</label>
                             <div class="col-md-12 col-xs-12">                   
                                <textarea name = "note" class="form-control" required>SALES DELIVERY NOTE</textarea>                                                    
                            </div>
                        </div>
                    </td>
                    <!--<td>-->
                    <!--    <div class="form-group">-->
                    <!--        <label class="col-md-12 col-xs-12 control-label">Order No.</label>-->
                    <!--         <div class="col-md-12 col-xs-12">                   -->
                    <!--            <input type = "text" name="order" class="form-control">                                                    -->
                    <!--        </div>-->
                    <!--    </div>-->
                    <!--</td>-->
                </tr>    
              </tbody>
            </table>

            <table id="item-table" class="table">
              <thead>
              <tr>
                <th style="width: 25%;">Item</th>
                <th style="width: 10%;">Qty</th>
                <th>Unit price</th>
                <th>Total</th>
                <th>VAT Options</th>
                <th>VAT Amount</th>
                <th>Total Incl. VAT</th>
                <th>Remove</th>
              </tr>
              </thead>
              <tbody>
                <td>
        <select class="form-control select" data-live-search="true" name="item[]" required onchange="fetchProductPrice(this)">
          <option value="">Search Item Here</option>
          <?php foreach($product as $rows): ?>
          <option value="<?php echo $rows['ProductId'];?>"><?php echo $rows['Name'];?></option>
          <?php endforeach; ?>
        </select>
      </td>
      <td><input type="text" id="unitPrice" class="form-control" oninput="updateTotal(this)" name="quantity[]" value="1"/></td>
      <td><input type="text" id="quantity" class="form-control" oninput="updateTotal(this)" name="amount[]"/></td>
      <td><input type="text" class="form-control" placeholder="0.00" readonly name="totalAmt[]"/></td>
      <td>
        <select id="vatOptions" name="vattype[]" class="form-control" onchange="calculateVATForRow($(this).closest('tr'))">
          <option value="noVAT">No VAT</option>
          <option value="vatInclusive">VAT Inclusive</option>
          <option value="vatExclusive">VAT Exclusive</option>
        </select>
      </td>
      <td><input type="text" name="vatamount[]" class="form-control" oninput="updateTotal(this)" readonly /></td>
      <td><input type="text"id="vattotal[]" name="vattotal[]" class="form-control" readonly /></td>
      <td><button onclick="removeRow(this)" class="btn btn-danger"><span class="fa fa-times"></span></button></td>
    </tr>
  </tbody>
</table>

  <div class="form-group" style="margin-bottom: 10px; float: right;">
  <label class="control-label" style="display: block; font-size: 14px; font-weight: bold;">Grand Total</label>
  <div>
    <input type="text" id="netAmount" name="netamount" class="form-control" readonly style="width: 90%; text-align: right; font-size:16px; color:black; font-weight:bold; background-color: #e69d61;">
  </div>
</div>
            <!-- Buttons and Grand Total -->
            <button onclick="addRow()" class="btn btn-success" style="margin-top:10px;" type="button">Add Line</button>
            <button type="button" onclick="clearAll()" class="btn btn-warning" style="background-color: #2f8d2f;border: none;margin-top:10px">Clear All <i class="fas fa-trash"></i></button>

          </div>
          <div class="panel-footer">                                    
            <button class="btn btn-primary pull-right" type="submit" name="submit" style="background: #f39121;border: none;">
              <span class="fa fa-plus-circle"></span> Create
            </button>
          </div>
        </div>
      </form> 
    </div>
  </div>
  <!-- END TIMELINE -->
</div>


<script>
    document.getElementById('withholdingTax').addEventListener('change', function() {
        const taxInputGroup1 = document.getElementById('taxInputGroup1');
        const taxInputGroup2 = document.getElementById('taxInputGroup2');
        if (this.checked) {
            taxInputGroup1.style.display = 'block';
            taxInputGroup2.style.display = 'block';
        } else {
            taxInputGroup1.style.display = 'none';
            taxInputGroup2.style.display = 'none';
        }
    });
</script>
<script>
    function fetchProductPrice(selectElement) {
            var productId = selectElement.value;
            var row = selectElement.closest('tr'); // Get the row of the select element
            var amountInput = row.querySelector('input[name="amount[]"]'); // Find the amount input in the same row

            // Send AJAX request to fetch product price
            var xhr = new XMLHttpRequest();
            xhr.open('GET', 'get_product_price.php?productId=' + productId, true);
            xhr.onload = function () {
                if (xhr.status === 200) {
                    var price = parseFloat(xhr.responseText);
                    if (!isNaN(price)) {
                        amountInput.value = price.toFixed(2); // Update the amount input with the fetched price
                        updateTotal(amountInput); // Update the total for this row
                        updateGrandTotal(); // Update the grand total
                    }
                }
            };
            xhr.send();
        }
        
      
</script>
<script>
function togglePaymentFields() {
    var paymentType = document.getElementById("paymentType").value;

    // Get references to the input fields
    var netInput = document.getElementById("netInput");
    var byInput = document.getElementById("byInput");

    // Check the selected payment type and toggle visibility accordingly
    if (paymentType === "BY") {
        byInput.style.display = "inline-block";
        netInput.style.display = "none";
    } else if (paymentType === "NET") {
        netInput.style.display = "inline-block";
        byInput.style.display = "none";
    }
}
</script>
<script>
    function addRow() {
  // Get the table body for the items table
  const tableBody = document.querySelector('#item-table tbody');
  
  // Create a new row
  const newRow = document.createElement('tr');
  newRow.innerHTML = `
    <td>
      <select class="form-control select" data-live-search="true" name="item[]" required onchange="fetchProductPrice(this)">
        <option value="">Search Item Here</option>
        <?php foreach($product as $rows): ?>
        <option value="<?php echo $rows['ProductId'];?>"><?php echo $rows['Name'];?></option>
        <?php endforeach; ?>
      </select>
    </td>
    <td><input type="text" id="quantity" class="form-control" oninput="updateTotal(this)" name="quantity[]" value="1"/></td>
    <td><input type="text" id="unitPrice" class="form-control" oninput="updateTotal(this)" name="amount[]"/></td>
    <td><input type="text" class="form-control" placeholder="0.00" readonly name="totalAmt[]"/></td>
    <td>
      <select id="vatOptions" name="vattype[]" class="form-control" onchange="calculateVATForRow($(this).closest('tr'))">
        <option value="noVAT">No VAT</option>
        <option value="vatInclusive">VAT Inclusive</option>
        <option value="vatExclusive">VAT Exclusive</option>
      </select>
    </td>
    <td><input type="text" name="vatamount[]" class="form-control" oninput="updateTotal(this)" readonly /></td>
    <td><input type="text" name="vattotal[]" class="form-control" readonly /></td>
    <td><button onclick="removeRow(this)" class="btn btn-danger"><span class="fa fa-times"></span></button></td>
  `;

  // Append the new row to the table body
  tableBody.appendChild(newRow);

  // Re-initialize Bootstrap Select or other plugins
  $('.select').selectpicker('refresh');
}

// Function to remove a row
function removeRow(button) {
  const row = button.closest('tr'); // Find the closest row for the clicked button
  row.remove(); // Remove the row

  // Optional: update grand total or other calculations after removing a row
  calculateGrandTotal();
}

</script>

<script>
   // Function to update total amount for a row and recalculate VAT and grand total
function updateTotal(input) {
    const row = input.closest('tr');
    const quantity = parseFloat(row.querySelector('[name="quantity[]"]').value) || 0;
    const unitPrice = parseFloat(row.querySelector('[name="amount[]"]').value) || 0;
    const totalAmtCell = row.querySelector('[name="totalAmt[]"]');

    // Calculate and set total amount for this row
    const totalAmt = quantity * unitPrice;
    totalAmtCell.value = totalAmt.toFixed(2);

    // Recalculate VAT and grand total after updating row
    calculateVATForRow(row);
    calculateGrandTotal();
}

// Function to calculate VAT for a row based on selected VAT option
function calculateVATForRow(row) {
    const vatOption = row.querySelector('#vatOptions').value;
    const quantity = parseFloat(row.querySelector('[name="quantity[]"]').value) || 0;
    const unitPrice = parseFloat(row.querySelector('[name="amount[]"]').value) || 0;
    const vatAmountInput = row.querySelector('[name="vatamount[]"]');
    const totalVATInclusiveInput = row.querySelector('[name="vattotal[]"]');

    let vatAmount = 0;
    let totalInclVAT = quantity * unitPrice;

    if (vatOption === 'vatExclusive') {
        const vatRate = 0.18; // 18% VAT rate
        vatAmount = totalInclVAT * vatRate;
        totalInclVAT += vatAmount;
    } else if (vatOption === 'vatInclusive') {
        const vatRate = 0.18;
        const basePrice = totalInclVAT / (1 + vatRate);
        vatAmount = totalInclVAT - basePrice;
    }

    vatAmountInput.value = vatAmount.toFixed(2);
    totalVATInclusiveInput.value = totalInclVAT.toFixed(2);
}

// Function to calculate and display grand total for all rows
function calculateGrandTotal() {
    let grandTotal = 0;

    // Sum all total inclusive VAT amounts in the table
    document.querySelectorAll('[name="vattotal[]"]').forEach(cell => {
        grandTotal += parseFloat(cell.value) || 0;
        console.log(grandTotal)
    });

    // Display the grand total in the appropriate field
    document.getElementById('netAmount').value = grandTotal.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');;
}

// Event listeners to trigger calculations whenever quantity, unit price, or VAT option changes
document.querySelectorAll('#item-table tbody').forEach(table => {
    table.addEventListener('input', (event) => {
        if (event.target.matches('[name="quantity[]"], [name="amount[]"]')) {
            updateTotal(event.target);
        }
    });

    table.addEventListener('change', (event) => {
        if (event.target.matches('#vatOptions')) {
            const row = event.target.closest('tr');
            calculateVATForRow(row);
            calculateGrandTotal();
        }
    });
});

// Function to calculate and display grand total for all rows
// function calculateGrandTotal() {
//     let grandTotal = 0;

//     // Sum all total inclusive VAT amounts in the table
//     document.querySelectorAll('[name="vattotal[]"]').forEach(cell => {
//         grandTotal += parseFloat(cell.value) || 0;
//     });

//     // Display the grand total in the totalAmount span
//     document.getElementById('totalAmount').textContent = grandTotal.toFixed(2);

//     // Update the Net Amount input field with the grand total
//     document.getElementById('netAmount').value = grandTotal.toFixed(2);
// }

// Event listeners for input changes
document.querySelectorAll('#item-table tbody').forEach(table => {
    table.addEventListener('input', (event) => {
        if (event.target.matches('[name="quantity[]"], [name="amount[]"]')) {
            updateTotal(event.target);
        }
    });

    table.addEventListener('change', (event) => {
        if (event.target.matches('[name="vattype[]"]')) {
            const row = event.target.closest('tr');
            calculateVATForRow(row);
            calculateGrandTotal();
        }
    });
});


</script>