<?php
// Database connection parameters
include '../db/db.php';
require_once '../db/connect.php';

$stmt = $pdo->query("SELECT * FROM currency");
$currencies = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Fetch countries for the dropdown
$stmtc = $pdo->query("SELECT id, name FROM countries");
$countries = $stmtc->fetchAll(PDO::FETCH_ASSOC);

if(isset($_POST['currency'])){
    $currencyName = $_POST['currency_name'];
    $currencySymbol = $_POST['currency_symbol'];
    
    $cstmt = mysqli_query($con,"INSERT INTO currency (currency_name, symbol) VALUES ('$currencyName', '$currencySymbol')");
        
    if ($cstmt) {
            echo "<script>
                    alert('Currency added successfully!');
                    window.location.href = 'index_other.php?p=sales_invoice_add';  // Redirect to the relevant page
                  </script>";
        } else {
            echo "<script>alert('Failed to add currency Please try again.');</script>";
}
}

if(isset($_POST['supplier_add'])){
    $supplierName = strtoupper(trim($_POST['name']));
    $supplierContact = trim($_POST['phone']);
    $supplierlocation = trim($_POST['location']);
    $suppliercat = trim($_POST['cat']);
    //$supplierContact = substr(trim($_POST['phone']), 0, 255);
    
    if (strlen($supplierContact) != 12) {
        echo "<script>alert('Phone number must be exactly 12 characters long.');</script>";
    } else {
    try {
        // Prepare the SQL statement with placeholders
        $query = "INSERT INTO ngm_customer (name, phone1, branch,location, category) VALUES (:name, :phone1, :branch,:location, :category)";
        
        // Prepare the statement
        $stmt = $pdo->prepare($query);
        
        // Bind parameters to placeholders
        $stmt->bindParam(':name', $supplierName);
        $stmt->bindParam(':phone1', $supplierContact);
        $stmt->bindParam(':location', $supplierlocation);
        $stmt->bindParam(':branch', $_SESSION['Branch']);
        $stmt->bindParam(':category', $suppliercat);
        
        // Execute the statement
        if ($stmt->execute()) {
            echo "<script>
                    alert('Customer added successfully!');
                    window.location.href = 'index_other.php?p=sales_invoice_add';  // Redirect to the relevant page
                  </script>";
        } else {
            echo "<script>alert('Failed to add Customer. Please try again.');</script>";
        }
    } catch (PDOException $e) {
        // Handle any errors
        echo "<script>alert('Error: " . $e->getMessage() . "');</script>";
    }
 }
}


if(isset($_POST['salesExec_add'])){
    $name = $_POST['executiveName'];
    $uname = '';
    $email = '';
    $phone = $_POST['executivePhone'];
    $status = 1;
    $role = 4;
    $branch = $_POST['branch'];

    if($name == '' || $phone == ''){
        echo "<script>
                    alert('Please Fill all the field!');
                    window.location.href = 'index.php?p=sales_invoice_add';  // Redirect to the relevant page
                  </script>";
    } else {
        $stmt = $pdo->prepare("SELECT * FROM inv_users WHERE username = :uname");
        $stmt->bindParam(':uname', $uname);
        $stmt->execute();
        $num = $stmt->rowCount();

        if($num == 0){
            //$hashed_password = password_hash('12345', PASSWORD_DEFAULT); // Hashing password
            $hashed_password = '';
            $insertQuery = "INSERT INTO inv_users VALUES('', :name, :uname, :hashed_password, :email, :phone, :role, :status, '', :branch, :company)";
            $insertUser = $pdo->prepare($insertQuery);
            $insertUser->bindParam(':name', $name);
            $insertUser->bindParam(':uname', $uname);
            $insertUser->bindParam(':hashed_password', $hashed_password);
            $insertUser->bindParam(':email', $email);
            $insertUser->bindParam(':phone', $phone);
            $insertUser->bindParam(':role', $role);
            $insertUser->bindParam(':status', $status);
            $insertUser->bindParam(':branch', $branch);
            $insertUser->bindParam(':company', $_SESSION['Company']);

            if($insertUser->execute()){
               echo "<script>
                    alert('Sales Executive added successfully!');
                    window.location.href = 'index.php?p=sales_invoice_add';  // Redirect to the relevant page
                  </script>";
            } else {
             echo "<script>
                    alert('Something Wrong With Database');
                    window.location.href = 'index.php?p=sales_invoice_add';  // Redirect to the relevant page
                  </script>";            }
        } else {
            echo "<script>
                    alert('This user exists in our database');
                    window.location.href = 'index.php?p=sales_invoice_add';  // Redirect to the relevant page
                  </script>"; 
            
        }
    }
}


$product = mysqli_query($con,"SELECT * FROM product WHERE Branch = '".$_SESSION['Branch']."' ORDER BY Name ASC");
$customer = mysqli_query($con,"SELECT * FROM ngm_customer WHERE branch = '".$_SESSION['Branch']."'");
$currency= mysqli_query($con,"SELECT * FROM `currency`");

// Check if the form is submitted
if (isset($_POST['submit'])) {
    // Retrieve form data
    $order = '';
    $date1 = mysqli_real_escape_string($con,$_POST['date1']);
    $net = mysqli_real_escape_string($con,$_POST['net']);
    $amtxxx = mysqli_real_escape_string($con,$_POST['netamount']);
    $netamount = intval(preg_replace('/[^\d.]/', '', $amtxxx));
    $totalamount = mysqli_real_escape_string($con,$_POST['totalamount']);
    $discount = mysqli_real_escape_string($con,$_POST['discount']);
    $currency = mysqli_real_escape_string($con,$_POST['currency']);
    $exchange_rate = mysqli_real_escape_string($con,$_POST['exchange_rate']);
    $withholdingTaxType = mysqli_real_escape_string($con,$_POST['withholdingTaxType']);
    if($withholdingTaxType == 1){
        $withholdingTaxPercent = mysqli_real_escape_string($con,$_POST['withholdingtaxper']);
    }else{
        $withholdingTaxPercent = 0;
    }

    if($net == ''){
        $date2 = mysqli_real_escape_string($con,$_POST['date2']);
    }else{
      $dateTime = new DateTime($date1);  
      $dateTime->modify('+' . $net . ' days');
      $date2 = $dateTime->format('Y-m-d');
    }
    $customer = mysqli_real_escape_string($con,$_POST['customer']);
    //$salesex = mysqli_real_escape_string($con,$_POST['executive']);
    //$notes = mysqli_real_escape_string($con,$_POST['note']);
    $notes = !empty(mysqli_real_escape_string($con,$_POST['note'])) ? mysqli_real_escape_string($con,$_POST['note']) : 'customer sales invoice.';

    //$notes = "Customer Sales invice";
    $status = 'Sales Invoice';

    // Insert main invoice data
     $q = mysqli_query($con, "INSERT INTO invoices VALUES ('','$customer', '$date1', '$date2', '$netamount','$status', '$notes','Reference','$withholdingTaxPercent','$withholdingTaxType','$netamount','$discount','','','".$_SESSION['Branch']."','".$_SESSION['id']."','$currency','$exchange_rate')");
    if($q){
    $invoiceId = mysqli_insert_id($con);
        echo "<script>
    alert('Invoice created successfully!');
    window.location = 'index.php?p=sales_items&id=$invoiceId';
    </script>
    ";
    // Insert account lines
    $total=0;
    $totalandvat=0;
    $total_cost=0;
    $totalvat=0;
    foreach ($_POST['item'] as $index => $item) {
         $amount = $_POST['amount'][$index]*$exchange_rate;
         $quantity = $_POST['quantity'][$index];
         $totalAmt = $_POST['totalAmt'][$index]*$exchange_rate;
         $vattype = $_POST['vattype'][$index];
         $vatamount = $_POST['vatamount'][$index]*$exchange_rate;
         $vattotal = $_POST['vattotal'][$index]*$exchange_rate;
         
         //Totals
         $totalandvat += $vattotal;
         $totalvat += $vatamount;
         $revenue = $totalandvat - $totalvat;
         
         if($withholdingTaxType == 1){
            
            $withholdingTax = $revenue*$withholdingTaxPercent/100;
            
            $sales_invoice_amount = $totalandvat - $withholdingTax;
            
         }else{
            
            $withholdingTax = 0;
            
            $sales_invoice_amount = $totalandvat - $withholdingTax;
             
         }
         
         $query_product = mysqli_query($con,"SELECT Product_Cost FROM product WHERE ProductId='$item'");
         $r = mysqli_fetch_array($query_product);
         $cost = $r['Product_Cost'];
         $totCost = $cost*$quantity;
         $total_cost=$total_cost+$totCost;
         
        //Insert account line data
        $stmt = mysqli_query($con,"INSERT INTO invoice_items VALUES ('','$invoiceId', '$item','$quantity','".$_POST['amount'][$index]."','".$_POST['totalAmt'][$index]."','$cost','$totCost','$vattype','".$_POST['vatamount'][$index]."','".$_POST['vattotal'][$index]."')");
        if($stmt){
           // mysqli_query($con,"UPDATE invoices SET total_amount='$totalandvat',due='$totalandvat',tax_amount='$totalvat' WHERE invoice_id=$invoiceId");
        }
    }
   
  $debit = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code='1210'");
  $row_db = mysqli_fetch_array($debit);
  $fslidb = $row_db['account_type'];
  $class_db = $row_db['class'];
  
  $debitxxx = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code='1050'");
  $row_dbxxx = mysqli_fetch_array($debitxxx);
  $fslidbxxx = $row_dbxxx['account_type'];
  $class_dbxxx = $row_dbxxx['class'];
  
  $credit = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code='4110'");
  $row_cr = mysqli_fetch_array($credit);
  $fslicr = $row_cr['account_type'];
  $class_cr = $row_cr['class'];
  
    $debit2 = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code='5100'");
  $row_db2 = mysqli_fetch_array($debit2);
  $fslidb2 = $row_db2['account_type'];
  $class_db2 = $row_db2['class'];
  //Credit mapato
  $credit2 = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code='1340'");
  $row_cr2 = mysqli_fetch_array($credit2);
  $fslicr2 = $row_cr2['account_type'];
  $class_cr2 = $row_cr2['class'];
  
  $credit3 = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code='3150'");
  $row_cr3 = mysqli_fetch_array($credit3);
  $fslicr3 = $row_cr3['account_type'];
  $class_cr3 = $row_cr3['class'];
  
  //Affect financial
  mysqli_query($con,"INSERT INTO gl_transaction VALUES('','1210','$fslidb','$class_db','$sales_invoice_amount','Debit','$invoiceId','".$_SESSION['id']."','Sales by Invoice #{$invoiceId}','','$date1','".$_SESSION['Branch']."','Sales')");
  
  if($withholdingTax > 0){
  mysqli_query($con,"INSERT INTO gl_transaction VALUES('','1050','$fslidbxxx','$class_dbxxx','$withholdingTax','Debit','$invoiceId','".$_SESSION['id']."','Withholding Tax Generated by Sales Invoice  #{$invoiceId}','','$date1','".$_SESSION['Branch']."','Sales')");
  }
      
  mysqli_query($con,"INSERT INTO gl_transaction VALUES('','4110','$fslicr','$class_cr','$revenue','Credit','$invoiceId','".$_SESSION['id']."','Revenue on sales by Invoice #{$invoiceId}','','$date1','".$_SESSION['Branch']."','Sales')");
  
 if($total_cost > 0){
    mysqli_query($con,"INSERT INTO gl_transaction VALUES('','5100','$fslidb2','$class_db2','$total_cost','Debit','$invoiceId','".$_SESSION['id']."','Cost of Inventory Sold by Invoice #{$invoiceId}','','$date1','".$_SESSION['Branch']."','Sales')");
      
    mysqli_query($con,"INSERT INTO gl_transaction VALUES('','1340','$fslicr2','$class_cr2','$total_cost','Credit','$invoiceId','".$_SESSION['id']."','Value of Inventory Sold by Invoice #{$invoiceId}','','$date1','".$_SESSION['Branch']."','Sales')");
  }
   if($totalvat > 0){
    mysqli_query($con,"INSERT INTO gl_transaction VALUES('','3150','$fslicr3','$class_cr3','$totalvat','Credit','$invoiceId','".$_SESSION['id']."','VAT on sales Invoice #{$invoiceId}','','$date1','".$_SESSION['Branch']."','Sales')");
  }
  }
}

?>

<style>
  
  #grand-total {
      margin-top: 10px;
      font-size: 16px;
      color: #2f8d2f;
      font-weight: bold;
  }

  #total-value {
      width: 100%;
      padding: 6px 12px;
      font-size: 16px;
      border: 1px solid #ccc;
      border-radius: 4px;
      box-sizing: border-box;
      text-align: right;
  }
  
</style>

<div class="col-md-12">
  <!-- START TIMELINE -->
  <div class="row">
    <div class="col-md-12">
        <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                    <li><a href="index.php?p=sales" style="color: rgb(7, 133, 164)">Sales Menu</a></li>
                    <li><a href="index.php?p=sales_invoice" style="color: rgb(7, 133, 164)">Sales Invoice List</a></li>
                    <li class="active">Sales Invoice New</li>
                </ul>
      <form method="post" action ="">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h3 class="panel-title"><b>SALES INVOICE NEW</b></h3>
          </div>
          <div class="panel-body" style="background: #fff">
            <table id="dynamic-table" class="table">
              <thead>
                <tr>
                  <th style="width: 30%;">Issue date</th>
                  <th style="width: 30%;">Due date</th>
                  <th style="width: 30%;">Customer 
                      <a href="#" data-toggle="modal" data-target="#addSupplierModal">
                        <span class="fa fa-plus-circle" style="font-size:20px"></span>
                        </a>
                   </th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td>
                    <div class="form-group">
                      <div class="col-md-12">
                        <div class="input-group" id="currentDate">
                          <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                          <input type="text" class="form-control datepicker" name="date1" value="<?php echo date('Y-m-d');?>">                                            
                        </div>
                      </div>
                    </div>
                  </td>
                  <td>
                    <div class="form-group">
                      <div class="col-md-3 col-xs-3">
                            <select id="paymentType" class="form-control" onchange="togglePaymentFields()">
                                <option value="NET">NET</option>
                                <option value="BY">BY</option>
                            </select>
                        </div>
                        <div class="input-group">
                            <input type="text" name = "net" id="netInput" class="form-control" style="display: inline-block;">
                            <input type="text" name = "date2" id="byInput" class="form-control datepicker" style="display: none;" value="<?php echo date('Y-m-d');?>">
                        </div>
                    </div>
                  </td>
                  <td>
                    <div class="form-group">                                
                      <div class="col-md-12">
                        <div class="col-md-12 col-xs-12">
                             <select class="form-control select" data-live-search="true" name="customer" required>
                                <option value="">Search</option>
                                    <?php
                                     foreach($customer as $rs):
                                     ?>
                                    <option value="<?php echo $rs['id'];?>"><?php echo $rs['name'];?></option>
                                <?php
                                endforeach;
                                ?>
                            </select>
                        </div>                 
                      </div>
                    </div>
                  </td>
                </tr>
                <tr>
                    <td>
                        <div class="form-group">
                            <label class="col-md-12 col-xs-12 control-label">Description *</label>
                             <div class="col-md-12 col-xs-12">                   
                                <textarea name = "note" class="form-control" required>Customer Sales invoice</textarea>   
                            </div>
                        </div>
                    </td>
                    <td>
                    <div class="form-group">  
                    <label class="col-md-12 col-xs-12 control-label">Invoice Currency 
                         <a href="#" data-toggle="modal" data-target="#SalesExecutiveModal">
                        <span class="fa fa-plus-circle" style="font-size:20px"></span>
                        </a>
                    </label>
                        <div class="col-md-12 col-xs-12">
                            <select class="form-control select" data-live-search="true" name="currency_name">
                              
                               <?php
                                     foreach($currency as $curr):
                                ?>
                                    <option value="<?php echo $curr['symbol'];?>"><?php echo $curr['currency_name'];?></option>
                                <?php
                               endforeach;
                                ?>
                            </select>
                        </div>  
                    </div>
                  </td>
                  <td>
                        <div class="form-group">
                            <label class="col-md-12 col-xs-12 control-label">Exchange Rate *</label>
                             <div class="col-md-12 col-xs-12">                   
                                <input type = "text" name = "exchange_rate" class="form-control" required value="1">   
                            </div>
                        </div>
                    </td>
                </tr> 
                <tr>
                <td>
                    <div class="input-group">
                        <input type="checkbox" id="withholdingTax" name="withholdingTaxType" value="1">
                        <label for="withholdingTaxType" style="padding-left:6px">Withholding Tax</label>
                    </div>
                </td>
                <td>
                    <div  id="taxInputGroup1" style="display: none;">
                        <input type="number" name="withholdingtaxper" id="taxInput1" class="form-control" value="5">
                    </div>
                </td>
               </tr>
              </tbody>
            </table>

            <table id="item-table" class="table">
              <thead>
              <tr>
      <th style="width: 25%;">Item</th>
      <th style="width: 10%;">Qty</th>
      <th>Unit price</th>
      <th>Total</th>
      <th>VAT Options</th>
      <th>VAT Amount</th>
      <th>Total Incl. VAT</th>
      <th>Remove</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>
        <select class="form-control select" data-live-search="true" name="item[]" required onchange="fetchProductPrice(this)">
          <option value="">Search Item Here</option>
          <?php foreach($product as $rows): ?>
          <option value="<?php echo $rows['ProductId'];?>"><?php echo $rows['Name'];?></option>
          <?php endforeach; ?>
        </select>
      </td>
      <td><input type="text" id="unitPrice" class="form-control" oninput="updateTotal(this)" name="quantity[]" value="1"/></td>
      <td><input type="text" id="quantity" class="form-control" oninput="updateTotal(this)" name="amount[]"/></td>
      <td><input type="text" class="form-control" placeholder="0.00" readonly name="totalAmt[]"/></td>
      <td>
        <select id="vatOptions" name="vattype[]" class="form-control" onchange="calculateVATForRow($(this).closest('tr'))">
          <option value="noVAT">No VAT</option>
          <option value="vatInclusive">VAT Inclusive</option>
          <option value="vatExclusive">VAT Exclusive</option>
        </select>
      </td>
      <td><input type="text" name="vatamount[]" class="form-control" oninput="updateTotal(this)" readonly /></td>
      <td><input type="text"id="vattotal[]" name="vattotal[]" class="form-control" readonly /></td>
      <td><button onclick="removeRow(this)" class="btn btn-danger"><span class="fa fa-times"></span></button></td>
    </tr>
  </tbody>
</table>

  <div class="form-group" style="margin-bottom: 10px; float: right;">
  <label class="control-label" style="display: block; font-size: 14px; font-weight: bold;">Grand Total</label>
  <div>
    <input type="text" id="netAmount" name="netamount" class="form-control" readonly style="width: 90%; text-align: right; font-size:16px; color:black; font-weight:bold; background-color: #e69d61;">
  </div>
</div>



            <!-- Buttons and Grand Total -->
            <button onclick="addRow()" class="btn btn-success" style="margin-top:10px;" type="button">Add Line</button>
            <button type="button" onclick="clearAll()" class="btn btn-warning" style="background-color: #2f8d2f;border: none;margin-top:10px">Clear All <i class="fas fa-trash"></i></button>

          </div>
          <div class="panel-footer">                                    
            <button class="btn btn-primary pull-right" type="submit" name="submit" style="background: #f39121;border: none;">
              <span class="fa fa-plus-circle"></span> Create
            </button>
          </div>
        </div>
      </form> 
    </div>
  </div>
  <!-- END TIMELINE -->
</div>

     <!-- ADD CUSTOMER -->

<div class="modal fade" id="addSupplierModal" tabindex="-1" role="dialog" aria-labelledby="addSupplierModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addSupplierModalLabel">Add New Customer</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="" method="post">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="supplierName">Customer Name</label>
                        <input type="text" class="form-control" id="supplierName" name="name" required>
                    </div>
                    <div class="form-group">
                        <label for="supplierContact">Phone</label>
                        <input type="text" class="form-control" id="supplierContact" name="phone" 
                          maxlength="12" minlength="12" pattern="\d{12}" required 
                          title="Phone number must be exactly 12 digits" placeholder="Enter 12-digit phone number (255xxxxxxxxx)">
                    </div>
                    <div class="form-group">
                        <label for="supplierContact">Location</label>
                        <input type="text" class="form-control" id="supplierContact" name="location" required>
                    </div>
                        <div class="form-group" hidden>
                        <label>Select Category</label>
                        <select class="form-control select"  name="cat">
                                <option value="sembe">Sembe</option>
                                <option value="animal feeds">Animal Feeds</option>
                            </select>
                    </div>
                  
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" name = "supplier_add" class="btn btn-primary">Save Customer</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- ADD SALES EXEC-->
   <div class="modal fade" id="SalesExecutiveModal" tabindex="-1" role="dialog" aria-labelledby="SalesExecutiveModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="SalesExecutiveModalLabel">Add New Currency</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="" method="post">
                <div class="modal-body">
                    <div class="form-group">
                        <div class="col-md-12">
                         <label >Select Country</label>

                            <select class="form-control select" data-live-search="true" name="country" id="country" onchange="fetchCurrency()">
                                <option value="">Search</option>
                                <?php foreach ($countries as $country): ?>
                                    <option value="<?php echo $country['id']; ?>"><?php echo htmlspecialchars($country['name']); ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div> 
                    </div>
                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="currency_name">Currency Name:</label>
                            <input type="text" class="form-control" id="currency_name" name="currency_name" readonly>
                        </div> 
                    </div>
                    <div class="form-group">
                        <div class="col-md-12">
                            <label for="currency_symbol">Currency Symbol:</label>
                            <input type="text" id="currency_symbol" name="currency_symbol" readonly class="form-control">
                        </div> 
                    </div>
                        
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" name = "currency" class="btn btn-primary">Save User</button>
                </div>
            </form>
        </div>
    </div>
</div>
<script>
    document.getElementById('withholdingTax').addEventListener('change', function() {
        const taxInputGroup1 = document.getElementById('taxInputGroup1');
        const taxInputGroup2 = document.getElementById('taxInputGroup2');
        if (this.checked) {
            taxInputGroup1.style.display = 'block';
            taxInputGroup2.style.display = 'block';
        } else {
            taxInputGroup1.style.display = 'none';
            taxInputGroup2.style.display = 'none';
        }
    });
</script>
<script>
    function fetchProductPrice(selectElement) {
            var productId = selectElement.value;
            var row = selectElement.closest('tr'); // Get the row of the select element
            var amountInput = row.querySelector('input[name="amount[]"]'); // Find the amount input in the same row

            // Send AJAX request to fetch product price
            var xhr = new XMLHttpRequest();
            xhr.open('GET', 'get_product_price.php?productId=' + productId, true);
            xhr.onload = function () {
                if (xhr.status === 200) {
                    var price = parseFloat(xhr.responseText);
                    if (!isNaN(price)) {
                        amountInput.value = price.toFixed(2); // Update the amount input with the fetched price
                        updateTotal(amountInput); // Update the total for this row
                        updateGrandTotal(); // Update the grand total
                    }
                }
            };
            xhr.send();
        }
        
      
</script>
<script>
function togglePaymentFields() {
    var paymentType = document.getElementById("paymentType").value;

    // Get references to the input fields
    var netInput = document.getElementById("netInput");
    var byInput = document.getElementById("byInput");

    // Check the selected payment type and toggle visibility accordingly
    if (paymentType === "BY") {
        byInput.style.display = "inline-block";
        netInput.style.display = "none";
    } else if (paymentType === "NET") {
        netInput.style.display = "inline-block";
        byInput.style.display = "none";
    }
}
</script>
<script>
    function addRow() {
  // Get the table body for the items table
  const tableBody = document.querySelector('#item-table tbody');
  
  // Create a new row
  const newRow = document.createElement('tr');
  newRow.innerHTML = `
    <td>
      <select class="form-control select" data-live-search="true" name="item[]" required onchange="fetchProductPrice(this)">
        <option value="">Search Item Here</option>
        <?php foreach($product as $rows): ?>
        <option value="<?php echo $rows['ProductId'];?>"><?php echo $rows['Name'];?></option>
        <?php endforeach; ?>
      </select>
    </td>
    <td><input type="text" id="quantity" class="form-control" oninput="updateTotal(this)" name="quantity[]" value="1"/></td>
    <td><input type="text" id="unitPrice" class="form-control" oninput="updateTotal(this)" name="amount[]"/></td>
    <td><input type="text" class="form-control" placeholder="0.00" readonly name="totalAmt[]"/></td>
    <td>
      <select id="vatOptions" name="vattype[]" class="form-control" onchange="calculateVATForRow($(this).closest('tr'))">
        <option value="noVAT">No VAT</option>
        <option value="vatInclusive">VAT Inclusive</option>
        <option value="vatExclusive">VAT Exclusive</option>
      </select>
    </td>
    <td><input type="text" name="vatamount[]" class="form-control" oninput="updateTotal(this)" readonly /></td>
    <td><input type="text" name="vattotal[]" class="form-control" readonly /></td>
    <td><button onclick="removeRow(this)" class="btn btn-danger"><span class="fa fa-times"></span></button></td>
  `;

  // Append the new row to the table body
  tableBody.appendChild(newRow);

  // Re-initialize Bootstrap Select or other plugins
  $('.select').selectpicker('refresh');
}

// Function to remove a row
function removeRow(button) {
  const row = button.closest('tr'); // Find the closest row for the clicked button
  row.remove(); // Remove the row

  // Optional: update grand total or other calculations after removing a row
  calculateGrandTotal();
}

</script>

<script>
   // Function to update total amount for a row and recalculate VAT and grand total
function updateTotal(input) {
    const row = input.closest('tr');
    const quantity = parseFloat(row.querySelector('[name="quantity[]"]').value) || 0;
    const unitPrice = parseFloat(row.querySelector('[name="amount[]"]').value) || 0;
    const totalAmtCell = row.querySelector('[name="totalAmt[]"]');

    // Calculate and set total amount for this row
    const totalAmt = quantity * unitPrice;
    totalAmtCell.value = totalAmt.toFixed(2);

    // Recalculate VAT and grand total after updating row
    calculateVATForRow(row);
    calculateGrandTotal();
}

// Function to calculate VAT for a row based on selected VAT option
function calculateVATForRow(row) {
    const vatOption = row.querySelector('#vatOptions').value;
    const quantity = parseFloat(row.querySelector('[name="quantity[]"]').value) || 0;
    const unitPrice = parseFloat(row.querySelector('[name="amount[]"]').value) || 0;
    const vatAmountInput = row.querySelector('[name="vatamount[]"]');
    const totalVATInclusiveInput = row.querySelector('[name="vattotal[]"]');

    let vatAmount = 0;
    let totalInclVAT = quantity * unitPrice;

    if (vatOption === 'vatExclusive') {
        const vatRate = 0.18; // 18% VAT rate
        vatAmount = totalInclVAT * vatRate;
        totalInclVAT += vatAmount;
    } else if (vatOption === 'vatInclusive') {
        const vatRate = 0.18;
        const basePrice = totalInclVAT / (1 + vatRate);
        vatAmount = totalInclVAT - basePrice;
    }

    vatAmountInput.value = vatAmount.toFixed(2);
    totalVATInclusiveInput.value = totalInclVAT.toFixed(2);
}

// Function to calculate and display grand total for all rows
function calculateGrandTotal() {
    let grandTotal = 0;

    // Sum all total inclusive VAT amounts in the table
    document.querySelectorAll('[name="vattotal[]"]').forEach(cell => {
        grandTotal += parseFloat(cell.value) || 0;
        console.log(grandTotal)
    });

    // Display the grand total in the appropriate field
    document.getElementById('netAmount').value = grandTotal.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');;
}

// Event listeners to trigger calculations whenever quantity, unit price, or VAT option changes
document.querySelectorAll('#item-table tbody').forEach(table => {
    table.addEventListener('input', (event) => {
        if (event.target.matches('[name="quantity[]"], [name="amount[]"]')) {
            updateTotal(event.target);
        }
    });

    table.addEventListener('change', (event) => {
        if (event.target.matches('#vatOptions')) {
            const row = event.target.closest('tr');
            calculateVATForRow(row);
            calculateGrandTotal();
        }
    });
});

// Function to calculate and display grand total for all rows
// function calculateGrandTotal() {
//     let grandTotal = 0;

//     // Sum all total inclusive VAT amounts in the table
//     document.querySelectorAll('[name="vattotal[]"]').forEach(cell => {
//         grandTotal += parseFloat(cell.value) || 0;
//     });

//     // Display the grand total in the totalAmount span
//     document.getElementById('totalAmount').textContent = grandTotal.toFixed(2);

//     // Update the Net Amount input field with the grand total
//     document.getElementById('netAmount').value = grandTotal.toFixed(2);
// }

// Event listeners for input changes
document.querySelectorAll('#item-table tbody').forEach(table => {
    table.addEventListener('input', (event) => {
        if (event.target.matches('[name="quantity[]"], [name="amount[]"]')) {
            updateTotal(event.target);
        }
    });

    table.addEventListener('change', (event) => {
        if (event.target.matches('[name="vattype[]"]')) {
            const row = event.target.closest('tr');
            calculateVATForRow(row);
            calculateGrandTotal();
        }
    });
});


</script>