<?php
require_once '../db/connect.php';

if(isset($_POST['finish'])){
    $name = $_POST['name'];
    $uname = $_POST['uname'];
    $email = $_POST['email'];
    $phone = $_POST['phone'];
    $status = $_POST['status'];
    $role = $_POST['role'];
    $branch = $_POST['branch'];

    if($name == '' || $phone == '' || $uname == ''){
        $err = "<p class='alert alert-danger'>Fill all fields please!!! Tafadhali hakikisha umejaza taarifa zote zenye alama * kabla ya kutuma taarifa</p>";
    } else {
        $stmt = $pdo->prepare("SELECT * FROM inv_users WHERE username = :uname");
        $stmt->bindParam(':uname', $uname);
        $stmt->execute();
        $num = $stmt->rowCount();

        if($num == 0){
            //$hashed_password = password_hash('12345', PASSWORD_DEFAULT); // Hashing password
            $hashed_password = md5(12345);
            $insertQuery = "INSERT INTO inv_users VALUES('', :name, :uname, :hashed_password, :email, :phone, :role, :status, '', :branch, :company)";
            $insertUser = $pdo->prepare($insertQuery);
            $insertUser->bindParam(':name', $name);
            $insertUser->bindParam(':uname', $uname);
            $insertUser->bindParam(':hashed_password', $hashed_password);
            $insertUser->bindParam(':email', $email);
            $insertUser->bindParam(':phone', $phone);
            $insertUser->bindParam(':role', $role);
            $insertUser->bindParam(':status', $status);
            $insertUser->bindParam(':branch', $branch);
            $insertUser->bindParam(':company', $_SESSION['Company']);

            if($insertUser->execute()){
                $err = "<p class='alert alert-success'>Data successfully recorded **** Usajiri wa mtumiaji umekamilika **** Username is ".$uname." and default password is 12345</p>";
                $recipients = [
                    [
                  'recipient_id' => '1',
                  'dest_addr' => $phone
                    ]
                 ];
                $postData = array(
                 'source_addr' => $sender,
                 'encoding'=>0,
                 'schedule_time' => '',
                 'message' => 'Hello! '.$name.' you have registered to SmartData Software at Jamefrey Company Limited, Your username is '.$uname.' and default password is 12345.Remember to change default password after first login for security purpose',
                 'recipients' => $recipients
                   );
                 $Url = $requestURL;

                 $ch = curl_init($Url);
                 error_reporting(E_ALL);
                 ini_set('display_errors', 1);
                 curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
                 curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
                 curl_setopt_array($ch, array(
                     CURLOPT_POST => TRUE,
                     CURLOPT_RETURNTRANSFER => TRUE,
                     CURLOPT_HTTPHEADER => array(
                 'Authorization:Basic ' . base64_encode("$api_key:$secret_key"),
                 'Content-Type: application/json'
                   ),
                  CURLOPT_POSTFIELDS => json_encode($postData)
                 ));

                  $response = curl_exec($ch);
                      

            } else {
                $err = "<p class='alert alert-danger'>Something wrong !!! Contact system administrator...Wasiliana na mafundi wa mfumo kuna tatizo katika database</p>";
            }
        } else {
            $err = "<p class='alert alert-danger'>This user exists in our database. Please use a different username!!! Huyu mtumiaji yupo kwenye mfumo. Badilisha jina la mtumiaji.</p>";
        }
    }
}
?>

<div class="col-md-9">  
<div class="row">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><b>CREATE NEW USER</b></h3>
            </div>
            <div class="panel-body" style="background: #fff">
                <?php if(isset($err)) { echo $err; } ?>
                <form class="form-horizontal" method="post" action="">
                    <div class="form-group">
                        <label class="col-md-3 control-label">Name *</label>
                        <div class="col-md-6 col-xs-12">
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-pencil"></span></span>
                                <input type="text" name="name" class="form-control" placeholder="Name" required/>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Username *</label>
                        <div class="col-md-6 col-xs-12">
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-pencil"></span></span>
                                <input type="text" name="uname" class="form-control" placeholder="UserName" />
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Email</label>
                        <div class="col-md-6 col-xs-12">
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-envelope"></span></span>
                                <input type="text" name="email" class="form-control" placeholder="Email address" />
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Phone *</label>
                        <div class="col-md-6 col-xs-12">
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-phone"></span></span>
                                <input type="text" name="phone" class="form-control" placeholder="Mfano 255674xxxxxx" />
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Role</label>
                        <div class="col-md-6 col-xs-12">                                                                                
                            <select class="form-control select" data-live-search="true" name="role">
                                <option value="1">Administrator</option>
                                <option value="2">Sales Person</option>
                                <option value="4">Stock Person</option>
                                <option value="3">Accountant</option>
                                <!--<option value="4">Purchase Person</option>-->
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Status</label>
                        <div class="col-md-6 col-xs-12">                            
                            <select class="form-control select" data-live-search="true" name="status">
                                <option value="1">Active</option>
                                <option value="0">Inactive</option>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 col-xs-12 control-label">Branch</label>
                        <div class="col-md-6 col-xs-12">        
                            <select class="form-control select" name="branch" onchange="showDis(this.value)">
                                <?php
                                    $stmt = $pdo->prepare("SELECT * FROM branch ORDER BY name");
                                    $stmt->execute();
                                    $branches = $stmt->fetchAll(PDO::FETCH_ASSOC);
                                     foreach ($branches as $branch) {
                                          ?>
                                       <option value="<?php echo $branch['name']; ?>"><?php echo $branch['name']; ?></option>
                                     <?php
                                     }
                                     ?>
                            </select>

                        </div>
                    </div>
                </div>
                <div class="panel-footer">                                    
                    <button class="btn btn-warning pull-right" type="submit" name="finish"><span class="fa fa-arrow-right"></span> Submit</button>
                </div>
                </form>
            </div>
        </div>
    </div>
</div>
