<?php
if(isset($_POST['vatreport'])){
   $vatreport = mysqli_real_escape_string($con,$_POST['vatreport']);
   $branch = mysqli_real_escape_string($con,$_POST['branch']); 
   $date1 = mysqli_real_escape_string($con,$_POST['date1']);
   $date2 = mysqli_real_escape_string($con,$_POST['date2']);
   $account = mysqli_real_escape_string($con,$_POST['account']);
    // Constructing the URL with form attributes
   $redirectURL = 'index.php?p=vatreport_view&vatreport=' . urlencode($vatreport) . '&branch=' . urlencode($branch) . '&date1=' . urlencode($date1) . '&date2=' . urlencode($date2) . '&account=' . urlencode($account);
    // Constructing the URL with form attributes
    echo "<script>window.location='$redirectURL';</script>"; 
}
?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting Menu</a></li>
                <li class="active">VAT Report</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>VAT REPORT</b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
                    <form class="form-horizontal" action="" method="post">
                        
                               <div class="form-group">
                               <label class="col-md-3 control-label col-label">Select Branch</label>
                                    <div class="col-md-4">
                                    <select class="form-control select" name="branch" onchange="showDis(this.value)">
                                        <option value="All">All</option>
                                <?php
                                    $stmt = $pdo->prepare("SELECT * FROM branch ORDER BY name");
                                    $stmt->execute();
                                    $branches = $stmt->fetchAll(PDO::FETCH_ASSOC);
                                     foreach ($branches as $branch) {
                                          ?>
                                       <option value="<?php echo $branch['name']; ?>"><?php echo $branch['name']; ?></option>
                                     <?php
                                     }
                                     ?>
                                  </select>
                                  </div> 
                                </div>
                        
                        
                             <div class="form-group">
                               <label class="col-md-3 control-label col-label">Select Report</label>
                                    <div class="col-md-4">
                                    <select class="form-control select" name="vatreport" onchange="showDis(this.value)">
                                        
                                        <option value="VAT Calculation">VAT Calculation</option>
                                          <option value="VAT Ledger Account">VAT Ledger Account</option>
                                            <option value="VAT Purchase">VAT Purchase</option>
                                              <option value="VAT Sales">VAT Sales</option>
                                                <option value="VAT Reconciliation">VAT Reconciliation</option>
                                                  <option value="VAT Return">VAT Return</option>
                                                    <option value="VAT Transaction">VAT Transaction</option>
                                                      <option value="VAT Summary">VAT Summary</option>
                                                       
                                  </select>
                                  </div> 
                                </div>
                                <div class="form-group">
                             <label class="col-md-3 control-label col-label">Date</label>
                                    <div class="col-md-3">From
                                        <div class="input-group">
                                        <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                        <input type="text" class="form-control datepicker datepicker-from" value="<?php echo date('Y-m-d');?>" name="date1">          
                                        </div>
                                    </div>
                                    <div class="col-md-3">To
                                     <div class="input-group" id="currentDate">
                                    <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                    <input type="text" class="form-control datepicker datepicker-to" value="<?php echo date('Y-m-d');?>" name="date2">                                            
                                    </div>
                                </div>
                            </div>
                        
                </div>
                <div class="panel-footer">                                    
                  <button class="btn btn-warning pull-right" type="submit" name="vatreport"><span class="fa fa-save"></span> Run Report</button>
            </form>      
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
<script>
    var currentDate = new Date();
    var formattedDate = currentDate.toISOString().slice(0, 10);

    document.querySelector('.datepicker-from').value = formattedDate;
    document.querySelector('.datepicker-to').value = formattedDate;

</script>