<?php
session_start();
require_once '../../db/db.php';
require_once 'amount_words.php';

$date1 = $_GET['date1'];
$date2 = $_GET['date2'];
$branch = $_GET['branch'];
$customer_id = $_GET['customer_id'];
$name = $_GET['customer_name'];
$date3 = date('d-m-Y',strtotime($_GET['date1']));
$date4 = date('d-m-Y',strtotime($_GET['date2']));
$note = "SALES INVOICES FROM {$date3} TO {$date4}";

$sql = "SELECT
            *
        FROM
            invoices
        WHERE
            invoice_date BETWEEN '$date1' AND '$date2' AND customer_id='$customer_id' AND status='Sales Invoice'";


$selectQuery = "SELECT * FROM ColorSettings";
$result = mysqli_query($con,$selectQuery);
$row = mysqli_fetch_assoc($result);

$bg_color = $row['bg_color'];
$color = $row['font_color'];

$ql = mysqli_query($con,"SELECT * FROM BusinessInfo");
$rs = mysqli_fetch_assoc($ql);
$business_logo =$rs['business_logo'];

$stmt = $con->prepare($sql);
//$stmt->bind_param("s",$status);
$stmt->execute();
$result = $stmt->get_result();
$html = '
    <table width="100%">
    <thead>    
        <tr bgcolor="'.$bg_color.'">
            <td colspan=2 style="height:50px;padding-top:15px"><h4 style="color:white;">SALES INVOICES</h4></td>
        </tr>
        <tr bgcolor="#ffffff">
            <td align="left" style="font-size:0px;padding-top:0px;">
                <h4 style="color:black;">
                    To <br/>
                    '.strtolower($name).' <br/>
                    '.strtolower('FROM').' :'.$date4.' TO '.$date4.'
                  </h4>    
            </td>
            <td align="right"><img src="../'.$business_logo.'" width="150" height="150">
            '.$_SESSION['Company'].'<br/>
            '.strtoupper($branch).'<br/>
            </td>
        </tr>
    </thead>
    </table>
    ';

		     $html .='
                <table border = "1" width = "100%" cellspacing = "0" cellpadding = "0" repeat_header="1">
		           <thead>
				  <tr style="background:'.$bg_color.';">
				    <th style="color:white">#</th>
				    <th style="color:white">DESCRIPTIONS</th>
				    <th style="color:white">INVOICE DATE</th>
				    <th style="color:white">INVOICE NO#</th>
				    <th style="color:white">AMOUNT(TSH)</th>
				  </tr>
					</thead>';
				        $i = 1;
				        $sum = 0;
                     while($rs = mysqli_fetch_array($result)){
                         $sum = $sum + $rs['total_amount'];

					$html .= '
					<tbody>
					<tr>
				    <td>'.$i.'</td>
				    <td>'.$rs['note'].'</td>
				    <td>'.$rs['invoice_date'].'</td>
				    <td>'.$rs['invoice_id'].'</td>
				    <td align="right">'.number_format($rs['total_amount'],2).'</td>
				  </tr>
					';
				    $i++;
					}
					$html .= '
					<tr>
				    <td colspan="4" align="right">TOTAL</td>
				    <td align="right"><b>'.number_format($sum,2).'</b></td>
					</tr>
					</tbody>
				 <br/>
					';

	     $html .='</table>
	     ';

include("../mpdf.php");

$mpdf = new mPDF('c', 'A4', '', '', 15, 15, 25, 25, 16, 13);
$mpdf->setFooter("Page {PAGENO} of {nb}");
$mpdf->SetDisplayMode('fullpage');

$stylesheet = file_get_contents('mpdfstyletables.css');
$mpdf->WriteHTML($stylesheet, 1);

$mpdf->WriteHTML($html);

$mpdf->Output();
exit;
?>
