<?php
session_start();
require_once '../../db/db.php';
require_once 'number_to_words.php';

    $invoice = mysqli_query($con, "SELECT * FROM sales_cash WHERE sales_cash_id='" . mysqli_real_escape_string($con, $_GET['id']) . "' AND status = 'Cash Sales'");
    $rows = mysqli_fetch_array($invoice);
    $sales_items = mysqli_query($con,"SELECT * FROM sales_cash_items,product WHERE product_id=ProductId AND cash_no='".$rows['sales_cash_id']."'");
    
    $customer = mysqli_query($con,"SELECT * FROM inv_users WHERE id='".$rows['customer_id']."'");
    $row = mysqli_fetch_array($customer);
    $name = $row['Name'];
    $email = $row['Email'];
    $phone = $row['Phone'];
    
$selectQuery = "SELECT * FROM BusinessInfo";
$result = mysqli_query($con,$selectQuery);
$row = mysqli_fetch_assoc($result);
$telephone = $row['telephone_number'];
$business = $row['business_name'];
$tin_no = $row['tin'];
$po_box = $row['po_box'];
$vran = $row['vran'];
$footer_description = $row['footer_description'];
$business_logo = $row['business_logo'];
$physical_location = $row['physical_location'];
$email = $row['email'];

$selectQuery = "SELECT * FROM ColorSettings";
$result = mysqli_query($con,$selectQuery);
$row = mysqli_fetch_assoc($result);

$bg_color = $row['bg_color'];
$color = $row['font_color'];


    $status = 'SALES POS CASH';
    $date = 'Sales Date';
    $number = 'Sales No.';

$html = '
<div style="border: 1px solid ' . $bg_color . '; padding: 5px; font-size: 8px; line-height: 1.1; font-family: Arial, sans-serif;">
    <div style="text-align: center; margin-bottom: 5px;">
        <img src="../' . $business_logo . '" width="90" height="60" style="margin-bottom: 5px;">
        <h4 style="color:#fff; background-color:' . $bg_color . '; padding: 4px; border-radius: 3px; display: inline-block; font-size: 10px;">'.$status.'</h4>
    </div>
    
    <table width="100%" style="margin-bottom: 5px;">
        <tr>
            <td style="font-size: 8px;">
                '.$number.': '.$rows['sales_cash_id'].'<br/>
                '.$date.': '.date('d-M-Y',strtotime($rows['invoice_date'])).'
            </td>
            <td align="right" style="font-size: 8px;">
                <b>'.$business.'</b><br/>
                '.$po_box.'<br/>
                Contact: '.$telephone.'<br/>
                TIN No.: '.$tin_no.'<br/>
                Location: '.$physical_location.'
            </td>
        </tr>
    </table>
    <table border="1" width="100%" cellspacing="0" cellpadding="1" style="border-collapse: collapse; margin-top: 5px; font-size: 7px;">
        <thead>
            <tr style="background:'.$bg_color.';">
                <th style="color:white">#</th>
                <th style="color:white">Desc</th>
                <th style="color:white">Unit Price</th>
                <th style="color:white">Qty</th>
                <th style="color:white">UOM</th>
                <th style="color:white">Subtotal</th>
                <th style="color:white">VAT</th>
                <th style="color:white">Total (TSH)</th>
            </tr>
        </thead>
        <tbody>';

$i = 1;
$sum1 = 0;
$sum2 = 0;
$sum3 = 0;

while($rs = mysqli_fetch_array($sales_items)){
    $subtotal = ($rs['total_price'] == $rs['totalwithvat']) ? $rs['total_price'] - $rs['vatamount'] : $rs['total_price'];
    $withholding = $subtotal * $taxpercent / 100;
    $sum1 += $subtotal;
    $sum2 += $rs['vatamount'];
    $sum3 += ($rs['totalwithvat'] == 0) ? $rs['total_price'] : $rs['totalwithvat'];
    $html .= '
    <tr>
        <td>'.$i.'</td>
        <td>'.$rs['Name'].'</td>
        <td align="right">'.number_format($rs['unit_price'],2).'</td>
        <td align="right">'.$rs['quantity'].'</td>
        <td>'.$rs['Unit'].'</td>
        <td align="right">'.number_format($rs['total_price'],2).'</td>
        <td align="right">'.(($rs['vatamount'] == 0) ? '0.00' : number_format($rs['vatamount'], 2)).'</td>
        <td align="right">'.number_format(($rs['totalwithvat'] == 0 || empty($rs['totalwithvat'])) ? $rs['total_price'] : $rs['totalwithvat'], 2).'</td>
    </tr>';
    $i++;
}

$html .= '
    <tr>
        <td colspan="7" align="right"><b>SUB TOTAL</b></td>
        <td align="right"><b>'.number_format($sum1,2).'</b></td>
    </tr>
    <tr>
        <td colspan="7" align="right"><b>VAT</b></td>
        <td align="right"><b>'.number_format($sum2,2).'</b></td>
    </tr>
    <tr>
        <td colspan="7" align="right"><b>TOTAL</b></td>
        <td align="right"><b>'.number_format($sum3,2).'</b></td>
    </tr>
    <tr>
        <td colspan="7" align="right"><b>WITHHOLDING TAX ('.$taxpercent.'%)</b></td>
        <td align="right"><b>'.number_format($withholding,2).'</b></td>
    </tr>
    <tr>
        <td colspan="7" align="right"><b>TOTAL RECEIPT</b></td>
        <td align="right"><b>'.number_format($sum3 - $withholding,2).'</b></td>
    </tr>
</tbody>
</table>';

include("../mpdf.php");

$customer_name = strtoupper(preg_replace('/[^A-Za-z0-9 ]/', '', strtoupper($name)));
$filename = $customer_name . ".pdf";

$mpdf = new mPDF('c', 'A7', 0, '', 2, 2, 5, 2, 2, 2); // Reduced margins for A7
$mpdf->SetDisplayMode('fullpage');
$mpdf->SetWatermarkImage('../'.$business_logo);
$mpdf->showWatermarkImage = true;

$stylesheet = file_get_contents('mpdfstyletables.css');
$mpdf->WriteHTML($stylesheet, 1);
$mpdf->WriteHTML($html);
$mpdf->Output($filename, 'I');
exit;
?>
