<?php
if (!isset($_SESSION['id'])) {
    header('location:../index.php');
    exit;
}
?>

<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">CHARTS OF ACCOUNTS</h3>
                    <div class="pull-right">
                        <a href="index.php?p=new_chart_accounts">
                            <button class="btn btn-warning">
                                <span class="fa fa-plus-circle"></span> Create New Account
                            </button>
                        </a>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <?php
                        try {
                            $pdo = new PDO($dsn, $username, $password);
                            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                            $stmt = $pdo->query("SELECT * FROM chart_master INNER JOIN chart_types ON chart_master.account_type = chart_types.id");
                            $class_data = $stmt->fetchAll(PDO::FETCH_ASSOC);
                        ?>
                            <table class="table datatable table-striped table-hover">
                                <thead>
                                    <tr>
                                        <th>SN</th>
                                        <th>Code</th>
                                        <th>Name</th>
                                        <th>FSLI</th>
                                        <th>Sub-Group</th>
                                        <th>Group</th>
                                        <th>CashFlowType</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $a = 1;
                                    foreach ($class_data as $data) {
                                    ?>
                                        <tr>
                                            <td><?php echo $a; ?></td>
                                            <td><?php echo $data['account_code']; ?></td>
                                            <td><?php echo $data['account_name']; ?></td>
                                            <td><?php echo $data['nameeng']; ?></td>
                                            <td><?php echo $data['class_type']; ?></td>
                                            <td><?php echo $data['class']; ?></td>
                                            <td><?php echo $data['Cashflow']; ?></td>
                                            <td>
                                                <a href="index.php?p=chart_account_edit&code=<?php echo $data['account_code'];?>"> Edit Account</a>
                                            </td>
                                        </tr>
                                    <?php
                                        $a++;
                                    }
                                    ?>
                                </tbody>
                            </table>
                        <?php
                        } catch (PDOException $e) {
                            echo "Error: " . $e->getMessage();
                        }
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
