<?php
    $dsn = "mysql:host=localhost;dbname=smaraknf_accounting_demo";
    $username = "smaraknf_accounting_demo";
    $password = "safcododoma2024";
    
    try {
        $pdo = new PDO($dsn, $username, $password);
        $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
       // echo "Connection to the database successful!";
    } catch (PDOException $e) {
       // echo "Connection failed: " . $e->getMessage();
    }
?>
<?php

$data = json_decode(file_get_contents('php://input'), true);

if(isset($data['name'])){

    $name = trim($data['name']);
    $category = trim($data['category']);
    $unit = trim($data['unit']);
    $amt1 = trim($data['cost']);
    $cost = floatval(preg_replace('/[^\d.]/', '', $amt1));
    $amt = trim($data['price']);
    $price = floatval(preg_replace('/[^\d.]/', '', $amt));
    
    $branch = $_SESSION['Branch'];
    $level = '';
    $date = date('Y-m-d');
    $total = 0;

    // Initialize $stock based on category (0 for services)
    $stock = ($category === 'Service') ? 0 : (isset($data['stock']) ? intval($data['stock']) : 0);

    // Validate form input
    if($name == '' || $category == '' || $unit == '' || $price == ''){
        echo "1";  // Error: Missing required fields
    } else {
        try {
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            // Check if product already exists
            $stmt = $pdo->prepare("SELECT * FROM product WHERE Name = :name");
            $stmt->execute([':name' => $name]);
            $num = $stmt->rowCount();

            if($num == 0){
                // Insert new product or service
                $stmt = $pdo->prepare("INSERT INTO product (Name, Product_Price, Product_Cost, Quantity, Level, Branch, Category, Unit) 
                    VALUES (:name, :price, :cost, :stock, :level, :branch, :category, :unit)");
                $stmt->execute([
                    ':name' => $name,
                    ':price' => $price,
                    ':cost' => $cost,
                    ':stock' => $stock,
                    ':level' => $level,
                    ':branch' => $branch,
                    ':category' => $category,
                    ':unit' => $unit
                ]);

                // Fetch the last inserted ID
                $id = $pdo->lastInsertId();
                echo "2";  // Success: Item created

            } else {
                echo "3";  // Error: Item already exists
            }
        } catch (PDOException $e) {
            $err = "<p class='alert alert-danger'>Something wrong !!! Contact system administrator...Wasiliana na mafundi wa mfumo kuna tatizo katika database</p>";
            error_log($e->getMessage());  // Log error for debugging
        }
    }
}
?>