<?php
if (!isset($_SESSION['id'])) {
    header('location:../index.php');
    exit;
}
?>

<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
              <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting And Reports</a></li>
              <li class="active">Chart of Accounts(groups)</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title" style="font-weight: bold">CHARTS OF ACCOUNTS (GROUPS)</h3>
                    <div class="pull-right">
                        <a href="index.php?p=account_group_settings_add">
                            <button class="btn btn-warning">
                                <span class="fa fa-plus-circle"></span> Create New Account
                            </button>
                        </a>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <?php
                        try {
                            $pdo = new PDO($dsn, $username, $password);
                            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                            $stmt = $pdo->query("SELECT * FROM account_group");
                            $class_data = $stmt->fetchAll(PDO::FETCH_ASSOC);
                        ?>
                            <table class="table datatable table-striped table-hover">
                                <thead>
                                    <tr>
                                        <th>SN</th>
                                        <th>Name (ENG)</th>
                                        <th>Name (KISW)</th>
                                        <th>Financial Statement</th>
                                        <th>Nature</th>
                                        <th>Main Group</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $a = 1;
                                    foreach ($class_data as $data) {
                                    ?>
                                        <tr>
                                            <td><?php echo $a; ?></td>
                                            <td><?php echo $data['GroupName']; ?></td>
                                            <td><?php echo $data['NameKisw']; ?></td>
                                            <td><?php echo $data['Financial_Statement']; ?></td>
                                            <td><?php echo $data['Nature']; ?></td>
                                            <td><?php echo $data['ClassNature']; ?></td>
                                            <td>
                                                Locked
                                                <!-- <a href="delete_account.php?id=<?php //echo $data['id'];?>" onclick="return confirm('Are you sure you want to delete? This account will not be deleted if there is an expense entered through this account')";> Delete</a> -->
                                            </td>
                                        </tr>
                                    <?php
                                        $a++;
                                    }
                                    ?>
                                </tbody>
                            </table>
                        <?php
                        } catch (PDOException $e) {
                            echo "Error: " . $e->getMessage();
                        }
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
