<?php
session_start();
include '../../db/db.php';

	$queryAccount = mysqli_query($con,"SELECT * FROM chart_master ORDER BY account_name ASC");
	    $account[] = '';
		foreach($queryAccount as $rowAccount):
		    $account[] = $rowAccount;
		endforeach;
		
	$queryAsset = mysqli_query($con,"SELECT * FROM fixedasset");
	    $account[] = '';
		foreach($queryAsset as $rowAsset):
		    $asset[] = $rowAsset;
		endforeach;	
		
if (isset($_POST['submit'])) {
    // Sanitize and retrieve form data
    $closing_date = mysqli_real_escape_string($con, $_POST["closing_date"]);
    $purchased_date = mysqli_real_escape_string($con, $_POST["purchased_date"]);
    $itemCode = mysqli_real_escape_string($con, $_POST["itemCode"]);
    $itemName = mysqli_real_escape_string($con, $_POST["itemName"]);
    $assetType = mysqli_real_escape_string($con, $_POST["assetType"]);
    $location = mysqli_real_escape_string($con, $_POST["location"]);
    $assetDescription = mysqli_real_escape_string($con, $_POST["assetDescription"]);
    $startingBalance = isset($_POST["startingBalance"]) ? mysqli_real_escape_string($con, $_POST["startingBalance"]) : "no";
    $acquisitionCost = isset($_POST["acquisitionCost"]) ? mysqli_real_escape_string($con, $_POST["acquisitionCost"]) : 0;
    $accumulatedDepreciation = isset($_POST["accumulatedDepreciation"]) ? mysqli_real_escape_string($con, $_POST["accumulatedDepreciation"]) : 0;
    $amount = $acquisitionCost - $accumulatedDepreciation;

    $assetTypeQuery = mysqli_query($con, "SELECT * FROM fixedasset WHERE id='$assetType'"); 
    $row_asset_type = mysqli_fetch_assoc($assetTypeQuery);
    $asset_account = $row_asset_type['asset_account'];

    $checkCode = mysqli_query($con, "SELECT * FROM assetitems WHERE item_number = '$itemCode'");
    $num_rows = mysqli_num_rows($checkCode);

    // Process the form data
    if ($num_rows === 0) {
        $sql = "INSERT INTO assetitems VALUES (
            '', '$assetType', '$itemCode', '$itemName', '$location', '$purchased_date', 
            '$assetDescription', '$startingBalance', '$acquisitionCost', '$accumulatedDepreciation', 
            '" . $_SESSION['Branch'] . "', '$closing_date', '0'
        )";

        if (mysqli_query($con, $sql)) {
            $assetId = mysqli_insert_id($con);

            $debit = mysqli_query($con, "SELECT * FROM chart_master WHERE account_code = '$asset_account'");
            $rows = mysqli_fetch_array($debit);
            $class_debit = $rows['class'];
            $fsli_debit = $rows['account_type'];

            $credit = mysqli_query($con, "SELECT * FROM chart_master WHERE account_code = '32000'");
            $rowss = mysqli_fetch_array($credit);
            $class_credit = $rowss['class'];
            $fsli_credit = $rowss['account_type'];

            // Insert GL Transactions
            mysqli_query($con, "INSERT INTO gl_transaction VALUES (
                '', '$asset_account', '$fsli_debit', '$class_debit', '$amount', 'Debit', '$assetId', 
                '" . $_SESSION['id'] . "', 
                'Kuongeza Mali za kudumu zilizokwisha nunuliwa wakati wa nyuma {$itemName}', 
                '" . date('Y') . "', '" . date('Y-m-d') . "', '" . $_SESSION['Branch'] . "', 'Fixed Asset'
            )");

            mysqli_query($con, "INSERT INTO gl_transaction VALUES (
                '', '32000', '$fsli_credit', '$class_credit', '$amount', 'Credit', '$assetId', 
                '" . $_SESSION['id'] . "', 
                'Kuongeza Mali za kudumu zilizokwisha nunuliwa wakati wa nyuma {$itemName}', 
                '" . date('Y') . "', '" . date('Y-m-d') . "', '" . $_SESSION['Branch'] . "', 'Fixed Asset'
            )");

    echo'<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>'; 
    
            // Success Message
            echo "<script>
                Swal.fire({
                    icon: 'success',
                    title: 'Success',
                    text: 'Asset Item Submitted Successfully',
                    confirmButtonText: 'OK'
                }).then(() => {
                    window.location.href = 'index.php?p=asset_register';
                });
            </script>";
        } else {
            // Error Message
            echo "<script>
                Swal.fire({
                    icon: 'error',
                    title: 'Error',
                    text: 'Error: " . mysqli_error($con) . "',
                    confirmButtonText: 'OK'
                });
            </script>";
        }
    } else {
        // Warning Message
        echo "<script>
            Swal.fire({
                icon: 'warning',
                title: 'Duplicate Item Code',
                text: 'This Item Code already exists.',
                confirmButtonText: 'OK'
            });
        </script>";
    }

    // Close the database connection
    mysqli_close($con);
}
?>

<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=sales" style="color: rgb(7, 133, 164)">Asset Menu</a></li>
                    <li class="active">Add New Asset items</li>
                        </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>ADD NEW ASSET ITEMS</b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
            	<form action="" method="post" >
                   <table class="table table-bordered" style="width: 100%;">
                    <tbody>
                        <tr>
                            <td style="background-color:#f4f4f4;">
                                <div class="form-group">
                                    <label for="itemCode">Item Number</label>
                                    <input type="text" class="form-control" id="itemCode" name="itemCode" placeholder="Enter Item no.">
                                </div>
                            </td>
                            <td style="background-color:#f4f4f4;">
                                <div class="form-group">
                                    <label for="itemName">Item Name</label>
                                    <input type="text" class="form-control" id="itemName" name="itemName" placeholder="Enter Item Name">
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <th style="background-color:#f4f4f4;">
                                <div class="form-group">
                                    <label for="assetType">Asset Type</label>
                                    <select class="form-control select" data-live-search="true" id="assetType" name="assetType" onchange="populateAssetAccounts()">
                                        <?php
            						    foreach($asset as $rows):
            						    ?>
            							<option value="<?php echo $rows['id'];?>"><?php echo $rows['asset_type'];?></option>
            							<?php
            							endforeach;
            							?>
                                    </select>
                                </div>
                            </th>
                            <td style="background-color:#f4f4f4;">
                                <div class="form-group">
                                    <label for="location">Location</label>
                                    <input type="text" class="form-control" id="location" name="location" placeholder="Location">
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" style="background-color:#f4f4f4;">
                                <div class="form-group">
                                    <label for="assetDescription">Asset descriptions</label>
                                    <textarea class="form-control" id="assetDescription" name="assetDescription" placeholder="Enter asset descriptions here (Optional)"></textarea>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" style="background-color:#f4f4f4;">
                                <div class="checkbox">
                                    <label><input type="checkbox" id="check1Modal" name="startingBalance" value="yes">Starting balance</label>
                                </div>
                            </td>
                        </tr>
                        <tr id="startingBalanceInputRowModal" style="display: none;">
                            <td style="background-color:#f4f4f4;" colspan="2">
                                <div class="form-group">
                                    <label for="acquisitionCost">Acquisition Cost</label>
                                    <input type="text" class="form-control" id="acquisitionCost" name="acquisitionCost" placeholder="0" style="text-align: right;">
                                </div>
                                <div class="form-group">
                                    <label for="accumulatedDepreciation">Accumulated Depreciation</label>
                                    <input type="text" class="form-control" id="accumulatedDepreciation" name="accumulatedDepreciation" placeholder="0" style="text-align: right;">
                                </div>
                                <div class="form-group">
                                    <label for="closing_date">Purchased Date</label>
                                    <input type="text" class="form-control datepicker" id="purchased_date" name="purchased_date" value="">
                                </div>
                                <div class="form-group">
                                    <label for="closing_date">Closing Balance Date</label>
                                    <input type="text" class="form-control datepicker" id="closing_date" name="closing_date" value="<?php echo date('Y-m-d');?>">
                                </div>
                            </td>
                        </tr>
                        <tr id="startingBalanceInputRowModal" style="display: none;">
                            <td colspan="2" style="background-color:#f4f4f4;">
                                <div class="form-group">
                                    <label for="closing_date">Closing Balance Date</label>
                                    <input type="text" class="form-control datepicker" id="closing_date" name="closing_date" value="<?php echo date('Y-m-d');?>">
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
                        
                </div>
                <div class="panel-footer">                                    
                  <button class="btn btn-warning pull-right" type="submit" name="submit" ><span class="fa fa-plus-circle"></span> Create</button>
            </form>      
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
<script>
    // Function to toggle visibility of input boxes based on checkbox status
	function toggleInputVisibility(checkboxId, inputRowId) {
    const checkbox = document.getElementById(checkboxId);
    const inputRow = document.getElementById(inputRowId);
    inputRow.style.display = checkbox.checked ? 'table-row' : 'none';
}

// Call the toggleInputVisibility function for each checkbox on page load
document.addEventListener('DOMContentLoaded', function() {
    toggleInputVisibility('check1Modal', 'startingBalanceInputRowModal'); 
});

// Attach event listeners to checkboxes to toggle input visibility
document.getElementById('check1Modal').addEventListener('change', function() {
    toggleInputVisibility('check1Modal', 'startingBalanceInputRowModal');
});

</script>
