<?php
require_once '../db/db.php'; // Adjust the path as necessary
$assetid = $_GET['id'];
$asset_query = mysqli_query($con, "SELECT * FROM assetitems AS ai INNER JOIN fixedasset AS fa ON ai.fixedassetid = fa.id AND ai.id=$assetid");
$asset_rows = mysqli_fetch_assoc($asset_query);
$book_value = $asset_rows['acquisition_cost'] - $asset_rows['accumulated_depreciation'];
$asset_account = $asset_rows['asset_account'];

if (isset($_POST['submit'])) {
    $dateDisposed = mysqli_real_escape_string($con, $_POST['dateDisposed']);
    $disposalPrice = mysqli_real_escape_string($con, $_POST['disposalPrice']);
    $bankAccount = mysqli_real_escape_string($con, $_POST['bankAccount']);
    $gainAccount = mysqli_real_escape_string($con, $_POST['gainAccount']);
    $reasonForDisposal = mysqli_real_escape_string($con, $_POST['reasonForDisposal']);
    if ($reasonForDisposal == '') {
        $notes = 'Asset disposed - ' . $asset_rows['item_name'];
    } else {
        $notes = $reasonForDisposal;
    }

    $sql = "INSERT INTO dispose (Date_Disposed, Disposal_Price, Bank_Account, Reason, Asset_Id, Gain_Loss_Account)
            VALUES ('$dateDisposed', '$disposalPrice', '$bankAccount', '$reasonForDisposal', '$assetid', '$gainAccount')";

    if (mysqli_query($con, $sql)) {
        $transid = mysqli_insert_id($con);

        // Perform debit and credit transactions
        $debit = mysqli_query($con, "SELECT * FROM chart_master WHERE account_code = '$bankAccount'");
        $rows = mysqli_fetch_array($debit);
        $class_debit = $rows['class'];
        $fsli_debit = $rows['account_type'];

        $credit = mysqli_query($con, "SELECT * FROM chart_master WHERE account_code = '$asset_account'");
        $rowss = mysqli_fetch_array($credit);
        $class_credit = $rowss['class'];
        $fsli_credit = $rowss['account_type'];

        $gainlose = mysqli_query($con, "SELECT * FROM chart_master WHERE account_code = '$gainAccount'");
        $rowsss = mysqli_fetch_array($gainlose);
        $class_gainlose = $rowsss['class'];
        $fsli_gainlose = $rowsss['account_type'];

        mysqli_query($con, "INSERT INTO gl_transaction VALUES('', '$bankAccount', '$fsli_debit', '$class_debit', '$disposalPrice', 'Debit', '$transid', '" . $_SESSION['id'] . "', '$notes', '" . date('Y') . "', '$dateDisposed', '" . $_SESSION['Branch'] . "', 'Fixed Asset Dispose')");
        mysqli_query($con, "INSERT INTO gl_transaction VALUES('', '$asset_account', '$fsli_credit', '$class_credit', '$book_value', 'Credit', '$transid', '" . $_SESSION['id'] . "', '$notes', '" . date('Y') . "', '$dateDisposed', '" . $_SESSION['Branch'] . "', 'Fixed Asset Dispose')");

        if ($disposalPrice > $book_value) {
            $gain = $disposalPrice - $book_value;
            mysqli_query($con, "INSERT INTO gl_transaction VALUES('', '$gainAccount', '$fsli_gainlose', '$class_gainlose', '$gain', 'Credit', '$transid', '" . $_SESSION['id'] . "', '$notes', '" . date('Y') . "', '$dateDisposed', '" . $_SESSION['Branch'] . "', 'Fixed Asset Dispose')");
        } else {
            $gain = $book_value - $disposalPrice;
            mysqli_query($con, "INSERT INTO gl_transaction VALUES('', '$gainAccount', '$fsli_gainlose', '$class_gainlose', '$gain', 'Debit', '$transid', '" . $_SESSION['id'] . "', '$notes', '" . date('Y') . "', '$dateDisposed', '" . $_SESSION['Branch'] . "', 'Fixed Asset Dispose')");
        }
     mysqli_query($con,"UPDATE assetitems SET status=2 WHERE id=$assetid");
     
    echo'<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>'; 

        // SweetAlert success message
        echo "<script>
            Swal.fire({
                icon: 'success',
                title: 'Success!',
                text: 'Asset disposal recorded successfully.',
                confirmButtonText: 'OK'
            }).then(() => {
                window.location.href = 'index.php?p=asset_register';
            });
        </script>";
    } else {
        // SweetAlert error message
        echo "<script>
            Swal.fire({
                icon: 'error',
                title: 'Error!',
                text: 'Failed to record asset disposal: " . mysqli_error($con) . "',
                confirmButtonText: 'OK'
            });
        </script>";
    }

    // Close database connection
    mysqli_close($con);
}
?>


<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting</a></li>
                <li><a href="fixed_asset_tab.php" style="color: rgb(7, 133, 164)">Fixed Asset</a></li>
                <li class="active">Disposal details</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Disposal details</b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
                    <form class="form-horizontal" action="" method="post">
                        <div class="row">
                            <!-- Left Column -->
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="dateDisposed">Date Disposed:</label>
                                    <input type="text" class="form-control datepicker" id="dateDisposed" name="dateDisposed" value="<?php echo date('Y-m-d'); ?>">
                                </div>
                                <div class="form-group">
                                    <label for="disposalPrice">Disposal Price:</label>
                                    <input type="text" class="form-control" id="disposalPrice" name="disposalPrice">
                                </div>
                                <div class="form-group">
                                    <label for="bankAccount">Bank Account for Proceeds:</label>
                                    <select class="form-control select" id="bankAccount" name="bankAccount" data-live-search="true">
                                        <?php
                                        $account = mysqli_query($con, "SELECT * FROM chart_master WHERE class = 'Asset'");
                                        foreach ($account as $row) :
                                        ?>
                                            <option value="<?php echo $row['account_code']; ?>"><?php echo $row['account_name']; ?> - <?php echo $row['account_code']; ?></option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                            </div>

                            <!-- Right Column -->
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="gainAccount">Gain/Loss Account On Disposal:</label>
                                    <select class="form-control select" id="gainAccount" name="gainAccount" data-live-search="true">
                                        <?php
                                        $account = mysqli_query($con, "SELECT * FROM chart_master WHERE class = 'Equity'");
                                        foreach ($account as $row) :
                                        ?>
                                            <option value="<?php echo $row['account_code']; ?>"><?php echo $row['account_name']; ?> - <?php echo $row['account_code']; ?></option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="reasonForDisposal">Reason for Disposal:</label>
                                    <textarea class="form-control" id="reasonForDisposal" name="reasonForDisposal" rows="3"></textarea>
                                </div>
                            </div>
                        </div>
                        
                </div>
            <div class="panel-footer">
                    <button class="btn btn-warning pull-right" type="submit" name="submit">
                        <span class="fa fa-plus-circle"></span> Create
                    </button>
                </div>
                    </form>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
