
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-9">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Disposal details for: House No.78 Dodoma</b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
                      <form action="" method="post">
    <table class="table table-bordered" style="width: 100%;">
        <tbody>
            <tr>
                <td style="background-color:#f4f4f4;">
                    <div class="form-group">
                        <label for="itemCode">Item Number</label>
                        <input type="text" class="form-control" id="itemCode" name="itemCode" placeholder="Enter Item no.">
                    </div>
                </td>
                <td style="background-color:#f4f4f4;">
                    <div class="form-group">
                        <label for="itemName">Item Name</label>
                        <input type="text" class="form-control" id="itemName" name="itemName" placeholder="Enter Item Name">
                    </div>
                </td>
            </tr>
            <tr>
                <th style="background-color:#f4f4f4;">
                    <div class="form-group">
                        <label for="assetType">Asset Type</label>
                        <select class="form-control" id="assetType" name="assetType" onchange="populateAssetAccounts()">
                            <option value="">Select Asset Type</option>
                            <!-- Options will be populated dynamically by JavaScript -->
                        </select>
                    </div>
                </th>
                <td style="background-color:#f4f4f4;">
                    <div class="form-group">
                        <label for="location">Location</label>
                        <input type="text" class="form-control" id="location" name="location" placeholder="Location">
                    </div>
                </td>
            </tr>
            <tr>
                <td style="background-color:#f4f4f4;">
                    <div class="form-group">
                        <label for="assetAccount">Asset Account</label>
                        <input type="text" class="form-control" id="assetAccount" name="assetAccount" readonly>
                    </div>

                    <div class="form-group">
                        <label for="accumDepreciationAccount">Accumulated Depreciation Account</label>
                        <input type="text" class="form-control" id="accumDepreciationAccount" name="accumDepreciationAccount" readonly>
                    </div>
                </td>
                <td style="background-color:#f4f4f4;">
                    <div class="form-group">
                        <label for="depreciationExpensesAccount">Depreciation Expenses Account</label>
                        <input type="text" class="form-control" id="depreciationExpensesAccount" name="depreciationExpensesAccount" readonly>
                    </div>
                    <div class="form-group">
                        <label for="depreciationRate">Depreciation Rate (%)</label>
                        <input type="text" class="form-control" id="depreciationRate" name="depreciationRate" readonly>
                    </div>
                </td>
            </tr>
            <tr>
                <td colspan="2" style="background-color:#f4f4f4;">
                    <div class="form-group">
                        <label for="assetDescription">Asset descriptions</label>
                        <textarea class="form-control" id="assetDescription" name="assetDescription" placeholder="Enter asset descriptions here (Optional)"></textarea>
                    </div>
                </td>
            </tr>
            <tr>
                <td colspan="2" style="background-color:#f4f4f4;">
                    <div class="checkbox">
                        <label><input type="checkbox" id="check1Modal" name="startingBalance" value="yes">Starting balance</label>
                    </div>
                </td>
            </tr>
            <tr id="startingBalanceInputRowModal" style="display: none;">
                <td style="background-color:#f4f4f4;">
                    <div class="form-group">
                        <label for="acquisitionCost">Acquisition Cost</label>
                        <input type="number" class="form-control" id="acquisitionCost" name="acquisitionCost" placeholder="0" style="text-align: right;">
                    </div>
                </td>
                <td style="background-color:#f4f4f4;">
                    <div class="form-group">
                        <label for="accumulatedDepreciation">Accumulated Depreciation</label>
                        <input type="number" class="form-control" id="accumulatedDepreciation" name="accumulatedDepreciation" placeholder="0" style="text-align: right;">
                    </div>
                </td>
            </tr>
            <tr>
                <th colspan="2" style="background-color:#f4f4f4;text-align: center;font-weight: bold;">
                    <button type="submit" style="float:right" name="item" class="btn btn-primary">Save</button>
                </th>
            </tr>
        </tbody>
    </table>
</form>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
</div>
<script>
// Function to toggle visibility of input boxes based on checkbox status
	function toggleInputVisibility(checkboxId, inputRowId) {
    const checkbox = document.getElementById(checkboxId);
    const inputRow = document.getElementById(inputRowId);
    inputRow.style.display = checkbox.checked ? 'table-row' : 'none';
}
    // Call the toggleInputVisibility function for each checkbox on page load
document.addEventListener('DOMContentLoaded', function() {
    toggleInputVisibility('check1Modal', 'startingBalanceInputRowModal'); 
});

// Attach event listeners to checkboxes to toggle input visibility
document.getElementById('check1Modal').addEventListener('change', function() {
    toggleInputVisibility('check1Modal', 'startingBalanceInputRowModal');
});
</script>