  <?php
// Include your database connection file
require_once '../db/db.php';

// Check if the form is submitted
if(isset($_POST['generateReportBtn'])) {
    // Escape user inputs to prevent SQL injection
    $branch = mysqli_real_escape_string($con, $_POST['branch']);
    
    $redirectURL = 'index.php?p=asset_location_view_report&branch=' . urlencode($branch) . '';
    echo "<script>window.location='$redirectURL';</script>"; 
}
?>
                            <div class="col-md-9">

                            <!-- START TIMELINE -->
                            <div class="row">
                            <div class="col-md-12">
                               <div class="panel panel-default">
                                <div class="panel-heading">
                                        <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                                    <li><a href="index.php?p=fixed_asset_menu" style="color: rgb(7, 133, 164)">Fixed Asset Menu</a></li>
                                    <li class="active">Asset Location Report</li>
                                </ul>
                                
                                       <h3 class="panel-title"><b>Asset Location Report</b></h3>
                                </div>
                                <div class="panel-body" style="background: #fff">
                                    <form class="form-horizontal" method = "post" action = "">
                                    <div class="panel-body tab-content">
                                             <div class="form-group">
                               <label class="col-md-3 control-label col-label">Select Branch</label>
                                    <div class="col-md-4">
                                    <select class="form-control select" name="branch" onchange="showDis(this.value)">
                                        <option value="All">All</option>
                                <?php
                                    $stmt = $pdo->prepare("SELECT * FROM branch ORDER BY name");
                                    $stmt->execute();
                                    $branches = $stmt->fetchAll(PDO::FETCH_ASSOC);
                                     foreach ($branches as $branch) {
                                          ?>
                                       <option value="<?php echo $branch['name']; ?>"><?php echo $branch['name']; ?></option>
                                     <?php
                                     }
                                     ?>
                                  </select>
                                  </div> 
                                </div>
                                 </div>
                                    </div>
                                </div>
                                <div class="panel-footer">                                                                        
                                        <button type = "submit" class="btn btn-warning pull-right" name="generateReportBtn">Generate Report<span class="fa fa-floppy-o fa-right"></span></button>
                                </div>
                              </form> 
                            </div>
                          </div>
                        </div>


                            <!-- END TIMELINE -->                            
                            
                        </div>