<?php
require_once '../db/db.php'; // Adjust the path as necessary
$id = $_GET['id'];
$selectQuery = "SELECT * FROM asset_maintenance WHERE id=$id";
$result = mysqli_query($con,$selectQuery);
$row = mysqli_fetch_assoc($result);

$maintenance_id = $row['id'];
$maintenance_date = $row['date'];
$Maintenance_Type = $row['Maintenance_Type'];
$Maintenance_Cost = $row['Maintenance_Cost'];
$description = $row['description'];
$Next_Maintenance_Date = $row['Next_Maintenance_Date'];
$Expense_Account = $row['Expense_Account'];
$asset_id = $row['asset_id'];
$Paid_from = $row['Paid_from'];

if(isset($_POST['submit'])){
    // Retrieve data from the form
    $assetid = mysqli_real_escape_string($con, $_POST['assetid']);
    $maintenanceDate = mysqli_real_escape_string($con, $_POST['maintenanceDate']);
    $paidFrom = mysqli_real_escape_string($con, $_POST['paidFrom']);
    $maintenanceType = mysqli_real_escape_string($con, $_POST['maintenanceType']);
    $expenseAccount = mysqli_real_escape_string($con, $_POST['expenseAccount']);
    $amount = mysqli_real_escape_string($con, $_POST['maintenanceCost']);
    $nextMaintenanceDate = mysqli_real_escape_string($con, $_POST['nextMaintenanceDate']);
    $maintenanceDescription = mysqli_real_escape_string($con, $_POST['maintenanceDescription']);

 $asset_query = mysqli_query($con, "SELECT * FROM assetitems AS ai INNER JOIN fixedasset AS fa ON ai.fixedassetid = fa.id AND ai.id=$assetid");
    $asset_rows = mysqli_fetch_assoc($asset_query);

    $assetAcc = $asset_rows['asset_account'];
    $maintenance_cost_account = $asset_rows['maintenance_cost_account'];

     // Update the asset in the database
    $updateQuery = "UPDATE asset_maintenance SET 
                    date = '$maintenanceDate', 
                    asset_id = '$assetid',
                    Paid_from = '$paidFrom', 
                    Expense_Account = '$expenseAccount', 
                    Maintenance_Type = '$maintenanceType', 
                    Next_Maintenance_Date = '$nextMaintenanceDate', 
                    Maintenance_Cost = '$amount', 
                    description = '$maintenanceDescription' 
                    WHERE id = $id";
                    
    $result = mysqli_query($con, $updateQuery);

    if ($result) { 
        
        mysqli_query($con,"DELETE FROM gl_transaction WHERE transid = $id AND cat = 'Fixed Asset Maintenance'");
        
        if ($maintenanceType == 'Revenue Expenditure') {
            $debit = mysqli_query($con, "SELECT * FROM chart_master WHERE account_code = '$maintenance_cost_account'");
            $rows = mysqli_fetch_array($debit);
            $class_debit = $rows['class'];
            $fsli_debit = $rows['account_type'];

            $credit = mysqli_query($con, "SELECT * FROM chart_master WHERE account_code = '$paidFrom'");
            $rowss = mysqli_fetch_array($credit);
            $class_credit = $rowss['class'];
            $fsli_credit = $rowss['account_type'];

            // Debit Expense Account
            mysqli_query($con, "INSERT INTO gl_transaction VALUES('', '$maintenance_cost_account', '$fsli_debit', '$class_debit', '$amount', 'Debit', '$id', '".$_SESSION['id']."', '$maintenanceDescription', '".date('Y')."', '$maintenanceDate', '".$_SESSION['Branch']."', 'Fixed Asset Maintenance')");
            // Credit Paid From Account
            mysqli_query($con, "INSERT INTO gl_transaction VALUES('', '$paidFrom', '$fsli_credit', '$class_credit', '$amount', 'Credit', '$id', '".$_SESSION['id']."', '$maintenanceDescription', '".date('Y')."', '$maintenanceDate', '".$_SESSION['Branch']."', 'Fixed Asset Maintenance')");
        } else {
            $debit = mysqli_query($con, "SELECT * FROM chart_master WHERE account_code = '$assetAcc'");
            $rows = mysqli_fetch_array($debit);
            $class_debit = $rows['class'];
            $fsli_debit = $rows['account_type'];

            $credit = mysqli_query($con, "SELECT * FROM chart_master WHERE account_code = '$paidFrom'");
            $rowss = mysqli_fetch_array($credit);
            $class_credit = $rowss['class'];
            $fsli_credit = $rowss['account_type'];

            // Debit Asset Account
            mysqli_query($con, "INSERT INTO gl_transaction VALUES('', '$assetAcc', '$fsli_debit', '$class_debit', '$amount', 'Debit', '$id', '".$_SESSION['id']."', '$maintenanceDescription', '".date('Y')."', '$maintenanceDate', '".$_SESSION['Branch']."', 'Fixed Asset Maintenance')");
            // Credit Paid From Account
            mysqli_query($con, "INSERT INTO gl_transaction VALUES('', '$paidFrom', '$fsli_credit', '$class_credit', '$amount', 'Credit', '$id', '".$_SESSION['id']."', '$maintenanceDescription', '".date('Y')."', '$maintenanceDate', '".$_SESSION['Branch']."', 'Fixed Asset Maintenance')");

            mysqli_query($con, "UPDATE assetitems SET acquisition_cost = acquisition_cost + $amount WHERE id = $assetid");
        }

        // SweetAlert Success Message
        echo "<script>
            Swal.fire({
                title: 'Success!',
                text: 'Maintenance Successfully Updated',
                icon: 'success'
            }).then(() => {
                window.location.href = 'index.php?p=maintenance_list'; // Redirect to a relevant page
            });
        </script>";
    } else {
        // SweetAlert Error Message
        $error_message = mysqli_error($con);
        echo "<script>
            Swal.fire({
                title: 'Error!',
                text: 'Something went wrong: $error_message. Please contact the system administrator.',
                icon: 'error'
            });
        </script>";
    }
}
?>


<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting</a></li>
                <li><a href="fixed_asset_tab.php" style="color: rgb(7, 133, 164)">Fixed Asset</a></li>
                <li class="active">Asset Items Maintenance</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Asset Items Maintenance</b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
                 <!-- Maintenance form -->
					<form action="" method="post">
						<div class="row">
							<!-- First column -->
							<div class="col-md-6">
						<div class="form-group">
                                <label for="assetid">Asset Name:</label>
                                <select class="form-control select" id="assetid" name="assetid" data-live-search="true">
                                    <?php
                                    // Fetch the selected asset information
                                    $asset_qry = mysqli_query($con, "SELECT id, item_name FROM assetitems WHERE id = $asset_id");
                                    $selected_asset = mysqli_fetch_assoc($asset_qry);
                            
                                    // Display the selected asset as the default option
                                    if ($selected_asset) {
                                        echo "<option value='{$selected_asset['id']}' selected>{$selected_asset['item_name']}</option>";
                                    } else {
                                        echo "<option value='' disabled selected>Select an asset</option>";
                                    }
                            
                                    // Fetch all assets for the dropdown
                                    $asset_query = mysqli_query($con, "SELECT id, item_name FROM assetitems WHERE id != $asset_id");
                                    while ($asset = mysqli_fetch_assoc($asset_query)) {
                                        echo "<option value='{$asset['id']}'>{$asset['item_name']}</option>";
                                    }
                                    ?>
                                </select>
                            </div>

								<div class="form-group">
									<label for="maintenanceDate">Maintenance Date:</label>
									<input type="text" class="form-control datepicker" id="maintenanceDate" name="maintenanceDate" value="<?php echo $maintenance_date;?>">
								</div>
								<div class="form-group">
									<label for="maintenanceType">Maintenance Type:</label>
									<select class="form-control select" id="maintenanceType" name="maintenanceType">
										<option value="<?php echo $Maintenance_Type;?>"><?php echo $Maintenance_Type;?></option>
									</select>
								</div>
								<div class="form-group">
									<label for="maintenanceCost">Maintenance Cost:</label>
									<input type="text" class="form-control" id="maintenanceCost" name="maintenanceCost" value="<?php echo $Maintenance_Cost;?>">
								</div>
							</div>
							<!-- Second column -->
							<div class="col-md-6">
								<div class="form-group">
									<label for="paidFrom">Paid from:</label>
									<select class="form-control select" id="paidFrom" name="paidFrom" data-live-search="true">
                                    <?php
                                    // Fetch the selected payment source
                                    $asset_qry = mysqli_query($con, "SELECT account_code, account_name FROM chart_master WHERE account_code = $Paid_from");
                                    $selected_asset = mysqli_fetch_assoc($asset_qry);
                                
                                    // Display the selected payment source as the default option
                                    if ($selected_asset) {
                                        $account_code = $selected_asset['account_code'];
                                        $account_name = $selected_asset['account_name'];
                                        echo "<option value='$account_code' selected>$account_name</option>";
                                    } else {
                                        echo "<option value='' disabled selected>Select a payment source</option>";
                                    }
                                
                                    // Fetch all available accounts for the dropdown
                                    $cl = mysqli_query($con, "SELECT account_code, account_name FROM chart_master ORDER BY account_code ASC");
                                    while ($class = mysqli_fetch_assoc($cl)) {
                                        $code = $class['account_code'];
                                        $name = $class['account_name'];
                                
                                        // Skip the selected account from being repeated in the dropdown
                                        if ($code != $account_code) {
                                            echo "<option value='$code'>$name - $code</option>";
                                        }
                                    }
                                    ?>
                                </select>

								</div>
								<div class="form-group" hidden>
									<label for="paidFrom">Expense Account:</label>
									<select class="form-control select" id="expenseAccount" name="expenseAccount" data-live-search="true">
									  <option value = "<?php echo $Expense_Account;?>"><?php echo $Expense_Account;?></option>
									  
									   <?php
                                          $cl_q = mysqli_query($con,"SELECT * FROM chart_master WHERE account_type=31 ORDER BY account_name ASC");
                                            while($class = mysqli_fetch_assoc($cl_q)){
                                         ?>
                                        
                                        <?php
                                          }
                                        ?>
									</select>
								</div>
								<div class="form-group">
									<label for="nextMaintenanceDate">Next Maintenance Date:</label>
									<input type="text" class="form-control datepicker" id="nextMaintenanceDate" name="nextMaintenanceDate" value="<?php echo $Next_Maintenance_Date;?>">
								</div>
							</div>
							<div class="col-md-6">
							    <div class="form-group">
									<label for="maintenanceDescription">Maintenance descriptions:</label>
									<textarea class="form-control" id="maintenanceDescription" name="maintenanceDescription" rows="3" required><?php echo $description;?></textarea>
								</div>
							</div>    
						</div>
						<!-- Add more fields as needed -->
                   </div>
                 <div class="panel-footer">                                    
			       <button type="submit" name="submit" class="btn btn-warning pull-right">Submit</button>
                 </form>      
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>