<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>ASSET REGISTER</b></h3>
                    <a href = "index.php?p=add_new_asset"><button class="btn btn-warning pull-right btn-add-asset" >
						<span class="fa fa-plus-circle"></span> Add New Asset item
					</button></a>
                </div>
                <div class="panel-body" style="background: #fff">
                    
            <table class="table datatable">
			<thead>
				<tr>
					<th>Asset Type</th>
					<th>Asset No.</th>
					<th>Asset Name</th>
					<th>Purchase cost</th>
					<th>Accum. deprec.</th>
					<th>Book Value</th>
					<th>Edit</th>
					<th>Action</th>
				</tr>
			</thead>
		<tbody>
		    <?php
		     $asset_query = mysqli_query($con,"SELECT fa.asset_type,ai.id,ai.item_number,ai.item_name,ai.acquisition_cost,ai.accumulated_depreciation
		     FROM assetitems AS ai INNER JOIN fixedasset AS fa ON ai.fixedassetid = fa.id AND ai.status=0");
		     //$asset_query = mysqli_query($con,"SELECT * FROM assetitems WHERE status=0");
		     foreach($asset_query as $rs):
		      //$assetTypeQuery = mysqli_query($con,"SELECT * FROM fixedasset WHERE id='".$rs['fixedassetid']."'"); 
		      //$row_asset_type = mysqli_fetch_assoc($assetTypeQuery);
		    ?>
		<tr>
			<td><?php echo $rs['asset_type'];?></td>
			<td><?php echo $rs['item_number'];?></td>
			<td><?php echo $rs['item_name'];?></td>
			<td><?php echo number_format($rs['acquisition_cost']);?></td>
			<td><?php echo number_format($rs['accumulated_depreciation']);?></td>
			<td><?php echo number_format($rs['acquisition_cost']-$rs['accumulated_depreciation']);?></td>
			<td class="assetRegister-actions">
				<a href="index.php?p=asset_item_edit&id=<?php echo $rs['id'];?>">Edit</a>
				|
                <a href="javascript:void(0);" onclick="confirmDelete(<?php echo $rs['id']; ?>)" style="color:red">Delete</a>				</a>
			</td>
			<td>
				<a href="index.php?p=asset_disposal&id=<?php echo $rs['id'];?>"><span class="fa fa-bars"></span> Dispose</button></a><br>
				<a href="index.php?p=asset_revaluation&id=<?php echo $rs['id'];?>"><span class="fa fa-refresh"></span> Revalue</button></a><br>
				<a href="index.php?p=asset_write_off&id=<?php echo $rs['id'];?>"><span class="glyphicon glyphicon-minus-sign"></span> Write Off</button></a>
			</td>

		 </tr>
		 <?php
		  endforeach;
		 ?>
						
					</tbody>
				</table>
        </div>
        
    </div>
    <!-- END TIMELINE -->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
const urlParams = new URLSearchParams(window.location.search);
    if (urlParams.has('message')) {
        Swal.fire({
            title: 'Success!',
            text: decodeURIComponent(urlParams.get('message')),
            icon: 'success',
            confirmButtonText: 'OK'
        }).then((result) => {
        if (result.isConfirmed) {
            // Redirect to the specific page after the alert is closed
            window.location.href = 'index.php?p=asset_register';
        }
    });
    }
    
function confirmDelete(assetId) {
    Swal.fire({
        title: 'Are you sure?',
        text: "Do you want to delete this Asset? This action cannot be undone.",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#d33',
        cancelButtonColor: '#3085d6',
        confirmButtonText: 'Yes, delete it!'
    }).then((result) => {
        if (result.isConfirmed) {
            // Redirect to delete URL
            window.location.href = `accounting/fixed_asset/delete_asset_item.php?id=${assetId}`;
        }
    });
}
</script>