<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
    <div class="col-md-12">
        <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
           <li><a href="index.php?p=fixed_asset_menu" style="color: rgb(7, 133, 164)">Fixed Asset Menu</a></li>
           <li class="active">Disposal</li>
        </ul>
       <div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title"><b>DISPOSAL</b></h3>
        </div>
        <div class="panel-body" style="background: #fff">
          <div class="table-responsive">
            <table id="assetDepreciationTable" class="table datatable">
					<thead>
						<tr>
							<th>Asset Name</th>
							<th>Asset No.</th>
							<th>Asset Type</th>
							<th>Purchase Cost</th>
							<th>Disposal Date</th>
							<th>Carrying Value</th>
							<th>Sold for</th>
							<th>Gain / Loss</th>
							<th>Action</th>
						</tr>
							</thead>
						<tbody>
						  <?php
						    $selectQueryDispose = "SELECT di.id,ai.item_name,ai.item_number,ai.acquisition_cost,ai.accumulated_depreciation,fa.asset_type,di.Date_Disposed,di.Disposal_Price FROM dispose AS di INNER JOIN assetitems AS ai ON di.Asset_Id=ai.id INNER JOIN fixedasset AS fa ON ai.fixedassetid=fa.id ";
				            	$resultDispose = mysqli_query($con,$selectQueryDispose);
				            	foreach($resultDispose as $dispose_rows){
				            	    $book_value = $dispose_rows['acquisition_cost']-$dispose_rows['accumulated_depreciation'];
				            	    
				            	    $gain_lose = $dispose_rows['Disposal_Price'] - $book_value;
                           ?>
						<tr>
							<td><?php echo $dispose_rows['item_name'];?></td>
							<td><?php echo $dispose_rows['item_number'];?></td>
							<td><?php echo $dispose_rows['asset_type'];?></td>
							<td><?php echo number_format($dispose_rows['acquisition_cost']);?></td>
							<td><?php echo $dispose_rows['Date_Disposed'];?></td>
							<td><?php echo number_format($book_value);?></td>
							<td><?php echo number_format($dispose_rows['Disposal_Price']);?></td>
							<td><?php echo number_format($gain_lose);?></td>
							<td>
                            <a href="disposal_delete.php?id=<?php echo $dispose_rows['id'];?>" class="delete-icon" onclick="return confirm('Are you sure you want to delete this record?')">
                                <span class="glyphicon glyphicon-remove" style="color:red;font-size: 14px"></span>
                            </a> 
                           </td>
    					 </tr>
						<?php
		            	}
						?>
					</tbody>
				</table>
           </div> 
        </div>
    </div>
  </div>
</div>
