<?php
// Database connection parameters
include '../db/db.php';

// Check if the form is submitted
if (isset($_POST['submit'])) {
    // Retrieve form data
    function generate_receipt_no($l = 10){
      return substr(str_shuffle(str_repeat($x='0123456789',ceil($l/strlen($x)))),1,$l);
     }
    $ref = generate_receipt_no(6);
    $refs = 'RV'.'-'.$ref;
    $date = mysqli_real_escape_string($con,$_POST['date']);
    $reference = mysqli_real_escape_string($con,$_POST['reference']);
    if($reference == ''){
          $reference = $refs; 
    }else{
        
          $reference = 'RV'.'-'.$_POST['reference'];
    }
    $bank = mysqli_real_escape_string($con,$_POST['bank']);
    $payee = mysqli_real_escape_string($con,$_POST['payee']);
    $note = mysqli_real_escape_string($con,$_POST['note']);
    $user = $_SESSION['id'];
    $attachment = '';
    $payeetype = mysqli_real_escape_string($con,$_POST['payeetype']);
    $branch = $_SESSION['Branch'];
    
    if($payeetype == 'other'){
      $payee = mysqli_real_escape_string($con,$_POST['other']);  
    }else if($payeetype == 'customer'){
      $payee = mysqli_real_escape_string($con,$_POST['customer']);   
    }else{
      $payee = mysqli_real_escape_string($con,$_POST['supplier']);  
    }

    // Insert main payment data
     $q = mysqli_query($con,"INSERT INTO payment_transactions_details VALUES ('','$date', '$reference', '$bank', '$payee', '$note','$attachment','$user','$branch','payment',1,0,0,0)");
    
    if($q){
    // Retrieve the payment ID
    $paymentId = mysqli_insert_id($con);

    // Insert account lines
    $sum = 0;
    foreach ($_POST['account'] as $index => $account) {
         $amount = $_POST['amount'][$index];
         
         $sum=$sum+$amount;
         
        // Insert account line data
        $stmt = mysqli_query($con,"INSERT INTO payment_transactions_details_items VALUES ('','$paymentId', '$account', '$amount')");
        //$stmt = mysqli_query($con,"INSERT INTO receipt_line VALUES ('','$paymentId', '$account', '$amount','Loan','".$_GET['cid']."')");
        if($stmt){
            $debit = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code = '$bank'");
            $rows = mysqli_fetch_array($debit);
            $class_debit = $rows['class'];
            $fsli_debit = $rows['account_type'];
            
            $credit = mysqli_query($con,"SELECT * FROM chart_master WHERE account_code = '$account'");
            $rowss = mysqli_fetch_array($credit);
            $class_credit = $rowss['class'];
            $fsli_credit = $rowss['account_type'];
            //Matumiz cat = 5
            mysqli_query($con,"INSERT INTO gl_transaction VALUES('','$bank','$fsli_debit','$class_debit','$amount','Credit','$paymentId','".$_SESSION['id']."','$note','$year','$date','".$_SESSION['Branch']."','Payment')");
                                        

           mysqli_query($con,"INSERT INTO gl_transaction VALUES('','$account','$fsli_credit','$class_credit','$amount','Debit','$paymentId','".$_SESSION['id']."','$note','$year','$date','".$_SESSION['Branch']."','Payment')");
            
        }
    }
    mysqli_query($con,"UPDATE payment_transactions_details SET total='$sum' WHERE id='$paymentId'");
    echo "<script>
    alert('Payment Created Successfully!');
    window.location = 'index.php?p=payments';
    </script>
    ";
  }
}

?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                    <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting Menu</a></li>
                    <li><a href="index.php?p=payments" style="color: rgb(7, 133, 164)">payment List</a></li>
                    <li class="active">Payment Voucher</li>
                    </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>PAYMENT VOUCHER</b></h3>
                </div>
                <div class="panel-body">
                    <form class="form-horizontal" method="post" action="" enctype="multipart/form-data">
        <h4 style="font-weight: bold;color: rgb(193, 190, 190);">New Payment</h4>            
        <table class="table" style="width: 70%;">
            <tbody>
                <tr>
                    <th style="width:35%">
                        <div class="form-group">
                            <label class="col-md-12 col-xs-12">Date *</label>
                                <div class="col-md-12 col-xs-12">            
                                <input type="text" class="form-control datepicker" name = "date" value="<?php echo date('Y-m-d');?>"/>            
                            </div>
                        </div> 
                    </th>
                    <th style="width:35%">
                        <div class="form-group">
                            <label class="col-md-12 col-xs-12">Reference</label>
                        <div class="col-md-12 col-xs-12">                       
                          <div class="input-group">
                             <span class="input-group-addon"><input type="checkbox" id="referenceCheckbox"></span>
                            <input type="text" class="form-control" id="referenceInput" placeholder="Optional" name="reference">
                      </div>                                            
                    </div>
                  </div>
                    </th>
                </tr>
            <tr>
                <th colspan="2" style="width:70%">Paid From</th>
              </tr>
            <tr>
                <td colspan="2" style="width:70%">
                    <div class="form-group">
                        <div class="col-md-12 col-xs-12">                       
                            <div class="input-group">
                                <span class="input-group-addon">Bank Account</span>
                                    <select class="form-control select" name= "bank" data-live-search="true">
                                       <?php
                                      $cl = mysqli_query($con,"SELECT * FROM bank_accounts");
                                        
                                    while($class = mysqli_fetch_assoc($cl)){
                                       ?>
                                        <option value = "<?php echo $class['account_code'];?>"><?php echo $class['bank_account_name'];?></option>
                                     <?php
                                       }
                                      ?>
                                </select>
                        </div>                                            
                    </div>
                   </div>
                </td>
            </tr>
            <tr>
                <th colspan="2" style="width:70%; text-align:center">Paid To</th>
              </tr>
            <tr>
                <td style="width:35%">
  <div class="form-group">
    <div class="col-md-12 col-xs-12"> 
      <select class="form-control select" name ="payeetype" id="payeeType" data-live-search="true">
        <option value="other">Other</option>
        <!--<option value="customer">Customer</option>-->
        <option value="supplier">Supplier</option>
      </select>
    </div>
  </div>
</td>
<td style="width:35%">
  <div class="form-group">
    <div class="col-md-12 col-xs-12" id="payeeInputWrapper">
      <input type="text" name="other" id="payeeInput" class="form-control"/>
    </div>
    <div class="col-md-12 col-xs-12" id="payeeSelect" style="display:none;">
      <?php
      $cust = mysqli_query($con, "SELECT * FROM ngm_customer WHERE branch = '".$_SESSION['Branch']."'  ORDER BY name ASC");
      ?>
      <select class="form-control select" name="customer" data-live-search="true">
        <option value="">---Select Customer---</option>
        <?php
        while ($rs = mysqli_fetch_array($cust)) {
        ?>
        <option value="<?php echo $rs['id']; ?>"><?php echo $rs['name']; ?>-<?php echo $rs['category']; ?></option>
        <?php
        }
        ?>
      </select>
    </div>
    <div class="col-md-12 col-xs-12" id="payeeSelectSupplier" style="display:none;">
      <?php
      $sup = mysqli_query($con, "SELECT * FROM supplier WHERE branchno = '".$_SESSION['Branch']."'  ORDER BY name ASC");
      ?>
      <select class="form-control select" name="supplier" data-live-search="true">
        <option value="">---Select Supplier---</option>
        <?php
        while ($suprs = mysqli_fetch_array($sup)) {
        ?>
        <option value="<?php echo $suprs['id']; ?>"><?php echo $suprs['name']; ?></option>
        <?php
        }
        ?>
      </select>
    </div>
  </div>
</td>
</tr>
            <tr>
                <th colspan="2" style="width:70%">Transaction Description</th>
              </tr>
            <tr>
                <td colspan="2" style="width:70%">
                    <div class="form-group">
                        <div class="col-md-12 col-xs-12">                       
                            <textarea class="form-control" name="note" required></textarea>
                    </div>
                  </div>
                </td>
            </tr>
            <tr>
                <th style="width:35%">Account</th>
                <th style="width:35%">Amount</th>
             
              </tr>
              <tr>
                <td style="width:35%">
                    <div class="form-group">
                        <div class="col-md-12 col-xs-12">                       
                                    <select class="form-control select" name= "account[]" data-live-search="true">
                                                  <?php
                                                  $cl = mysqli_query($con,"SELECT * FROM chart_master ORDER BY account_name ASC");
                                                    while($class = mysqli_fetch_assoc($cl)){
                                                  ?>
                                                        <option value = "<?php echo $class['account_code'];?>"><?php echo $class['account_code'];?> - <?php echo $class['account_name'];?></option>
                                                     <?php
                                                       }
                                                      ?>
                                </select>
                    </div>
                   </div>
                </td>
                <td style="width:35%">
                    <div class="form-group">
                        <div class="col-md-12 col-xs-12">                       
                                    <input type="text" oninput="updateTotalAmount()" name = "amount[]" class="form-control" style="width:100%"/>
                    </div>
                  </div>
                </td>
                
                </tr>
                <tr>
                    <td>
                        <span><button type="button" class="btn btn-primary" onclick="addAccountLine()" style="background-color: green;color: white;">Add Line</button></span>
                    </td>
                    <td align="right"><button class="btn btn-default" style="color:red;font-size:16px">Total Amount: <span id="totalAmount">0.00</span></button></td>
                </tr>
            </tbody>    
        </table>
                </div>
                <div class="panel-footer">
                    <button type="submit" name="submit" class="btn btn-info pull-right"><span class="fa fa-plus-circle"></span> Create </button>
                </div>
                </form>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
<script>
    let voucherCounter = 1; // Initialize the voucher counter

    // Set default date to today
    document.getElementById('datePicker').valueAsDate = new Date();

    // Function to add a new account line
    function addAccountLine() {
        const tableBody = document.querySelector('.table tbody');

        const newRow = document.createElement('tr');
        newRow.innerHTML = `
            <td style="width:50%">
                <div class="form-group">
                    <div class="col-md-12 col-xs-12">
                                <select class="form-control select" name= "account[]" data-live-search="true">
                                              <?php
                                              $cl = mysqli_query($con,"SELECT * FROM chart_master ORDER BY account_name ASC");
                                                while($class = mysqli_fetch_assoc($cl)){
                                              ?>
                                                    <option value = "<?php echo $class['account_code'];?>"><?php echo $class['account_code'];?> - <?php echo $class['account_name'];?></option>
                                                 <?php
                                                   }
                                                  ?>
                            </select>
                    </div>                                            
                 </div>
            </td>
            <td style="width:50%">
                <div class="form-group">
                    <div class="col-md-12 col-xs-12">
                                <input type="text" name = "amount[]" class="form-control" oninput="updateTotalAmount()" />
                    </div>
                  </div>
            </td>

            <td style="background-color:#ffffff">
                <button class="btn btn-danger" onclick="removeAccountLine(this)"><i class="fa fa-trash-o"></i></button>
            </td>
        `;
        // Initialize Bootstrap Selectpicker for the first row
        $(newRow.querySelector('.select')).selectpicker();

        // Insert new row just above the "Add Line" and "Create" buttons
        tableBody.insertBefore(newRow, tableBody.lastElementChild);

        // Update the sum of amounts
        updateTotalAmount();
    }

    // Function to remove an account line
    function removeAccountLine(button) {
        const row = button.closest('tr');
        row.remove();

        // Update the sum of amounts after removing the line
        updateTotalAmount();
    }

    // Function to update the total amount
    function updateTotalAmount() {
        const amounts = document.querySelectorAll('input[name="amount[]"]');
        let total = 0;

        amounts.forEach(input => {
            total += parseFloat(input.value) || 0;
        });
        const formattedTotal = total.toLocaleString();
        // Display the total amount in an element with id "totalAmount"
        document.getElementById('totalAmount').innerText = formattedTotal;
    }
    
</script>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
  $(document).ready(function() {
    $('#payeeType').change(function() {
      if ($(this).val() === 'customer') {
        $('#payeeInputWrapper').hide();
        $('#payeeSelect').show();
        $('#payeeSelectSupplier').hide();
      }
      else if($(this).val() === 'supplier'){
           $('#payeeInputWrapper').hide();
           $('#payeeSelect').hide();
          $('#payeeSelectSupplier').show();
      }
      else {
        $('#payeeInputWrapper').show();
        $('#payeeSelect').hide();
        $('#payeeSelectSupplier').hide();
      }
    });
  });
</script>
