<?php
 require_once '../db/db.php';
 $payment = mysqli_query($con, "SELECT * FROM payment_transactions_details WHERE id='" . mysqli_real_escape_string($con, $_GET['id']) . "'");
 $selectQuery = "SELECT * FROM BusinessInfo";
$result = mysqli_query($con,$selectQuery);
$row = mysqli_fetch_assoc($result);
$telephone = $row['telephone_number'];
$business = $row['business_name'];
$tin_no = $row['tin'];
$po_box = $row['po_box'];
$vran = $row['vran'];
$footer_description = $row['footer_description'];
$business_logo = $row['business_logo'];
$physical_location = $row['physical_location'];
$email = $row['email'];

$selectQuery = "SELECT * FROM ColorSettings";
$result = mysqli_query($con,$selectQuery);
$row = mysqli_fetch_assoc($result);

$bg_color = $row['bg_color'];
$color = $row['font_color']; 
                              
      if (!$payment) {
    // Query execution failed, handle the error
       $error_message = mysqli_error($con);
         echo "Error: " . $error_message;
         } else {
     // Query executed successfully
          $rows = mysqli_fetch_array($payment);
      // Process the retrieved data
       }
     ?>
    <div class="col-md-9">

    <!-- START TIMELINE -->
    <div class="row">
    <div class="col-md-12">
        <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
          <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting And Reports</a></li>
          <li><a href="index.php?p=payments" style="color: rgb(7, 133, 164)">Payment Voucher List</a></li>
          <li class="active">Payment Voucher View</li>
        </ul>
        
       <div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title"><b>PAYMENTS</b></h3>
            <!--<div class="pull-right">
                <a href=""><button class="btn btn-default" onclick="printTable()"> <span class="fa fa-print"></span> Print</button></a>
            </div>-->
            <div class="pull-right">
              <a href="../pdf/reports/payment_voucher.php?id=<?php echo $_GET['id'];?>&bank=<?php echo $_GET['bank']?>" target="_blank"><button class="btn btn-default" onclick="exportToPDF()"> <span class="fa fa-file-o"></span> Print</button></a>
            </div>
        </div>
        <div class="panel-body" style="background: #fff">
          <div class="table-responsive">
            <table class="table" id="printabletable">
             <thead>    
              <tr bgcolor="<?php echo $bg_color;?>">
                  <td colspan=2><h3 style="color:white;padding-top:7px;">PAYMENT VOUCHER</h3></td>
              </tr>
              <tr bgcolor="#ffffff">
                  <td align = "left">
                      <p style="font-size:16px;font-weight:bold;padding-top:30px;color:black">
                          Date <br/>
                          <span style="color:<?php echo $color;?>;padding-left:30px;"><?php echo $rows['date'];?></span> <br/>
                          Reference <br/>
                          <span style="color:<?php echo $color;?>;padding-left:30px;"><?php echo $rows['reference'];?></span> <br/>
                          Method<br/>
                          <span style="color:<?php echo $color;?>;padding-left:30px;"><?php echo $_GET['bank']?></span>
                      </p>
                      </td>
                  <td align = "right"><img src = "<?php echo $business_logo;?>" width="200" height = "200"></td>
              </tr>
             </thead>
              <tbody>
                <tr bgcolor="#fff">
                  <td colspan=2><p style="font-size:16px;"><?php echo $rows['note'];?></p></td>
              </tr>  
                <tr bgcolor="<?php echo $bg_color;?>">
                  <td align = "left"><h3 style="color:#fff;padding-top:5px;">Account</h3></td>
                  <td align = "right"><h3 style="color:#fff;padding-top:5px;">Amount</h3></td>
              </tr>
              <?php
               $payment_lines = mysqli_query($con,"SELECT * FROM payment_transactions_details_items WHERE receipt_id = '".$_GET['id']."'");
               $total = 0;
               foreach($payment_lines as $rs):
                   $chart_master = mysqli_query($con,"SELECT account_name FROM chart_master WHERE account_code = '".$rs['account']."'");
                   $row = mysqli_fetch_array($chart_master);
                   $total = $total + $rs['amount'];
              ?>
              <tr bgcolor="#fff">
                  <td align = "left"><p style="color:#000;font-size:16px"><?php echo $row['account_name'];?></p></td>
                  <td align = "right"><p style="color:#000;font-size:16px"><?php echo number_format($rs['amount'],2);?></p></td>
              </tr>
              <?php endforeach ?>
              <tr bgcolor="#fff">
                  <td align = "right" colspan="2"><p>
                      <div style="max-width:200px;height:40px;background-color:<?php echo $bg_color;?>;color:#fff;font-size:16px;padding-top:7px;padding-right:7px; font_weight:bold">
                      Total TZS <?php echo number_format($total,2);?>
                      </div>
                      </p></td>
              </tr>
              <tr bgcolor="#fff">
                  <?php
                   $customer_query = mysqli_query($con,"SELECT name FROM supplier WHERE id = '".$rows['payee']."'");
                   $customer_rws = mysqli_fetch_assoc($customer_query);
                  ?>
                  <td align = "left" colspan="2">
                        <span style="color:<?php echo $color;?>;font-weight:bold;font-size:13px">Paid To :</span> <span style="color:#999;font-size:16px"><?php echo strtoupper($customer_rws['name']);?></span>
                      </p>
                      <p>
                        <span style="color:<?php echo $color;?>;font-weight:bold;font-size:13px">Signature:</span><br/>
                            <div style="width:250px;border-bottom:2px dashed #999;">
                            </div>    
                      </p>
                  </td>
              </tr>
              </tbody>       
             <tfoot>
                 <tr bgcolor="<?php echo $bg_color;?>">
                  <td colspan=2>
                      <p style="color:white;padding-top:7px;">
                      <?php echo $footer_description;?>
                      </p>
                  </td>
              </tr>
              </tfoot>     
            </table>
           </div> 
        </div>
    </div>
  </div>
</div>

    <!-- END TIMELINE --> 
    
</div>
<script>
function printTable() {
    var printWindow = window.open('', '_blank');
    printWindow.document.write('<html><head><title>Print Payment Voucher</title>');
    printWindow.document.write('<link rel="stylesheet" type="text/css" href="../css/theme-default.css">');
    printWindow.document.write('</head><body>');
    printWindow.document.write(document.getElementById('printabletable').outerHTML);
    printWindow.document.write('</body></html>');
    printWindow.document.close();
    printWindow.print();
}

function exportToPDF() {
    var pdf = new jsPDF();
    pdf.autoTable({ html: '#printabletable' });
    pdf.save('table_export.pdf');
}
</script>