<?php
if(isset($_POST['general_ledger'])){
   $branch = mysqli_real_escape_string($con,$_POST['branch']); 
   $date1 = mysqli_real_escape_string($con,$_POST['date1']);
   $date2 = mysqli_real_escape_string($con,$_POST['date2']);
    // Constructing the URL with form attributes
   $redirectURL = 'index.php?p=revenue_report&branch=' . urlencode($branch) . '&date1=' . urlencode($date1) . '&date2=' . urlencode($date2);
    // Constructing the URL with form attributes
    echo "<script>window.location='$redirectURL';</script>"; 
}
?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="#" style="color: rgb(7, 133, 164)" onclick="history.back()">Accounting Menu</a></li>
                <li class="active">Revenue Report</li>
                    </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Revenue Report</b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
                    <form class="form-horizontal" action="" method="post">
                           <div class="form-group">
                             <label class="col-md-3 control-label col-label">From:</label>
                                <div class="col-md-4">
                                    <div class="input-group">
                                    <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                    <input type="text" class="form-control datepicker datepicker-from" value="<?php echo date('Y-m-d');?>" name="date1">          
                                    </div>
                                </div>
                            </div>
                               <div class="form-group">
                             <label class="col-md-3 control-label col-label">To:</label>
                                <div class="col-md-4">
                                    <div class="input-group">
                                    <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                    <input type="text" class="form-control datepicker datepicker-from" value="<?php echo date('Y-m-d');?>" name="date2">          
                                    </div>
                                </div>
                            </div>
                                <div class="form-group">
                               <label class="col-md-3 control-label col-label">Select Branch</label>
                                    <div class="col-md-4">
                                    <select class="form-control select" name="branch" onchange="showDis(this.value)">
                                        <option value="All">All</option>
                                <?php
                                    $stmt = $pdo->prepare("SELECT * FROM branch ORDER BY name");
                                    $stmt->execute();
                                    $branches = $stmt->fetchAll(PDO::FETCH_ASSOC);
                                     foreach ($branches as $branch) {
                                          ?>
                                       <option value="<?php echo $branch['name']; ?>"><?php echo $branch['name']; ?></option>
                                     <?php
                                     }
                                     ?>
                                  </select>
                                  </div> 
                                </div>
                        
                </div>
                <div class="panel-footer">                                    
                  <button class="btn btn-warning pull-right" type="submit" name="general_ledger"><span class="fa fa-plus-circle"></span> Create</button>
            </form>      
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>