<?php
 $date1 = $_GET['date1'];
 $date2 = $_GET['date2'];
 $branch = $_GET['branch'];
?>
<style>
    table {
        border-collapse: collapse;
        border: 1px solid black;
        width: 100%;
    }
    th, td {
        border: 1px solid black;
        padding: 8px;
        color: black;
    }
    
    h4{
        color:black;
        font-weight: bold;
    }
</style>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)"></a>Accounting Menu</li>
                <li class="active">CashFlow Report</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>STATEMENT OF CASHFLOWS</b></h3>
                    <div class="pull-right">
                        <button class="btn btn-default" onclick="history.back()">
                            <span class="fa fa-arrow-left"></span> Go Back
                        </button>
                        <button class="btn btn-default" onclick="printTable()">
                            <span class="fa fa-print"></span> Print Report
                        </button>
                        <button class="btn btn-default" onclick="exportToExcel()">
                            <span class="fa fa-file-excel-o"></span> Export To Excel
                        </button>
                    </div>
                </div>
                <div class="panel-body">
            <div id="printingArea">
                <table id="cashFlowTable">
                    <thead style="font-size: 18px">
                        <tr>
                            <th colspan="2" style="text-align: center;">Institution: <?php echo $_GET['branch'];?></th>
                        </tr>
                        <tr>
                            <th colspan="2" style="text-align: center;">Statement of CashFlow</th>
                        </tr>
                        <tr>
                            <th colspan="2" style="text-align: center;">From <?php echo $_GET['date1'];?> To <?php echo $_GET['date2'];?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <!-- Operating Activities -->
                        <tr>
                            <th colspan="2">
                                <h4>Cash Flows from Operating Activities</h4>
                            </th>
                        </tr>
                        <tr>
                            <?php
                            if($branch == 'All'){
                              $query_receipts = mysqli_query($con,"SELECT SUM(td.total) AS total FROM transactions_details td
                              INNER JOIN ngm_customer cu ON td.payee = cu.id AND td.date BETWEEN '$date1' AND '$date2'");
                              
                              $query_payments = mysqli_query($con,"SELECT SUM(td.total) AS total FROM payment_transactions_details td
                              INNER JOIN supplier su ON td.payee = su.id AND td.date BETWEEN '$date1' AND '$date2'");
                              
                              //Operating Expenses
                              $query_gl1 = mysqli_query($con,"SELECT SUM(amount) AS amount FROM gl_transaction WHERE date BETWEEN '$date1' AND '$date2' AND fsli = 31");
                              $query_gl2 = mysqli_query($con,"SELECT SUM(amount) AS amount FROM gl_transaction WHERE date BETWEEN '$date1' AND '$date2' AND fsli = 14");
                              $query_gl3 = mysqli_query($con,"SELECT SUM(amount) AS amount FROM gl_transaction WHERE date BETWEEN '$date1' AND '$date2' AND fsli = 26");
                              $query_gl4 = mysqli_query($con,"SELECT SUM(amount) AS amount FROM gl_transaction WHERE date BETWEEN '$date1' AND '$date2' AND fsli = 70");
                            }else{
                              $query_receipts = mysqli_query($con,"SELECT SUM(td.total) AS total FROM transactions_details td
                              INNER JOIN ngm_customer cu ON td.payee = cu.id AND td.date BETWEEN '$date1' AND '$date2' AND td.branch='$branch'");
                              
                              $query_payments = mysqli_query($con,"SELECT SUM(td.total) AS total FROM payment_transactions_details td
                              INNER JOIN supplier su ON td.payee = su.id AND td.date BETWEEN '$date1' AND '$date2' AND td.branch='$branch'");
                              
                              $query_gl1 = mysqli_query($con,"SELECT SUM(amount) AS amount FROM gl_transaction WHERE date BETWEEN '$date1' AND '$date2' AND fsli = 31 AND branchno='$branch'");
                              $query_gl2 = mysqli_query($con,"SELECT SUM(amount) AS amount FROM gl_transaction WHERE date BETWEEN '$date1' AND '$date2' AND fsli = 14 AND branchno='$branch'");
                              $query_gl3 = mysqli_query($con,"SELECT SUM(amount) AS amount FROM gl_transaction WHERE date BETWEEN '$date1' AND '$date2' AND fsli = 26 AND branchno='$branch'");
                              $query_gl4 = mysqli_query($con,"SELECT SUM(amount) AS amount FROM gl_transaction WHERE date BETWEEN '$date1' AND '$date2' AND fsli = 70 AND branchno='$branch'");
                            }
                             $rows_receipts = mysqli_fetch_assoc($query_receipts);
                             $rows_payments = mysqli_fetch_assoc($query_payments);
                             $rows_op_exp = mysqli_fetch_assoc($query_gl1);
                             $rows_tax_exp = mysqli_fetch_assoc($query_gl2);
                             $rows_inter_exp = mysqli_fetch_assoc($query_gl3);
                             $rows_inter_paid = mysqli_fetch_assoc($query_gl4);
                            ?>
                            <td>Cash receipts from customers and Others</td>
                            <td class="text-right"><?php echo number_format($rows_receipts['total'],2);?></td>
                        </tr>
                        <tr>
                            <td>Cash payments to suppliers</td>
                            <td class="text-right">(<?php echo number_format($rows_payments['total'],2);?>)</td>
                        </tr>
                        <tr>
                            <td>Cash payments for operating expenses</td>
                            <td class="text-right">(<?php echo number_format($rows_op_exp['amount'],2);?>)</td>
                        </tr>
                        <tr>
                            <td>Interest received</td>
                            <td class="text-right"><?php echo number_format($rows_inter_exp['amount'],2);?></td>
                        </tr>
                        <tr>
                            <td>Interest paid</td>
                            <td class="text-right">(<?php echo number_format($rows_inter_paid['amount'],2);?>)</td>
                        </tr>
                        <tr>
                            <td>Income taxes paid</td>
                            <td class="text-right">(<?php echo number_format($rows_tax_exp['amount'],2);?>)</td>
                        </tr>

                        <!-- Investing Activities -->
                        <tr>
                            <th colspan="2">
                                <h4>Cash Flows from Investing Activities</h4>
                            </th>
                        </tr>
                        <tr>
                            <td>Purchase of property, plant, and equipment</td>
                            <td class="text-right">(0.00)</td>
                        </tr>
                        <tr>
                            <td>Proceeds from sale of property, plant, and equipment</td>
                            <td class="text-right">0.00</td>
                        </tr>
                        <tr>
                            <td>Purchase of investments</td>
                            <td class="text-right">(0.00)</td>
                        </tr>
                        <tr>
                            <td>Sale of investments</td>
                            <td class="text-right">0.00</td>
                        </tr>

                        <!-- Financing Activities -->
                        <tr>
                            <th colspan="2">
                                <h4>Cash Flows from Financing Activities</h4>
                            </th>
                        </tr>
                        <tr>
                            <td>Proceeds from issuance of shares</td>
                            <td class="text-right">0.00</td>
                        </tr>
                        <tr>
                            <td>Proceeds from borrowing</td>
                            <td class="text-right">0.00</td>
                        </tr>
                        <tr>
                            <td>Repayment of borrowing</td>
                            <td class="text-right">(0.00)</td>
                        </tr>
                        <tr>
                            <td>Dividends paid</td>
                            <td class="text-right">(0.00)</td>
                        </tr>

                        <!-- Net Cash Flow -->
                        <tr>
                            <th colspan="2">
                                <h4>Net Increase (Decrease) in Cash and Cash Equivalents</h4>
                            </th>
                        </tr>
                        <?php
                         $check_balance = mysqli_query($con, "SELECT 
                                    COALESCE(SUM(CASE WHEN nature = 'Debit' THEN amount ELSE 0 END), 0) AS Total_Debit,
                                    COALESCE(SUM(CASE WHEN nature = 'Credit' THEN amount ELSE 0 END), 0) AS Total_Credit,
                                    COALESCE(SUM(CASE WHEN nature = 'Debit' THEN amount ELSE 0 END), 0) - 
                                        COALESCE(SUM(CASE WHEN nature = 'Credit' THEN amount ELSE 0 END), 0) AS balance
                                FROM 
                                    gl_transaction WHERE fsli = 16 AND date BETWEEN '$date1' AND '$date2'");
                                         $rs = mysqli_fetch_array($check_balance);
                                         $bank_balance = $rs['balance'];
                                         
                         $check_balance2 = mysqli_query($con, "SELECT 
                                    COALESCE(SUM(CASE WHEN nature = 'Debit' THEN amount ELSE 0 END), 0) AS Total_Debit,
                                    COALESCE(SUM(CASE WHEN nature = 'Credit' THEN amount ELSE 0 END), 0) AS Total_Credit,
                                    COALESCE(SUM(CASE WHEN nature = 'Debit' THEN amount ELSE 0 END), 0) - 
                                        COALESCE(SUM(CASE WHEN nature = 'Credit' THEN amount ELSE 0 END), 0) AS balance
                                FROM 
                                    gl_transaction WHERE fsli = 16 AND date < '$date1'");
                                         $rs = mysqli_fetch_array($check_balance2);
                                         $bank_balance2 = $rs['balance'];                 
                        ?>
                        <tr>
                            <td>Net Increase (Decrease) in Cash and Cash Equivalents</td>
                            <td class="text-right"><?php echo number_format($bank_balance,2);?></td>
                        </tr>
                        <tr>
                            <td>Cash and Cash Equivalents at the Beginning of the Period</td>
                            <td class="text-right"><?php echo number_format($bank_balance2,2);?></td>
                        </tr>
                        <tr>
                            <td>Cash and Cash Equivalents at the End of the Period</td>
                            <td class="text-right"><?php echo number_format($bank_balance+$bank_balance2,2);?></td>
                        </tr>
                    </tbody>
                </table>
                    </div>
                </div>
                <div class="panel-footer">
                </div>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
<script>
function printTable() {
    // Get the table element
    var printContents = document.getElementById('cashFlowTable').outerHTML;

    // Create a new window
    var printWindow = window.open('', '_blank');

    // Add table content to the new window
    printWindow.document.write('<html><head><title>Print CashFlow Table</title>');
    printWindow.document.write(`
        <style>
            table {
                width: 100%;
                border-collapse: collapse;
            }
            th, td {
                border: 1px solid black;
                text-align: left;
                padding: 8px;
            }
            th {
                background-color: #f2f2f2;
            }
            /* Right-align for the "Amount" column */
            td:nth-child(2), th:nth-child(2) {
                text-align: right;
            }
        </style>
    `);
    printWindow.document.write('</head><body>');
    printWindow.document.write('<h2>Statement of Cash Flows</h2>');
    printWindow.document.write(printContents);
    printWindow.document.write('</body></html>');

    // Close the document to apply styles and content
    printWindow.document.close();

    // Print the new window
    printWindow.print();
}



function exportToExcel() {
    var table = document.getElementById('printingArea');
    var wb = XLSX.utils.table_to_book(table);
    var wbout = XLSX.write(wb, { bookType: 'xlsx', type: 'binary' });
    var blob = new Blob([s2ab(wbout)], { type: 'application/octet-stream' });

    var link = document.createElement('a');
    link.href = window.URL.createObjectURL(blob);
    link.download = 'CashFlow.xlsx';
    link.click();
}

function s2ab(s) {
    var buf = new ArrayBuffer(s.length);
    var view = new Uint8Array(buf);
    for (var i = 0; i < s.length; i++) {
        view[i] = s.charCodeAt(i) & 0xFF;
    }
    return buf;
}
</script>
</body>
</html>
