<?php
if(isset($_POST['general_ledger'])){
   $description = mysqli_real_escape_string($con,$_POST['description']);
   $branch = mysqli_real_escape_string($con,$_POST['branch']); 
   $date1 = mysqli_real_escape_string($con,$_POST['date1']);
   $date2 = mysqli_real_escape_string($con,$_POST['date2']);
   $account = mysqli_real_escape_string($con,$_POST['account']);
    // Constructing the URL with form attributes
   $redirectURL = 'index.php?p=transaction_gl_report&description=' . urlencode($description) . '&branch=' . urlencode($branch) . '&date1=' . urlencode($date1) . '&date2=' . urlencode($date2) . '&account=' . urlencode($account);
    // Constructing the URL with form attributes
    echo "<script>window.location='$redirectURL';</script>"; 
}
?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting Menu</a></li>
                <li class="active">General Ledger</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>GENERAL LEDGER TRANSACTIONS</b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
                    <form class="form-horizontal" action="" method="post">
                        <div class="form-group">
                            <label class="col-md-3 control-label col-label" for="description">Description</label>
                                                <div class="col-md-6 form-group has-success">
                                                    <input type="text" class="form-control" name="description" id="description" value ="GENERAL LEDGER TRANSACTIONS">
                                                </div>
                                            </div>
                                          <div class="form-group">
                               <label class="col-md-3 control-label col-label">Select Branch</label>
                                    <div class="col-md-4">
                                    <select class="form-control select" name="branch" onchange="showDis(this.value)">
                                        <option value="All">All</option>
                                <?php
                                    $stmt = $pdo->prepare("SELECT * FROM branch ORDER BY name");
                                    $stmt->execute();
                                    $branches = $stmt->fetchAll(PDO::FETCH_ASSOC);
                                     foreach ($branches as $branch) {
                                          ?>
                                       <option value="<?php echo $branch['name']; ?>"><?php echo $branch['name']; ?></option>
                                     <?php
                                     }
                                     ?>
                                  </select>
                                  </div> 
                                </div>
                                <div class="form-group">
                                                <label class="col-md-3 control-label col-label" for="fromDate">From</label>
                                                <div class="col-md-3">
                                                    <div class="input-group" id="currentDateFrom">
                                                        <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                                        <input type="text" class="form-control datepicker datepicker-from" name="date1" id="fromDate">
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <label class="col-md-3 control-label col-label" for="toDate">To</label>
                                                    <div class="input-group" id="currentDateTo">
                                                        <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                                        <input type="text" class="form-control datepicker datepicker-to" name="date2" id="toDate">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="col-md-3 control-label col-label">Account</label>
                                                <div class="col-md-4">
                                                    <select class="form-control select" name= "account" data-live-search="true">
                                                  <?php
                                                  $cl = mysqli_query($con,"SELECT * FROM chart_master ORDER BY account_name ASC");
                                                    while($class = mysqli_fetch_assoc($cl)){
                                                  ?>
                                                        <option value = "<?php echo $class['account_code'];?>"><?php echo $class['account_code'];?> - <?php echo $class['account_name'];?></option>
                                                     <?php
                                                       }
                                                      ?>
                                </select>
                                                </div> 
                                            </div>
                        
                </div>
                <div class="panel-footer">                                    
                  <button class="btn btn-warning pull-right" type="submit" name="general_ledger"><span class="fa fa-plus-circle"></span> Create</button>
            </form>      
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
<script>
    var currentDate = new Date();
    var formattedDate = currentDate.toISOString().slice(0, 10);

    document.querySelector('.datepicker-from').value = formattedDate;
    document.querySelector('.datepicker-to').value = formattedDate;

</script>
