<?php
// Define the date range and account number
$start_date = $_GET['date1'];
$end_date = $_GET['date2'];
$date1 = date('d/m/Y',strtotime($start_date));
$date2 = date('d/m/Y',strtotime($end_date));
$account_number = $_GET['account'];
$description = $_GET['description'];
$branch = $_GET['branch'];

$bank_account = mysqli_query($con, "SELECT * FROM chart_master WHERE account_code = '$account_number'");

if (!$bank_account) {
    die("Error: " . mysqli_error($con));
}

$rows = mysqli_fetch_array($bank_account);
$class = $rows['class'];

if (!$rows) {
    echo "No matching record found for account number: $account_number";
} else {
    $acc_name = $rows['account_name'];
    //echo "Account Name: $acc_name";
}

// SQL query to fetch transactions within the date range for the specified account
if($branch == 'All'){
$sql = "SELECT date, notes, 
        CASE WHEN nature = 'Credit' THEN amount ELSE '' END AS credit_amount,
        CASE WHEN nature = 'Debit' THEN amount ELSE '' END AS debit_amount
        FROM gl_transaction 
        WHERE account = ? AND date BETWEEN ? AND ? ORDER BY date DESC";
$stmt = $con->prepare($sql);
$stmt->bind_param("iss", $account_number, $start_date, $end_date);
$stmt->execute();
$result = $stmt->get_result();        
}else{
 $sql = "SELECT date, notes, 
        CASE WHEN nature = 'Credit' THEN amount ELSE '' END AS credit_amount,
        CASE WHEN nature = 'Debit' THEN amount ELSE '' END AS debit_amount
        FROM gl_transaction 
        WHERE account = ? AND date BETWEEN ? AND ? AND branchno = ? ORDER BY date DESC";  
$stmt = $con->prepare($sql);
$stmt->bind_param("isss", $account_number, $start_date, $end_date, $branch);
$stmt->execute();
$result = $stmt->get_result();
}

?>
                       <div class="col-md-9">

                            <!-- START TIMELINE -->
                            <div class="row">
                            <div class="col-md-12">

                               <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h3 class="panel-title"><b>ACCOUNT <span style="color:#999"><?php echo strtoupper($acc_name);?></span></b></h3>
                                    <div class="pull-right">
                                    <button class="btn btn-default" onclick="history.back()"> <span class="fa fa-arrow-left"></span> Go Back</button>
                                    <button class="btn btn-default" onclick="printContent()">
                                        <span class="fa fa-print"></span> Print Report
                                    </button>
                                    <button class="btn btn-default" onclick="exportToExcel()">
                                        <span class="fa fa-print"></span> Export To Excel
                                    </button>
                                </div>
                                </div>
                                   <div class="panel-body" id="printingArea">
                                       <center>
                                           <h2 style="color:black"><?php echo $description;?></h2>
                                       <h3 style="color:black">BRANCH: <?php echo $branch;?></h3>
                                       <h4 style="color:black"><b>ACCOUNT: </b><?php echo strtoupper($acc_name);?></h4>
                                       <h4 style="color:black"><?php echo $date1;?> - <?php echo $date2;?></h4>
                                       
                                       </center>
                                    <?php
                                     echo "<table class='table table-bordered' width='100%'>
                                          <tr style='color:black;font-weight:bold;font-size:14px;background-color:#f5f5f5'>
                                              <td style='width:20%'>Date</td>
                                              <td style='width:50%'>Description</td>
                                              <td style='width:15%'>Credit</td>
                                              <td style='width:15%'>Debit</td>
                                          </tr>
                                        ";
$credit_total = 0;
$debit_total = 0;

// Display transactions
while ($row = $result->fetch_assoc()) {
    echo "<tr>";
    echo "<td>" . $row['date'] . "</td>";
    echo "<td>" . $row['notes'] . "</td>";
    echo "<td align='right'>" . number_format($row['credit_amount'],2) . "</td>";
    echo "<td align='right'>" . number_format($row['debit_amount'],2) . "</td>";
    echo "</tr>";

    // Calculate credit and debit totals
    $credit_total += $row['credit_amount'];
    $debit_total += $row['debit_amount'];
}

// Calculate opening balance

// Calculate closing balance
//$closing_balance = $opening_balance + ($debit_total - $credit_total);
if($class=='Expenses' || $class=='Asset'){
$net = $debit_total - $credit_total;
}else{
 $net = $credit_total - $debit_total;   
}


// Display totals and closing balance row
echo "<tr style='color:black;font-weight:bold;font-size:14px;'>
 <td colspan='2'><b>Total</b></td>
 <td align='right'>" . number_format($credit_total) . "</td>
 </td><td align='right'>" . number_format($debit_total) . "</td>
</tr>";
echo "<tr style='color:black;font-weight:bold;font-size:14px;'><td colspan='2'><b>Balance:</b></td><td></td><td align='right'>" . number_format($net) . "</td></tr>";

echo "</table>";

// Close statement and connection
$stmt->close();
$con->close();
?>
                                    </div>
                                  </div>
                                 </div>
                                <div class="panel-footer">                      
                                    </div>
                            </div>
                          </div>
                        </div>


                            <!-- END TIMELINE -->                            
                            
                        </div>
    <script>
    function printContent() {
        var content = document.getElementById('printingArea').innerHTML;
        var printWindow = window.open('', '_blank');
        printWindow.document.write('<html><head><title>Print</title>');
        printWindow.document.write('<style>table { border-collapse: collapse; border: 1px solid black; width: 100%; } th, td { border: 1px solid black; padding: 8px; text-align: center; height: 20px; color: black; } a { color: black; text-decoration: none; } </style>');
        printWindow.document.write('</head><body>');
        printWindow.document.write(content);
        printWindow.document.write('</body></html>');
        printWindow.document.close();
        printWindow.print();
    }

    function exportToExcel() {
        // Get the HTML table element
        var table = document.getElementById('printingArea'); // Replace 'tableId' with the ID of your table

        // Convert the HTML table to a worksheet
        var wb = XLSX.utils.table_to_book(table);

        // Generate a binary string from the XLSX workbook
        var wbout = XLSX.write(wb, { bookType: 'xlsx', type: 'binary' });

        // Create a Blob object representing the data as an Excel file
        var blob = new Blob([s2ab(wbout)], { type: 'application/octet-stream' });

        // Create a temporary anchor element and trigger a download
        var link = document.createElement('a');
        link.href = window.URL.createObjectURL(blob);
        link.download = 'general_ledger.xlsx'; // Change 'filename' to your desired filename
        link.click();
    }

    // Utility function to convert a string to an ArrayBuffer
    function s2ab(s) {
        var buf = new ArrayBuffer(s.length);
        var view = new Uint8Array(buf);
        for (var i = 0; i < s.length; i++) {
            view[i] = s.charCodeAt(i) & 0xFF;
        }
        return buf;
    }
</script>
