<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px;padding-top: 10px;"> 
                 <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting Menu</a></li> 
                 <li class="active">Bank Reconciliation</li>
            </ul>
            <div class="panel panel-default">
              <div class="panel-heading">
                  <h3 class="panel-title">BANK RECONCILIATION</h3>
                  <div class="pull-right">
                    <a href="index.php?p=bank_reconciliation"><button class="btn btn-info"> <span class="fa fa-plus-circle"></span> Create New Bank Reconciliation</button></a>
                  </div>
              </div>
              <div class="panel-body" style="background: #fff">
                  <div class="table-responsive">
                      <table class="table table-hover datatable">
                          <thead>
                            <tr>
                                <th>Date</th>
                                <th>Account Reconciled</th>
                                <th>Statement Balance</th>
                                <th>System Balance</th>
                                <th>Difference</th>
                                <th>Reconciliation Status</th>
                                <th>Action</th>
                            </tr>
                           </thead>
                          <tbody>
                              <?php
                              $query = mysqli_query($con, "SELECT * FROM bank_reconciliation,bank_accounts WHERE account=account_code");
                              while ($row = mysqli_fetch_assoc($query)) {
                                  if($row['difference'] != 0){
                                     $status = '<span class="label label-danger">Not Reconcile</span>';
                                     $action = '<a href="index.php?p=bank_reconciliation_process&id=' . $row['bank_reco_id'] . '&account=' . $row['account'] . '&date1=' . $row['start_end'] . '&date2=' . $row['end_date'] . '"><button class="btn btn-warning btn-sm make-transfer-btn">Reconcile</button></a>';
                                  }else{
                                    $status = '<span class="label label-success">Reconciled</span>';
                                    $action = '<span style = "color:green" class="fa fa-check"></span>';
                                    
                                  }
                              ?>
                                  <tr>
                                      <td><?php echo date('d-m-Y',strtotime($row['statement_date'])); ?></td>
                                      <td><?php echo $row['bank_account_name']; ?></td>
                                      <td><?php echo number_format($row['statement_ending_balance']); ?></td>
                                      <td><?php echo number_format($row['system_balance']); ?></td>
                                      <td><?php echo number_format($row['difference']); ?></td>
                                      <td><?php echo $status; ?></td>
                                      <td><?php echo $action; ?> <br><br> <a href = "index.php?p=bank_reconciliation_report&id=<?php echo $row['bank_reco_id'];?>"><button class="btn btn-default btn-rounded">View</button></a></td>
                                  </tr>
                              <?php
                              }
                              ?>
                          </tbody>
                      </table>
                  </div>
              </div>
            </div>
        </div>
    </div>
    <!-- END TIMELINE --> 
</div>
