            <?php
            //ini_set('display_errors', 1);
             $id = $_GET['id'];
             $account = $_GET['account'];
             $date1 = $_GET['date1'];
             $date2 = $_GET['date2'];
             
             mysqli_query($con,"DELETE FROM bank_reconciliation_draft WHERE reco_id=$id");
             
             // Query to fetch transactions within the date range
                $sql = "SELECT date, notes, id, nature, 
                        CASE WHEN nature = 'Credit' THEN amount ELSE 0 END AS credit_amount,
                        CASE WHEN nature = 'Debit' THEN amount ELSE 0 END AS debit_amount
                        FROM gl_transaction 
                        WHERE account = :account AND date BETWEEN :start_date AND :end_date 
                        ORDER BY date ASC";
                
                // Prepare the statement
                $stmt = $pdo->prepare($sql);
                
                // Bind parameters
                $stmt->bindParam(':account', $account, PDO::PARAM_INT);
                $stmt->bindParam(':start_date', $date1, PDO::PARAM_STR);
                $stmt->bindParam(':end_date', $date2, PDO::PARAM_STR);
                
                // Execute the statement
                $stmt->execute();
                
                // Fetch all results
                $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
             
                //
                
              foreach($result as $row){
                 $ref = $row['id'];
                 $date = $row['date'];
                 $notes = $row['notes'];
                 $debit_amount = $row['debit_amount'];
                 $credit_amount = $row['credit_amount'];
                 $status = 0;
                 
                 $itemstmt = $pdo->prepare("INSERT INTO bank_reconciliation_draft (reco_id,reference,date,note,payment,receipt,status)
                                VALUES(:reco_id,:reference,:date,:note,:payment,:receipt,:status)");
                $itemstmt->bindParam(':reco_id',$id);
                $itemstmt->bindParam(':reference',$ref);
                $itemstmt->bindParam(':date',$date);
                $itemstmt->bindParam(':note',$notes);
                $itemstmt->bindParam(':payment',$credit_amount);
                $itemstmt->bindParam(':receipt',$debit_amount);
                $itemstmt->bindParam(':status',$status);
                
                $itemstmt->execute();
             }
             
             
             //
             $bl = mysqli_query($con, "SELECT * FROM `bank_reconciliation` WHERE bank_reco_id = '$id'");
               $rows = mysqli_fetch_array($bl);
               
               $bank = mysqli_query($con, "SELECT * FROM bank_accounts WHERE account_code = '".$rows['account']."'");
            $rs = mysqli_fetch_array($bank);
            $bank_name = $rs['bank_account_name'];
            $bank_account1 = $rs['bank_account_number'];
            $bank_code = $rs['account_code'];
            
            $query = mysqli_query($con,"SELECT SUM(receipt) as receipts,SUM(payment) as payments FROM bank_reconciliation_draft WHERE reco_id=$id AND status = 0");
            $rs = mysqli_fetch_assoc($query);
            $receipts = $rs['receipts'];
            $payments = $rs['payments'];
            $diff = $receipts-$payments;

            ?>
            <!-- END X-NAVIGATION VERTICAL -->
                    <div class="col-md-9">

                        <!-- START TIMELINE -->
                        <div class="row">
                            <div class="col-md-12">
                              <form action="" method="post">
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h3 class="panel-title" style="color: rgb(174, 169, 169);"><strong>Bank Reconciliation</strong></h3>
                                        
                                    </div>
                                    <div class="panel-body">
                                       <div class="row">    
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label for="bank_statement">Bank Name:</label>
                                                <select class="form-control" id="bank_statement" name="bank_statement" required>
                                                    <option value="<?php echo $bank_code;?>"><?php echo $bank_name;?></option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label for="bank_account">Bank Account:</label>
                                                <input type="text" class="form-control" name="bank_account" value="<?php echo $bank_account1;?>" readonly style="color:black;font-size:16px">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label for="statement_date">Statement date:</label>
                                                <input type="text" class="form-control datepicker" name="statement_date" value="<?php echo $rows['statement_date'];?>" required>
                                            </div>
                                        </div>
                                        </div><br/>
                                        <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label for="statement_balance">Statement ending balance:</label>
                                                <input type="text" class="form-control" id="statement_balance" name="statement_balance" value="<?php echo number_format($rows['statement_ending_balance'],2);?>" required>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label for="erp_balance">ERP ending system balance:</label>
                                                <input type="text" class="form-control" id="erp_balance" name="erp_balance" style="font-size:12px;color:#333333;text-align:right;" readonly value="<?php echo number_format($diff,2);?>">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label for="difference">Difference:</label>
                                                <input type="text" class="form-control" id="difference" name="difference" style="font-size:14px;color:#333333;text-align:right;font-weight:bold" value="<?php echo number_format($rows['statement_ending_balance']-$diff,2);?>" readonly>
                                            </div>
                                        </div>
                                        </div><br/>
                                        <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label for="beginning_balance">Beginning balance:</label>
                                                <input oninput="updateErpBalance()" type="text" class="form-control" id="beginning_balance" name="beginning_balance" required value="<?php echo $rows['beginning_balance'];?>">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label for="total_payments">Payments:</label>
                                                <input type="text" class="form-control" id="total_payments" name="total_payments" style="font-size:12px;color:#333;text-align:right;" value="<?php echo number_format($payments,2);?>" readonly>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label for="total_receipts">Receipts:</label>
                                                <input type="text" class="form-control" id="total_receipts" name="total_receipts" style="font-size:12px;color:#333333;text-align:right;" value="<?php echo number_format($receipts,2);?>" readonly>
                                            </div>
                                        </div>
                                        </div>

                                    <div class="panel-body">
                                        <div class="table-responsive">
                                            <table id="allleaves" class="table">
                                                <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th>DATE</th>
                                                        <th>TRANSACTION DESCRIPTION</th>
                                                        <th>REFERENCE <br/>NO.</th>
                                                        <th>PAYMENTS</th>
                                                        <th>RECEIPTS</th>
                                                        <th><!--<input type="checkbox" id="select-all">--></th>
                                                        <!--<th>ACTION</th>-->

                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php
                                                    $saved_draft = mysqli_query($con,"SELECT * FROM bank_reconciliation_draft WHERE reco_id=$id AND status = 0");
                                                    $a=1;
                                                        foreach($saved_draft as $row){
                                                        $checked = ($row['status'] == 0) ? 'checked' : '';
                                                    ?>
                                                    <tr>
                                                        <td><?php echo $a;?></td>
                                                        <td><?php echo $row['date'];?></td>
                                                        <td><?php echo $row['note'];?></td>
                                                        <td><?php echo $row['reference'];?></td>
                                                        <td><?php echo number_format($row['payment']);?></td>
                                                        <td><?php echo number_format($row['receipt']);?></td>
                                                        <td><a onclick="return confirm('Are you sure you want to remove this transaction')" href="bank_reconciliation/bank_rec_update.php?bid=<?php echo $row['bid'];?>&id=<?php echo $_GET['id'];?>">Remove</a></td>
                                                        <!--<td><input type="checkbox" value="<?php echo $row['bid'];?>" name="check" class="select-checkbox" <?php echo $checked; ?>></td>-->
                                                        <!--<td><button class="btn btn-primary btn-sm make-transfer-btn">Make Transfer</button></td>-->
                                                    </tr>
                                                    <?php
                                                    $a++;
                                                    }
                                                    ?>
                                                </tbody>
                                            </table>
                                            </form>
                                        </div>
                                    </div>
                                    <!-- END DEFAULT DATATABLE -->
                                    <!-- PAGE CONTENT WRAPPER -->
                                </div>
                                <!-- END PAGE CONTENT -->
                            </div>
                            <!-- END PAGE CONTAINER -->
<script>
    document.addEventListener("DOMContentLoaded", function () {
        // Add event listener for checkboxes
        document.querySelectorAll('.select-checkbox').forEach(function (checkbox) {
            checkbox.addEventListener('change', function () {
                // Get the bid value and checkbox state
                const bid = this.value;

                // Send the data to the server using Fetch API
                fetch('update_status.php', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json'
                    },
                    body: JSON.stringify({
                        bid: bid
                    })
                })
                .then(response => response.json())
                .then(data => {
                    if (data.success) {
                        console.log('Status updated successfully.');
                    } else {
                        console.error('Error updating status:', data.message);
                    }
                })
                .catch(error => console.error('Fetch error:', error));
            });
        });
    });
</script>
                            
<script>
	$(document).ready(function() {
    // Add change event listener to bank name dropdown
    $('#bank_statement').change(function() {
        // Get the selected bank name
        var selectedBank = $(this).val();
        
        // Update the "From Account" dropdown based on the selected bank
        if (selectedBank === 'statement1') {
            $('#fromAccount').val('AccountA'); // Set default account for Bank 1
        } else if (selectedBank === 'statement2') {
            $('#fromAccount').val('AccountB'); // Set default account for Bank 2
        } else {
            // Handle other banks if needed
        }
    });
});

	document.getElementById('fileInput').addEventListener('change', function() {
    var fileName = this.files[0].name;
    document.getElementById('fileName').innerText = fileName ? fileName : 'No file uploaded';
  });
	// Remove existing click event handlers
	$('#filter-revenue, #filter-payment, #show-all').off('click');
		// Show Receipt modal on click
	$('#openReceiptModal').click(function() {
		$('#receiptModal').modal('show');
	});

	// Show Payment modal on click
	$('#openPaymentModal').click(function() {
		$('#paymentModal').modal('show');
	});
	// Filter buttons click event handlers
    $('#filter-revenue').click(function() {
        $('.revenue-row').show();
        $('.payment-row').hide();
    });

    $('#filter-payment').click(function() {
        $('.revenue-row').hide();
        $('.payment-row').show();
    });

    $('#show-all').click(function() {
        $('tbody tr').show();
    });
    $(document).ready(function() {
    // Initialize date picker
    $('#statement_date').datepicker({
        format: 'dd/mm/yyyy',
        autoclose: true,
        todayHighlight: true
    });

// Function to compute difference and update status


// Function to speak a message using SpeechSynthesis API
function speakMessage(message) {
    // Check if SpeechSynthesis is supported
    if ('speechSynthesis' in window) {
        var speech = new SpeechSynthesisUtterance(message);
        speech.lang = 'en-US'; // Set language to English (United States)
        speech.volume = 1; // Set volume (0 to 1)
        speech.rate = 1; // Set rate (0.1 to 10)
        speech.pitch = 1; // Set pitch (0 to 2)
        window.speechSynthesis.speak(speech);
    } else {
        // SpeechSynthesis not supported
        console.error('SpeechSynthesis not supported in this browser.');
    }
}
// Handle make transfer button click event
$(document).on('click', '.make-transfer-btn', function() {
    // Get the row of the clicked button
    var row = $(this).closest('tr');
    // Get the transaction description
    var transactionDescription = row.find('td:nth-child(3)').text();
    // Update the modal with transaction details
    $('#transferModalLabel').text('Make Transfer for: ' + transactionDescription);
    
    // Determine whether it's a payment or receipt row
    var isPayment = row.hasClass('payment-row');
    
    // Get the amount from the appropriate column
    var transferAmount;
    if (isPayment) {
        transferAmount = row.find('td:nth-child(5)').text().replace(/[^0-9.-]+/g,""); // Payment column is 5th
    } else {
        transferAmount = row.find('td:nth-child(6)').text().replace(/[^0-9.-]+/g,""); // Receipt column is 6th
    }
    
    // Update the transfer amount field in the modal
    $('#transferAmount').val(transferAmount);
    
    // Show the modal
    $('#transferModal').modal('show');
    
    // Optionally, you can show a success message or perform other actions
    showMessage('Transfer amount filled from the selected row.', 'info');
});

// Handle submit transfer button click event
$(document).on('click', '#submitTransfer', function() {
    // You can add code here to handle the transfer submission
    // For now, let's just close the modal
    $('#transferModal').modal('hide');
    // Optionally, you can show a success message or perform other actions
    showMessage('Transfer successful!', 'success');
});

	// Function to display a message
    // Call updateDifferenceAndStatus function on keyup events
    $('#statement_balance, #beginning_balance, #total_payments, #total_receipts').on('keyup change', updateDifferenceAndStatus);

    // Initial computation and status update
    updateDifferenceAndStatus();

    // Function to format numbers with thousands comma separators
    function formatNumber(number) {
        return number.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
    }
});
	
</script>
<script>
    function fetchBankAccount() {
        var bankId = document.getElementById('bank_statement').value;
        var accountInput = document.getElementById('bank_account'); // 
        console.log(bankId);
        // Send AJAX request to fetch bank account
        var xhr = new XMLHttpRequest();
        xhr.open('GET', 'fetch_bank_account_number.php?bankId=' + bankId, true);
        xhr.onload = function () {
            if (xhr.status === 200) {
                var account = xhr.responseText;
                console.log(account);
                if (account!=='') {
                    accountInput.value = account; 
                }
            }
        };
        xhr.send();
    }
</script>
<script>
document.addEventListener("DOMContentLoaded", function() {
    var selectAllCheckbox = document.getElementById('select-all');
    var checkboxes = document.querySelectorAll('.select-checkbox');
    var totalReceiptsInput = document.getElementById('total_receipts');
    var totalPaymentsInput = document.getElementById('total_payments');

    selectAllCheckbox.addEventListener('change', function() {
        checkboxes.forEach(function(checkbox) {
            checkbox.checked = selectAllCheckbox.checked;
            updateTotals();
        });
    });

    checkboxes.forEach(function(checkbox) {
        checkbox.addEventListener('change', function() {
            updateTotals();
        });
    });

    function updateTotals() {
        var totalReceipts = 0;
        var totalPayments = 0;

        checkboxes.forEach(function(checkbox) {
            if (checkbox.checked) {
                var row = checkbox.closest('tr');
                var paymentInput = row.querySelector('input[name="debit_amount[]"]');
                var receiptInput = row.querySelector('input[name="credit_amount[]"]');

                if (paymentInput && paymentInput.value !== "") {
                    totalPayments += parseFloat(paymentInput.value.replace(/,/g, '') || 0);
                }

                if (receiptInput && receiptInput.value !== "") {
                    totalReceipts += parseFloat(receiptInput.value.replace(/,/g, '') || 0);
                }
            }
        });

        totalReceiptsInput.value = totalReceipts.toFixed(2);
        totalPaymentsInput.value = totalPayments.toFixed(2);
    }
});

</script>

</body>
</html>