<?php
// Include your database connection file
require_once '../db/db.php';

// Check if the form is submitted
if(isset($_POST['generateReportBtn'])) {
    // Escape user inputs to prevent SQL injection
    $description = mysqli_real_escape_string($con, $_POST['description']);
    $date1 = mysqli_real_escape_string($con, $_POST['date1']);
    $date2 = mysqli_real_escape_string($con, $_POST['date2']);
    
    $redirectURL = 'index.php?p=disposal_report&date1=' . urlencode($date1) . '&date2=' . urlencode($date2);
    echo "<script>window.location='$redirectURL';</script>"; 
}
?>

<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-9">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting</a></li>
                <li><a href="fixed_asset_tab.php" style="color: rgb(7, 133, 164)">fixed Asset</a></li>
                <li class="active">Disposal Report</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Disposal Report</b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
                    <form class="form-horizontal" action="" method="post">
                        		<div class="form-group">
													<label for="description">Description:</label>
													<input type="text" class="form-control" id="description" name="description" value="Disposal Report">
												</div>
												<div class="form-group">
													<label for="fromDate">From Date:</label>
													<input type="text" class="form-control datepicker" name="date1" value="<?php echo date('Y-m-d');?>">
												</div>
												<div class="form-group">
													<label for="toDate">To Date:</label>
													<input type="text" class="form-control datepicker" name="date2" value="<?php echo date('Y-m-d');?>">
												</div>
					<div class="modal-footer">
				<button type="submit" class="btn btn-primary" name="generateReportBtn" id="generateReportBtn">Generate Report</button>
			</div>
            </form>      
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
