<?php
session_start();
require_once '../db/db.php';  

$id=$_GET['id'];
$selectQuery = "SELECT * FROM assetitems WHERE id=$id";
$result = mysqli_query($con,$selectQuery);
$row = mysqli_fetch_assoc($result);

$item_number = $row['item_number'];
$item_name = $row['item_name'];
$location = $row['location'];
$acquisition_cost = $row['acquisition_cost'];
$accumulated_depreciation = $row['accumulated_depreciation'];
$fixedassetid = $row['fixedassetid'];
$asset_description = $row['asset_description'];

// Check if form is submitted
if (isset($_POST['submit'])) {
    // Escape all inputs to protect against SQL injection
    $itemCode = mysqli_real_escape_string($con, $_POST['itemCode']);
    $itemName = mysqli_real_escape_string($con, $_POST['itemName']);
    $assetType = mysqli_real_escape_string($con, $_POST['assetType']);
    $location = mysqli_real_escape_string($con, $_POST['location']);
    $assetDescription = mysqli_real_escape_string($con, $_POST['assetDescription']);
    $acquisitionCost = mysqli_real_escape_string($con, $_POST['acquisitionCost']);
    $accumulatedDepreciation = mysqli_real_escape_string($con, $_POST['accumulatedDepreciation']);
    $branch = $_SESSION['Branch'];

    // Update the asset in the database
    $updateQuery = "UPDATE assetitems SET 
                    item_number = '$itemCode', 
                    item_name = '$itemName', 
                    fixedassetid = '$assetType', 
                    location = '$location', 
                    asset_description = '$assetDescription', 
                    acquisition_cost = '$acquisitionCost', 
                    accumulated_depreciation = '$accumulatedDepreciation' 
                    WHERE id = $id";
                    
    $result = mysqli_query($con, $updateQuery);

    if ($result) {
        // Update successful
        echo "<script>
            alert('Record Successfully Updated');
            window.location.href = 'fixed_asset_tab.php'; 
        </script>";
    } else {
        // Update failed
        $error_message = mysqli_error($con);
        echo "<p class='alert alert-danger'>Error updating data: $error_message. Please contact the system administrator.</p>";
    }
}
?>



<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-9">
            <?php if(isset($err)) { echo $err; } ?>
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting</a></li>
                <li><a href="fixed_asset_tab.php" style="color: rgb(7, 133, 164)">fixed Asset</a></li>
                <li class="active">Edit Asset Items</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-body" style="background: #fff">
				<form id="addAssetForm" action="" method="post">
					<div class="modal-header">
						<h4 class="modal-title" id="addAssetModalLabel">Edit Asset Items</h4>
					
					</div>
					<div class="modal-body">
				<table class="table table-bordered" style="width: 100%;">
                    <tbody>
                        <tr>
                            <td style="background-color:#f4f4f4;">
                                <div class="form-group">
                                    <label for="itemCode">Item Number</label>
                                    <input type="text" class="form-control" id="itemCode" name="itemCode" placeholder="Enter Item no." value="<?php echo $item_number;?>">
                                </div>
                            </td>
                            <td style="background-color:#f4f4f4;">
                                <div class="form-group">
                                    <label for="itemName">Item Name</label>
                                    <input type="text" class="form-control" id="itemName" name="itemName" placeholder="Enter Item Name" value="<?php echo $item_name;?>">
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <th style="background-color:#f4f4f4;">
                                <div class="form-group">
                                    <label for="assetType">Asset Type</label>
                                    <select class="form-control select" id="assetType" name="assetType" onchange="populateAssetAccounts()">
                                        
                                        <option value="<?php echo $fixedassetid;?>"><?php echo $fixedassetid;?></option>
                                        
                                        <?php
            						     foreach($asset as $rows):
            						    ?>
            							
            							<?php
            							endforeach;
            							?>
                                    </select>
                                </div>
                            </th>
                            <td style="background-color:#f4f4f4;">
                                <div class="form-group">
                                    <label for="location">Location</label>
                                    <input type="text" class="form-control" id="location" name="location" placeholder="Location" value="<?php echo $location;?>">
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" style="background-color:#f4f4f4;">
                                <div class="form-group">
                                    <label for="assetDescription">Asset descriptions</label>
                            <textarea class="form-control" id="assetDescription" name="assetDescription" placeholder="Enter asset descriptions here (Optional)" ><?php echo $asset_description;?></textarea>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" style="background-color:#f4f4f4;">
                                <div class="checkbox">
                                    <label><input type="checkbox" id="check1Modal" value="yes">Starting balance</label>
                                </div>
                            </td>
                        </tr>
                        <tr id="startingBalanceInputRowModal" style="display: none;">
                            <td style="background-color:#f4f4f4;">
                                <div class="form-group">
                                    <label for="acquisitionCost">Acquisition Cost</label>
                                    <input type="number" class="form-control" id="acquisitionCost" name="acquisitionCost" placeholder="0" style="text-align: right;" value="<?php echo $acquisition_cost;?>">
                                </div>
                            </td>
                        <td style="background-color:#f4f4f4;">
                            <div class="form-group">
                                <label for="accumulatedDepreciation">Accumulated Depreciation</label>
                                <input type="number" class="form-control" id="accumulatedDepreciation" name="accumulatedDepreciation" placeholder="0" style="text-align: right;" value="<?php echo $accumulated_depreciation;?>">
                                </div>
                            </td>
                        </tr>
                        <tr>
                    <tr>
                    <th colspan="2" style="background-color:#f4f4f4;text-align: center;font-weight: bold;">
                	<button type="submit" name="submit" class="btn btn-primary" style="margin-top:10px;">Update</button>
                    </th>
                        </tr>
                    </tbody>
                </table>
							</form>
						</div>
					</div>
				</div>
        </div>
    <!-- END TIMELINE -->
</div>
<script>
// Function to toggle visibility of input boxes based on checkbox status
	function toggleInputVisibility(checkboxId, inputRowId) {
    const checkbox = document.getElementById(checkboxId);
    const inputRow = document.getElementById(inputRowId);
    inputRow.style.display = checkbox.checked ? 'table-row' : 'none';
}
    // Call the toggleInputVisibility function for each checkbox on page load
document.addEventListener('DOMContentLoaded', function() {
    toggleInputVisibility('check1Modal', 'startingBalanceInputRowModal'); 
});

// Attach event listeners to checkboxes to toggle input visibility
document.getElementById('check1Modal').addEventListener('change', function() {
    toggleInputVisibility('check1Modal', 'startingBalanceInputRowModal');
});

// Array to store asset details from the table
var assetDetails = [];

</script>