<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-9">
            <?php if(isset($success_msg)) { echo $success_msg; } ?>
            <?php if(isset($error_msg)) { echo $error_msg; } ?>
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting</a></li>
                <li><a href="fixed_asset_tab.php" style="color: rgb(7, 133, 164)">Fixed Asset</a></li>
                <li class="active">Asset Items Maintenance</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Asset Items Maintenance</b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
                 <center><img src="../logo/load.gif" id="loading" style="display:none"></center> 
				    <p id="error"></p>
				    <form action="" method="post" id="myFormData" onsubmit="submitFormMaintenance(event)">
						<div class="row">
							<!-- First column -->
							<div class="col-md-6">
							    <div class="form-group">
									<label for="paidFrom">Asset Name:</label>
									<select class="form-control select" id="assetid" name="assetid" data-live-search="true">
										<?php
                                          $asset_query = mysqli_query($con,"SELECT * FROM assetitems");
                                            while($rows = mysqli_fetch_assoc($asset_query)){
                                         ?>
                                        <option value = "<?php echo $rows['id'];?>"><?php echo $rows['item_number'];?> - <?php echo $rows['item_name'];?></option>
                                        <?php
                                          }
                                        ?>
							       </select>
							    </div>
								<div class="form-group">
									<label for="maintenanceDate">Maintenance Date:</label>
									<input type="text" class="form-control datepicker" id="maintenanceDate" name="maintenanceDate" value="<?php echo date('Y-m-d');?>">
								</div>
								<div class="form-group">
									<label for="maintenanceType">Maintenance Type:</label>
									<select class="form-control select" id="maintenanceType" name="maintenanceType">
										<option value="Capital Expenditure">Capital Expenditure</option>
										<option value="Revenue Expenditure">Revenue Expenditure</option>
									</select>
								</div>
								<div class="form-group">
									<label for="maintenanceCost">Maintenance Cost:</label>
									<input type="text" class="form-control" id="maintenanceCost" name="maintenanceCost">
								</div>
							</div>
							<!-- Second column -->
							<div class="col-md-6">
								<div class="form-group">
									<label for="paidFrom">Paid from:</label>
									<select class="form-control select" id="paidFrom" name="paidFrom" data-live-search="true">
										<?php
                                          $cl = mysqli_query($con,"SELECT * FROM chart_master ORDER BY account_code ASC");
                                            while($class = mysqli_fetch_assoc($cl)){
                                         ?>
                                        <option value = "<?php echo $class['account_code'];?>"><?php echo $class['account_code'];?> - <?php echo $class['account_name'];?></option>
                                        <?php
                                          }
                                        ?>
									</select>
								</div>
								<!--<div class="form-group">
									<label for="paidFrom">Expense Account:</label>
									<select class="form-control select" id="expenseAccount" name="expenseAccount" data-live-search="true">
									   <?php
                                          $cl_q = mysqli_query($con,"SELECT * FROM chart_master WHERE account_type=31 ORDER BY account_name ASC");
                                            while($class = mysqli_fetch_assoc($cl_q)){
                                         ?>
                                        <option value = "<?php echo $class['account_code'];?>"><?php echo $class['account_code'];?> - <?php echo $class['account_name'];?></option>
                                        <?php
                                          }
                                        ?>
									</select>
								</div>-->
								<div class="form-group">
									<label for="nextMaintenanceDate">Next Maintenance Date:</label>
									<input type="text" class="form-control datepicker" id="nextMaintenanceDate" name="nextMaintenanceDate" value="<?php echo date('Y-m-d');?>">
								</div>
							</div>
							<div class="col-md-6">
							    <div class="form-group">
									<label for="maintenanceDescription">Maintenance descriptions:</label>
									<textarea class="form-control" id="maintenanceDescription" name="maintenanceDescription" rows="3" required></textarea>
								</div>
							</div>    
						</div>
						<!-- Add more fields as needed -->
                   </div>
                 <div class="panel-footer">                                    
			       <button type="submit" name="submit" class="btn btn-primary">Submit</button>
                 </form>      
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
<script>
        function submitFormMaintenance(event) {
            event.preventDefault();
            
            document.getElementById('loading').style.display = 'block';
            
            var formData = new FormData(document.getElementById("myFormData"));
            var xhr = new XMLHttpRequest();
            xhr.open("POST", "js_php_data/submit_asset_maintenance_form.php", true);
            xhr.onload = function () {
                
             document.getElementById('loading').style.display = 'none';
             
                if (xhr.status === 200) {
                   // alert(xhr.responseText);
                    //document.getElementById('error').innerHTML=xhr.responseText;
                    alert(xhr.responseText);
                    window.location='fixed_asset_tab.php'
                    //document.getElementById('error').style.color='red';
                    //document.getElementById('error').style.textAlign='center';
                } else {
                    alert('Request failed. Please try again later.');
                }
            };
            xhr.send(formData);
        }
</script>