<?php
require_once '../db/db.php'; // Adjust the path as necessary
$id = $_GET['id'];
$selectQuery = "SELECT * FROM asset_maintenance WHERE id=$id";
$result = mysqli_query($con,$selectQuery);
$row = mysqli_fetch_assoc($result);

$maintenance_date = $row['date'];
$Maintenance_Type = $row['Maintenance_Type'];
$Maintenance_Cost = $row['Maintenance_Cost'];
$description = $row['description'];
$Next_Maintenance_Date = $row['Next_Maintenance_Date'];
$Expense_Account = $row['Expense_Account'];
$asset_id = $row['asset_id'];
$Paid_from = $row['Paid_from'];

if(isset($_POST['submit'])){
    // Retrieve data from the form
    $assetid = mysqli_real_escape_string($con, $_POST['assetid']);
    $maintenanceDate = mysqli_real_escape_string($con, $_POST['maintenanceDate']);
    $paidFrom = mysqli_real_escape_string($con, $_POST['paidFrom']);
    $maintenanceType = mysqli_real_escape_string($con, $_POST['maintenanceType']);
    $expenseAccount = mysqli_real_escape_string($con, $_POST['expenseAccount']);
    $amount = mysqli_real_escape_string($con, $_POST['maintenanceCost']);
    $nextMaintenanceDate = mysqli_real_escape_string($con, $_POST['nextMaintenanceDate']);
    $maintenanceDescription = mysqli_real_escape_string($con, $_POST['maintenanceDescription']);

     // Update the asset in the database
    $updateQuery = "UPDATE asset_maintenance SET 
                    date = '$maintenanceDate', 
                    Paid_from = '$paidFrom', 
                    Expense_Account = '$expenseAccount', 
                    Maintenance_Type = '$maintenanceType', 
                    Next_Maintenance_Date = '$nextMaintenanceDate', 
                    Maintenance_Cost = '$amount', 
                    description = '$maintenanceDescription' 
                    WHERE id = $id";
                    
    $result = mysqli_query($con, $updateQuery);

    if ($result) {
        // Update successful
        echo "<script>
            alert('Record Successfully Updated');
            window.location.href = 'fixed_asset_tab.php'; 
        </script>";
    } else {
        // Update failed
        $error_message = mysqli_error($con);
        echo "<p class='alert alert-danger'>Error updating data: $error_message. Please contact the system administrator.</p>";
    }
}
?>


<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-9">
            <?php if(isset($success_msg)) { echo $success_msg; } ?>
            <?php if(isset($error_msg)) { echo $error_msg; } ?>
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=accounting" style="color: rgb(7, 133, 164)">Accounting</a></li>
                <li><a href="fixed_asset_tab.php" style="color: rgb(7, 133, 164)">Fixed Asset</a></li>
                <li class="active">Asset Items Maintenance</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Asset Items Maintenance</b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
                 <!-- Maintenance form -->
					<form action="" method="post">
						<div class="row">
							<!-- First column -->
							<div class="col-md-6">
							    <div class="form-group">
									<label for="paidFrom">Asset Name:</label>
									<select class="form-control select" id="assetid" name="assetid" data-live-search="true">
										<option value = "<?php echo $asset_id;?>"><?php echo $asset_id;?></option>
										<?php
                                          $asset_query = mysqli_query($con,"SELECT * FROM assetitems");
                                            while($rows = mysqli_fetch_assoc($asset_query)){
                                         ?>
                                        
                                        <?php
                                          }
                                        ?>
							       </select>
							    </div>
								<div class="form-group">
									<label for="maintenanceDate">Maintenance Date:</label>
									<input type="text" class="form-control datepicker" id="maintenanceDate" name="maintenanceDate" value="<?php echo $maintenance_date;?>">
								</div>
								<div class="form-group">
									<label for="maintenanceType">Maintenance Type:</label>
									<select class="form-control select" id="maintenanceType" name="maintenanceType">
										<option value="<?php echo $Maintenance_Type;?>"><?php echo $Maintenance_Type;?></option>
									</select>
								</div>
								<div class="form-group">
									<label for="maintenanceCost">Maintenance Cost:</label>
									<input type="text" class="form-control" id="maintenanceCost" name="maintenanceCost" value="<?php echo $Maintenance_Cost;?>">
								</div>
							</div>
							<!-- Second column -->
							<div class="col-md-6">
								<div class="form-group">
									<label for="paidFrom">Paid from:</label>
									<select class="form-control select" id="paidFrom" name="paidFrom" data-live-search="true">
										<option value = "<?php echo $Paid_from;?>"><?php echo $Paid_from;?></option>
										
										<?php
                                          $cl = mysqli_query($con,"SELECT * FROM chart_master ORDER BY account_code ASC");
                                            while($class = mysqli_fetch_assoc($cl)){
                                         ?>
                                        
                                        <?php
                                          }
                                        ?>
									</select>
								</div>
								<div class="form-group">
									<label for="paidFrom">Expense Account:</label>
									<select class="form-control select" id="expenseAccount" name="expenseAccount" data-live-search="true">
									  <option value = "<?php echo $Expense_Account;?>"><?php echo $Expense_Account;?></option>
									  
									   <?php
                                          $cl_q = mysqli_query($con,"SELECT * FROM chart_master WHERE account_type=31 ORDER BY account_name ASC");
                                            while($class = mysqli_fetch_assoc($cl_q)){
                                         ?>
                                        
                                        <?php
                                          }
                                        ?>
									</select>
								</div>
								<div class="form-group">
									<label for="nextMaintenanceDate">Next Maintenance Date:</label>
									<input type="text" class="form-control datepicker" id="nextMaintenanceDate" name="nextMaintenanceDate" value="<?php echo $Next_Maintenance_Date;?>">
								</div>
							</div>
							<div class="col-md-6">
							    <div class="form-group">
									<label for="maintenanceDescription">Maintenance descriptions:</label>
									<textarea class="form-control" id="maintenanceDescription" name="maintenanceDescription" rows="3" required><?php echo $description;?></textarea>
								</div>
							</div>    
						</div>
						<!-- Add more fields as needed -->
                   </div>
                 <div class="panel-footer">                                    
			       <button type="submit" name="submit" class="btn btn-primary">Submit</button>
                 </form>      
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>