<?php
require_once '../db/db.php';
// Fetch existing asset details for editing
$edit_code = mysqli_real_escape_string($con,$_GET['id']);
if(isset($_GET['id']) && !empty($_GET['id'])) {
    
    $edit_product = mysqli_query($con,"SELECT * FROM fixedassset WHERE id = '$edit_code'");
    $edit_data = mysqli_fetch_assoc($edit_product);

    // Pre-fill form fields with existing data
    $code = $edit_data['code'];
    $iname = $edit_data['iname'];
    $name = $edit_data['Name'];
    $location = $edit_data['Location'];
    $rate = $edit_data['DepreciationRate'];
    $optradio = $edit_data['Balance_formula'];
    $description = $edit_data['Description'];
    $acquisitionCost = $edit_data['AcquisitionCost'];
    $accumulated = $edit_data['Accumulated'];
    $browser = $edit_data['exAccount'];
    $fromDate = $edit_data['Date'];
    $account = $edit_data['Account'];
}
if(isset($_POST['submit'])){
    $code = mysqli_real_escape_string($con,$_POST['code']);
    $iname = mysqli_real_escape_string($con,$_POST['iname']);
    $name = mysqli_real_escape_string($con,$_POST['name']);
    $location = mysqli_real_escape_string($con,$_POST['location']);
    $rate = strtolower(mysqli_real_escape_string($con,$_POST['rate']));
    $optradio = mysqli_real_escape_string($con,$_POST['optradio']);
    $description = mysqli_real_escape_string($con,$_POST['description']);
    $acquisitionCost = mysqli_real_escape_string($con,$_POST['acquisitionCost']);
    $accumulated = mysqli_real_escape_string($con,$_POST['accumulated']);
    $browser = mysqli_real_escape_string($con,$_POST['browser']);
    $fromDate = mysqli_real_escape_string($con,$_POST['fromDate']);
    $account = mysqli_real_escape_string($con,$_POST['account']);
    $branch = $_SESSION['Branch'];

    if($code == '' || $iname == '' || $name == '' || $optradio == '' ){
        $err = "<p class='alert alert-danger'>Fill all fields please!!! Tafadhali hakikisha umejaza taarifa zote zenye alama * kabla ya kutuma taarifa</p>";
    } else {
        $product = mysqli_query($con,"SELECT * FROM fixedassset WHERE code = '$code'");
        $num = mysqli_num_rows($product);

        if($num > 0){ // Asset exists, update it
            $updateQuery = mysqli_query($con,"UPDATE fixedassset SET code='$code', iname='$iname', Name='$name', Location='$location', DepreciationRate='$rate', Balance_formula='$optradio', Description='$description', AcquisitionCost='$acquisitionCost', Accumulated='$accumulated', exAccount='$browser', Date='$fromDate', Account='$account', Branch='$branch' WHERE id = '$edit_code'");
            
            if($updateQuery){
                $err = "<p class='alert alert-success'>Data successfully updated</p>";
            } else {
                $err = "<p class='alert alert-danger'>Something wrong !!! Contact system administrator...Wasiliana na mafundi wa mfumo kuna tatizo katika database</p>";
            }
        } else {
            $err = "<p class='alert alert-danger'>This item does not exist in our database.</p>";
        }
    }
}


?>

<div class="col-md-9">  
                  <div class="row">
                           <div class="col-md-12">

                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h3 class="panel-title"><b>Update FIXED ASSET</b></h3>
                                    <div class="pull-right">
                                        <a href="index.php?p=fixedasset"><button class="btn btn-info"> <span class="fa fa-eye"></span>View Fixed Asset</button></a>
                                    </div>
                                </div>
                                <div class="panel-body" style="background: #fff">
                                    <?php if(isset($err)) { echo $err; } ?>
                                   <form method="post" action="">
                                  
                <table class="table table-bordered" style="width: 80%;">
            <tbody>
                <tr>
                    <th style="background-color:#fff;">
                        <div class="input-group">
                            <span class="input-group-addon" required>Item Code</span>
                            <input type="text" name="code" class="form-control" value="<?php echo $code;?>">
                        </div>
                    </th>
                    <th style="background-color:#fff;">
                        <div class="input-group">
                            <span class="input-group-addon" required>Item Name</span>
                            <input type="text" name="iname" class="form-control" value="<?php echo $iname;?>">
                        </div>
                    </th>
                </tr>
                 <td style="background-color:#fff;">
        <div class="input-group" style="position: relative;">
            <span class="input-group-addon" required>Group Name</span>
            <select class="form-control select" name="name" id="exampleDataList" style="z-index: 1;">
                <option value="">Search name...</option>
                            <option value="Application Software">Application Software</option>
                            <option value="Buildings">Buildings</option>
                            <option value="Computers and Accessories">Computers and Accessories</option>
                            <option value="Generator">Generator</option>
                            <option value="Investment Equipments and Machinery">Investment Equipments and Machinery</option>
                            <option value="Investment Furniture and Fittings">Investment Furniture and Fittings</option>
                            <option value="Land">Land</option>
                            <option value="Motor Vehicles">Motor Vehicles</option>
                            <option value="Office Equipment and Machinery">Office Equipment and Machinery</option>
                            <option value="Office Furniture and Fittings">Office Furniture and Fittings</option>
                            <option value="Residential Equipment and Machinery">Residential Equipment and Machinery</option>
                            <option value="Residential Furniture and Fittings">Residential Furniture and Fittings</option>
                        </select>
                                                        
                    </div>
                </td>
                <td colspan="2" style="background-color:#fff;">
                    <div class="input-group">
                            <span class="input-group-addon">Location</span>
                            <input type="text" name="location" class="form-control" value="<?php echo $location;?>">
                                                        
                        </div>
                    </td>
                </tr>
                <tr>
                    <th style="background-color:#fff;">
                        <div class="input-group">
                            <span class="input-group-addon">Depreciation Rate</span>
                            <input type="number" name="rate" class="form-control" value="<?php echo $rate;?>" style="text-align: right;">
                            <span class="input-group-addon">%</span>
                        </div>
                    </th>
                    <td style="background-color:#fff;">
                        <div class="radio">
                            <label><input type="radio" name="optradio" value="1" checked>Straight Line</label>
                        </div>
                        <div class="radio">
                            <label><input type="radio" name="optradio" value="2">Reducing Balance</label>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" style="background-color:#fff;">
                    <div class="input-group">
                        <span class="input-group-addon" style="padding-bottom: 10px;">Asset descriptions</span>
                        <textarea type="text" name="description" class="form-control"><?php echo $description;?></textarea>
                    </div>
                </td>
            </tr>
            <tr id="startingBalanceRow">
                <td colspan="2" style="background-color:#f4f4f4;">
                    <div class="checkbox">
                <label><input type="checkbox" id="check1" name="option1" value="something">Starting </label>
                        </div>
                    </td>
                </tr>
                <tr id="startingBalanceInputRow" style="display: none;">
                    <td style="background-color:#f4f4f4;">
                            <div class="input-group">
                                <span class="input-group-addon">Acquisition Cost</span>
                                <input type="number" name="acquisitionCost" class="form-control" value="<?php echo $acquisitionCost;?>" style="text-align: right;">
                            </div>
                        </td>
                        <td style="background-color:#f4f4f4;">
                            <div class="input-group">
                                <span class="input-group-addon">Accumulated Depreciation</span>
                                <input type="number" name="accumulated" class="form-control" value="<?php echo $accumulated;?>" style="text-align: right;">
                                </div>
                            </td>
                        </tr>
                        <tr id="customDepreciationRow">
                        <td colspan="2" style="background-color:#f4f4f4;">
                    <div class="checkbox">
                        <label><input type="checkbox" id="check2" name="option2" value="something">Custom depreciation expense account</label>
                            </div>
                            </td>
                            </tr>
                        <tr id="customDepreciationInputRow" style="display: none;">
                        <td colspan="2" style="background-color:#f4f4f4;">  
                            <div class="col-md-4">
                            <select class="form-control select" name="browser" id="browser">
                             <option>Search account...</option>
                               <option>---</option>
                                </select>
                                </div>
                                 </td>
                               </tr>
                              <tr id="disposedAssetRow">
                             <td colspan="2" style="background-color:#f4f4f4;">
                              <div class="checkbox">
                               <label><input type="checkbox" id="check3" name="option3" value="something">Disposed fixed asset</label>
                                 </div>
                                 </td>
                    </tr>
                        <tr id="disposedAssetInputRow" style="display: none;">
                        <td style="background-color:#f4f4f4;">
                    <div class="input-group">
                        <span class="input-group-addon">Date of disposal</span>
                        <input type="text" class="form-control datepicker datepicker-from" name="fromDate" id="fromDate" value="<?php echo $fromDate;?>">
                    </div>
                    </td>
                    <td style="background-color:#f4f4f4;">
                        <div class="input-group">
                        <span class="input-group-addon">Account</span>   
                        <select class="form-control select" name="account" id="browser">
                        <option>Search account...</option>
                        <option>---</option>
                         </select>
                           </div>

                                </div>
                            </td>
                        </tr>
                        <tr>
                  </table>
                                    
                                </div>
								<div class="panel-footer">                                    
                                    <button class="btn btn-info pull-right" type = "submit" name = "submit"><span class="fa fa-edit"></span> Update</button>
                                    </form>
                                </div>
                        </div>
                   </div>
            </div>
</div>
<script>
     function toggleInputVisibility(checkboxId, inputRowId) {
            const checkbox = document.getElementById(checkboxId);
            const inputRow = document.getElementById(inputRowId);
            inputRow.style.display = checkbox.checked ? 'table-row' : 'none';
        }

        // Call the toggleInputVisibility function for each checkbox on page load
        document.addEventListener('DOMContentLoaded', function() {
            toggleInputVisibility('check1', 'startingBalanceInputRow');
            toggleInputVisibility('check2', 'customDepreciationInputRow');
            toggleInputVisibility('check3', 'disposedAssetInputRow');
        });

        // Attach event listeners to checkboxes to toggle input visibility
        document.getElementById('check1').addEventListener('change', function() {
            toggleInputVisibility('check1', 'startingBalanceInputRow');
        });

        document.getElementById('check2').addEventListener('change', function() {
            toggleInputVisibility('check2', 'customDepreciationInputRow');
        });

        document.getElementById('check3').addEventListener('change', function() {
            toggleInputVisibility('check3', 'disposedAssetInputRow');
        });

        var currentDate = new Date();
    var formattedDate = currentDate.toISOString().slice(0, 10);

    document.querySelector('.datepicker-from').value = formattedDate;
    
     // Initialize Bootstrap Selectpicker for the first row
    $(cell1.querySelector('.select')).selectpicker();
</script>