<?php
session_start();
    include "../db/db.php";
    include "../db/connection.php";
    include "../db/connect.php";
    include 'encode_decode/randomString.php';
    include "../header/header.php";
    include "navigation/side_menu.php";

$pages = array(
    'select_branch' => 'select_branch.php',
    'dashboard' => 'dashboard.php',
    'accounting' => 'accounting/accounting.php',
    'settingspage' => 'settingspage.php',
    'settings' => 'settings.php',
    'form_settings' => 'form_settings.php',
    'currency' => 'currency.php',
    'currency_add' => 'currency_add.php',
    'currency_delete' => 'currency_delete.php',
    'currency_exchange_edit' => 'currency_exchange_edit.php',
    'currency_edit' => 'currency_edit.php',
    'exchange_rate' => 'exchange_rate.php',
    'change_password'=>'change_password.php',
    
    //Accounting Charts
    'accounts' => 'accounting/chart/account.php',
    'new_chart_accounts' => 'accounting/chart/add_account.php',
    'chart_account_edit' => 'accounting/chart/chart_account_edit.php',
    'account_group_settings' => 'accounting/chart/account_group_settings.php',
    'account_group_settings_add' => 'accounting/chart/account_group_settings_add.php',
    
    //Accounting Charts FSLI
    'account_type' => 'accounting/chart/account_type.php',
    'new_chart_type' => 'accounting/chart/add_account_type.php',
    'account_type_edit' => 'accounting/chart/account_type_edit.php',
    
    //Accounting Receipts
    'receipt' => 'accounting/receipt/receipt.php',
    'receipt_create' => 'accounting/receipt/receipt_create.php',
    'edit_receipt' => 'accounting/receipt/receipt_edit.php',
    'sales_customer_receipt_edit' => 'accounting/sales_customer_receipt_edit.php',
    'view_receipt' => 'accounting/receipt/receipt_view.php',
    'attachment_receipt' => 'accounting/receipt/receipt_attachment.php',
    
    //Accounting Payments
    'payments' => 'accounting/payment/payment.php',
    'payment_create' => 'accounting/payment/payment_create.php',
    'view_payment' => 'accounting/payment/payments_view.php',
    'edit_payment' => 'accounting/payment/edit_payment.php',
    'add_expense' => 'accounting/payment/add_expense.php',
    'attachment_payment' => 'accounting/payment/payment_attachment.php',
    
    //Accounting Journal
    'journal' => 'accounting/journal/journal_entries_list.php',
    'journal_entries_add' => 'accounting/journal/journal_entries_add.php',
    'journal_view' => 'accounting/journal/journal_view.php',
    'journal_edit' => 'accounting/journal/journal_edit.php',
    'journal_delete' => 'accounting/journal/journal_delete.php',
    
    
    //Bank reconciliation
     'bank_reconciliation' => 'bank_reconciliation/bank_reconciliation.php',
    'bank_reconciliation_list' => 'bank_reconciliation/bank_reconciliation_list.php',
    'bank_reconciliation_process' => 'bank_reconciliation/bank_reconciliation_process.php',
    'bank_rec_update' => 'bank_reconciliation/bank_rec_update.php',
    'bank_reconciliation_report' => 'bank_reconciliation/bank_reconciliation_report.php',
    
    //Accounting Banking
    'bank_account' => 'accounting/bank_acc.php',
    'new_bank_acc' => 'accounting/new_bank_acc.php',
    'bank_deposit' => 'accounting/bank_deposit.php',
    'bank_payment_receipt' => 'accounting/bank_payment_receipt.php',
    'bank_transaction_edit' => 'accounting/bank_transaction_edit.php',
    
    'bank_transaction' => 'accounting/bank_transaction.php',
    'bank_transaction_transfer' => 'accounting/bank_transaction_transfer.php',
    'transaction_view' => 'accounting/transaction_view.php',
    'transaction_account_view' => 'accounting/transaction_account_view.php',
    'bank_statement' => 'accounting/bank_statement.php',
    'transaction_account_debit_credit' => 'accounting/transaction_account_debit_credit.php',
    'bank_statement_result' => 'accounting/bank_statement_results.php',
    'trial_balance_report_two' => 'accounting/trial_balance_report_two.php',
    'trial_balance_report_one' => 'accounting/trial_balance_report_one.php',
    'expenses_r' => 'accounting/expenses_r.php',
    'expenses_report' => 'accounting/expenses_report.php',
    
    
    'trial_balance_category' => 'accounting/trial_balance_category.php',
    'income_statement' => 'accounting/income_statement.php',
    'income_statement_report' => 'accounting/income_statement_report.php',
    'balance_sheet' => 'accounting/balance_sheet.php',
    'bal_report_layout_one' => 'accounting/bal_report_layout_one.php',
    'cash_book' => 'accounting/cash_book.php',
    'cash_book_report' => 'accounting/cash_book_report.php',
    'transaction_user' => 'accounting/transaction_user.php',
    'transaction_user_view' => 'accounting/transaction_user_view.php',
    'transaction_gl' => 'accounting/transaction_gl.php',
    'transaction_gl_report' => 'accounting/transaction_gl_report.php',
    'revenue_r' => 'accounting/revenue_r.php',
    'revenue_report' => 'accounting/revenue_report.php',
    'accounting_notes' => 'accounting/accounting_notes.php',
    'accounting_notes_view' => 'accounting/accounting_notes_view.php',
    'statement_cashflow' => 'accounting/statement_cashflow.php',
    'statement_cashflow_report' => 'accounting/statement_cashflow_report.php',
    'change_equity' => 'accounting/change_equity.php',
    'change_equity_report' => 'accounting/change_equity_report.php',
    
    //----- Fixed Asset -------
    
    'fixed_asset_menu' => 'accounting/fixed_asset/fixed_asset_menu.php',
    'asset_settings' => 'accounting/fixed_asset/asset_settings.php',
    'asset_register' => 'accounting/fixed_asset/asset_register.php',
    'add_new_asset' => 'accounting/fixed_asset/add_new_asset.php',
    'add_new_asset_type' => 'accounting/fixed_asset/add_new_asset_type.php',
    'edit_new_asset_type' => 'accounting/fixed_asset/edit_new_asset_type.php',
    'asset_disposal' => 'accounting/fixed_asset/asset_disposal.php',
    'asset_write_off' => 'accounting/fixed_asset/asset_write_off.php',
    'asset_revaluation' => 'accounting/fixed_asset/asset_revaluation.php',
    'asset_type_edit' => 'accounting/fixed_asset/asset_type_edit.php',
    'asset_disposal_edit' => 'accounting/fixed_asset/asset_disposal_edit.php',
    'asset_item_edit' => 'accounting/fixed_asset/asset_item_edit.php',
    'depreciation' => 'accounting/fixed_asset/depreciation.php',
    'disposal' => 'accounting/fixed_asset/disposal.php',
    'valuation' => 'accounting/fixed_asset/valuation.php',
    'asset_maintenance' => 'accounting/fixed_asset/asset_maintenance.php',
    'maintenance_list' => 'accounting/fixed_asset/maintenance_list.php',
    'asset_maintenance_record_edit' => 'accounting/fixed_asset/asset_maintenance_record_edit.php',
    //-----fixed asset reports-----
    'disposal_schedule' => 'accounting/fixed_asset/disposal_schedule.php',
    'disposal_schedule_report' => 'accounting/fixed_asset/disposal_schedule_report.php',
    'fixedasset_schedule_report' => 'accounting/fixed_asset/fixedasset_schedule_report.php',
    'fixedasset_schedule' => 'accounting/fixed_asset/fixedasset_schedule.php',
    'asset_location_report' => 'accounting/fixed_asset/asset_location_report.php',
    'asset_location_view_report' => 'accounting/fixed_asset/asset_location_view_report.php',
    'asset_maintenance_history_report' => 'accounting/fixed_asset/asset_maintenance_history_report.php',
    'asset_maintenance_report' => 'accounting/fixed_asset/asset_maintenance_report.php',
    'fixed_asset_cash_purchase' => 'accounting/fixed_asset/fixed_asset_cash_purchase.php',
   'fixed_asset_credit_purchase' => 'accounting/fixed_asset/fixed_asset_credit_purchase.php',
    
    
    
    //users
    'users' => 'users/users.php',
    'new_user' => 'users/add_user.php',
    'edit_user' => 'users/edit_user.php',
    
    
    //-----Sales files-----
    'sales' => 'sales/sales.php',
    'sales_receipt' => 'sales/sales_receipt.php',
    'sales_new_service' => 'sales/sales_new_service.php',
    'sales_invoice' => 'sales/sales_invoice.php',
    'sales_invoice_add' => 'sales/sales_invoice_add.php',
    'sales_profoma_invoice' => 'sales/sales_profoma_invoice.php',
    'sales_cash_add' => 'sales/sales_receipt_add.php',
    'sales_profoma_add' => 'sales/sales_profoma_add.php',
    'sales_profoma_edit' => 'sales/sales_profoma_edit.php',
    'sales_profoma' => 'sales/sales_profoma.php',
    'sales_pos' => 'sales/sales_pos.php',
    'sales_pos_items' => 'sales/sales_pos_items.php',
    'sales_profoma_items' => 'sales/sales_profoma_items.php',
	 'sales_order_add' => 'sales/sales_order_add.php',
	 'sales_order_edit'=>'sales/sales_order_edit.php',
    'sales_order' => 'sales/sales_order.php',
    'sales_order_items' => 'sales/sales_order_items.php',
    'sales_executif_report' => 'sales/sales_executif_report.php',
    'sales_executif' => 'sales/sales_executif.php',
    'sales_report' => 'sales/sales_report.php',
    'sales_delivery_items' => 'sales/sales_delivery_items.php',
    'sales_report_view' => 'sales/sales_report_view.php',
    'sales_item_report' => 'sales/sales_item_report.php',
    'sales_item_report_view' => 'sales/sales_item_report_view.php',
    'sales_invoice_total_customer' => 'sales/sales_invoice_total_customer.php',
    'sales_invoice_total_customer_report' => 'sales/sales_invoice_total_customer_report.php',
    'sales_customer_unpaid_invoices' => 'sales/sales_customer_unpaid_invoices.php',
    'sales_customer_unpaid_invoices_report' => 'sales/sales_customer_unpaid_invoices_report.php',
    'sales_customer_invoices' => 'sales/sales_customer_invoices.php',
    'sales_invoice_total_item' => 'sales/sales_invoice_total_item.php',
    'sales_profoma_order' => 'sales/sales_profoma_order.php',
    'sales_delivery_invoice' => 'sales/sales_delivery_invoice.php',
    'sales_invoice_total_item_report' => 'sales/sales_invoice_total_item_report.php',
    'sales_item_invoices' => 'sales/sales_item_invoices.php',
    'sales_customer_transactions' => 'sales/sales_customer_transactions.php',
    'sales_customer_transactions_report' => 'sales/sales_customer_transactions_report.php',
    'sales_customer_summary' => 'sales/sales_customer_summary.php',
    'sales_customer_summary_report' => 'sales/sales_customer_summary_report.php',
    'customers' => 'sales/customer.php',
    'new_customer' => 'sales/add_customers.php',
    'edit_customer' => 'sales/edit_customer.php',
    'customer_info' => 'sales/customer_info.php',
    'holding_tax' => 'sales/holding_tax.php',
    'sales_items' => 'sales/sales_items.php',
    'receipt_double_entry' => 'sales/receipt_double_entry.php',
    'sales_customer_receipt_create' => 'sales/sales_customer_receipt_create.php',
    'sales_invoice_edit' => 'sales/sales_invoice_edit.php',
    'sales_invoice_balance' => 'sales/sales_invoice_balance.php',
    'sales_cash_receipt' => 'sales/sales_cash_receipt.php',
    'sales_receipt_edit' => 'sales/sales_receipt_edit.php',
    'customer_aged' => 'sales/customer_aged.php',
    'customer_aged_report' => 'sales/customer_aged_report.php',
    'sales_delivery' => 'sales/sales_delivery.php',
    'sale_credit_add' => 'sales/sale_credit_add.php',
    'sale_credit_note' => 'sales/sale_credit_note.php',
    'sales_customer_balance' => 'sales/sales_customer_balance.php',
    'sales_customer_balance_report' => 'sales/sales_customer_balance_report.php',
    'sales_delivery_add' => 'sales/sales_delivery_add.php',
    'sales_delivery_edit' => 'sales/sales_delivery_edit.php',
     'customer_ledger' => 'sales/customer_ledger.php',
      'customer_ledger_report' => 'sales/customer_ledger_report.php',
    
    //-----REQUISITION-----
    
    //----- HR and Payroll Files-----
    'Payslipitems' => 'payroll_files/Payslipitems.php',
    'PayrollEarnings' => 'PayrollEarnings.php',
    'payroll_report' => 'payroll_report.php',
    'Deductionpayslips' => 'Deductionpayslips.php',
    'PayslipitemsList' => 'PayslipitemsList.php',
    'tableEarnings' => 'tableEarnings.php',
    'tableDeduction' => 'tableDeduction.php',
    'tableContribution' => 'tableContribution.php',
    'tableEarnings_edit' => 'tableEarnings_edit.php',
    'tableEarnings_delete' => 'tableEarnings_delete.php',
    'tableDeduction_edit' => 'tableDeduction_edit.php',
    'tableDeduction_delete' => 'tableDeduction_delete.php',
    'tableContribution_edit' => 'tableContribution_edit.php',
    'tableContribution_delete' => 'tableContribution_delete.php',
    'Employee_Registration' => 'payroll_files/Employee_Registration.php',
    'EmployeesList' => 'payroll_files/EmployeesList.php',
	'Employee_Registration_edit' => 'payroll_files/Employee_Registration_edit.php',
    'LeaveManagement' => 'payroll_files/LeaveManagement.php',
    'employee_attendance' => 'employee_attendance.php',
    'Employee_view_more' => 'payroll_files/Employee_view_more.php',
    'DepartmentList' => 'DepartmentList.php',
    'department_edit' => 'department_edit.php',
    'salarySlips' => 'payroll_files/salarySlips.php',
    'SalaryAdvanceList' => 'payroll_files/SalaryAdvanceList.php',
    'salary_advance_add' => 'payroll_files/salary_advance_add.php',
    'add_xternal_loan' => 'payroll_files/add_xternal_loan.php',
    'TransferManagement' => 'payroll_files/TransferManagement.php',
    'payroll_create' => 'payroll_files/payroll_create.php',
    'salarySlip_list' => 'payroll_files/salarySlip_list.php',
    'bank_edit' => 'bank_edit.php',
    'add_department' => 'payroll_files/add_department.php',
    'department' => 'payroll_files/department.php',
    'edit_department' => 'payroll_files/edit_department.php',
    'allowances' => 'payroll_files/allowances.php',
    'allowance_add' => 'payroll_files/allowance_add.php',
    'allowance_edit' => 'payroll_files/allowance_edit.php',
    'leave_approve' => 'payroll_files/leave_approve.php',
    'leave_denie' => 'payroll_files/leave_denie.php',
    'leave_details' => 'payroll_files/leave_details.php',
    'transfer_approve' => 'payroll_files/transfer_approve.php',
    'transfer_denie' => 'payroll_files/transfer_denie.php',
    'transfer_details' => 'payroll_files/transfer_details.php',
    'Payroll_Other_Reports' => 'payroll_files/Payroll_Other_Reports.php',
    'Payroll_Other_Reports_create' => 'payroll_files/Payroll_Other_Reports_create.php',
    'exchange_rate' => 'exchange_rate.php',
    'currency' => 'currency.php',
    
    //----Inventory Management----
    'item_menu' => 'inventory/item_menu.php',
    'item_product' => 'inventory/item_product_view.php',
    'view_product' => 'inventory/view_product.php',
    'item_service' => 'inventory/item_service_view.php',
    'item_create' => 'inventory/item_create.php',
    'item_edit' => 'inventory/item_edit.php',
    'inventory_location_summary' => 'inventory/inventory_location_summary.php',
    'inventory_qualtity_location_report' => 'inventory/inventory_qualtity_location_report.php',
    'unit_measure' => 'inventory/unit_measure.php',
    'opening_stock_view' => 'inventory/opening_stock_view.php',
    'opening_stock' => 'inventory/opening_stock.php',
    'opening_stock_item_view' => 'inventory/opening_stock_item_view.php',
    'item_stock_out' => 'inventory/item_stock_out.php',
    'item_stock_out_add' => 'inventory/item_stock_out_add.php',
    'stockout_edit' => 'inventory/stockout_edit.php',
    'stockout_view' => 'inventory/stockout_view.php',
    'write_off' => 'inventory/write_off.php',
    'write_off_add' => 'inventory/write_off_add.php',
    'write_off_view' => 'inventory/write_off_view.php',
    
    'add_unit' => 'inventory/add_unit.php',
    'edit_unit' => 'inventory/edit_unit.php',
    'inventory_value_summary' => 'inventory/inventory_value_summary.php',
    'inventory_value_summary_report' => 'inventory/inventory_value_summary_report.php',
    'inventory_qualtity_summary' => 'inventory/inventory_qualtity_summary.php',
    'inventory_qualtity_summary_report' => 'inventory/inventory_qualtity_summary_report.php',
    'inventory_profit_margin' => 'inventory/inventory_profit_margin.php',
    'inventory_profit_margin_report' => 'inventory/inventory_profit_margin_report.php',
    'item_movement' => 'inventory/inventory_movement.php',
    
    //------purchases Files-----
    
    'purchase_supplier_summary' => 'purchases/purchase_supplier_summary.php',
    'purchase_supplier_summary_report' => 'purchases/purchase_supplier_summary_report.php',
    'purchases_supplier_invoices' => 'purchases/purchases_supplier_invoices.php',
    'supplier_aged' => 'purchases/supplier_aged.php',
    'supplier_aged_report' => 'purchases/supplier_aged_report.php',
    'purchase_supplier_payment_edit' => 'purchases/purchase_supplier_payment_edit.php',
    'purchase_order' => 'purchases/purchase_order.php',
    'purchase_cash_view' => 'purchases/purchase_cash_view.php',
    'purchase_order_add' => 'purchases/purchase_order_add.php',
    'purchase_order_edit' => 'purchases/purchase_order_edit.php',
    'purchase_order_received' => 'purchases/purchase_order_received.php',
    'purchase_order_invoice' => 'purchases/purchase_order_invoice.php',
    'purchase_grn' => 'purchases/purchase_grn.php',
    'purchase_edit' =>'purchases/purchase_edit.php',
    'generate_report' =>'purchases/generate_report.php',
    'view_payments' => 'purchases/payments_view.php',
    'purchase_profoma' =>'purchases/purchase_profoma.php',
    'purchase_profoma_add' =>'purchases/purchase_profoma_add.php',
    'purchase_profoma_view' =>'purchases/purchase_profoma_view.php',
    'purchase_profoma_edit' =>'purchases/purchase_profoma_edit.php',
    
    'cash_purchase_edit' =>'purchases/cash_purchase_edit.php',
    'debit_note' =>'purchases/debit_note.php',
    'debit_note_view' =>'purchases/debit_note_view.php',
    'debit_note_edit' =>'purchases/debit_note_edit.php',
    'debit_note_add' =>'purchases/debit_note_add.php',
    'purchase_grn_add' => 'purchases/purchase_grn_add.php',
    'purchase_grn_edit' => 'purchases/purchase_grn_edit.php',
    'purchase_grn_view' => 'purchases/purchase_grn_view.php',
    'purchase_grn_invoice' => 'purchases/purchase_grn_invoice.php',
    'supplier_transactions' =>'purchases/supplier_transactions.php',
    'purchase_analysis_report' => 'purchases/purchase_analysis_report.php',
    'purchase_analysis' => 'purchases/purchase_analysis.php',
    'purchase_print' => 'purchases/purchase_print.php',
    'purchases' => 'purchases/purchases.php',
    'purchases_list' => 'purchases/purchases_list.php',
    'cash_purchase_view' => 'purchases/cash_purchase_view.php',
    'purchase_new' => 'purchases/purchase_new.php',
    'purchase_cash' => 'purchases/purchase_cash.php',
    'purchase_items' => 'purchases/purchase_items.php',
    'purchase_supplier_unpaid_invoices_report' => 'purchases/purchase_supplier_unpaid_invoices_report.php',
    'purchase_supplier_unpaid_invoices' => 'purchases/purchase_supplier_unpaid_invoices.php',
    'purchases_report_view' => 'purchases/purchases_report_view.php',
    'supplier_transactions_report' => 'purchases/purchase_supplier_transactions_report.php',
    'purchase_by_supplier' => 'purchases/purchase_by_supplier.php',
    'purchases_report' => 'purchases/purchases_report.php',
    'purchase_supplier_transactions' => 'purchases/purchase_supplier_transactions.php',
    'purchase_by_supplier_report' => 'purchases/purchase_by_supplier_report.php',
    'edit_supplier' => 'purchases/supplier_edit.php',
    'supplier' => 'purchases/suppliers.php',
    'supplier_add' => 'purchases/supplier_add.php',
    'purchase_payment' => 'purchases/purchase_payment.php',
    'cash_purchase' => 'purchases/cash_purchase.php',
    
    
    //----- HR and Payroll Files-----
    'hr_payroll_menu' => 'hr_payroll_menu.php',
    'Payslipitems' => 'payroll_files/Payslipitems.php',
    'PayrollEarnings' => 'PayrollEarnings.php',
    'payroll_report' => 'payroll_files/payroll_report.php',
    'Deductionpayslips' => 'Deductionpayslips.php',
    'PayslipitemsList' => 'PayslipitemsList.php',
    'tableEarnings' => 'tableEarnings.php',
    'tableDeduction' => 'tableDeduction.php',
    'tableContribution' => 'tableContribution.php',
    'tableEarnings_edit' => 'tableEarnings_edit.php',
    'tableEarnings_delete' => 'tableEarnings_delete.php',
    'tableDeduction_edit' => 'tableDeduction_edit.php',
    'tableDeduction_delete' => 'tableDeduction_delete.php',
    'tableContribution_edit' => 'tableContribution_edit.php',
    'tableContribution_delete' => 'tableContribution_delete.php',
    'Employee_Registration' => 'payroll_files/Employee_Registration.php',
    'EmployeesList' => 'payroll_files/EmployeesList.php',
	'Employee_Registration_edit' => 'payroll_files/Employee_Registration_edit.php',
    'LeaveManagement' => 'payroll_files/LeaveManagement.php',
    'employee_attendance' => 'employee_attendance.php',
    'Employee_view_more' => 'payroll_files/Employee_view_more.php',
    'DepartmentList' => 'DepartmentList.php',
    'department_edit' => 'department_edit.php',
    'salarySlips' => 'payroll_files/salarySlips.php',
    'SalaryAdvanceList' => 'payroll_files/SalaryAdvanceList.php',
    'salary_advance_add' => 'payroll_files/salary_advance_add.php',
    'add_xternal_loan' => 'payroll_files/add_xternal_loan.php',
    'TransferManagement' => 'payroll_files/TransferManagement.php',
    'payroll_create' => 'payroll_files/payroll_create.php',
    'salarySlip_list' => 'payroll_files/salarySlip_list.php',
    'bank_edit' => 'bank_edit.php',
    'add_department' => 'payroll_files/add_department.php',
    'department' => 'payroll_files/department.php',
    'edit_department' => 'payroll_files/edit_department.php',
    'allowances' => 'payroll_files/allowances.php',
    'allowance_add' => 'payroll_files/allowance_add.php',
    'allowance_edit' => 'payroll_files/allowance_edit.php',
    'leave_approve' => 'payroll_files/leave_approve.php',
    'leave_denie' => 'payroll_files/leave_denie.php',
    'leave_details' => 'payroll_files/leave_details.php',
    'transfer_approve' => 'payroll_files/transfer_approve.php',
    'transfer_denie' => 'payroll_files/transfer_denie.php',
    'transfer_details' => 'payroll_files/transfer_details.php',
    'Payroll_Other_Reports' => 'payroll_files/Payroll_Other_Reports.php',
    'Payroll_Other_Reports_create' => 'payroll_files/Payroll_Other_Reports_create.php',
    'exchange_rate' => 'exchange_rate.php',
    'currency' => 'currency.php',
    'receipt_double_entry' => 'receipt_double_entry.php',
    'customer_balance' => 'payroll_files/customer_balance.php',
    'customer_balance_add' => 'payroll_files/customer_balance_add.php',
    'customer_balance_edit' => 'payroll_files/customer_balance_edit.php',
    'receipt_double_entry' => 'payroll_files/receipt_double_entry (1).php',
    'Employer_Contribution' => 'payroll_files/Employer_Contribution.php',
    'Employer_Contribution_report' => 'payroll_files/Employer_Contribution_report.php',
     
    
    //-----Bill files-----
    'add_bill' => 'bill/add_bill.php',
    'bill_date' => 'bill/bill_date.php',
    'bill_edit' => 'bill/bill_edit.php',
    'bill_edit_payment' => 'bill/bill_edit_payment.php',
    'bill_payment' => 'bill/bill_payment.php',
    'bill_view' => 'bill/bill_view.php'

);

if(isset($_GET['p']) && array_key_exists($_GET['p'], $pages)){
    include $pages[$_GET['p']];
} else {
    // Default page or error handling
    include '404.php'; // Example of a default error page
}

    include "../footer/footer.php"; 

?>