<?php
if(isset($_POST['submit'])){
    $name = trim($_POST['name']);

    if($name == ''){
        $err = "<p class='alert alert-danger'>Fill all fields please!!!</p>";
    } else {
        try {
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            $stmt = $pdo->prepare("SELECT * FROM unit_measure WHERE name = :name");
            $stmt->execute([':name' => $name]);
            $num = $stmt->rowCount();

            if($num == 0){
                $stmt = $pdo->prepare("INSERT INTO unit_measure (name) 
                    VALUES (:name)");
                $stmt->execute([
                    ':name' => $name
                ]);

                $id = $pdo->lastInsertId();
                $err = "<p class='alert alert-success'>Data successfully recorded </p>";

                
            } else {
                $err = "<p class='alert alert-danger'>This item exists in our database.</p>";
            }
        } catch (PDOException $e) {
            $err = "<p class='alert alert-danger'>Something wrong !!! Contact system administrator...Wasiliana na mafundi wa mfumo kuna tatizo katika database</p>";
            error_log($e->getMessage());
        }
    }
}
?>
<div class="col-md-9">  
      <div class="row">
               <div class="col-md-12">
                   <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                    <li><a href="index.php?p=item_menu" style="color: rgb(7, 133, 164)">Items and Inventory Menu</a></li>
                    <li><a href="index.php?p=unit_measure" style="color: rgb(7, 133, 164)">Units List</a></li>
                    <li class="active">Create New</li>
                        </ul>

                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title"><b>CREATE UNIT OF MEASURE</b></h3>
                        <div class="pull-right">
                            <a href="index.php?p=unit_measure"><button class="btn btn-info"> <span class="fa fa-eye"></span> View Units List</button></a>
                        </div>
                    </div>
                    <div class="panel-body" style="background: #fff">
                        <?php if(isset($err)) { echo $err; } ?>
                       <form method="post" action="">
                        <table width="70%">
                            <tr>
                                <td><br>
                                    <div class="form-group">
                                        <label class="col-md-3 col-xs-12 control-label">Name</label>
                                        <div class="col-md-6 name-field"> <!-- Add class "name-field" here -->
                                            <input type="text" class="form-control" placeholder="Unit Name" name="name"/>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        </table>
                        
                    </div>
					<div class="panel-footer">                                    
                        <button class="btn btn-info pull-right" type = "submit" name = "submit"><span class="fa fa-plus-circle"></span> Create</button>
                        </form>
                    </div>
            </div>
       </div>
</div>
</div>