<?php
$date1 = $_GET['date1'];
$date2 = $_GET['date2'];
$branch = $_GET['branch'];
$subbranch = $_GET['subbranch'];
$date3 = date('d-m-Y', strtotime($_GET['date1']));
$date4 = date('d-m-Y', strtotime($_GET['date2']));

if ($date1 !== $date2) {
    $date_condition = "i.invoice_date BETWEEN '$date1' AND '$date2'";
    $note = "FOR THE PERIOD FROM {$date3} TO {$date4}";
} else {
    $date_condition = "i.invoice_date = '$date1'";
    $note = "FOR THE DATE: {$date3}";
}

// Define the base query
$baseQuery = "SELECT * FROM product WHERE Category = 'Product'";

// Adjust query based on branch and subbranch values
if ($branch === 'All') {
    $query = mysqli_query($con, $baseQuery);
} else {
    // Append branch condition
    $baseQuery .= " AND Branch = '$branch'";
    
    // Append subbranch condition if it’s provided
    if (!empty($subbranch)) {
        $baseQuery .= " AND SubBranch = '$subbranch'";
    }
    
    // Execute the final query with conditions
    $query = mysqli_query($con, $baseQuery);
}

?>
<style>
    /* CSS to style the table */
    table {
        border-collapse: collapse;
        border: 1px solid black;
        width: 100%;
    }

    th {
        border: 1px solid black;
        padding: 8px;
        text-align: center;
        height: 20px;
        color: black;
    }

    td {
        border: 1px solid black;
        padding: 8px;
        height: 20px;
        color: black;
    }
</style>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=item_menu" style="color: rgb(7, 133, 164)">Items and Inventory Menu</a></li>
                <li class="active">Inventory Value Summary Report</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Inventory Value Summary Report</b></h3>
                    <div class="pull-right">
                        <button class="btn btn-default" onclick="history.back()"> <span class="fa fa-arrow-left"></span> Go Back</button>
                        <button class="btn btn-default" onclick="printTable()">
                            <span class="fa fa-print"></span> Print Report
                        </button>
                        <button class="btn btn-default" onclick="exportToExcel()">
                            <span class="fa fa-print"></span> Export To Excel
                        </button>
                    </div>
                </div>
                <div class="panel-body" style="background: #fff">
                    <div id="printingArea">
                        <table id="myTable">
                            <tr>
                                <th colspan=7><?php echo $_SESSION['Company']; ?></th>
                            </tr>
                            <tr>
                                <th colspan=7>BRANCH: <?php echo $_GET['branch']; ?></th>
                            </tr>
                            <!--<tr>-->
                            <!--    <th colspan=7>SUB-BRANCH: <?php echo $subbranch ? $subbranch : 'All';?></th>-->
                            <!--</tr>-->
                            <tr>
                                <th colspan=7><?php echo $_GET['description']; ?></th>
                            </tr>
                            <tr>
                                <th colspan=7><?php echo $note; ?></th>
                            </tr>
                            <tr style="font-weight:bold">
                                <td>Item</td>
                                <td>Opening<br/>Balance</td>
                                <td>Purchases</td>
                                <td>Cost of <br/>Goods Sold</td>
                                <td>Adjustments</td>
                                <td>Closing Balance</td>
                            </tr>
                            <?php
                            $sum1 = 0;
                            $sum2 = 0;
                            $sum3 = 0;
                            $sum4 = 0;
                            $sum5 = 0;
                            foreach ($query as $rows) :
                                
                                //-----opening stock value-----
                                $query_opening_stock = mysqli_query($con,"SELECT SUM(ist.quantity * ist.cost) as stockValue FROM item_opening io INNER JOIN item_stock_table ist ON io.id = ist.open_id 
                                WHERE ist.itemid = '".$rows['ProductId']."' AND ist.date <= '$date2'");
                                $rows_opening_stock = mysqli_fetch_assoc($query_opening_stock);
                                $openvalue = $rows_opening_stock['stockValue'];
                                
                                //writeoff opening value
                                $query_writeoff_stock_open = mysqli_query($con,"SELECT SUM(woi.quantity * woi.cost) as writeoffValue FROM writeoff wo INNER JOIN writeoff_items woi ON wo.id = woi.writeoff_id 
                                WHERE woi.itemid = '".$rows['ProductId']."' AND wo.date < '$date1'");
                                $rows_writeoff_stock_open = mysqli_fetch_assoc($query_writeoff_stock_open);
                                $writeoffValue = $rows_writeoff_stock_open['writeoffValue'];
                                
                                //purchase opening value
                                $query_cash_purchase_open = mysqli_query($con,"SELECT SUM(pi.quantity * pi.unit_price) as purchasesValue FROM purchases p INNER JOIN purchase_items pi ON p.purchase_id = pi.purchase_no 
                                WHERE pi.product_id = '".$rows['ProductId']."' AND pi.date < '$date1'");
                                $rows_cash_purchase_open = mysqli_fetch_assoc($query_cash_purchase_open);
                                $cashPurchaseValue_open = $rows_cash_purchase_open['purchasesValue'];
                                
                                //-----purchases invoice value -----
                                $query_invoice_purchase = mysqli_query($con,"SELECT SUM(pi.quantity * pi.unit_price) as purchaseValueInvoice FROM purchase_invoice p INNER JOIN purchase_invoice_items pi ON p.purchase_id = pi.purchase_no 
                                WHERE pi.product_id = '".$rows['ProductId']."' AND pi.date < '$date1'");
                                $rows_invoice_purchase_open = mysqli_fetch_assoc($query_invoice_purchase_open);
                                $invoicePurchaseValue_open = $rows_invoice_purchase_open['purchaseValueInvoice'];
                                
                                $purchases_Value_open = $invoicePurchaseValue_open + $cashPurchaseValue_open;
                                
                                //Invoice opening value
                                $sales_query_invoice_open = mysqli_query($con, "SELECT SUM(it.quantity * it.unit_cost ) AS invoiceSalesValue FROM invoices AS i 
                                    INNER JOIN invoice_items AS it ON i.invoice_id = it.invoice_no 
                                    WHERE i.invoice_date < '$date1' 
                                    AND it.product_id='" . $rows['ProductId'] . "'");
                                $row_invoice_sales_open = mysqli_fetch_assoc($sales_query_invoice_open);
                                $invoice_sales_value_open = $row_invoice_sales_open['invoiceSalesValue'];
                                
                                //-----cash sales  value-----
                                $sales_query_cash_open = mysqli_query($con, "SELECT SUM(it.quantity * it.unit_cost) AS cashSalesValue FROM sales_cash AS i 
                                    INNER JOIN sales_cash_items AS it ON i.sales_cash_id = it.cash_no 
                                    WHERE i.invoice_date BETWEEN '$date1' 
                                    AND it.product_id='" . $rows['ProductId'] . "'");
                                $row_cash_sales_open = mysqli_fetch_assoc($sales_query_cash_open);
                                $cash_sales_value_open = $row_cash_sales_open['cashSalesValue'];
                                
                                $sales_value_open = $invoice_sales_value_open + $cash_sales_value_open;
                                
                                $total_open=($openvalue+$purchases_Value_open)-($sales_value_open+$writeoffValue);
                                
                                //-----writeoff value for adjustment-----
                                $query_writeoff_stock = mysqli_query($con,"SELECT SUM(woi.quantity * woi.cost) as writeoffValue FROM writeoff wo INNER JOIN writeoff_items woi ON wo.id = woi.writeoff_id 
                                WHERE woi.itemid = '".$rows['ProductId']."' AND wo.date BETWEEN '$date1' AND '$date2'");
                                $rows_writeoff_stock = mysqli_fetch_assoc($query_writeoff_stock);
                                $writeoffValue = $rows_writeoff_stock['writeoffValue'];
                                
                                //-----purchase cash value-----
                                $query_cash_purchase = mysqli_query($con,"SELECT SUM(pi.quantity * pi.unit_price) as purchasesValue FROM purchases p INNER JOIN purchase_items pi ON p.purchase_id = pi.purchase_no 
                                WHERE pi.product_id = '".$rows['ProductId']."' AND pi.date BETWEEN '$date1' AND '$date2'");
                                $rows_cash_purchase = mysqli_fetch_assoc($query_cash_purchase);
                                $cashPurchaseValue = $rows_cash_purchase['purchasesValue'];
                                
                                //-----purchases invoice value -----
                                $query_invoice_purchase = mysqli_query($con,"SELECT SUM(pi.quantity * pi.unit_price) as purchaseValueInvoice FROM purchase_invoice p INNER JOIN purchase_invoice_items pi ON p.purchase_id = pi.purchase_no 
                                WHERE pi.product_id = '".$rows['ProductId']."' AND pi.date BETWEEN '$date1' AND '$date2'");
                                $rows_invoice_purchase = mysqli_fetch_assoc($query_invoice_purchase);
                                $invoicePurchaseValue = $rows_invoice_purchase['purchaseValueInvoice'];
                                
                                $purchases_Value = $invoicePurchaseValue + $cashPurchaseValue;
                                
                                
                                //-----sales invoice value-----
                                $sales_query_invoice = mysqli_query($con, "SELECT SUM(it.quantity * it.unit_cost ) AS invoiceSalesValue FROM invoices AS i 
                                    INNER JOIN invoice_items AS it ON i.invoice_id = it.invoice_no 
                                    WHERE i.invoice_date BETWEEN '$date1' AND '$date2' 
                                    AND it.product_id='" . $rows['ProductId'] . "'");
                                $row_invoice_sales = mysqli_fetch_assoc($sales_query_invoice);
                                $invoice_sales_value = $row_invoice_sales['invoiceSalesValue'];
                                
                                //-----cash sales  value-----
                                $sales_query_cash = mysqli_query($con, "SELECT SUM(it.quantity * it.unit_cost) AS cashSalesValue FROM sales_cash AS i 
                                    INNER JOIN sales_cash_items AS it ON i.sales_cash_id = it.cash_no 
                                    WHERE i.invoice_date BETWEEN '$date1' AND '$date2' 
                                    AND it.product_id='" . $rows['ProductId'] . "'");
                                $row_cash_sales = mysqli_fetch_assoc($sales_query_cash);
                                $cash_sales_value = $row_cash_sales['cashSalesValue'];
                                
                                $sales_value = $invoice_sales_value + $cash_sales_value;
                                
                                
                                //-----calculations-----
                                $closing_balance = ($total_open  + $purchases_Value) -($sales_value + $writeoffValue) ;
                                $sum1 += $writeoffValue; 
                                $sum2 += $total_open;
                                $sum3 += $purchases_Value;
                                $sum4 += $sales_value;
                                $sum5 += $closing_balance;
                            ?>
                                <tr>
                                    <td><?php echo $rows['Name']; ?></td>
                                    <td><?php echo number_format($total_open, 2); ?></td>
                                    <td><?php echo number_format($purchases_Value, 2); ?></td>
                                    <td><?php echo number_format($sales_value, 2)? :0; ?></td>
                                    <td><?php echo number_format($writeoffValue, 2)? :0; ?></td>
                                    <td><?php echo number_format($closing_balance, 2); ?></td>
                                </tr>

                            <?php
                            endforeach;
                            ?>
                            <tr style="font-weight:bold;">
                                <td>TOTAL</td>
                                <td><?php echo number_format($sum2, 2); ?></td>
                                <td><?php echo number_format($sum3, 2); ?></td>
                                <td><?php echo number_format($sum4, 2); ?></td>
                                <td><?php echo number_format($sum1, 2); ?></td>
                                <td><?php echo number_format($sum5, 2); ?></td>
                            </tr>
                        </table>
                    </div>
                </div>
                <div class="panel-footer">

                </div>
            </div>
        </div>
        <!-- END TIMELINE -->
    </div>
</div>
<script>
    var currentDate = new Date();
    var formattedDate = currentDate.toISOString().slice(0, 10);

    document.querySelector('.datepicker-from').value = formattedDate;
    document.querySelector('.datepicker-to').value = formattedDate;
</script>
<script>
    function printContent() {
        var content = document.getElementById('printingArea').innerHTML;
        var printWindow = window.open('', '_blank');
        printWindow.document.write('<html><head><title>Print</title></head><body>');
        printWindow.document.write(content);
        printWindow.document.write('</body></html>');
        printWindow.document.close();
        printWindow.print();
    }
</script>
<script>
    function exportToExcel() {
        // Get the HTML table element
        var table = document.getElementById('printingArea'); // Replace 'tableId' with the ID of your table

        // Convert the HTML table to a worksheet
        var wb = XLSX.utils.table_to_book(table);

        // Generate a binary string from the XLSX workbook
        var wbout = XLSX.write(wb, { bookType: 'xlsx', type: 'binary' });

        // Create a Blob object representing the data as an Excel file
        var blob = new Blob([s2ab(wbout)], { type: 'application/octet-stream' });

        // Create a temporary anchor element and trigger a download
        var link = document.createElement('a');
        link.href = window.URL.createObjectURL(blob);
        link.download = 'inventory_value_summary_report.xlsx'; // Change 'filename' to your desired filename
        link.click();
    }

    // Utility function to convert a string to an ArrayBuffer
    function s2ab(s) {
        var buf = new ArrayBuffer(s.length);
        var view = new Uint8Array(buf);
        for (var i = 0; i < s.length; i++) {
            view[i] = s.charCodeAt(i) & 0xFF;
        }
        return buf;
    }

    function printTable() {
        // Apply border style to table cells
        var cells = document.querySelectorAll('td, th');
        cells.forEach(function(cell) {
            cell.style.border = '1px solid black';
        });

        // Print only the table
        var printWindow = window.open('', '_blank');
        printWindow.document.open();
        printWindow.document.write('<html><head><title>Print Table</title></head><body>');
        printWindow.document.write('<style>table { border-collapse: collapse; width: 100%; } th, td { border: 1px solid black; padding: 8px; }</style>');
        printWindow.document.write(document.getElementById('myTable').outerHTML);
        printWindow.document.write('</body></html>');
        printWindow.document.close();
        printWindow.print();

        // Remove border style after printing
        cells.forEach(function(cell) {
            cell.style.border = '';
        });
    }
</script>
