<?php
require_once '../../db/connection.php';
require_once '../../db/connect.php';

$data = json_decode(file_get_contents('php://input'), true);

if(isset($data['name'])){

    $name = trim($data['name']);
    $category = trim($data['category']);
    $unit = trim($data['unit']);
    $amt1 = trim($data['cost']);
    $cost = intval(preg_replace('/[^\d.]/', '', $amt1));
    $amt = trim($data['price']);
    $price = intval(preg_replace('/[^\d.]/', '', $amt));
    
    $branch = $_SESSION['Branch'];
    $level = '';
    $sales = '';
    $cogs = '';
    $inventory = '';
    $date = date('Y-m-d');
    $total = 0;

    if($name == '' || $category == '' || $unit == '' || $price == ''){
        echo "1";
    } else {
        try {
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            $stmt = $pdo->prepare("SELECT * FROM product WHERE Name = :name");
            $stmt->execute([':name' => $name]);
            $num = $stmt->rowCount();

            if($num == 0){
                $stmt = $pdo->prepare("INSERT INTO product (Name, Product_Price, Product_Cost, Quantity, Level, Branch, Category, Unit) 
                    VALUES (:name, :price, :cost, :stock, :level, :branch, :category, :unit)");
                $stmt->execute([
                    ':name' => $name,
                    ':price' => $price,
                    ':cost' => $cost,
                    ':stock' => $stock,
                    ':level' => $level,
                    ':branch' => $branch,
                    ':category' => $category,
                    ':unit' => $unit
                ]);

                $id = $pdo->lastInsertId();
                echo "2";

            } else {
                echo "3";
            }
        } catch (PDOException $e) {
            $err = "<p class='alert alert-danger'>Something wrong !!! Contact system administrator...Wasiliana na mafundi wa mfumo kuna tatizo katika database</p>";
            error_log($e->getMessage());
        }
    }
}
?>