<?php
if ($_GET['status'] === 'deleted') {
    echo "<script>
    document.addEventListener('DOMContentLoaded', function() {
        Swal.fire({
            position: 'top',
            icon: 'success',
            title: 'Product Deleted Successfully',
            showConfirmButton: false,
            timer: 1500
        }).then(function() {
            location.reload(); 
        }).then(function() {
          window.location.href = 'index.php?p=item_product'; 
      });
     });
    </script>";
}

?>


<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=item_menu" style="color: rgb(7, 133, 164)">Items and Inventory Menu</a></li>
                <li class="active">Items List</li>
                    </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>ITEMS</b></h3>
                    <div class="pull-right">
                        <a href="index.php?p=item_create"><button class="btn btn-info"> <span class="fa fa-plus-circle"></span> Create New Product or Service</button></a>
                    </div>
                </div>
                <div class="panel-body">
                    <?php
                    try {
                        $stmt = $pdo->prepare("SELECT * FROM product WHERE Branch = :branch AND Category = :category  ORDER BY Name ASC");
                        $stmt->execute([
                            ':branch' => $_SESSION['Branch'],
                            ':category' => 'Product'
                        ]);
                        $products = $stmt->fetchAll(PDO::FETCH_ASSOC);
                        if (count($products) == 0) {
                            echo "<p class='alert alert-info'>Hakuna bidhaa yeyote ambayo imeingizwa kwenye stoo</p>";
                        }
                    ?>
                    <div class="table-responsive">
                        <table class="table datatable table-striped">
                            <thead>
                                <tr>
                                    <th>SN</th>
                                    <th>Name</th>
                                    <th>Unit</th>
                                    <th>Sales Price</th>
                                    <th>Purchased Price</th>
                                    <th>Opening Stock</th>
                                    <th>Purchased</th>
                                    <th>Sold</th>
                                    <th>Adjustment</th>
                                    <th>Available</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $a = 1;
                                foreach ($products as $rows) {
                                    
                                $query_opening_stock = mysqli_query($con,"SELECT SUM(ist.quantity) as quantity FROM item_opening io INNER JOIN item_stock_table ist ON io.id = ist.open_id 
                                WHERE ist.itemid = '".$rows['ProductId']."' ");
                                $rows_opening_stock = mysqli_fetch_assoc($query_opening_stock);
                                $openQuantity = $rows_opening_stock['quantity'];
                                
                                $query_writeoff_stock = mysqli_query($con,"SELECT SUM(woi.quantity) as quantity FROM writeoff wo INNER JOIN writeoff_items woi ON wo.id = woi.writeoff_id 
                                WHERE woi.itemid = '".$rows['ProductId']."' ");
                                $rows_writeoff_stock = mysqli_fetch_assoc($query_writeoff_stock);
                                $writeoffQuantity = $rows_writeoff_stock['quantity'];
                                
                                //Purchases Quantity
                                $query_cash_purchase = mysqli_query($con,"SELECT SUM(pi.quantity) as quantity FROM purchases p INNER JOIN purchase_items pi ON p.purchase_id = pi.purchase_no 
                                WHERE pi.product_id = '".$rows['ProductId']."' ");
                                $rows_cash_purchase = mysqli_fetch_assoc($query_cash_purchase);
                                $cashPurchaseQuantity = $rows_cash_purchase['quantity'];
                                
                                $query_invoice_purchase = mysqli_query($con,"SELECT SUM(pi.quantity) as quantity FROM purchase_invoice p INNER JOIN purchase_invoice_items pi ON p.purchase_id = pi.purchase_no 
                                WHERE pi.product_id = '".$rows['ProductId']."' ");
                                $rows_invoice_purchase = mysqli_fetch_assoc($query_invoice_purchase);
                                $invoicePurchaseQuantity = $rows_invoice_purchase['quantity'];
                                
                                $purchases_quantity = $cashPurchaseQuantity + $invoicePurchaseQuantity;

                                $sales_query_invoice = mysqli_query($con, "SELECT SUM(it.quantity) AS quantity FROM invoices AS i 
                                    INNER JOIN invoice_items AS it ON i.invoice_id = it.invoice_no 
                                    WHERE it.product_id='" . $rows['ProductId'] . "' AND i.branchno='".$_SESSION['Branch']."' ");
                                $row_invoice_sales = mysqli_fetch_assoc($sales_query_invoice);
                                $invoice_sales_quantity = $row_invoice_sales['quantity'];
                                
                                $sales_query_cash = mysqli_query($con, "SELECT SUM(it.quantity) AS quantity FROM sales_cash AS i 
                                    INNER JOIN sales_cash_items AS it ON i.sales_cash_id = it.cash_no 
                                    WHERE it.product_id='" . $rows['ProductId'] . "' ");
                                $row_cash_sales = mysqli_fetch_assoc($sales_query_cash);
                                $cash_sales_quantity = $row_cash_sales['quantity'];
                                
                                $sales_quantity = $invoice_sales_quantity+$cash_sales_quantity;
 
                                $closing_balance = ($openQuantity+$purchases_quantity) - ($writeoffQuantity+$sales_quantity);
                                ?>
                                <tr>
                                    <td><?php echo $a; ?></td>
                                    <td><?php echo $rows['Name']; ?></td>
                                    <td><?php echo $rows['Unit']; ?></td>
                                    <td><?php echo number_format($rows['Product_Price'], 2); ?></td>
                                    <td><?php echo number_format($rows['Product_Cost'], 2); ?></td>
                                    <td><?php echo $openQuantity; ?></td>
                                    <td><?php echo $purchases_quantity ? :0; ?></td>
                                    <td><?php echo $sales_quantity ? :0; ?></td>
                                    <td><?php echo $writeoffQuantity ? :0; ?></td>
                                    <td>
                                        <a href="index.php?p=item_movement&name=<?php echo $rows['Name']; ?>&id=<?php echo $rows['ProductId']; ?>"><?php echo $closing_balance; ?></a></td>
                                    <td>
                                        <a href="index.php?p=item_edit&id=<?php echo $rows['ProductId']; ?>"><span class="fa fa-edit"></span> Edit</a> |
                                        <a onclick="return confirm('Are you sure you want to delete this item?');" href="inventory/delete_product.php?id=<?php echo $rows['ProductId']; ?>&p=item_product"><span class="fa fa-trash-o"></span> Delete</a>
                                    </td>
                                </tr>
                                <?php
                                    $a++;
                                }
                                ?>
                            </tbody>
                        </table>
                    </div>
                    <?php
                    } catch (PDOException $e) {
                        echo "<p class='alert alert-danger'>Something went wrong: " . $e->getMessage() . "</p>";
                        error_log($e->getMessage());
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>