<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=item_menu" style="color: rgb(7, 133, 164)">Items and Inventory Menu</a></li>
                <li class="active">Services List</li>
                    </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>SERVICES</b></h3>
                    <div class="pull-right">
                        <a href="index.php?p=item_create"><button class="btn btn-info"> <span class="fa fa-plus-circle"></span> Create New Product or Service</button></a>
                    </div>
                </div>
                <div class="panel-body">
                    <?php
                    try {
                        $stmt = $pdo->prepare("SELECT * FROM product WHERE Branch = :branch AND Category = :category ORDER BY Name ASC");
                        $stmt->execute([
                            ':branch' => $_SESSION['Branch'],
                            ':category' => 'Service'
                        ]);
                        $services = $stmt->fetchAll(PDO::FETCH_ASSOC);
                        if (count($services) == 0) {
                            echo "<p class='alert alert-info'>Hakuna bidhaa yeyote ambayo imeingizwa kwenye usajili</p>";
                        }
                    ?>
                    <div class="table-responsive">
                        <table class="table datatable table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Name</th>
                                    <th>Unit</th>
                                    <th>Sales Price</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $a = 1;
                                foreach ($services as $service) {
                                ?>
                                <tr>
                                    <td><?php echo $a; ?></td>
                                    <td><?php echo $service['Name']; ?></td>
                                    <td><?php echo $service['Unit']; ?></td>
                                    <td><?php echo number_format($service['Product_Price'], 2); ?></td>
                                    <td>
                                        <a href="index.php?p=item_edit&id=<?php echo $service['ProductId']; ?>"><span class="fa fa-edit"></span> Edit</a> | 
                                        <a onclick="return confirm('Are you sure you want to delete this item?');" href="delete_product.php?id=<?php echo $service['ProductId']; ?>&p=item_service"><span class="fa fa-trash-o"></span> Delete</a>
                                    </td>
                                </tr>
                                <?php
                                    $a++;
                                }
                                ?>
                            </tbody>
                        </table>
                    </div>
                    <?php
                    } catch (PDOException $e) {
                        echo "<p class='alert alert-danger'>Something went wrong: " . $e->getMessage() . "</p>";
                        error_log($e->getMessage());
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>