<?php
session_start();
include '../db/db.php';

if (isset($_POST['submit'])) {
// Assuming $pdo is your PDO connection
$date = $_POST['date'];
$reference = $_POST['reference'];
$branch = $_SESSION['Branch']; // Assuming branch is a form field
$status = 0; // Assuming status is a constant value for example purposes
$user = $_SESSION['id'];
$notes = 'Inventory stock opening balance';
$stmt = $pdo->prepare("INSERT INTO item_opening (notes, date, user, reference, branch) VALUES (:notes, :date, :user, :reference, :branch)");
 $qresult = $stmt->execute([
    ':notes' => $notes,
    ':date' => $date,
    ':user' => $user,
    ':reference' => $reference,
    ':branch' => $branch
]);

if($qresult){
$openId = $pdo->lastInsertId(); 
$total = 0;
foreach ($_POST['item'] as $index => $item) {
    $amount = $_POST['amount'][$index];
    $quantity = $_POST['quantity'][$index];
    $itemid = $item; // Using $item directly since it's from the loop
    $total+=$amount*$quantity;
    $stmt = $pdo->prepare("INSERT INTO item_stock_table (itemid,open_id, quantity, cost, status, date, branch) VALUES (:itemid, :open_id, :quantity, :cost, :status, :date, :branch)");
    $result = $stmt->execute([
        ':itemid' => $itemid,
        ':quantity' => $quantity,
        ':cost' => $amount, // Assuming `amount` refers to the `cost`
        ':date' => $date,
        ':branch' => $branch,
        ':open_id' => $openId,
        ':status' => $status
    ]);
    
    
   }
 if($result){
       
    mysqli_query($con,"INSERT INTO gl_transaction VALUES('','1340','6','Asset','$total','Debit','$openId','".$_SESSION['id']."','Opening investory stock','".date('Y',strtotime($date))."','$date','".$_SESSION['Branch']."','Inventory')");
      
    mysqli_query($con,"INSERT INTO gl_transaction VALUES('','2120','10','Equity','$total','Credit','$openId','".$_SESSION['id']."','Opening investory stock','".date('Y',strtotime($date))."','$date','".$_SESSION['Branch']."','Inventory')");
    
    echo "<script>
        alert('Opening stock has been successfully added.');
        window.location.href='index.php?p=opening_stock_view';
    </script>";
}else{
    echo "<script>
        alert('OOPS!!! Something Wrong.');
        window.location.href='index.php?p=opening_stock';
    </script>";
  }
 }else{
   
   echo "<script>
        alert('OOPS!!! Something Wrong.');
        window.location.href='index.php?p=opening_stock';
    </script>";  
     
 }

}
?>

<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=item_menu" style="color: rgb(7, 133, 164)">Items Menu</a></li>
                <li><a href="index.php?p=opening_stock_view" style="color: rgb(7, 133, 164)">Opening Stock List</a></li>
                <li class="active">Add Opening Stock</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>ADD OPENING STOCK</b></h3>
                </div>
                <div class="panel-body">
                    <form class="form-horizontal" method="post" action="" enctype="multipart/form-data">           
                        <table class="table" style="width: 80%;">
                            <tbody>
                                <tr>
                                    <th colspan="2" style="width:40%">
                                        <div class="form-group">
                                            <label class="col-md-12 col-xs-12">Date *</label>
                                            <div class="col-md-12 col-xs-12">            
                                                <input type="text" class="form-control datepicker" name="date" value="<?php echo date('Y-m-d');?>" />            
                                            </div>
                                        </div> 
                                    </th>
                                    <th style="width:40%">
                                        <div class="form-group">
                                            <label class="col-md-12 col-xs-12">Reference</label>
                                            <div class="col-md-12 col-xs-12">                       
                                                <div class="input-group">
                                                    <span class="input-group-addon"><input type="checkbox" id="referenceCheckbox"></span>
                                                    <input type="text" class="form-control" id="referenceInput" placeholder="Optional" name="reference">
                                                </div>                                            
                                            </div>
                                        </div>
                                    </th>
                                </tr>
                                
                                <tr>
                                    <th style="width:35%">Item</th>
                                    <th style="width:15%">Quantity</th>
                                    <th style="width:20%">Cost Per Unit</th>
                                </tr>
                                <tr>
                                    <td style="width:40%">
                                        <div class="form-group">
                                            <div class="col-md-12 col-xs-12">
                                                <?php
                                                $product = mysqli_query($con,"SELECT * FROM product WHERE Category = 'Product' AND Branch='".$_SESSION['Branch']."' ORDER BY Name ASC");
                                                ?>                     
                                                <select class="form-control select" data-live-search="true" name="item[]" required onchange="fetchProductPrice(this)">
                                                    <option value="">Search Item Here</option>
                                                    <?php foreach($product as $rows): ?>
                                                    <option value="<?php echo $rows['ProductId'];?>"><?php echo $rows['Name'];?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </td>
                                    <td style="width:20%">
                                        <div class="form-group">
                                            <div class="col-md-12 col-xs-12">                       
                                                <input type="text" name="quantity[]" oninput="updateTotalAmount()" class="form-control" style="width:100%"/>
                                            </div>
                                        </div>
                                    </td>
                                    <td style="width:20%">
                                        <div class="form-group">
                                            <div class="col-md-12 col-xs-12">                       
                                                <input type="text" oninput="updateTotalAmount()" name="amount[]" class="form-control" style="width:100%"/>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <span><button type="button" class="btn btn-primary" onclick="addAccountLine()" style="background-color: green;color: white;">Add Line</button></span>
                                    </td>
                                    <td align="right" colspan=2><button class="btn btn-default" style="color:red;font-size:16px">Total Stock Value: <span id="totalAmount">0.00</span></button></td>
                                </tr>
                            </tbody>    
                       </table>
                </div>
                <div class="panel-footer">
                    <button type="submit" name="submit" class="btn btn-info pull-right"><span class="fa fa-plus-circle"></span> Create </button>
                </div>
                </form>
            </div>
            
        </div>
    </div>
    <!-- END TIMELINE -->
</div>

<script>
    let voucherCounter = 1; // Initialize the voucher counter

    // Set default date to today
    document.getElementById('datePicker').valueAsDate = new Date();

    // Function to add a new account line
    function addAccountLine() {
        const tableBody = document.querySelector('.table tbody');

        const newRow = document.createElement('tr');
        newRow.innerHTML = `
            <td style="width:30%">
                <div class="form-group">
                    <div class="col-md-12 col-xs-12">
                        <?php
                        $product = mysqli_query($con,"SELECT * FROM product WHERE Category='Product' AND Branch='".$_SESSION['Branch']."' ORDER BY Name ASC");
                        ?>                     
                        <select class="form-control select" data-live-search="true" name="item[]" required onchange="fetchProductPrice(this)">
                            <option value="">Search Item Here</option>
                            <?php foreach($product as $rows): ?>
                            <option value="<?php echo $rows['ProductId'];?>"><?php echo $rows['Name'];?></option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                </div>
            </td>
            <td style="width:30%">
                <div class="form-group">
                    <div class="col-md-12 col-xs-12">                       
                        <input type="text" name="quantity[]" oninput="updateTotalAmount()" class="form-control" style="width:100%"/>
                    </div>
                </div>
            </td>
            <td style="width:30%">
                <div class="form-group">
                    <div class="col-md-12 col-xs-12">
                        <input type="text" name="amount[]" class="form-control" oninput="updateTotalAmount()" />
                    </div>
                </div>
            </td>
            <td style="background-color:#ffffff">
                <button class="btn btn-danger" onclick="removeAccountLine(this)"><i class="fa fa-trash-o"></i></button>
            </td>
        `;
        // Initialize Bootstrap Selectpicker for the first row
        $(newRow.querySelector('.select')).selectpicker();

        // Insert new row just above the "Add Line" and "Create" buttons
        tableBody.insertBefore(newRow, tableBody.lastElementChild);

        // Update the sum of amounts
        updateTotalAmount();
    }

    // Function to update the total amount
function updateTotalAmount() {
        const amounts = document.querySelectorAll('input[name="amount[]"]');
        const quantities = document.querySelectorAll('input[name="quantity[]"]');
        let total = 0;

        // Loop through each item and calculate the total based on quantity and amount
        amounts.forEach((amountInput, index) => {
            const quantity = parseFloat(quantities[index].value) || 0;
            const amount = parseFloat(amountInput.value) || 0;
            total += quantity * amount;
        });

    // Format the total to include commas for thousands and ensure two decimal places
    const formattedTotal = total.toLocaleString(undefined, { minimumFractionDigits: 2, maximumFractionDigits: 2 });

    // Display the total amount in the element with id "totalAmount"
    document.getElementById('totalAmount').innerText = formattedTotal;
}
    
    // Function to remove an account line
    function removeAccountLine(button) {
        const row = button.closest('tr');
        row.remove();

        // Update the sum of amounts after removing the line
        updateTotalAmount();
    }
</script>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
