<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title" style="color: rgb(174, 169, 169);"><strong>Loan / Salary Advance Lists</strong></h3>
                    <div class="panel-footer">
                        <a href="index.php?p=salary_advance_add">
                            <button id="opennewSalaryAdvanceModal" class="btn btn-warning pull-right" type="button">
                                <span class="fa fa-plus-circle"></span> Add New Salary Advance
                            </button>
                        </a>
                        <a href="index.php?p=add_xternal_loan">
                            <button id="opennewExternalLoanModal" class="btn btn-warning pull-right" type="button" style="color:#f3a02a;background-color:#2d2860;margin-right:50px;">
                                <span class="fa fa-plus-circle"></span> Add New External Loan
                            </button>
                        </a>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <table id="salaryAdvance" class="table datatable">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Employee Name</th>
                                    <th>Amount</th>
                                    <th>Deduction Amount</th>
                                    <th>Type</th>
                                    <th>Source</th>
                                    <!--<th>Action</th>-->
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $stmt = $pdo->prepare("SELECT ls.*, Name 
                                                       FROM loans_salary ls 
                                                       INNER JOIN Employee_Registration er ON ls.emplId = er.id");
                                $stmt->execute();
                                $results = $stmt->fetchAll();
                                ?>
                                
                                <?php foreach ($results as $index => $result): ?>
                                <tr>
                                    <td><?php echo $index + 1; ?></td>
                                    <td><?php echo htmlspecialchars($result['Name']); ?></td>
                                    <td><?php echo htmlspecialchars($result['amount']); ?></td>
                                    <td><?php echo htmlspecialchars($result['amtPay']); ?></td>
                                    <td><?php echo htmlspecialchars($result['type']); ?></td>
                                    <td><?php echo htmlspecialchars($result['institution']); ?></td>
                                    <!--<td><a href="indx.php?p=view_history?id=<?php echo $result['id']; ?>">View History</a></td>-->
                                </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
