<?php
if (isset($_POST['submit'])) {
    $department_name = $_POST['department'];
 

    if ($department_name == '') {
        $err = "<p class='alert alert-danger'>Please fill  field </p>";
    } else {
        try {
            $pdo = new PDO($dsn, $username, $password);
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

            $stmt = $pdo->prepare("SELECT * FROM department WHERE Department_name = :department");
            $stmt->bindParam(':department', $department_name);
            $stmt->execute();
            $num = $stmt->rowCount();

            if ($num == 0) {
                $stmt = $pdo->prepare("INSERT INTO department (Department_name) VALUES(:department)");
                $stmt->bindParam(':department', $department_name);
                $success = $stmt->execute();

                if ($success) {
                    echo "<script src='https://cdn.jsdelivr.net/npm/sweetalert2@11'></script>";
                    echo "<script>
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: 'Department Addede successfully.',
                            confirmButtonText: 'OK'
                        }).then(function(){
                              window.location.href = 'index.php?p=department';
                        });
                    </script>";
                } else {
                    $err = "<p class='alert alert-danger'>Something went wrong! Contact system administrator.</p>";
                }
            } else {
                $err = "<p class='alert alert-danger'>This branch already exists in our database. Please use a different branch number.</p>";
            }
        } catch (PDOException $e) {
            $err = "<p class='alert alert-danger'>Database Error: " . $e->getMessage() . "</p>";
        }
    }
}
?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>CREATE NEW DEPARTMENT</b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
                    <?php if(isset($err)){ echo $err;}?>
                    <form class="form-horizontal" method="post" action="">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Department Name *</label>
                            <div class="col-md-6 col-xs-12">
                                <div class="input-group">
                                    <span class="input-group-addon"><span class="fa fa-pencil"></span></span>
                                    <input type="text" name="department" class="form-control"/>
                                </div>
                            </div>
                    </div>
                </div>
                <div class="panel-footer">
                    <button class="btn btn-warning pull-right" type="submit" name="submit"><span class="fa fa-plus-circle"></span> Create</button>
                </div>
                </form>
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>