<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title" style="color: rgb(174, 169, 169);"><strong>Allowances List</strong></h3>
                    <div class="panel-title pull-right">
                        <a href="index.php?p=allowance_add">
                            <button  class="btn btn-warning pull-right" type="button">
                                <span class="fa fa-plus-circle"></span> Add New Allowance
                            </button>
                        </a>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <table id="salaryAdvance" class="table datatable">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Employee Name</th>
                                    <th>Category</th>
                                    <th>Amount</th>
                                    <th>Date</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $stmt = $pdo->prepare("SELECT a.*, CONCAT(er.Fname, ' ', er.Lname) AS FullName 
                                                       FROM allowances a 
                                                       INNER JOIN Employee_Registration er ON a.employee_id = er.id");
                                $stmt->execute();
                                $results = $stmt->fetchAll();
                                ?>
                                
                                <?php foreach ($results as $index => $result): ?>
                                <tr>
                                    <td><?php echo $index+1; ?></td>
                                    <td><?php echo htmlspecialchars($result['FullName']); ?></td>
                                    <td><?php echo htmlspecialchars($result['category']); ?></td>
                                    <td><?php echo htmlspecialchars($result['amount']); ?></td>
                                    <td><?php echo htmlspecialchars($result['date']); ?></td>
                                    <td><a href="index.php?p=allowance_edit&id=<?php echo $result['id']; ?>">Edit</a> ||
                                        <a href="allowance_delete.php?id=<?php echo $result['id']; ?>" onclick="return confirm('Are you sure you want to delete this allowance?');">Delete</a>
                                </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
