<?php
require_once '../db/db.php';
?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=sales" style="color: rgb(7, 133, 164)">Sales Menu</a></li>
                <li class="active">Receipts</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>Advance Payment</b></h3>
                    <div class="pull-right">
                        <a href="index.php?p=customer_balance_add"><button class="btn btn-warning"><span class="fa fa-plus-circle"></span> Create New Customer Advance</button></a>
                    </div>
                </div>
                <div class="panel-body" style="background: #fff">
                    <div class="table-responsive">
                        <table class="table table-hover datatable">
                            <thead>
                                <tr>
                                    <th>SN</th>
                                    <th>Date</th>
                                    <th>Reference</th>
                                    <th>Received To</th>
                                    <th>Received From</th>
                                    <th>Description</th>
                                    <th>Amount</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                    $q = mysqli_query($con,"SELECT * FROM transactions_details WHERE branch='".$_SESSION['Branch']."' AND category ='receipt' ORDER BY id DESC");  
                                    $a = 1;
                                    while($rs = mysqli_fetch_array($q)) {
                                        $payment_lines = mysqli_query($con,"SELECT SUM(amount) as total FROM transactions_details_items WHERE receipt_id = '".$rs['id']."'");
                                        $rows = mysqli_fetch_array($payment_lines);
                                        $total = $rows['total'];
                                        
                                        $bank = mysqli_query($con,"SELECT * FROM bank_accounts WHERE account_code = '".$rs['bank']."'");
                                        $row = mysqli_fetch_array($bank);
                                        $bankname = $row['bank_account_name'];
                                        
                                        //getting names
                                        $uname = mysqli_query($con,"SELECT name  FROM ngm_customer WHERE id = '".$rs['payee']."'");
                                        $uname_data = mysqli_fetch_array($uname);
                                        $num_rows = mysqli_num_rows($uname);
                                        if($num_rows == 0) {
                                            $name = $rs['payee']; 
                                        } else {
                                            $name = $uname_data['name']; 
                                        }
                                ?>
                                <tr>
                                    <td><?php echo $a;?></td>
                                    <td><?php echo $rs['date'];?></td>
                                    <td>RV - <?php echo $rs['id'];?></td>
                                    <td><?php echo $bankname;?></td>
                                    <td><?php echo $name;?></td>
                                    <td><?php echo $rs['note'];?></td>
                                    <td><span style="color:green;font-weight:bold"><?php echo number_format($total, 2);?> <?php echo $rs['currency'];?></span>
                                    <?php
                                    if($rs['currency'] != 'TZS'){
                                    ?>
                                    <br/>
                                    <span style="color:red;font-weight:bold">(<?php echo number_format($total*$rs['exchange_rate'], 2);?> TZS)</span>
                                    <?php
                                    }
                                    ?>
                                    </td>
                                    <td>
                                        <a href="javascript:void(0);" onclick="deleteReceipt('<?php echo $rs['id']; ?>')"><span class="fa fa-trash-o"></span> Delete</a> | 
                                        <a href="index.php?p=customer_balance_edit?id=<?php echo $rs['id'];?>&cat=<?php echo $rs['coming_from'];?>&ref=<?php echo $rs['reference'];?>&customer=<?php echo $rs['payee'];?>"><span class="fa fa-edit"></span> Edit</a> | 
                                        <a href="index.php?p=view_receipt&id=<?php echo $rs['id'];?>&bank=<?php echo $bankname;?>"><span class="fa fa-eye"></span> View</a> | 
                                        <a href="index.php?p=receipt_double_entry&id=<?php echo $rs['id'];?>&cat=Receipt"><span class="fa fa-arrow-left"></span> Double Entry</a>
                                    </td>
                                </tr>
                                <?php
                                    $a++;
                                    }
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- END TIMELINE --> 
</div>

<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>
<script>
    function deleteReceipt(id) {
        Swal.fire({
            title: 'Are you sure?',
            text: "Do you really want to delete this receipt?",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                // Redirect to the delete PHP script
                window.location.href = "sales/advance_delete.php?id=" + id;
            }
        })
    }

    // Check if delete was successful using the URL parameter
    const urlParams = new URLSearchParams(window.location.search);
    if (urlParams.get('delete_success') === '1') {
        Swal.fire({
            title: 'Deleted!',
            text: 'Advance deleted successfully.',
            icon: 'success',
            confirmButtonText: 'OK'
        }).then(() => {
            // Redirect back to the base URL after deletion
            window.location.href = "index.php?p=customer_balance";
        });
    } else if (urlParams.get('delete_success') === '0') {
        Swal.fire({
            title: 'Error!',
            text: 'There was a problem deleting the advance.',
            icon: 'error',
            confirmButtonText: 'OK'
        }).then(() => {
            // Redirect back to the base URL after deletion
            window.location.href = "index.php?p=customer_balance";
        });
    }
</script>