<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title" style="color: rgb(174, 169, 169);"><strong>PAYSLIP LIST</strong></h3>
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <table class="table datatable">
                            <thead>
                                <tr>
                                    <th>S/N</th>
                                    <th>EMP CODE</th>
                                    <th>NAME</th>
                                    <th>SALARY</th>
                                    <th>ALLOWANCES</th>
                                    <th>PAYE</th>
                                    <th>INSUARANCE</th>
                                    <th>PENSION</th>
                                    <th>ADVANCE SALARY</th>
                                    <th>TRADE UNION</th>
                                    <th>LOANS</th>
                                    <th>NET SALARY</th>
                                    <th>ACTIONS</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $id = $_GET['id'];
                                    $query = "SELECT pe.id, er.id AS emp_id, er.Ecode, er.Fname,er.Lname, pe.grossSalary,pe.insuarance,pe.tradeUnion, pe.allowances, pe.paye, 
                                                pe.pension, pe.salaryAdvance, pe.loans
                                              FROM payroll_employees pe
                                              JOIN Employee_Registration er ON pe.employeeId = er.id
                                              JOIN payroll p ON pe.payrollId = p.id WHERE pe.payrollId = $id";
                                    $result = mysqli_query($con, $query);
                                    $sn = 1;
                                    if (mysqli_num_rows($result) > 0):
                                        while ($row = mysqli_fetch_assoc($result)):
                                            $netSalary = $row['grossSalary'] + $row['allowances'] - $row['paye'] - $row['pension'] - $row['salaryAdvance'] - $row['loans']- $row['tradeUnion'] ;
                                            $name = $row['Fname'] . ' ' . $row['Lname'];
                                ?>
                                    <tr>
                                        <td><?php echo $sn++; ?></td>
                                        <td><?php echo $row['Ecode']; ?></td>
                                        <td><?php echo $name ?></td>
                                        <td><?php echo number_format($row['grossSalary'], 2); ?></td>
                                        <td><?php echo number_format($row['allowances'], 2); ?></td>
                                        <td><?php echo number_format($row['paye'], 2); ?></td>
                                        <td><?php echo number_format($row['insuarance'], 2); ?></td>
                                        <td><?php echo number_format($row['pension'], 2); ?></td>
                                        <td><?php echo number_format($row['salaryAdvance'], 2); ?></td>
                                        <td><?php echo number_format($row['tradeUnion'], 2); ?></td>
                                        <td><?php echo number_format($row['loans'], 2); ?></td>
                                        <td><?php echo number_format($netSalary, 2); ?></td>
                                        <td><a href="../pdf/reports/salaryslip.php?id=<?php echo $id;?>&emp_id=<?php echo $row['emp_id'];?>&name=<?php echo $name;?>&date=<?php echo $_GET['date'];?>" target="_blank"><button class="btn btn-warning"><span class="fa fa-print"></span>View Salary Slip</button> </a></td>
                                    </tr>
                                <?php 
                                        endwhile;
                                    else:
                                ?>
                                    <tr>
                                        <td colspan="13" style="text-align: center;">No available data</td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <!-- END DEFAULT DATATABLE -->
        </div>    
        <!-- END PAGE CONTENT -->
    </div>
</div>
