<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title" style="color: rgb(174, 169, 169);"><strong>PAYROLL</strong></h3>
                    <a href="index.php?p=payroll_create"><button class="btn btn-warning pull-right" type="submit" name="submit"><span class="fa fa-plus-circle"></span> Create New Payroll</button></a>
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <table class="table datatable">
                            
                                <?php
                                    $q = mysqli_query($con, "SELECT * FROM payroll");
                                    $results = [];
                                    while ($row = mysqli_fetch_assoc($q)) {
                                        $results[] = $row;
                                    }
                                    
                                    $monthNames = [
                                        1 => 'Jan',
                                        2 => 'Feb',
                                        3 => 'Mar',
                                        4 => 'Apr',
                                        5 => 'May',
                                        6 => 'Jun',
                                        7 => 'Jul',
                                        8 => 'Aug',
                                        9 => 'Sep',
                                        10 => 'Oct',
                                        11 => 'Nov',
                                        12 => 'Dec'
                                    ];
                                ?>
                                <thead>
                                    <tr>
                                        <th>S/N</th>
                                        <th>SALARY MONTH</th>
                                        <th>SALARY</th>
                                        <th>ALLOWANCE</th>
                                        <th>DEDUCTIONS</th>
                                        <th>NET SALARY</th>
                                        <th>ACTIONS</th>
                                    </tr>
                                </thead>
                            <tbody>
                            <?php 
                                $a = 1;
                                    foreach ($results as $row):
                                    $date = (isset($monthNames[$row['payrollMonth']]) ? $monthNames[$row['payrollMonth']] : 'N/A') . '-' . (isset($row['year']) ? $row['year'] : 'N/A');
                            ?>
                                <tr>
                                    <td><?php echo $a++; ?></td>
                                    <td><?php echo $date ?></td>
                                    <td><?php echo isset($row['salary']) ? number_format($row['salary'], 2) : '0.00'; ?></td>
                                    <td><?php echo isset($row['allowances']) ? number_format($row['allowances'], 2) : '0.00'; ?></td>
                                    <td><?php echo isset($row['deduction']) ? number_format($row['deduction'], 2) : '0.00'; ?></td>
                                    <td><?php echo number_format((isset($row['salary']) ? $row['salary'] : 0) + (isset($row['allowances']) ? $row['allowances'] : 0) - (isset($row['deduction']) ? $row['deduction'] : 0), 2); ?></td>
                                    <td><a href="index.php?p=salarySlip_list&id=<?php echo isset($row['id']) ? $row['id'] : '#'; ?>&date=<?php echo $date; ?>">View More</a>
                                         | <a href="payroll_files/salarySlip_delete.php?id=<?php echo isset($row['id']) ? $row['id'] : '#'; ?>" onclick="return confirm('Do you want to delete this transaction?')">Delete</a>
                                    </td>
                                </tr>
                            <?php 
                                    endforeach;
                            ?>
                        </tbody>
                    </table>
                    </div>
                </div>
            </div>
        </div>    
    </div>
</div>
