<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Salary Slip</title>
</head>
<body style="background-color: rgb(193, 190, 190);">

<div style="width: 60%; background-color: white; margin: 50px auto; position: relative; padding: 20px; border-radius: 5px; border: 3px solid #000;">
    <!-- Wrapper for the content with border-radius -->
    <div style="display: flex; flex-direction: column; align-items: center; justify-content: center;">
        <div style="position: absolute; top: 0; left: 0; border: 2px solid #000; padding: 5px;">
            <img src="https://safco.co.tz/saccos/logo/logo.png" alt="Logo" style="width: 100px; height: 100px;">
        </div>
        <p style="padding: 10px; text-align: center; color: #8064a2; font-weight: bold; border-bottom: 2px solid #000;">
            Area C, Kiwanja cha Ndege,<br>
            Plot No 6, Block 29<br>
            Dodoma Mjini, Dodoma.<br>
            Simu: (+255) 26351590, (+255) 758740002<br>
            Barua Pepe: support@kkktardsaccos.co.tz
        </p>
        <div style="position: absolute; top: 0; right: 0; border: 2px solid #000; padding: 5px;">
            <img src="https://safco.co.tz/saccos/logo/logo.png" alt="Logo" style="width: 100px; height: 100px;">
        </div>
    </div>

    <!-- Salary Slip Table -->
    <table style="border-collapse: collapse; width: 100%; border: 3px solid #000; margin-top: 20px; font-family: 'Times New Roman', Times, serif;">
        <thead>
            <tr>
                <th colspan="4" style="text-align: center; font-size: 40px; background-color: #8064a2; color: white; border: 2px solid #000;">SALARY SLIP</th>
            </tr>
        </thead>
        <tbody>
            <tr style="background-color: #5f703e; color: white; font-size: 25px;">
                <th colspan="3" style="text-align: left; border: 2px solid #000;">SALARY SLIP FOR THE MONTH OF</th>
                <th style="border: 2px solid #000;">Jan 2024</th>
            </tr>
            <tr>
                <th style="border: 2px solid #000;">EMPLOYEE NAME</th>
                <td style="border: 2px solid #000;">ANDREW P. NTOMOLA</td>
                <th style="border: 2px solid #000;">DESIGNATION</th>
                <td style="border: 2px solid #000;">MENEJA</td>
            </tr>
            <tr>
                <th style="border: 2px solid #000;">TIN</th>
                <td style="border: 2px solid #000;">111-316-309</td>
                <th style="border: 2px solid #000;">EMAIL ADDRESS</th>
                <td style="border: 2px solid #000;">-</td>
            </tr>
            <tr>
                <th style="border: 2px solid #000;">BANK NAME</th>
                <td style="border: 2px solid #000;">-</td>
                <th style="border: 2px solid #000;">BANK A/C NO.</th>
                <td style="border: 2px solid #000;">-</td>
            </tr>
            <tr style="background-color: #5f703e; color: white; font-size: 20px;">
                <th colspan="2" style="border: 2px solid #000;">EARNINGS</th>
                <th colspan="2" style="border: 2px solid #000;">DEDUCTIONS</th>
            </tr>
            <tr>
                <td style="border: 2px solid #000;">Basic Salary</td>
                <td style="border: 2px solid #000;">-</td>
                <td style="border: 2px solid #000;">NSSF</td>
                <td style="border: 2px solid #000;">-</td>
            </tr>
            <tr>
                <td style="border: 2px solid #000;">Salary Arreas</td>
                <td style="border: 2px solid #000;">-</td>
                <td style="border: 2px solid #000;">PAYE</td>
                <td style="border: 2px solid #000;">-</td>
            </tr>
            <tr>
                <td style="border: 2px solid #000;">Allowance</td>
                <td style="border: 2px solid #000;">-</td>
                <td style="border: 2px solid #000;">NHIF</td>
                <td style="border: 2px solid #000;">-</td>
            </tr>
            <tr>
                <th rowspan="6" colspan="2" style="border: 2px solid #000;"></th>
                <td style="border: 2px solid #000;">STAFFLOAN</td>
                <td style="border: 2px solid #000;">-</td>
            </tr>
            <tr>
                <td style="border: 2px solid #000;">TUICO</td>
                <td style="border: 2px solid #000;">-</td>
            </tr>
            <tr>
                <td style="border: 2px solid #000;">BAKI</td>
                <td style="border: 2px solid #000;">-</td>
            </tr>
            <tr>
                <th style="border: 2px solid #000;">TOTAL</th>
                <td style="border: 2px solid #000;">-</td>
            </tr>
            <tr>
                <th style="border: 2px solid #000;">CONTRIBUTIONS</th>
                <td style="border: 2px solid #000;">-</td>
            </tr>
            <tr>
                <th style="border: 2px solid #000;">NSSF Employer</th>
                <td style="border: 2px solid #000;">-</td>
            </tr>
            <tr style="background-color: #5f703e; color: white; font-size: 20px;">
                <th style="border: 2px solid #000;">Total earnings</th>
                <td style="border: 2px solid #000;">-</td>
                <th style="border: 2px solid #000;">TOTAL</th>
                <td style="border: 2px solid #000;">-</td>
            </tr>
            <tr>
                <th colspan="2" style="border: 2px solid #000;"></th>
                <th style="border: 2px solid #000;">NET PAY</th>
                <td style="border: 2px solid #000;">-</td>
            </tr>
            <tr>
                <td colspan="2" style="text-align: left; border-top: 2px solid #000;">Prepared by .......................</td>
                <td colspan="2" style="text-align: left; border-top: 2px solid #000;">Received by .......................</td>
            </tr>
        </tbody>
    </table>
    <button onclick="printPage()" style="margin-top: 20px; padding: 10px; border: 2px solid #000; background-color: #8064a2; color: white;">Print</button>
</div>

<!-- JavaScript function to print the page -->
<script>
    function printPage() {
        window.print();
    }
</script>

</body>
</html>
