                            <div class="col-md-9">

                            <!-- START TIMELINE -->
                            <div class="row">
                            <div class="col-md-12">
                                <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                            <li><a href="index.php?p=sales" style="color: rgb(7, 133, 164)">Sales Menu</a></li>
                                <li class="active">Cash Purchase</li>
                                    </ul>
                               <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h3 class="panel-title"><b>CASH PURCHASES</b></h3>
                                    <div class="pull-right">
                                        <a href="index_other.php?p=purchase_cash"><button class="btn btn-info"> <span class="fa fa-plus-circle"></span> Create New Payment</button></a>
                                    </div>
                                </div>
                                <div class="panel-body" style="background: #fff">
                                  <div class="table-responsive">
                                    <table class="table table-hover datatable">
                                      <thead>
                                        <tr>
                                          <th>#</th>
                                          <th>Supplier</th>
                                          <th>Purchase#</th>
                                          <th>Date</th>
                                          <th>Amount</th>
                                          <th>Action</th>
                                        </tr>
                                      </thead>
                                      <tbody>
                                        <?php
                                  $salesQuery = "
                            SELECT 
                                p.purchase_id, 
                                p.purchase_date, 
                                p.total_amount, 
                                p.status, 
                                s.name AS supplier_name
                            FROM 
                                purchases AS p
                            INNER JOIN 
                                supplier AS s ON p.supplier_id = s.id
                            WHERE 
                                p.branchno = ?
                                AND p.status = 'Cash Purchase'
                            ORDER BY 
                                p.purchase_id DESC
                        ";
                        
                        // Prepare the statement
                        $stmt = $con->prepare($salesQuery);
                        
                        // Bind parameters and execute the query
                        $stmt->bind_param('s', $_SESSION['Branch']);
                        $stmt->execute();
                        
                        // Get the result
                        $sales = $stmt->get_result();
                        $a = 1;
                        
                        // Display the results
                        while ($rs = $sales->fetch_assoc()) {
                        ?>
                        <tr>
                            <td><?php echo $a; ?></td>
                            <td><?php echo htmlspecialchars($rs['supplier_name']); ?></td>
                            <td><?php echo htmlspecialchars($rs['status']); ?> No.<?php echo htmlspecialchars($rs['purchase_id']); ?></td>
                            <td><?php echo htmlspecialchars($rs['purchase_date']); ?></td>
                            <td><?php echo number_format($rs['total_amount'], 2); ?></td>
                            <td>
                                <a href="index.php?p=cash_purchase_view&id=<?php echo htmlspecialchars($rs['purchase_id']); ?>">
                                    <span class="fa fa-list"></span> View Items
                                </a> | 
                                <a href="index_other.php?p=cash_purchase_edit&id=<?php echo htmlspecialchars($rs['purchase_id']); ?>">
                                    <span class="fa fa-list"></span> Edit purchase
                                </a> | 
                                <a onclick="deletePurchase('<?php echo $rs['purchase_id']; ?>')" href="#">
                                    <span class="fa fa-trash-o"></span> Delete purchase
                                </a>
                            </td>
                        </tr>
                        <?php
                            $a++;
                        }
                        $stmt->close();
                        $con->close();
                        ?>
                                      </tbody>
                                    </table>
                                   </div> 
                                </div>
                            </div>
                          </div>
                        </div>

                            <!-- END TIMELINE --> 
                        </div>
                    
       <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

<script>
    // Show success message if 'message' exists in URL
    const urlParams = new URLSearchParams(window.location.search);
    if (urlParams.has('message')) {
        Swal.fire({
            title: 'Success!',
            text: decodeURIComponent(urlParams.get('message')),
            icon: 'success',
            confirmButtonText: 'OK'
        }).then((result) => {
        if (result.isConfirmed) {
            // Redirect to the specific page after the alert is closed
            window.location.href = 'index.php?p=purchase_cash_view';
        }
    });
    }

    // SweetAlert confirmation for deletion
    function deletePurchase(invoiceId) {
        Swal.fire({
            title: 'Are you sure?',
            text: "You won't be able to revert this!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                // Redirect to delete page if confirmed
                window.location.href = 'purchases/cash_purchase_delete.php?id=' + invoiceId + '&page=cash';
            }
        });
    }
</script>
