<?php
$date1 = $_GET['date1'];
$date2 = $_GET['date2'];
$branch = $_GET['branch'];
$supplier_id = $_GET['supplier_id'];
$date3 = date('d-m-Y',strtotime($_GET['date1']));
$date4 = date('d-m-Y',strtotime($_GET['date2']));
$note = "PURCHASE INVOICES FROM {$date3} TO {$date4}";

$sql = "SELECT
            *
        FROM
            purchases
        WHERE
            purchase_date BETWEEN '$date1' AND '$date2' AND supplier_id='$supplier_id' AND status='Purchase Invoice'";

$stmt = $con->prepare($sql);
//$stmt->bind_param("s",$status);
$stmt->execute();
$result = $stmt->get_result();
if(!$result) {
    // Capture and handle mysqli error
    $error_message = mysqli_error($con);
    // For example, you can print the error message
    echo "Error: " . $error_message;
    // You might want to handle the error gracefully or log it for further investigation
}
?>
    <style>
        /* CSS to style the table */
        table {
            border-collapse: collapse;
            border: 1px solid black; /* Set border color and thickness */
            width: 100%; /* Set table width to 100% of its container */
        }

        th {
            border: 1px solid black; /* Set border for table cells */
            padding: 8px; /* Add padding for better readability */
            text-align: center; /* Center-align text within cells */
            height:20px;
            color:black;
        }
        td {
            border: 1px solid black; /* Set border for table cells */
            padding: 8px; /* Add padding for better readability */
            height:20px;
            color:black;
        }
    </style>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>PURCHASE INVOICES</b></h3>
                    <div class="pull-right">
                        <button class="btn btn-default" onclick="history.back()"> <span class="fa fa-arrow-left"></span> Go Back</button>
                        <button class="btn btn-default" onclick="printTable()"> <span class="fa fa-print"></span> Print Report</button>
                            <a traget = "_blank" href="../pdf/reports/purchase_invoice_supplier.php?date1=<?php echo urlencode($date1); ?>&date2=<?php echo urlencode($date2); ?>&branch=<?php echo urlencode($branch); ?>&supplier_id=<?php echo urlencode($supplier_id); ?>&supplier_name=<?php echo urlencode($_GET['supplier_name']); ?>" class="btn btn-default">
                             <span class="fa fa-file-pdf-o"></span> Export To PDF
                            </a>
                    </div>
                </div>
                <div class="panel-body" style="background: #fff">
                 <div id="myTable">    
                  <table>
                      <tr>
                          <th colspan=4><?php echo $_SESSION['Company'];?></th>
                      </tr>
                      <tr>
                          <th colspan=4>BRANCH: <?php echo $_GET['branch'];?></th>
                      </tr>
                      <tr>
                          <th colspan=4>SUPPLIER: <?php echo $_GET['supplier_name'];?></th>
                      </tr>
                      <tr>
                          <th colspan=4><?php echo $note;?></th>
                      </tr>
                      <tr style="font-weight:bold">
                          <td>INVOICE DATE</td>
                          <td>INVOICE NUMBER</td>
                          <td>DESCRIPTION</td>
                          <td>AMOUNT</td>
                      </tr>
                      <?php
                      $total_amount = 0;
                      foreach($result as $rows){
                        
                        $total_amount += $rows['total_amount'];
                      ?>
                      <tr>
                          <td><?php echo $rows['purchase_date'];?></td>
                          <td>INVOICE #<?php echo $rows['purchase_id'];?></td>
                          <td><?php echo $rows['note'];?></td>
                          <td align="right"><a href="index.php?p=purchase_print&id=<?php echo $rows['supplier_id'];?>&status=<?php echo $rows['status'];?>"><?php echo number_format($rows['total_amount'],2);?></a></td>
                      </tr>
                      <?php
                      }
                      ?>
                      <tr>
                          <td colspan="3"></td>
                          <td align="right"><?php echo number_format($total_amount,2);?></td>
                      </tr>
                  </table>      
                 </div>       
                </div>
                <div class="panel-footer">                                    
      
                 </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
<script>
    var currentDate = new Date();
    var formattedDate = currentDate.toISOString().slice(0, 10);

    document.querySelector('.datepicker-from').value = formattedDate;
    document.querySelector('.datepicker-to').value = formattedDate;

</script>
<script>
    function printTable() {
        // Apply border style to table cells
        var cells = document.querySelectorAll('td, th');
        cells.forEach(function(cell) {
            cell.style.border = '1px solid black';
        });

        // Print only the table
        var printWindow = window.open('', '_blank');
        printWindow.document.open();
        printWindow.document.write('<html><head><title>Print Table</title></head><body>');
        printWindow.document.write('<style>table { border-collapse: collapse; width: 100%; } th, td { border: 1px solid black; padding: 8px; }</style>');
        printWindow.document.write(document.getElementById('myTable').outerHTML);
        printWindow.document.write('</body></html>');
        printWindow.document.close();
        printWindow.print();

        // Remove border style after printing
        cells.forEach(function(cell) {
            cell.style.border = '';
        });
    }
</script>
<script>
function exportToExcel() {
    // Get the HTML table element
    var table = document.getElementById('printingArea'); // Replace 'tableId' with the ID of your table

    // Convert the HTML table to a worksheet
    var wb = XLSX.utils.table_to_book(table);

    // Generate a binary string from the XLSX workbook
    var wbout = XLSX.write(wb, { bookType: 'xlsx', type: 'binary' });

    // Create a Blob object representing the data as an Excel file
    var blob = new Blob([s2ab(wbout)], { type: 'application/octet-stream' });

    // Create a temporary anchor element and trigger a download
    var link = document.createElement('a');
    link.href = window.URL.createObjectURL(blob);
    link.download = 'purchases.xlsx'; // Change 'filename' to your desired filename
    link.click();
}

// Utility function to convert a string to an ArrayBuffer
function s2ab(s) {
    var buf = new ArrayBuffer(s.length);
    var view = new Uint8Array(buf);
    for (var i = 0; i < s.length; i++) {
        view[i] = s.charCodeAt(i) & 0xFF;
    }
    return buf;
}
</script>