<div class="col-md-9">

    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
                <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=sales" style="color: rgb(7, 133, 164)">Sales Menu</a></li>
                <li class="active">Customers List</li>
            </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>CUSTOMERS</b></h3>
                    <div class="pull-right">
                        <a href="index.php?p=new_customer">
                            <button class="btn btn-info">
                                <span class="fa fa-plus-circle"></span> Create New Customer
                            </button>
                        </a>
                    </div>
                </div>
                <div class="panel-body" style="background: #fff">
                    <table class="table table-striped table-hover datatable">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Email</th>
                                <th>Address</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                      
                            try {
                                $pdo = new PDO($dsn, $username, $password);
                                $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                                // Prepare and execute the query
                                $stmt = $pdo->prepare("SELECT * FROM ngm_customer WHERE branch = :branch");
                                $stmt->bindParam(':branch', $_SESSION['Branch']);
                                $stmt->execute();

                                $count = 1;
                                while ($rws = $stmt->fetch(PDO::FETCH_ASSOC)) {
                            ?>
                                    <tr>
                                        <td><?php echo $count; ?></td>
                                        <td><?php echo strtoupper($rws['name']); ?></td>
                                        <td><?php echo $rws['phone1']; ?></td>
                                        <td><?php echo $rws['email']; ?></td>
                                        <td><?php echo $rws['location']; ?></td>
                                        <td>
                                            
                                                <!--<a onclick="return confirm('Are you Sure you want to Delete Customer');" href="delete_customer.php?id=<?php echo $rws['id']; ?>">-->
                                                <!--    <span class="fa fa-trash-o"></span> Delete-->
                                                <!--</a> |-->
                                            <?php
                                            if ($_SESSION['role'] == 1) {
                                            ?>
                                            <a href="index.php?p=edit_customer&id=<?php echo $rws['id']; ?>">
                                                <span class="fa fa-edit"></span> Edit Details
                                            </a> |
                                            <?php } ?>
                                            <a href="index.php?p=customer_info&customer_id=<?php echo $rws['id'];?>">
                                                <span class="fa fa-info"></span> Transactions
                                            </a>
                                            |<a href="index.php?p=sms&cid=<?php echo $rws['id'];?>&phone=<?php echo $rws['phone1'];?>&name=<?php echo $rws['name'];?>">
                                                <span class = "fa fa-message"></span> Send Message</a>
                                        </td>
                                    </tr>
                            <?php
                                    $count++;
                                }
                            } catch (PDOException $e) {
                                echo 'Connection failed: ' . $e->getMessage();
                            }
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <!-- END TIMELINE -->

</div>
