<?php
if(isset($_POST['general_ledger'])){
   $customer = mysqli_real_escape_string($con,$_POST['customer']);
   $date1 = mysqli_real_escape_string($con,$_POST['date1']);
   $date2 = mysqli_real_escape_string($con,$_POST['date2']);
   
   if (empty($customer)) {
        echo "
        <script src='https://cdn.jsdelivr.net/npm/sweetalert2@11'></script>
        <script>
            Swal.fire({
                icon: 'warning',
                title: 'Customer Required',
                text: 'Please select Customer before proceeding.',
                confirmButtonText: 'OK'
            }).then(() => {
                window.history.back(); // Redirects user back to the form
            });
        </script>";
        exit; // Stop further execution
    }
    // Constructing the URL with form attributes
   $redirectURL = 'index.php?p=sales_customer_transactions_report&customer=' . urlencode($customer) . '&date1=' . urlencode($date1) . '&date2=' . urlencode($date2);
    // Constructing the URL with form attributes
    echo "<script>window.location='$redirectURL';</script>"; 
}
?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
                <li><a href="index.php?p=sales" style="color: rgb(7, 133, 164)">Sales Menu</a></li>
                    <li class="active">Customer transactions </li>
                        </ul>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>CUSTOMER TRANSACTIONS </b></h3>
                </div>
                <div class="panel-body" style="background: #fff">
                    <form class="form-horizontal" action="" method="post">
                        <div class="form-group">                                
                        <div class="col-md-6 col-xs-12">
                            <select class="form-control select" data-live-search="true" name="customer">
                                <option value="">--- Select Customer ---</option>
                                    <?php
                                     $customer = mysqli_query($con,"SELECT * FROM ngm_customer WHERE branch = '".$_SESSION['Branch']."'");
                                     foreach($customer as $rs):
                                     ?>
                                    <option value="<?php echo $rs['id'];?>"><?php echo $rs['name'];?></option>
                                <?php
                                endforeach;
                                ?>
                            </select>
                      </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-3">From
                            <div class="input-group">
                                <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                                                        <input type="text" class="form-control datepicker datepicker-from" value="<?php echo date('Y-m-d');?>" name="date1">          
                        </div>
                        </div>
                        <div class="col-md-3">To
                            <div class="input-group" id="currentDate">
                            <span class="input-group-addon"><span class="fa fa-calendar"></span></span>
                        <input type="text" class="form-control datepicker datepicker-to" value="<?php echo date('Y-m-d');?>" name="date2">                                            
                        </div>
                    </div>
                    </div>
                        
                </div>
                <div class="panel-footer">                                    
                  <button class="btn btn-warning pull-right" type="submit" name="general_ledger"><span class="fa fa-plus-circle"></span> Create</button>
            </form>      
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>
<script>
    var currentDate = new Date();
    var formattedDate = currentDate.toISOString().slice(0, 10);

    document.querySelector('.datepicker-from').value = formattedDate;
    document.querySelector('.datepicker-to').value = formattedDate;

</script>