    <?php
    require_once '../db/db.php';
    $invoice = mysqli_query($con, "SELECT * FROM sales_cash WHERE sales_cash_id='" . mysqli_real_escape_string($con, $_GET['id']) . "' AND status = 'Cash Sales'");
    $rows = mysqli_fetch_array($invoice);
    $sales_items = mysqli_query($con,"SELECT * FROM sales_cash_items,product WHERE product_id=ProductId AND cash_no='".$rows['sales_cash_id']."'");
    
    $customer = mysqli_query($con,"SELECT * FROM inv_users WHERE id='".$rows['customer_id']."'");
    $row = mysqli_fetch_array($customer);
    $name = $row['Name'];
    $email = $row['Email'];
    $phone = $row['Phone'];
     ?>
    <div class="col-md-9">

    <!-- START TIMELINE -->
    <div class="row">
    <div class="col-md-12">
       <ul class="breadcrumb" style="height: 40px; padding-top: 10px;">
           <li><a href="#"  style="color: rgb(7, 133, 164)" onclick="history.back()">Sales invoices list</a></li>
           <li class="active">Sales order list</li>
       </ul>
    <div class="panel panel-default">
        <div class="panel-body">                            
            <h3><?php echo $rows['status'];?></h3>
            <div class="push-down-10 pull-right">
               
                <a href="../pdf/reports/sales_pos.php?id=<?php echo $rows['sales_cash_id'];?>" target="_blank"><button class="btn btn-warning"><span class="fa fa-print"></span> Print Document</button> </a>
              
            </div>
            <!-- INVOICE -->
            <div class="invoice">

                <div class="row">
                    <div class="col-md-4">

                        <div class="invoice-address">
                            <h5>Sales Person:</h5>
                            <h6><?php echo $name;?></h6>
                            <p>Phone Number: <?php echo $phone;?></p>
                            <p>Email : <?php echo $email;?></p>
                        </div>

                    </div>
                    <div class="col-md-4">
                    </div>
                    <div class="col-md-4">

                        <div class="invoice-address">
                            <table class="table table-striped">
                                <tr>
                                    <td width="200">Receipt Number:</td><td class="text-right">#<?php echo $rows['sales_cash_id'];?></td>
                                </tr>
                                <tr>
                                    <td>Invoice Date:</td><td class="text-right"><?php echo $rows['invoice_date'];?></td>
                                </tr>
                                <tr>
                                    <td><strong>Total:</strong></td><td class="text-right"><strong><?php echo number_format($rows['total_amount']);?></strong></td>
                                </tr>
                            </table>

                        </div>                                        

                    </div>
                </div>
                
                <div class="table-invoice">
                    <table class="table">
                        <tr>
                            <th>Item Description</th>
                            <th class="text-center">Unit Price</th>
                            <th class="text-center">Quantity</th>
                            <th class="text-center">Unit</th>
                            <th class="text-center">Total</th>
                        </tr>
                        <?php
                        $sum1 = 0;
                        $sum2 = 0;
                        $sum3 = 0;
                        foreach($sales_items as $rs){
                            if($rs['total_price'] == $rs['totalwithvat']){
                                $subtotal = $rs['total_price'] - $rs['vatamount'];
                            }else{
                                $subtotal = $rs['total_price'];
                            }
                            $sum1+=$subtotal;
                            $sum2+=$rs['vatamount'];
                            $sum3 += ($rs['totalwithvat'] == 0) ? $rs['total_price'] : $rs['totalwithvat'];

                        ?>
                        <tr>
                            <td>
                                <strong><?php echo $rs['Category'];?></strong>
                                <p><?php echo $rs['Name'];?></p>
                            </td>
                            <td class="text-center"><?php echo number_format($rs['unit_price'],2);?></td>
                            <td class="text-center"><?php echo $rs['quantity'];?></td>
                            <td class="text-center"><?php echo $rs['Unit'];?></td>
                            <td class="text-center">
                            <?php echo $rs['totalwithvat'] ==0 ? number_format($rs['total_price'], 2) : number_format($rs['totalwithvat'], 2); ?>
                        </td>                        </tr>
                        <?php
                        }
                        ?>
                        <tr>
                            <td>
                                TOTAL
                            </td>
                            <td class="text-center"></td>
                            <td class="text-center"></td>
                            <td class="text-center"></td>
                            <td class="text-center"><b><?php echo number_format($sum3,2);?></b></td>
                        </tr>
                    </table>
                </div>
                
              
            <!-- END INVOICE -->

        </div>
    </div>
  </div>
</div>

    <!-- END TIMELINE --> 
    
</div>
<script>
function printTable() {
    var printWindow = window.open('', '_blank');
    printWindow.document.write('<html><head><title>Print Payment Voucher</title>');
    printWindow.document.write('<link rel="stylesheet" type="text/css" href="../css/theme-default.css">');
    printWindow.document.write('</head><body>');
    printWindow.document.write(document.getElementById('printabletable').outerHTML);
    printWindow.document.write('</body></html>');
    printWindow.document.close();
    printWindow.print();
}

function exportToPDF() {
    var pdf = new jsPDF();
    pdf.autoTable({ html: '#printabletable' });
    pdf.save('table_export.pdf');
}

    function changeTo() {
        var selectElement = document.getElementById("selectOption");
        var selectedValue = selectElement.value;
        
        // Redirect based on the selected value
        switch(selectedValue) {
            case "1":
                window.location.href = "index.php?p=sales_profoma_order&id=<?php echo $_GET['id'];?>"; // Change the URL to your received note URL
                break;
            case "2":
                window.location.href = "index.php?p=sales_profoma_delivery&id=<?php echo $_GET['id'];?>"; // Change the URL to your purchase invoice URL
                break;
                case "3":
                window.location.href = "index.php?p=sales_profoma_invoice&id=<?php echo $_GET['id'];?>"; // Change the URL to your purchase invoice URL
                break;
            default:
                // Do nothing if no option is selected
                break;
        }
    }
</script>