<?php
    $supplier = mysqli_real_escape_string($con, $_GET['supplier']);
    $date1 = mysqli_real_escape_string($con, $_GET['date1']);
    $date2 = mysqli_real_escape_string($con, $_GET['date2']);

    // Construct the SQL query with filters
    $sql = "SELECT supplier.name, purchases.purchase_id, purchases.purchase_date, purchases.total_amount, purchases.paid, purchases.due 
            FROM supplier, purchases 
            WHERE supplier.id = purchases.supplier_id 
            AND purchases.branch = '" . $_SESSION['Branch'] . "' 
            AND purchases.purchase_date BETWEEN '$date1' AND '$date2' ORDER BY supplier.name";

    $result = $con->query($sql);

    echo '<center>
          <h4 style="text-align:center;font-size:30px;color:#999">' . $_SESSION['Company'] . '</h4>
          <h4 style="text-align:center;font-size:24px;color:#999">' . strtoupper($_SESSION['Branch']) . '</h4>
          <h4 style="text-align:center;font-size:20px;color:#999">PURCHASES BY SUPPLIER REPORT</h4>
          <hr>
          <table border="1" width="100%" cellspacing="0" cellpadding="0" repeat_header="1">
              <thead>
              <tr style="height:30px;background:orange;">
                  <th style="width:20%">Supplier Name</th>
                  <th style="width:10%">Purchase No#</th>
                  <th style="width:15%">Purchase Date</th>
                  <th style="width:15%">Total Amount</th>
                  <th style="width:15%">Paid</th>
                  <th style="width:15%">Due</th>
              </tr>
              </thead>';

    $total_amount = 0;
    $total_paid = 0;
    $total_due = 0;

    while ($row = mysqli_fetch_array($result)) {
        $supplierName = $row["name"];
        $purchaseNo = $row["purchase_id"];
        $purchaseDate = $row["purchase_date"];
        $totalAmount = $row["total_amount"];
        $paid = $row["paid"];
        $due = $row["due"];

        $total_amount += $totalAmount;
        $total_paid += $paid;
        $total_due += $due;

        // Output supplier data in the table
        echo '
            <tbody>
            <tr>
                <td style="padding-left:10px;">' . $supplierName . '</td>
                <td style="padding-left:10px;">' . $purchaseNo . '</td>
                <td style="padding-left:10px;">' . $purchaseDate . '</td>
                <td align="right" style="padding-right:10px;">' . number_format($totalAmount, 2) . '</td>
                <td align="right" style="padding-right:10px;">' . number_format($paid, 2) . '</td>
                <td align="right" style="padding-right:10px;">' . number_format($due, 2) . '</td>
            </tr>';
    }

    echo '
            <tr style="background:yellow;">
                <td colspan="3" align="right"><b>TOTAL:</b></td>
                <td align="right"><b>' . number_format($total_amount, 2) . '</b></td>
                <td align="right"><b>' . number_format($total_paid, 2) . '</b></td>
                <td align="right"><b>' . number_format($total_due, 2) . '</b></td>
            </tr>
            </tbody>
            </table>';
?>
<div class="col-md-9">
    <!-- START TIMELINE -->
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><b>SUPPLIER UNPAID INVOICES </b></h3>
                </div>
                <div class="panel-body" style="background: #fff">

                        
                </div>
                <div class="panel-footer">                                    
            </div>
        </div>
    </div>
    <!-- END TIMELINE -->
</div>