<?php
session_start();
require_once '../../db/db.php';
require_once 'number_to_words.php';

$invoice = mysqli_query($con, "SELECT * FROM sales_order WHERE sales_order_id='" . mysqli_real_escape_string($con, $_GET['id']) . "'");
$rows = mysqli_fetch_array($invoice);
$tax = $rows['tax_type'];
$taxpercent = $rows['withholdingtax_percent'];

$sales_items = mysqli_query($con,"SELECT * FROM sales_order_items,product WHERE product_id=ProductId AND sales_order_no='".$rows['sales_order_id']."'");

$selectQuery = "SELECT * FROM BusinessInfo";
$result = mysqli_query($con,$selectQuery);
$row = mysqli_fetch_assoc($result);
$telephone = $row['telephone_number'];
$business = $row['business_name'];
$tin_no = $row['tin'];
$po_box = $row['po_box'];
$vran = $row['vran'];
$footer_description = $row['footer_description'];
$business_logo = $row['business_logo'];
$physical_location = $row['physical_location'];
$email = $row['email'];

$selectQuery = "SELECT * FROM ColorSettings";
$result = mysqli_query($con,$selectQuery);
$row = mysqli_fetch_assoc($result);

$bg_color = $row['bg_color'];
$color = $row['font_color'];

$customer = mysqli_query($con,"SELECT * FROM ngm_customer WHERE id='".$rows['customer_id']."'");
$row = mysqli_fetch_array($customer);
$name = $row['name'];
$tin = $row['tin'];
$vrn = $row['vrn'];
$location = $row['location'];
$phone = $row['phone1']; 
if($rows['status'] == 'Sales Invoice'){
    $status = 'SALES INVOICE';
    $date = 'Invoice Date';
    $number = 'Invoice No.';
} else if($rows['status'] == 'Sales Profoma'){
    $status = $rows['status'];
    $date = 'Profoma Date';
    $number = 'Profoma No.';
} else{
    $status = $rows['status'];
    $date = 'Order Date';
    $number = 'Order No.';
}

$html = '
<div style="border: 2px solid ' . $bg_color . '; border-radius: 10px; padding: 20px; background-color: #fff;font-family: Arial, sans-serif;">
    <div style="text-align: center; margin-bottom: 20px;">
        <img src="../' . $business_logo . '" width="200" height="150" style="border-radius: 10px; margin-bottom: 10px;">
        <h4 style="color:#fff; background-color:' . $bg_color . '; padding: 12px; border-radius: 10px; display: inline-block;">'.$status.'</h4>
    </div>
    
    <table width="100%">
    <thead>
        
        <tr bgcolor="#ffffff">
            <td align="left" style="font-size:0px;padding-top:0px;">
            <br/>
                <div style="color:black; font-size:14px; font-weight:normal;text-transform:uppercase;">
        To: <br/>
        '.strtolower($name).' <br/>
        '.strtolower($location).' <br/>
        '.strtolower('TIN').': '.$row['tin'].'<br/>
        '.strtolower('VRN').': '.$row['vrn'].'<br/>
        '.strtolower('Tel. No.').': '.$row['phone1'].'<br/>
        '.strtolower($number).': '.$rows['sales_order_id'].'<br/>
        '.strtolower($date).': '.date('d-M-Y',strtotime($rows['invoice_date'])).'<br/>
        '.strtolower('DUE DATE').': '.date('d-M-Y',strtotime($rows['due_date'])).'
    </div>    
            </td>
            <br/>
            <td align="right">
            <br/><span style="font-size: 18px">
            '.$business.'<br/></span>
            '.$po_box.'<br/>
            Contact: '.$telephone.'<br/>
            Email: '.$email.'<br/>   
            TIN No.: '.$tin_no.'<br/>
            VRN No.: '.$vran.'<br/>
            Location.: '.$physical_location.'<br/>
            BRANCH: '.strtoupper($_SESSION['Branch']).'
            </td>
        </tr>
    </thead>
    </table>
    ';

$html .='
    <p>'.$rows['note'].'</p>
    <table border="1" width="100%" cellspacing="0" cellpadding="0" repeat_header="1" style="border-collapse: collapse; margin-top: 20px;">
        <thead>
            <tr style="background:'.$bg_color.';">
                <th style="color:white">#</th>
                <th style="color:white">DESCRIPTIONS</th>
                <th style="color:white">UNIT PRICE(TSH)</th>
                <th style="color:white">QUANTITY</th>
                <th style="color:white">UOM</th>
                <th style="color:white">SUBTOTAL</th>
                <th style="color:white">VAT</th>
                <th style="color:white">TOTAL(TSH)</th>
            </tr>
        </thead>
        <tbody>';
            $i = 1;
            $sum = 0;
            $sum1 = 0;
            $sum2 = 0;
            $sum3 = 0;
            while($rs = mysqli_fetch_array($sales_items)){
                if($rs['total_price'] == $rs['totalwithvat']){
                    $subtotal = $rs['total_price'] - $rs['vatamount'];
                }else{
                    $subtotal = $rs['total_price'];
                }
                $withholding = $subtotal*$taxpercent/100;
                $sum1+=$subtotal;
                $sum2+=$rs['vatamount'];
                $sum3+=$rs['totalwithvat'];
                $html .= '
                <tr>
                    <td>'.$i.'</td>
                    <td>'.$rs['Name'].'</td>
                    <td align="right">'.$rs['unit_price'].'</td>
                    <td align="right">'.$rs['quantity'].'</td>
                    <td>'.$rs['Unit'].'</td>
                    <td align="right">'.number_format($rs['total_price'],2).'</td>
                    <td align="right">'.number_format($rs['vatamount'],2).'</td>
                    <td align="right">'.number_format($rs['totalwithvat'],2).'</td>
                </tr>';
                $i++;
            }
            $html .= '
            <tr>
                <td colspan="7" align="right"><b>SUB TOTAL</b></td>
                <td align="right"><b>'.number_format($sum1,2).'</b></td>
            </tr>
            <tr>
                <td colspan="7" align="right"><b>VAT</b></td>
                <td align="right"><b>'.number_format($sum2,2).'</b></td>
            </tr>
            <tr>
                <td colspan="7" align="right"><b>TOTAL</b></td>
                <td align="right"><b>'.number_format($sum3,2).'</b></td>
            </tr>
            <tr>
                <td colspan="7" align="right"><b>WITHHOLDING TAX('.$taxpercent.'%)</b></td>
                <td align="right"><b>'.number_format($withholding,2).'</b></td>
            </tr>
            <tr>
                <td colspan="7" align="right"><b>TOTAL INVOICE</b></td>
                <td align="right"><b>'.number_format($sum3-$withholding,2).'</b></td>
            </tr>
            <tr>
                <td colspan="8" align="right"><b>'.number_to_word($sum3-$withholding).'</b></td>
            </tr>
        </tbody>
        <tfoot>
        </tfoot>
        <br/>
    </table>';
if ($rows['status'] == 'Sales Invoice') {
    $query_receipt = mysqli_query($con,"SELECT * FROM transactions_details td INNER JOIN chart_master cm ON bank = account_code
                         WHERE reference = '".$_GET['id']."' AND category='receipt'");
   $num_rows_receipt = mysqli_num_rows($query_receipt);
   if($num_rows_receipt > 0){
$html .= '
<div style="float: right; width: 50%; margin-top: 20px;">
    <table border="1" width="100%" cellspacing="0" cellpadding="0" repeat_header="1" style="border-collapse: collapse;">
        <thead>
           <tr style="background:'.$bg_color.';">
                <th colspan=3 style="color:white">INVOICE RECEIPTS</th>
            </tr>
            <tr style="background:'.$bg_color.';">
                <th style="color:white">DATE</th>
                <th style="color:white">DESCRIPTIONS</th>
                <th style="color:white">AMOUNT</th>
            </tr>
        </thead>
        <tbody>';
            $sum_receipt = 0;
            foreach($query_receipt as $receipt_rows){
                $sum_receipt +=$receipt_rows['total'];
                $html .= '
                <tr>
                    <td>'.$receipt_rows['date'].'</td>
                    <td> Invoice Receipt '.$receipt_rows['id'].' - '.$_GET['id'].'</td>
                    <td align="right">'.number_format($receipt_rows['total'],2).'</td>
                </tr>';
            }
            $html .= '
            <tr>
                <td colspan="2" align="right"><b>TOTAL RECEIPT</b></td>
                <td align="right"><b>'.number_format($sum_receipt,2).'</b></td>
            </tr>
            <tr style="background:'.$bg_color.'; color:#fff">
                <td colspan="2" align="right" style="color:#fff"><b>BALANCE</b></td>
                <td align="right" style="color:#fff"><b>'.number_format($sum3-$withholding-$sum_receipt,2).'</b></td>
            </tr>
            <tr>
                <td colspan="3" align="right">'.number_to_word($sum3-$withholding-$sum_receipt).'</td>
            </tr>
        </tbody>
        <br/>
    </table>
</div>';
 }
}
$html .= '
    <div style="clear: both; margin-top: 20px;">
        <table width="100%">
            <tr>
                
            </tr>
            <tr>
                <td colspan="2">
                    <br/><br/><br/><b>'.$footer_description.'</b>
                </td>
                <td colspan="1">
                </td>
            </tr>
        </table>
    </div>
</div>';

include("../mpdf.php");

$customer_name = strtoupper(preg_replace('/[^A-Za-z0-9 ]/', '', strtoupper($name)));
$filename = $customer_name . ".pdf";

$mpdf = new mPDF('c', 'A4', '', '', 15, 15, 15, 10, 16, 13);
$mpdf->SetDisplayMode('fullpage');

$stylesheet = file_get_contents('mpdfstyletables.css');
$mpdf->WriteHTML($stylesheet, 1);

$mpdf->WriteHTML($html);

$mpdf->Output($filename, 'I');
exit;
?>
